#include <gracelib.h>
#include <stdlib.h>
static char compilerRevision[] = "fda180857cfbe794cf5b4190f62470c38dba523a";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "lexer";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "#pragma DefaultVisibility=public",
  "import \"io\" as io",
  "import \"sys\" as sys",
  "import \"util\" as util",
  "import \"unicode\" as unicode",
  "import \"mgcollections\" as collections",
  "import \"errormessages\" as errormessages",
  "",
  "// Return the numeric value of the single hexadecimal character c.",
  "method hexdecchar(c) {",
  "    var chars := [\"0\", \"1\", \"2\", \"3\", \"4\", \"5\", \"6\", \"7\", \"8\",",
  "                 \"9\", \"a\", \"b\", \"c\", \"d\", \"e\", \"f\"]",
  "    var ret := 0",
  "    var i := 0",
  "    for (chars) do {cr->",
  "        if (cr == c) then {",
  "            ret := i",
  "        }",
  "        i := i + 1",
  "    }",
  "    ret",
  "}",
  "method padl(s, l, w) {",
  "    if (s.size >= l) then {",
  "        return s",
  "    }",
  "    var s' := s",
  "    while {s'.size < l} do {",
  "        s' := w ++ s'",
  "    }",
  "    return s'",
  "}",
  "",
  "def LexerClass = object {",
  "    method new {",
  "        var lineNumber := 1",
  "        var linePosition := 0",
  "        var startPosition := 1",
  "        var indentLevel := 0",
  "",
  "        class Token.new() {",
  "            def line = lineNumber",
  "            def indent = indentLevel",
  "            def linePos = startPosition",
  "",
  "            var next := false",
  "            var prev := false",
  "",
  "            method ==(other) {",
  "                if(other == false) then {",
  "                    false",
  "                } else {",
  "                    (other.line == line) && (other.linePos == linePos)",
  "                }",
  "            }",
  "        }",
  "",
  "        class IdentifierToken.new(s) {",
  "            inherits Token.new",
  "            def kind = \"identifier\"",
  "            def value = s",
  "            def size = s.size",
  "        }",
  "        class StringToken.new(s) {",
  "            inherits Token.new",
  "            def kind = \"string\"",
  "            def value = s",
  "            def size = s.size + 2",
  "        }",
  "        class CommentToken.new(s) {",
  "            inherits Token.new",
  "            def kind = \"comment\"",
  "            def value = s",
  "            def size = s.size + 2",
  "        }",
  "        class OctetsToken.new(s) {",
  "            inherits Token.new",
  "            def kind = \"octets\"",
  "            def value = s",
  "            def size = s.size + 3",
  "        }",
  "        class LBraceToken.new {",
  "            inherits Token.new",
  "            def kind = \"lbrace\"",
  "            def value = \"\\{\"",
  "            def size = 1",
  "        }",
  "        class RBraceToken.new {",
  "            inherits Token.new",
  "            def kind = \"rbrace\"",
  "            def value = \"}\"",
  "            def size = 1",
  "        }",
  "        class LParenToken.new {",
  "            inherits Token.new",
  "            def kind = \"lparen\"",
  "            def value = \"(\"",
  "            def size = 1",
  "        }",
  "        class RParenToken.new {",
  "            inherits Token.new",
  "            def kind = \"rparen\"",
  "            def value = \")\"",
  "            def size = 1",
  "        }",
  "        class LSquareToken.new {",
  "            inherits Token.new",
  "            def kind = \"lsquare\"",
  "            def value = \"[\"",
  "            def size = 1",
  "        }",
  "        class RSquareToken.new {",
  "            inherits Token.new",
  "            def kind = \"rsquare\"",
  "            def value = \"]\"",
  "            def size = 1",
  "        }",
  "        class CommaToken.new {",
  "            inherits Token.new",
  "            def kind = \"comma\"",
  "            def value = \",\"",
  "            def size = 1",
  "        }",
  "        class ColonToken.new {",
  "            inherits Token.new",
  "            def kind = \"colon\"",
  "            def value = \":\"",
  "            def size = 1",
  "        }",
  "        class DotToken.new {",
  "            inherits Token.new",
  "            def kind = \"dot\"",
  "            def value = \".\"",
  "            def size = 1",
  "        }",
  "        class NumToken.new(v, b) {",
  "            inherits Token.new",
  "            def kind = \"num\"",
  "            def value = v",
  "            def base = b",
  "            def size = linePosition - startPosition",
  "        }",
  "        class KeywordToken.new(v) {",
  "            inherits Token.new",
  "            def kind = \"keyword\"",
  "            def value = v",
  "            def size = v.size",
  "        }",
  "        class OpToken.new(v) {",
  "            inherits Token.new",
  "            def kind = \"op\"",
  "            def value = v",
  "            def size = v.size",
  "        }",
  "        class ArrowToken.new {",
  "            inherits Token.new",
  "            def kind = \"arrow\"",
  "            def value = \"->\"",
  "            def size = 2",
  "        }",
  "        class BindToken.new {",
  "            inherits Token.new",
  "            def kind = \"bind\"",
  "            def value = \":=\"",
  "            def size = 2",
  "        }",
  "        class SemicolonToken.new {",
  "            inherits Token.new",
  "            def kind = \"semicolon\"",
  "            def value = \";\"",
  "            def size = 1",
  "        }",
  "        class LGenericToken.new {",
  "            inherits Token.new",
  "            def kind = \"lgeneric\"",
  "            def value = \"<\"",
  "            def size = 1",
  "        }",
  "        class RGenericToken.new {",
  "            inherits Token.new",
  "            def kind = \"rgeneric\"",
  "            def value = \">\"",
  "            def size = 1",
  "        }",
  "",
  "        object {",
  "            // When a new lexical class has begun, add to the tokens list",
  "            // the token corresponding to the previous accumulated data.",
  "            // mode is the previous lexical mode (a string), and accum the",
  "            // accumulated characters since that mode began. Modes are:",
  "",
  "            //   n           Whitespace       i   Identifier",
  "            //   \"           Quoted string    x   Octets literal",
  "            //   m           Number           o   Any operator",
  "            //   p           Pragma           d   Indentation",
  "            //   c           Comment",
  "            //   ,.{}()[]<>; The corresponding literal character",
  "            //",
  "            // There are three special cases for mode o. If accum is \"->\",",
  "            // \":=\", or \"=\", the corresponding special token is created.",
  "            // For mode i, a keyword token is created for an identifier",
  "            // whose name is a reserved keyword.",
  "            method modechange(tokens, mode, accum) {",
  "                var done := false",
  "                var tok := 0",
  "                if ((mode != \"n\") || (accum.size > 0)) then {",
  "                    if (mode == \"i\") then {",
  "                        tok := IdentifierToken.new(accum)",
  "                        if ((accum == \"object\") || (accum == \"method\")",
  "                            || (accum == \"var\") || (accum == \"type\")",
  "                            || (accum == \"import\") || (accum == \"class\")",
  "                            || (accum == \"return\") || (accum == \"def\")",
  "                            || (accum == \"inherits\") || (accum == \"is\")",
  "                            || (accum == \"dialect\")) then {",
  "                            tok := KeywordToken.new(accum)",
  "                        }",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    }",
  "                    if (mode == \"I\") then {",
  "                        tok := IdentifierToken.new(accum)",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"\\\"\") then {",
  "                        tok := StringToken.new(accum)",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"x\") then {",
  "                        tok := OctetsToken.new(accum)",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \",\") then {",
  "                        tok := CommaToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \".\") then {",
  "                        tok := DotToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"\\{\") then {",
  "                        tok := LBraceToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"}\") then {",
  "                        tok := RBraceToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"(\") then {",
  "                        tok := LParenToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \")\") then {",
  "                        tok := RParenToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"[\") then {",
  "                        tok := LSquareToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    }",
  "                    if (mode == \"]\") then {",
  "                        tok := RSquareToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"<\") then {",
  "                        tok := LGenericToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \">\") then {",
  "                        tok := RGenericToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \";\") then {",
  "                        tok := SemicolonToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"m\") then {",
  "                        if ((tokens.size > 1).andAlso {tokens.last.kind == \"dot\"}) then {",
  "                            def dot = tokens.pop",
  "                            if (tokens.last.kind == \"num\") then {",
  "                                if (tokens.last.base == 10) then {",
  "                                    tok := tokens.pop",
  "                                    var decimal := makeNumToken(accum)",
  "                                    if(decimal.base == 10) then {",
  "                                        tok := NumToken.new(tok.value ++ \".\" ++ accum, 10)",
  "                                    } else {",
  "                                        def suggestions = []",
  "                                        var suggestion := errormessages.suggestion.new",
  "                                        suggestion.replaceRange(dot.linePos + 1, linePosition - 1)with(decimal.value)onLine(lineNumber)",
  "                                        suggestions.push(suggestion)",
  "                                        suggestion := errormessages.suggestion.new",
  "                                        suggestion.deleteRange(dot.linePos, linePosition - 1)onLine(lineNumber)",
  "                                        suggestions.push(suggestion)",
  "                                        errormessages.syntaxError(\"The fractional part of a number must be in base 10.\")atRange(",
  "                                            lineNumber, dot.linePos + 1, linePosition - 1)withSuggestions(suggestions)",
  "                                    }",
  "                                } else {",
  "                                    def suggestions = []",
  "                                    var suggestion := errormessages.suggestion.new",
  "                                    suggestion.replaceRange(tokens.last.linePos, dot.linePos - 1)with(tokens.last.value)onLine(lineNumber)",
  "                                    suggestions.push(suggestion)",
  "                                    suggestion := errormessages.suggestion.new",
  "                                    suggestion.deleteChar(dot.linePos)onLine(lineNumber)",
  "                                    suggestions.push(suggestion)",
  "                                    errormessages.syntaxError(\"A number in base {tokens.last.base} cannot have a fractional part.\")atRange(",
  "                                        lineNumber, dot.linePos, linePosition - 1)withSuggestions(suggestions)",
  "                                }",
  "                            } else {",
  "                                if(tokens.last.kind == \"string\") then {",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.replaceChar(dot.linePos)with(\"++\")onLine(dot.line)",
  "                                    errormessages.syntaxError(\"A number may only follow a '.' if there is a number before the '.'. \"",
  "                                        ++ \"To join a number to a string, use '++'.\")atRange(",
  "                                        dot.line, dot.linePos, dot.linePos)withSuggestion(suggestion)",
  "                                } elseif((tokens.last.kind == \"op\") || (tokens.last.kind == \"bind\")) then {",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.insert(\"0\")atPosition(dot.linePos)onLine(dot.line)",
  "                                    errormessages.syntaxError(\"A number must have a digit before the decimal point.\")atPosition(",
  "                                        dot.line, dot.linePos)withSuggestion(suggestion)",
  "                                } elseif(tokens.last.kind == \"identifier\") then {",
  "                                    def suggestions = []",
  "                                    if(tokens.last.value == \"o\") then {",
  "                                        def suggestion = errormessages.suggestion.new",
  "                                        suggestion.replaceChar(tokens.last.linePos)with(\"0\")onLine(tokens.last.line)",
  "                                        suggestions.push(suggestion)",
  "                                    }",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.replaceRange(dot.linePos, linePosition - 1)with(\"({accum})\")onLine(tokens.last.line)",
  "                                    suggestions.push(suggestion)",
  "                                    errormessages.syntaxError(\"A number may only follow a '.' if there is a number before the '.'.\")atRange(",
  "                                        dot.line, dot.linePos, dot.linePos)withSuggestions(suggestions)",
  "                                } else {",
  "                                    errormessages.syntaxError(\"A number may only follow a '.' if there is a number before the '.'.\")atRange(",
  "                                        dot.line, dot.linePos, dot.linePos)",
  "                                }",
  "                            }",
  "                        } else {",
  "                            tok := makeNumToken(accum)",
  "                        }",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"o\") then {",
  "                        tok := OpToken.new(accum)",
  "                        if (accum == \"->\") then {",
  "                            tok := ArrowToken.new",
  "                        } elseif (accum == \":=\") then {",
  "                            tok := BindToken.new",
  "                        } elseif (accum == \":\") then {",
  "                            tok := ColonToken.new",
  "                        }",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"d\") then {",
  "                        indentLevel := linePosition - 1//accum.size",
  "                        done := true",
  "                    } elseif (mode == \"n\") then {",
  "                        done := true",
  "                    } elseif (mode == \"c\") then {",
  "                        def cmt = accum.substringFrom(3)to(accum.size)",
  "                        tokens.push(CommentToken.new(cmt))",
  "                        done := true",
  "                    } elseif (mode == \"p\") then {",
  "                        if (accum.substringFrom(1)to(8) == \"#pragma \") then {",
  "                            util.processExtension(",
  "                                accum.substringFrom(9)to(accum.size))",
  "                        }",
  "                    } elseif (done) then {",
  "                        //print(mode, accum, tokens)",
  "                    } else {",
  "                        errormessages.syntaxError(\"Lexing error: no handler for mode {mode} with accum {accum}.\")atPosition(lineNumber, linePosition)",
  "                    }",
  "                }",
  "                startPosition := linePosition",
  "            }",
  "",
  "            method fromBase(str, base) {",
  "                var val := 0",
  "                var i := 0",
  "                for (str) do {c->",
  "                    def n = c.ord",
  "                    val := val * base",
  "                    var inc := 0",
  "                    if ((n >= 48) && (n <= 57)) then {",
  "                        inc := n - 48 // 0",
  "                    } elseif((n >= 65) && (n <= 90)) then {",
  "                        inc := n - 55 // 'A' - 10",
  "                    } else {",
  "                        inc := n - 87 // 'a' - 10",
  "                    }",
  "                    if (inc >= base) then {",
  "                        if((str[1] == \"0\") && (inc < 16)) then {",
  "                            def suggestion = errormessages.suggestion.new",
  "                            suggestion.insert(\"x\")atPosition(linePosition - str.size + 1)onLine(lineNumber)",
  "                            errormessages.syntaxError(\"A number in base 16 must start with '0x'.\")atPosition(",
  "                                lineNumber, linePosition - str.size + 1)withSuggestion(suggestion)",
  "                        } else {",
  "                            def suggestion = errormessages.suggestion.new",
  "                            if(str.size == 1) then {",
  "                                suggestion.deleteRange(linePosition - str.size - 1, linePosition - 1)onLine(lineNumber)",
  "                            } else {",
  "                                suggestion.deleteChar(linePosition - str.size + i)onLine(lineNumber)",
  "                            }",
  "                            def validDigits = if(base <= 10) then {",
  "                                \"'0' to '{base - 1}'\"",
  "                            } else {",
  "                                \"'0' to '9', 'a' to '{unicode.create(87 + base)}'\"",
  "                            }",
  "                            errormessages.syntaxError(\"'{c}' is not a valid digit in base {base}. Valid digits are {validDigits}.\")atRange(",
  "                                lineNumber, linePosition - str.size + i, linePosition - str.size + i)withSuggestion(suggestion)",
  "                        }",
  "                    }",
  "                    val := val + inc",
  "                    i := i + 1",
  "                }",
  "                val",
  "            }",
  "            method makeNumToken(accum) {",
  "                var base := 10",
  "                var baseSet := false",
  "                var sofar := \"\"",
  "                var i := 0",
  "                for (accum) do {c->",
  "                    if ((c == \"x\") && (!baseSet)) then {",
  "                        base := sofar.asNumber",
  "                        baseSet := true",
  "                        if (base == 0) then {",
  "                            base := 16",
  "                        }",
  "                        if((base < 2) || (base > 36)) then {",
  "                            def suggestions = []",
  "                            var suggestion := errormessages.suggestion.new",
  "                            suggestion.replaceChar(linePosition - accum.size + i)with(\"*\")onLine(lineNumber)",
  "                            suggestions.push(suggestion)",
  "                            suggestion := errormessages.suggestion.new",
  "                            suggestion.deleteRange(linePosition - accum.size, linePosition - accum.size + i)onLine(lineNumber)",
  "                            suggestions.push(suggestion)",
  "                            errormessages.syntaxError(\"Base {base} is not a valid numerical base.\")atRange(",
  "                                lineNumber, linePosition - accum.size, linePosition - accum.size + i - 1)withSuggestions(suggestions)",
  "                        }",
  "                        sofar := \"\"",
  "                    } else {",
  "                        sofar := sofar ++ c",
  "                    }",
  "                    i := i + 1",
  "                }",
  "                if(sofar == \"\") then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteRange(linePosition - accum.size + i - 1, linePosition - 1)onLine(lineNumber)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\"0\")atPosition(linePosition)onLine(lineNumber)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"At least one digit must follow the 'x' in a number.\")atPosition(",
  "                        lineNumber, linePosition - accum.size + i)withSuggestions(suggestions)",
  "                }",
  "                NumToken.new(fromBase(sofar, base).asString, base)",
  "            }",
  "            // True if ov is a valid identifier character. Identifier",
  "            // characters are Unicode letters, Unicode numbers, apostrophe,",
  "            // and (currently) underscore.",
  "            method isidentifierchar(ov) {",
  "                if (unicode.isLetter(ov)) then {",
  "                    return true",
  "                }",
  "                if (unicode.isNumber(ov)) then {",
  "                    return true",
  "                }",
  "                if ((ov == 95) || (ov == 39)) then {",
  "                    // 95 is _, 39 is '",
  "                    true",
  "                } else {",
  "                    false",
  "                }",
  "            }",
  "",
  "            // True if c (with codepoint ordval) is a valid operator character.",
  "            method isoperatorchar(c, ordval) {",
  "                if ((c == \"-\") || (c == \"&\") || (c == \"|\") || (c == \":\")",
  "                    || (c == \"%\") || (c == \"^\") || (c == \"@\") || (c == \"?\")",
  "                    || (c == \"*\") || (c == \"/\") || (c == \"+\") || (c == \"!\")",
  "                    ) then {",
  "                    return true",
  "                }",
  "                if (unicode.isSymbolMathematical(ordval)) then {",
  "                    return true",
  "                } elseif (unicode.iscategory(c, \"So\")) then {",
  "                    return true",
  "                }",
  "                return false",
  "            }",
  "",
  "            // Read the program text from util.infile and return a list of",
  "            // tokens.",
  "            method lexfile(file) {",
  "                util.log_verbose(\"reading source.\")",
  "                def lines = []",
  "                def cLines = []",
  "                var line := \"\"",
  "                var cLine := \"\"",
  "                var source := \"\"",
  "                for(file.read) do { c ->",
  "                    if((c == \"\\n\") || (c == \"\\l\")) then {",
  "                        lines.push(line)",
  "                        cLines.push(cLine)",
  "                        line := \"\"",
  "                        cLine := \"\"",
  "                    } elseif(c == \"\\r\") then {",
  "                    } elseif(c == \"\\\\\") then {",
  "                        line := line ++ \"\\\\\"",
  "                        cLine := cLine ++ \"\\\\\\\\\"",
  "                    } elseif(c == \"\\\"\") then {",
  "                        line := line ++ \"\\\"\"",
  "                        cLine := cLine ++ \"\\\\\\\"\"",
  "                    } else {",
  "                        line := line ++ c",
  "                        cLine := cLine ++ c",
  "                    }",
  "                    source := source ++ c",
  "                }",
  "                if(line != \"\") then {",
  "                    lines.push(line)",
  "                    cLines.push(cLine)",
  "                }",
  "                util.lines := lines",
  "                util.cLines := cLines",
  "                lexinput(source)",
  "            }",
  "",
  "            method lexinput(input) {",
  "                // tokens is a doubly-linked list of tokens.",
  "                var tokens := object {",
  "                    var first := false",
  "                    var last := false",
  "                    var size' := 0",
  "",
  "                    method push(t) {",
  "                        if(first == false) then {",
  "                            first := t",
  "                            last := t",
  "                        } else {",
  "                            last.next := t",
  "                            t.prev := last",
  "                            last := t",
  "                        }",
  "                        size' := size' + 1",
  "                    }",
  "",
  "                    method pop {",
  "                        if(last != false) then {",
  "                            def popped = last",
  "                            last := last.prev",
  "                            if(last == false) then {",
  "                                first := false",
  "                            }",
  "                            size' := size' - 1",
  "                            popped",
  "                        }",
  "                    }",
  "",
  "                    method poll {",
  "                        if(first != false) then {",
  "                            def polled = first",
  "                            first := first.next",
  "                            if(first == false) then {",
  "                                last := false",
  "                            }",
  "                            size' := size' - 1",
  "                            polled",
  "                        }",
  "                    }",
  "",
  "                    method size {",
  "                        size' + 0",
  "                    }",
  "",
  "                    method iter {",
  "                        object {",
  "                            var n := first",
  "                            method havemore {",
  "                                n != false",
  "                            }",
  "                            method next {",
  "                                def ret = n",
  "                                n := n.next",
  "                                ret",
  "                            }",
  "                        }",
  "                    }",
  "",
  "                    method iterator {",
  "                        iter",
  "                    }",
  "                }",
  "",
  "                var mode := \"d\"",
  "                var newmode := mode",
  "                var instr := false",
  "                var inBackticks := false",
  "                var backtickIdent := false",
  "                var accum := \"\"",
  "                var escaped := false",
  "                var prev := \"\"",
  "                var unichars := 0",
  "                var codepoint := 0",
  "                var interpdepth := 0",
  "                var interpString := false",
  "                var atStart := true",
  "                linePosition := 0",
  "                util.log_verbose(\"lexing.\")",
  "                def badSeparator = unicode.pattern(\"Z\", 9)not(32, 8232)",
  "                def badControl =  unicode.pattern(\"C\")not(10, 13)",
  "                def selfModes = unicode.pattern(\"(\".ord, \")\".ord, \",\".ord,",
  "                    \".\".ord, \"\\{\".ord, \"}\".ord, \"[\".ord, \"]\".ord, \";\".ord)",
  "                def brackets = unicode.pattern(\"(\".ord, \")\".ord,",
  "                    \"\\{\".ord, \"}\".ord, \"[\".ord, \"]\".ord)",
  "                def identifierChar = unicode.pattern(\"L\", \"N\", 95, 39)",
  "                def digit = unicode.pattern(\"0\".ord, \"1\".ord, \"2\".ord, \"3\".ord,",
  "                    \"4\".ord, \"5\".ord, \"6\".ord, \"7\".ord, \"8\".ord, \"9\".ord)",
  "                def digitB = unicode.pattern(\"0\".ord, \"1\".ord, \"2\".ord, \"3\".ord,",
  "                    \"4\".ord, \"5\".ord, \"6\".ord, \"7\".ord, \"8\".ord, \"9\".ord)",
  "                def operatorChar = unicode.pattern(\"Sm\", \"So\",",
  "                    \"-\".ord, \"&\".ord, \"|\".ord, \":\".ord,",
  "                   \"%\".ord, \"^\".ord, \"@\".ord, \"?\".ord,",
  "                   \"*\".ord, \"/\".ord, \"+\".ord, \"!\".ord",
  "                    )",
  "                def iGTLT = unicode.pattern(\"i\".ord, \"<\".ord, \">\".ord)",
  "                def notcp = unicode.pattern()not(\"c\".ord, \"p\".ord)",
  "                def mainBlock = { c->",
  "                    var ct := \"\"",
  "                    var ordval := c.ord // String.ord gives the codepoint",
  "                    if (badSeparator.match(ordval)) then {",
  "                        // Character is whitespace, but not an ASCII space or",
  "                        // Unicode LINE SEPARATOR, or is a tab",
  "                        def suggestion = errormessages.suggestion.new",
  "                        suggestion.replaceChar(linePosition)with(\" \")onLine(lineNumber)",
  "                        if(ordval == 9) then {",
  "                            if (instr) then {",
  "                                suggestion.replaceRange(linePosition, linePosition)",
  "                                    with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                                    onLine(lineNumber)",
  "                                errormessages.syntaxError(\"tabs cannot be \"",
  "                                    ++ \"written in the source code; \"",
  "                                    ++ \"use the Unicode escape \\\\u\"",
  "                                    ++ padl(ordval.inBase 16, 4, \"0\")",
  "                                    ++ \" instead\")",
  "                                    atRange(lineNumber, linePosition, linePosition)",
  "                                    withSuggestion(suggestion)",
  "                            }",
  "                            errormessages.syntaxError(\"Tabs are not allowed; use spaces instead.\")atRange(lineNumber,",
  "                                linePosition, linePosition)withSuggestion(suggestion)",
  "                        } else {",
  "                            if (instr) then {",
  "                                suggestion.replaceRange(linePosition, linePosition)",
  "                                    with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                                    onLine(lineNumber)",
  "                                errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                                    ++ \"is not a valid whitespace character\"",
  "                                    ++ \" and cannot be \"",
  "                                    ++ \"written in the source code; \"",
  "                                    ++ \"use the Unicode escape \\\\u\"",
  "                                    ++ padl(ordval.inBase 16, 4, \"0\")",
  "                                    ++ \" instead\")",
  "                                    atRange(lineNumber, linePosition, linePosition)",
  "                                    withSuggestion(suggestion)",
  "                            }",
  "                            errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                                ++ \"is not a valid whitespace character; use spaces instead.\")atRange(lineNumber,",
  "                                linePosition, linePosition)withSuggestion(suggestion)",
  "                        }",
  "                    }",
  "                    if (badControl.match(ordval)) then {",
  "                        // Character is a control character other than",
  "                        // carriage return or line feed.",
  "                        def suggestion = errormessages.suggestion.new",
  "                        if (instr) then {",
  "                            suggestion.replaceRange(linePosition, linePosition)",
  "                                with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                                onLine(lineNumber)",
  "                            errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                                ++ \"is a control character and cannot be \"",
  "                                ++ \"written in the source code; \"",
  "                                ++ \"use the Unicode escape \\\\u\"",
  "                                ++ padl(ordval.inBase 16, 4, \"0\")",
  "                                ++ \" instead\")",
  "                                atRange(lineNumber, linePosition, linePosition)",
  "                                withSuggestion(suggestion)",
  "                        }",
  "                        suggestion.deleteChar(linePosition)onLine(lineNumber)",
  "                        errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                            ++ \"is a control character and cannot be written in the source code; consider using spaces instead.\")atRange(lineNumber,",
  "                            linePosition, linePosition)withSuggestion(suggestion)",
  "                    }",
  "                    if (atStart) then {",
  "                        if (linePosition == 1) then {",
  "                            if (c == \"#\") then {",
  "                                mode := \"p\"",
  "                                newmode := mode",
  "                            } else {",
  "                                atStart := false",
  "                            }",
  "                        }",
  "                    }",
  "                    if (instr) then {",
  "",
  "                    } elseif ((mode != \"c\") && (mode != \"p\")) then {",
  "                        // Not in a comment, so look for a mode.",
  "                        if ((c == \" \") && (mode != \"d\")) then {",
  "                            newmode := \"n\"",
  "                        }",
  "                        if (c == \"\\\"\") then {",
  "                            // Beginning of a string",
  "                            newmode := \"\\\"\"",
  "                            instr := true",
  "                        }",
  "                        if (identifierChar.match(ordval)) then {",
  "                            newmode := \"i\"",
  "                        }",
  "                        ct := ((ordval >= 48) && (ordval <=57))",
  "                        if (digit.match(ordval)) then {",
  "                            if (mode != \"i\") then {",
  "                                newmode := \"m\"",
  "                            }",
  "                        }",
  "                        if (mode == \"m\") then {",
  "                            if ((ordval >= 97) && (ordval <=122)) then {",
  "                                newmode := \"m\"",
  "                            } else {",
  "                                if ((ordval >= 65) && (ordval <= 90)) then {",
  "                                    newmode := \"m\"",
  "                                }",
  "                            }",
  "                        }",
  "                        if ((mode == \"i\") && (c == \"<\")) then {",
  "                            newmode := \"<\"",
  "                        } elseif (iGTLT.match(mode)",
  "                            && (c == \">\")) then {",
  "                            if (mode == \">\") then {",
  "                                modechange(tokens, mode, accum)",
  "                            }",
  "                            newmode := \">\"",
  "                        } elseif (operatorChar.match(ordval)) then {",
  "                            newmode := \"o\"",
  "                        }",
  "                        if (selfModes.match(ordval)) then {",
  "                            newmode := c",
  "                        }",
  "                        if (c == \"#\") then {",
  "                            if (mode != \"p\") then {",
  "                                if(util.lines.at(lineNumber).substringFrom(1)to(7) == \"#pragma\") then {",
  "                                    if(tokens.size == 0) then {",
  "                                        def suggestion = errormessages.suggestion.new",
  "                                        suggestion.addLine(1, util.lines.at(lineNumber))",
  "                                        suggestion.addLine(lineNumber, \"\")",
  "                                        errormessages.syntaxError(\"Pragma directives must be at the start of the file.\")atLine(",
  "                                            lineNumber)withSuggestion(suggestion)",
  "                                    } else {",
  "                                        errormessages.syntaxError(\"Pragma directives must be at the start of the file.\")atLine(",
  "                                            lineNumber)",
  "                                    }",
  "                                } else {",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.replaceChar(linePosition)with(\"//\")onLine(lineNumber)",
  "                                    errormessages.syntaxError(\"'#' is not allowed here. For a comment use '//'.\")atRange(",
  "                                        lineNumber, linePosition, linePosition)withSuggestion(suggestion)",
  "                                }",
  "                            }",
  "                        }",
  "                        if (c == \".\") then {",
  "                            if (accum == \".\") then {",
  "                                // Special handler for .. operator",
  "                                mode := \"o\"",
  "                                newmode := mode",
  "                            }",
  "                            if (accum == \"..\") then {",
  "                                // Special handler for ... identifier",
  "                                mode := \"n\"",
  "                                newmode := mode",
  "                                modechange(tokens, \"i\", \"...\")",
  "                                accum := \"\"",
  "                            }",
  "                        }",
  "                        if (c == \"/\") then {",
  "                            if (accum == \"/\") then {",
  "                                // Start of comment",
  "                                mode := \"c\"",
  "                                newmode := mode",
  "                            }",
  "                        }",
  "                        if (mode == \"n\") then {",
  "                            if (mode == newmode) then {",
  "                                if (unicode.isSeparator(ordval).not) then {",
  "                                    if (unicode.isControl(ordval).not) then {",
  "                                        if (ordval != 10) then {",
  "                                            if (ordval != 13) then {",
  "                                                if (ordval != 32) then {",
  "                                                    if (c != \".\") then{",
  "                                                        errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                                                            ++ \"is not a valid character; use spaces instead.\")atRange(",
  "                                                            lineNumber, linePosition, linePosition)",
  "                                                    }",
  "                                                }",
  "                                            }",
  "                                        }",
  "                                    }",
  "                                }",
  "                            }",
  "                        }",
  "                    }",
  "                    if (mode == \"\\\"\") then {",
  "                        if (c == \"\\\"\") then {",
  "                            if (escaped.not) then {",
  "                                // End of string literal",
  "                                newmode := \"n\"",
  "                                instr := false",
  "                                if (interpString) then {",
  "                                    modechange(tokens, mode, accum)",
  "                                    modechange(tokens, \")\", \")\")",
  "                                    mode := newmode",
  "                                    interpString := false",
  "                                }",
  "                            }",
  "                        }",
  "                    }",
  "                    if (newmode != mode) then {",
  "                        // This character is the beginning of a different",
  "                        // lexical mode - process the old one now.",
  "                        modechange(tokens, mode, accum)",
  "                        if (interpdepth > 0) then {",
  "                            if (newmode == \"}\") then {",
  "                                // Find the position of the opening brace to check in the interpolation is empty.",
  "                                if (util.lines.at(tokens.last.line)[tokens.last.linePos] == \"\\{\") then {",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.deleteRange(linePosition - 1, linePosition)onLine(lineNumber)",
  "                                    errormessages.syntaxError(\"A string interpolation cannot be empty.\")atRange(",
  "                                        lineNumber, tokens.last.linePos, linePosition)withSuggestion(suggestion)",
  "                                }",
  "                                modechange(tokens, \")\", \")\")",
  "                                modechange(tokens, \"o\", \"++\")",
  "                                newmode := \"\\\"\"",
  "                                instr := true",
  "                                interpdepth := interpdepth - 1",
  "                            }",
  "                        }",
  "                        mode := newmode",
  "                        if (instr) then {",
  "                            // String accum should skip the opening quote, but",
  "                            // other modes' should include their first",
  "                            // character.",
  "                            accum := \"\"",
  "                        } else {",
  "                            accum := c",
  "                        }",
  "                        if (brackets.match(mode)) then {",
  "                            modechange(tokens, mode, accum)",
  "                            mode := \"n\"",
  "                            newmode := \"n\"",
  "                            accum := \"\"",
  "                        }",
  "                    } elseif (instr) then {",
  "                        if (c == \"\\n\") then {",
  "                            if (interpdepth > 0) then {",
  "                                // Find closest {.",
  "                                var line := lineNumber",
  "                                var i := util.lines.at(line).size",
  "                                while { util.lines.at(line)[i] != \"\\{\" } do {",
  "                                    i := i - 1",
  "                                    if(i == 0) then {",
  "                                        lineNumber := line - 1",
  "                                        i := util.lines.at(line).size",
  "                                    }",
  "                                }",
  "                                def suggestions = []",
  "                                var suggestion := errormessages.suggestion.new",
  "                                suggestion.insert(\"\\\\\")atPosition(i)onLine(line)",
  "                                suggestions.push(suggestion)",
  "                                if((line == lineNumber) && (i == (linePosition - 2))) then {",
  "                                    errormessages.syntaxError(\"For a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                                        line, i)withSuggestions(suggestions)",
  "                                } else {",
  "                                    suggestion := errormessages.suggestion.new",
  "                                    suggestion.insert(\"}\")atPosition(linePosition - accum.size - 1)onLine(lineNumber)",
  "                                    suggestions.push(suggestion)",
  "                                    errormessages.syntaxError(\"A string interpolation must end with a '}'. For a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                                        lineNumber, linePosition - accum.size - 1)withSuggestions(suggestions)",
  "                                }",
  "                            } else {",
  "                                def errorLine = util.lines.at(lineNumber)",
  "                                def nextLine = if(util.lines.size >= (lineNumber + 1)) then {",
  "                                    util.lines.at(lineNumber + 1)",
  "                                } else {",
  "                                    \"\"",
  "                                }",
  "                                // Count the number of literal quotes in the next line.",
  "                                var i := 1",
  "                                var count := 0",
  "                                while { i <= nextLine.size } do {",
  "                                    if(nextLine[i] == \"\\\"\") then { count := count + 1 }",
  "                                    elseif(nextLine[i] == \"\\\\\") then { i := i + 1 }",
  "                                    i := i + 1",
  "                                }",
  "                                if ((count % 2) == 1) then {",
  "                                    def suggestions = []",
  "                                    var suggestion := errormessages.suggestion.new",
  "                                    suggestion.addLine(lineNumber, errorLine ++ nextLine)",
  "                                    suggestion.addLine(lineNumber + 1, \"\")",
  "                                    suggestions.push(suggestion)",
  "                                    suggestion := errormessages.suggestion.new",
  "                                    suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                                    suggestion.addLine(lineNumber + 1, \"    ++ \\\"\" ++ nextLine)",
  "                                    suggestions.push(suggestion)",
  "                                    suggestion := errormessages.suggestion.new",
  "                                    suggestion.addLine(lineNumber, errorLine ++ \"\\\\n\" ++ nextLine)",
  "                                    suggestion.addLine(lineNumber + 1, \"\")",
  "                                    suggestions.push(suggestion)",
  "                                    errormessages.syntaxError(\"A string must end with a '\\\"'. To insert a newline in a string use '\\\\n'. \"",
  "                                        ++ \"To split a string over multiple lines use '++' to join strings together.\")atRange(",
  "                                        lineNumber, linePosition, linePosition)withSuggestions(suggestions)",
  "                                } else {",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                                    errormessages.syntaxError(\"A string must end with a '\\\"'.\")atPosition(",
  "                                        lineNumber, linePosition)withSuggestion(suggestion)",
  "                                }",
  "                            }",
  "                        }",
  "                        if (escaped) then {",
  "                            if (c == \"n\") then {",
  "                                // Newline escape",
  "                                accum := accum ++ \"\\u000a\"",
  "                            } elseif (c == \"u\") then {",
  "                                // Beginning of a four-digit Unicode escape",
  "                                // (for a BMP codepoint).",
  "                                unichars := 4",
  "                                codepoint := 0",
  "                            } elseif (c == \"U\") then {",
  "                                // Beginning of a six-digit Unicode escape",
  "                                // (for a general codepoint).",
  "                                unichars := 6",
  "                                codepoint := 0",
  "                            } elseif (c == \"t\") then {",
  "                                // Tab escape",
  "                                accum := accum ++ \"\\u0009\"",
  "                            } elseif (c == \"r\") then {",
  "                                // Carriage return escape",
  "                                accum := accum ++ \"\\u000d\"",
  "                            } elseif (c == \"b\") then {",
  "                                // Backspace escape",
  "                                accum := accum ++ \"\\u0008\"",
  "                            } elseif (c == \"l\") then {",
  "                                // LINE SEPARATOR escape",
  "                                accum := accum ++ \"\\u2028\"",
  "                            } elseif (c == \"f\") then {",
  "                                // Form feed/\"page down\" escape",
  "                                accum := accum ++ \"\\u000c\"",
  "                            } elseif (c == \"e\") then {",
  "                                // Escape escape",
  "                                accum := accum ++ \"\\u001b\"",
  "                            } else {",
  "                                // For any other character preceded by \\,",
  "                                // insert it literally.",
  "                                accum := accum ++ c",
  "                            }",
  "                            escaped := false",
  "                        } elseif (c == \"\\\\\") then {",
  "                            // Begin an escape sequence",
  "                            escaped := true",
  "                        } elseif (unichars > 0) then {",
  "                            // There are still hex digits to read for a",
  "                            // Unicode escape. Use the current character",
  "                            // as a hex digit and update the codepoint",
  "                            // being calculated with its value.",
  "                            unichars := unichars - 1",
  "                            codepoint := codepoint * 16",
  "                            codepoint := codepoint + hexdecchar(c)",
  "                            if (unichars == 0) then {",
  "                                // At the end of the sequence construct",
  "                                // the character in the unicode library.",
  "                                accum := accum ++ unicode.create(codepoint)",
  "                            }",
  "                        } elseif (c == \"\\{\") then {",
  "                            if (interpString.not) then {",
  "                                modechange(tokens, \"(\", \"(\")",
  "                                interpString := true",
  "                            }",
  "                            modechange(tokens, mode, accum)",
  "                            modechange(tokens, \"o\", \"++\")",
  "                            modechange(tokens, \"(\", \"(\")",
  "                            mode := \"n\"",
  "                            newmode := \"n\"",
  "                            accum := \"\"",
  "                            instr := false",
  "                            interpdepth := interpdepth + 1",
  "                        } else {",
  "                            accum := accum ++ c",
  "                        }",
  "                    } elseif ((c == \"\\n\") || (c == \"\\r\")) then {",
  "                        // Linebreaks terminate any open tokens",
  "                        modechange(tokens, mode, accum)",
  "                        mode := \"d\"",
  "                        newmode := \"d\"",
  "                        accum := \"\"",
  "                    } else {",
  "                        accum := accum ++ c",
  "                    }",
  "                    if (accum == \"...\") then {",
  "                        if (mode == \"o\") then {",
  "                            modechange(tokens, \"i\", \"...\")",
  "                            newmode := \"n\"",
  "                            mode := newmode",
  "                            accum := \"\"",
  "                        }",
  "                    }",
  "                    if (c == \"\\n\") then {",
  "                        // Linebreaks increment the line counter and insert a",
  "                        // special \"line\" token, which the parser can use to",
  "                        // track the origin of AST nodes for later error",
  "                        // reporting.",
  "                        lineNumber := lineNumber + 1",
  "                        linePosition := 0",
  "                        startPosition := 1",
  "                    }",
  "                }",
  "                for (input) do { c ->",
  "                    linePosition := linePosition + 1",
  "                    if (c == \" \") then {",
  "                        if (mode == \"d\") then {",
  "                        } else {",
  "                            if (mode != \"n\") then {",
  "                                mainBlock.apply(c)",
  "                            }",
  "                        }",
  "                    } else {",
  "                        mainBlock.apply(c)",
  "                    }",
  "                    prev := c",
  "                }",
  "                linePosition := linePosition + 1",
  "                if (instr) then {",
  "                    if (mode == \"\\\"\") then {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        suggestion.addLine(lineNumber, util.lines.at(lineNumber) ++ \"\\\"\")",
  "                        errormessages.syntaxError(\"A string must end with a '\\\"'.\")atPosition(",
  "                            lineNumber, linePosition)withSuggestion(suggestion)",
  "                    }",
  "                    if (mode == \"x\") then {",
  "                        errormessages.syntaxError(\"Unfinished octets literal, expected '\\\"'.\")atPosition(lineNumber, linePosition)",
  "                    }",
  "                }",
  "                modechange(tokens, mode, accum)",
  "                tokens",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "method Lexer {",
  "    LexerClass",
  "}",
  NULL
};
Object reader_lexer_outer_61(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_68(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_71(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_line_72(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_indent_73(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_linePos_74(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_next_75(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_lexer_next_75(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_lexer_prev_76(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_lexer_prev_76(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_lexer_outer_105(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_108(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_109(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_110(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_111(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_119(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_122(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_123(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_124(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_125(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_137(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_140(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_141(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_142(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_143(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_155(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_158(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_159(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_160(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_161(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_173(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_176(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_177(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_178(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_179(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_187(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_190(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_191(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_192(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_193(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_201(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_204(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_205(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_206(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_207(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_215(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_218(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_219(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_220(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_221(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_229(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_232(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_233(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_234(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_235(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_243(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_246(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_247(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_248(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_249(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_257(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_260(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_261(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_262(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_263(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_271(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_274(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_275(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_276(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_277(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_285(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_288(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_289(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_290(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_291(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_299(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_302(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_303(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_304(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_base_305(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_size_306(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_lexer_outer_315(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_318(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_319(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_320(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_321(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_329(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_332(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_333(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_334(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_335(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_343(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_346(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_347(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_348(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_349(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_357(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_360(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_361(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_362(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_363(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_371(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_374(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_375(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_376(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_377(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_385(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_388(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_389(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_390(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_391(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_399(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_402(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_403(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_404(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_405(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_413(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_1743(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_first_1744(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_first_1744(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_lexer_last_1745(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_lexer_last_1745(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_lexer_size_39__1746(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_lexer_size_39__1746(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_lexer_outer_1854(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_n_1855(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_n_1855(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
static Object strlit2;
static Object strlit3;
static Object strlit4;
static Object strlit5;
static Object strlit6;
static Object strlit7;
static Object strlit8;
static Object strlit9;
static Object strlit10;
static Object strlit11;
static Object strlit12;
static Object strlit13;
static Object strlit14;
static Object strlit15;
static Object strlit16;
static Object strlit17;
Object module_io;
Object module_io_init();
Object module_sys;
Object module_sys_init();
Object module_util;
Object module_util_init();
Object module_unicode;
Object module_unicode_init();
Object module_mgcollections;
Object module_mgcollections_init();
Object module_errormessages;
Object module_errormessages_init();
static ClassData objclass60;
static ClassData objclass67;
static ClassData objclass70;
static ClassData objclass104;
static ClassData objclass107;
static Object strlit114;
static ClassData objclass118;
static ClassData objclass121;
static Object strlit128;
static ClassData objclass136;
static ClassData objclass139;
static Object strlit146;
static ClassData objclass154;
static ClassData objclass157;
static Object strlit164;
static ClassData objclass172;
static ClassData objclass175;
static Object strlit182;
static Object strlit183;
static ClassData objclass186;
static ClassData objclass189;
static Object strlit196;
static Object strlit197;
static ClassData objclass200;
static ClassData objclass203;
static Object strlit210;
static Object strlit211;
static ClassData objclass214;
static ClassData objclass217;
static Object strlit224;
static Object strlit225;
static ClassData objclass228;
static ClassData objclass231;
static Object strlit238;
static Object strlit239;
static ClassData objclass242;
static ClassData objclass245;
static Object strlit252;
static Object strlit253;
static ClassData objclass256;
static ClassData objclass259;
static Object strlit266;
static Object strlit267;
static ClassData objclass270;
static ClassData objclass273;
static Object strlit280;
static Object strlit281;
static ClassData objclass284;
static ClassData objclass287;
static Object strlit294;
static Object strlit295;
static ClassData objclass298;
static ClassData objclass301;
static Object strlit309;
static ClassData objclass314;
static ClassData objclass317;
static Object strlit324;
static ClassData objclass328;
static ClassData objclass331;
static Object strlit338;
static ClassData objclass342;
static ClassData objclass345;
static Object strlit352;
static Object strlit353;
static ClassData objclass356;
static ClassData objclass359;
static Object strlit366;
static Object strlit367;
static ClassData objclass370;
static ClassData objclass373;
static Object strlit380;
static Object strlit381;
static ClassData objclass384;
static ClassData objclass387;
static Object strlit394;
static Object strlit395;
static ClassData objclass398;
static ClassData objclass401;
static Object strlit408;
static Object strlit409;
static ClassData objclass412;
static Object strlit427;
static Object strlit433;
static Object strlit442;
static Object strlit448;
static Object strlit454;
static Object strlit460;
static Object strlit466;
static Object strlit472;
static Object strlit478;
static Object strlit484;
static Object strlit490;
static Object strlit496;
static Object strlit501;
static Object strlit523;
static Object strlit535;
static Object strlit547;
static Object strlit559;
static Object strlit571;
static Object strlit583;
static Object strlit595;
static Object strlit607;
static Object strlit619;
static Object strlit631;
static Object strlit643;
static Object strlit655;
static Object strlit667;
static Object strlit679;
static Object strlit691;
static Object strlit699;
static Object strlit718;
static Object strlit750;
static Object strlit796;
static Object strlit844;
static Object strlit852;
static Object strlit864;
static Object strlit878;
static Object strlit884;
static Object strlit886;
static Object strlit898;
static Object strlit907;
static Object strlit920;
static Object strlit927;
static Object strlit935;
static Object strlit945;
static Object strlit961;
static Object strlit981;
static Object strlit985;
static Object strlit996;
static Object strlit1005;
static Object strlit1022;
static Object strlit1030;
static Object strlit1038;
static Object strlit1046;
static Object strlit1058;
static Object strlit1070;
static Object strlit1077;
static Object strlit1093;
static Object strlit1098;
static Object strlit1115;
static Object strlit1120;
static Object strlit1124;
static Object strlit1195;
static Object strlit1206;
static Object strlit1218;
static Object strlit1271;
static Object strlit1279;
static Object strlit1283;
static Object strlit1293;
static Object strlit1298;
static Object strlit1303;
static Object strlit1308;
static Object strlit1312;
static Object strlit1350;
static Object strlit1361;
static Object strlit1403;
static Object strlit1431;
static Object strlit1435;
static Object strlit1456;
static Object strlit1471;
static Object strlit1505;
static Object strlit1510;
static Object strlit1553;
static Object strlit1559;
static Object strlit1565;
static Object strlit1571;
static Object strlit1577;
static Object strlit1583;
static Object strlit1589;
static Object strlit1595;
static Object strlit1601;
static Object strlit1607;
static Object strlit1613;
static Object strlit1618;
static Object strlit1639;
static Object strlit1645;
static Object strlit1649;
static Object strlit1650;
static Object strlit1651;
static Object strlit1660;
static Object strlit1665;
static Object strlit1673;
static Object strlit1675;
static Object strlit1679;
static Object strlit1684;
static Object strlit1688;
static Object strlit1693;
static Object strlit1699;
static Object strlit1703;
static Object strlit1708;
static Object strlit1728;
static ClassData objclass1742;
static ClassData objclass1853;
static Object strlit1883;
static Object strlit1887;
static Object strlit1889;
static Object strlit1898;
static Object strlit1901;
static Object strlit1907;
static Object strlit1913;
static Object strlit1916;
static Object strlit1919;
static Object strlit1922;
static Object strlit1925;
static Object strlit1928;
static Object strlit1931;
static Object strlit1934;
static Object strlit1937;
static Object strlit1942;
static Object strlit1945;
static Object strlit1948;
static Object strlit1951;
static Object strlit1954;
static Object strlit1957;
static Object strlit1961;
static Object strlit1962;
static Object strlit1968;
static Object strlit1971;
static Object strlit1974;
static Object strlit1977;
static Object strlit1980;
static Object strlit1983;
static Object strlit1986;
static Object strlit1989;
static Object strlit1992;
static Object strlit1995;
static Object strlit2000;
static Object strlit2003;
static Object strlit2006;
static Object strlit2009;
static Object strlit2012;
static Object strlit2015;
static Object strlit2018;
static Object strlit2021;
static Object strlit2024;
static Object strlit2027;
static Object strlit2031;
static Object strlit2032;
static Object strlit2034;
static Object strlit2037;
static Object strlit2040;
static Object strlit2043;
static Object strlit2046;
static Object strlit2049;
static Object strlit2052;
static Object strlit2055;
static Object strlit2058;
static Object strlit2061;
static Object strlit2064;
static Object strlit2067;
static Object strlit2072;
static Object strlit2075;
static Object strlit2078;
static Object strlit2083;
static Object strlit2086;
static Object strlit2091;
static Object strlit2102;
static Object strlit2112;
static Object strlit2120;
static Object strlit2127;
static Object strlit2133;
static Object strlit2141;
static Object strlit2149;
static Object strlit2152;
static Object strlit2154;
static Object strlit2161;
static Object strlit2166;
static Object strlit2174;
static Object strlit2181;
static Object strlit2187;
static Object strlit2195;
static Object strlit2203;
static Object strlit2206;
static Object strlit2209;
static Object strlit2212;
static Object strlit2215;
static Object strlit2223;
static Object strlit2231;
static Object strlit2237;
static Object strlit2251;
static Object strlit2254;
static Object strlit2262;
static Object strlit2270;
static Object strlit2276;
static Object strlit2293;
static Object strlit2301;
static Object strlit2308;
static Object strlit2314;
static Object strlit2322;
static Object strlit2330;
static Object strlit2333;
static Object strlit2336;
static Object strlit2339;
static Object strlit2347;
static Object strlit2355;
static Object strlit2361;
static Object strlit2376;
static Object strlit2379;
static Object strlit2387;
static Object strlit2395;
static Object strlit2401;
static Object strlit2416;
static Object strlit2419;
static Object strlit2428;
static Object strlit2433;
static Object strlit2440;
static Object strlit2445;
static Object strlit2449;
static Object strlit2453;
static Object strlit2456;
static Object strlit2463;
static Object strlit2482;
static Object strlit2485;
static Object strlit2489;
static Object strlit2504;
static Object strlit2518;
static Object strlit2523;
static Object strlit2528;
static Object strlit2532;
static Object strlit2537;
static Object strlit2546;
static Object strlit2551;
static Object strlit2556;
static Object strlit2564;
static Object strlit2569;
static Object strlit2574;
static Object strlit2604;
static Object strlit2607;
static Object strlit2610;
static Object strlit2617;
static Object strlit2620;
static Object strlit2624;
static Object strlit2629;
static Object strlit2632;
static Object strlit2637;
static Object strlit2640;
static Object strlit2644;
static Object strlit2645;
static Object strlit2647;
static Object strlit2651;
static Object strlit2656;
static Object strlit2659;
static Object strlit2664;
static Object strlit2698;
static Object strlit2703;
static Object strlit2706;
static Object strlit2714;
static Object strlit2722;
static Object strlit2728;
static Object strlit2737;
static Object strlit2742;
static Object strlit2748;
static Object strlit2756;
static Object strlit2757;
static Object strlit2775;
static Object strlit2780;
static Object strlit2807;
static Object strlit2814;
static Object strlit2815;
static Object strlit2818;
static Object strlit2819;
static Object strlit2821;
static Object strlit2832;
static Object strlit2840;
static Object strlit2842;
static Object strlit2844;
static Object strlit2849;
static Object strlit2867;
static Object strlit2908;
static Object strlit2927;
static Object strlit2935;
static Object strlit2949;
static Object strlit2984;
static Object strlit3000;
static Object strlit3011;
static Object strlit3051;
static Object strlit3062;
static Object strlit3073;
static Object strlit3087;
static Object strlit3097;
static Object strlit3103;
static Object strlit3105;
static Object strlit3114;
static Object strlit3119;
static Object strlit3124;
static Object strlit3128;
static Object strlit3134;
static Object strlit3143;
static Object strlit3152;
static Object strlit3156;
static Object strlit3162;
static Object strlit3166;
static Object strlit3172;
static Object strlit3176;
static Object strlit3182;
static Object strlit3186;
static Object strlit3192;
static Object strlit3196;
static Object strlit3202;
static Object strlit3206;
static Object strlit3218;
static Object strlit3261;
static Object strlit3268;
static Object strlit3269;
static Object strlit3276;
static Object strlit3277;
static Object strlit3280;
static Object strlit3281;
static Object strlit3283;
static Object strlit3285;
static Object strlit3287;
static Object strlit3303;
static Object strlit3308;
static Object strlit3314;
static Object strlit3316;
static Object strlit3318;
static Object strlit3326;
static Object strlit3331;
static Object strlit3335;
static Object strlit3336;
static Object strlit3338;
static Object strlit3341;
static Object strlit3345;
static Object strlit3368;
static Object strlit3373;
static Object strlit3378;
static Object strlit3396;
static Object strlit3405;
static Object strlit3414;
static Object strlit3418;
static Object strlit3422;
Object meth_lexer__apply22(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_c = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object *var_ret = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_cr = &(stackframe->slots[0]);
  *var_cr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_24 = gc_frame_newslot(*var_c);
// compilenode returning *var_cr
  int op_slot_left_24 = gc_frame_newslot(*var_cr);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult26 = callmethod(*var_cr, "==", 1, partcv, params);
// compilenode returning opresult26
  Object if23 = done;
  if (istrue(opresult26)) {
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  *var_ret = *var_i;
  if (*var_i == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if23 = done;
  } else {
  }
// compilenode returning if23
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num29 = alloc_Float64(1);
// compilenode returning num29
  int op_slot_right_28 = gc_frame_newslot(num29);
// compilenode returning *var_i
  int op_slot_left_28 = gc_frame_newslot(*var_i);
  params[0] = num29;
  partcv[0] = 1;
  Object sum31 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum31
  *var_i = sum31;
  if (sum31 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_hexdecchar0(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hexdecchar");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hexdecchar (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for hexdecchar");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_chars = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "chars");
  Object *var_ret = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ret");
  Object *var_i = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "i");
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1 = alloc_BuiltinList();
  gc_pause();
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2 == NULL) {
    strlit2 = alloc_String("0");
    gc_root(strlit2);
  }
// compilenode returning strlit2
  params[0] = strlit2;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit3 == NULL) {
    strlit3 = alloc_String("1");
    gc_root(strlit3);
  }
// compilenode returning strlit3
  params[0] = strlit3;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit4 == NULL) {
    strlit4 = alloc_String("2");
    gc_root(strlit4);
  }
// compilenode returning strlit4
  params[0] = strlit4;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit5 == NULL) {
    strlit5 = alloc_String("3");
    gc_root(strlit5);
  }
// compilenode returning strlit5
  params[0] = strlit5;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit6 == NULL) {
    strlit6 = alloc_String("4");
    gc_root(strlit6);
  }
// compilenode returning strlit6
  params[0] = strlit6;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit7 == NULL) {
    strlit7 = alloc_String("5");
    gc_root(strlit7);
  }
// compilenode returning strlit7
  params[0] = strlit7;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit8 == NULL) {
    strlit8 = alloc_String("6");
    gc_root(strlit8);
  }
// compilenode returning strlit8
  params[0] = strlit8;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit9 == NULL) {
    strlit9 = alloc_String("7");
    gc_root(strlit9);
  }
// compilenode returning strlit9
  params[0] = strlit9;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit10 == NULL) {
    strlit10 = alloc_String("8");
    gc_root(strlit10);
  }
// compilenode returning strlit10
  params[0] = strlit10;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11 == NULL) {
    strlit11 = alloc_String("9");
    gc_root(strlit11);
  }
// compilenode returning strlit11
  params[0] = strlit11;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit12 == NULL) {
    strlit12 = alloc_String("a");
    gc_root(strlit12);
  }
// compilenode returning strlit12
  params[0] = strlit12;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit13 == NULL) {
    strlit13 = alloc_String("b");
    gc_root(strlit13);
  }
// compilenode returning strlit13
  params[0] = strlit13;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit14 == NULL) {
    strlit14 = alloc_String("c");
    gc_root(strlit14);
  }
// compilenode returning strlit14
  params[0] = strlit14;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit15 == NULL) {
    strlit15 = alloc_String("d");
    gc_root(strlit15);
  }
// compilenode returning strlit15
  params[0] = strlit15;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit16 == NULL) {
    strlit16 = alloc_String("e");
    gc_root(strlit16);
  }
// compilenode returning strlit16
  params[0] = strlit16;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit17 == NULL) {
    strlit17 = alloc_String("f");
    gc_root(strlit17);
  }
// compilenode returning strlit17
  params[0] = strlit17;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array1
  *var_chars = array1;
  if (array1 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num18 = alloc_Float64(0);
// compilenode returning num18
  *var_ret = num18;
  if (num18 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num19 = alloc_Float64(0);
// compilenode returning num19
  *var_i = num19;
  if (num19 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe20 = gc_frame_new();
// compilenode returning *var_chars
  gc_frame_newslot(*var_chars);
  Object block21 = alloc_Block(NULL, NULL, "lexer", 15);
  gc_frame_newslot(block21);
  block_savedest(block21);
  Object closure22 = createclosure(4, "_apply");
setclosureframe(closure22, stackframe);
  addtoclosure(closure22, var_c);
  addtoclosure(closure22, var_i);
  addtoclosure(closure22, var_ret);
  addtoclosure(closure22, selfslot);
  struct UserObject *uo22 = (struct UserObject*)block21;
  uo22->data[0] = (Object)closure22;
  Method *meth_meth_lexer__apply22 = addmethod2pos(block21, "_apply", &meth_lexer__apply22, 0);
int argcv_meth_lexer__apply22[] = {1};
meth_meth_lexer__apply22->type = alloc_MethodType(1, argcv_meth_lexer__apply22);
  meth_meth_lexer__apply22->definitionModule = modulename;
  meth_meth_lexer__apply22->definitionLine = 1058;
// compilenode returning block21
  gc_frame_newslot(block21);
  params[0] = *var_chars;
  params[1] = block21;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call34 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe20);
// compilenode returning call34
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_ret
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_lexer__apply44(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_l = getfromclosure(closure, 0);
  Object *var_s_39_ = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var_l
  int op_slot_right_45 = gc_frame_newslot(*var_l);
  int callframe47 = gc_frame_new();
// compilenode returning *var_s_39_
  partcv[0] = 0;
  Object call48 = callmethod(*var_s_39_, "size",
    1, partcv, params);
  gc_frame_end(callframe47);
// compilenode returning call48
// compilenode returning call48
  int op_slot_left_45 = gc_frame_newslot(call48);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult49 = callmethod(call48, "<", 1, partcv, params);
// compilenode returning opresult49
  gc_frame_end(frame);
  return opresult49;
}
Object meth_lexer__apply52(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s_39_ = getfromclosure(closure, 0);
  Object *var_w = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s_39_
  int op_slot_right_53 = gc_frame_newslot(*var_s_39_);
// compilenode returning *var_w
  int op_slot_left_53 = gc_frame_newslot(*var_w);
  params[0] = *var_s_39_;
  partcv[0] = 1;
  Object opresult55 = callmethod(*var_w, "++", 1, partcv, params);
// compilenode returning opresult55
  *var_s_39_ = opresult55;
  if (opresult55 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_padl35(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "padl");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for padl (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_w = &(stackframe->slots[2]);
  *var_w = args[curarg];
  curarg++;
if (argcv && argcv[0] > 3)
  gracedie("too many arguments for padl");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s_39_ = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "s'");
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_l
  int op_slot_right_37 = gc_frame_newslot(*var_l);
  int callframe39 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call40 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe39);
// compilenode returning call40
// compilenode returning call40
  int op_slot_left_37 = gc_frame_newslot(call40);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult41 = callmethod(call40, ">=", 1, partcv, params);
// compilenode returning opresult41
  Object if36 = done;
  if (istrue(opresult41)) {
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  return *var_s;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if36 = undefined;
  } else {
  }
// compilenode returning if36
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  *var_s_39_ = *var_s;
  if (*var_s == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe42 = gc_frame_new();
  Object block43 = alloc_Block(NULL, NULL, "lexer", 28);
  gc_frame_newslot(block43);
  block_savedest(block43);
  Object closure44 = createclosure(3, "_apply");
setclosureframe(closure44, stackframe);
  addtoclosure(closure44, var_l);
  addtoclosure(closure44, var_s_39_);
  addtoclosure(closure44, selfslot);
  struct UserObject *uo44 = (struct UserObject*)block43;
  uo44->data[0] = (Object)closure44;
  Method *meth_meth_lexer__apply44 = addmethod2pos(block43, "_apply", &meth_lexer__apply44, 0);
int argcv_meth_lexer__apply44[] = {0};
meth_meth_lexer__apply44->type = alloc_MethodType(1, argcv_meth_lexer__apply44);
  meth_meth_lexer__apply44->definitionModule = modulename;
  meth_meth_lexer__apply44->definitionLine = 24;
// compilenode returning block43
  gc_frame_newslot(block43);
  Object block51 = alloc_Block(NULL, NULL, "lexer", 28);
  gc_frame_newslot(block51);
  block_savedest(block51);
  Object closure52 = createclosure(3, "_apply");
setclosureframe(closure52, stackframe);
  addtoclosure(closure52, var_s_39_);
  addtoclosure(closure52, var_w);
  addtoclosure(closure52, selfslot);
  struct UserObject *uo52 = (struct UserObject*)block51;
  uo52->data[0] = (Object)closure52;
  Method *meth_meth_lexer__apply52 = addmethod2pos(block51, "_apply", &meth_lexer__apply52, 0);
int argcv_meth_lexer__apply52[] = {0};
meth_meth_lexer__apply52->type = alloc_MethodType(1, argcv_meth_lexer__apply52);
  meth_meth_lexer__apply52->definitionModule = modulename;
  meth_meth_lexer__apply52->definitionLine = 28;
// compilenode returning block51
  gc_frame_newslot(block51);
  params[0] = block43;
  params[1] = block51;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call58 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe42);
// compilenode returning call58
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s_39_
  return *var_s_39_;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_Lexer59(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Lexer");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_LexerClass = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for Lexer (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for Lexer");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_LexerClass
  gc_frame_end(frame);
  return *var_LexerClass;
}
Object meth_lexer__61__61_77(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for == (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for ==");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool80 = alloc_Boolean(0);
// compilenode returning bool80
  int op_slot_right_79 = gc_frame_newslot(bool80);
// compilenode returning *var_other
  int op_slot_left_79 = gc_frame_newslot(*var_other);
  params[0] = bool80;
  partcv[0] = 1;
  Object opresult82 = callmethod(*var_other, "==", 1, partcv, params);
// compilenode returning opresult82
  Object if78 = done;
  if (istrue(opresult82)) {
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool83 = alloc_Boolean(0);
// compilenode returning bool83
    gc_frame_newslot(bool83);
    if78 = bool83;
  } else {
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe86 = gc_frame_new();
  partcv[0] = 0;
  Object call87 = callmethodflags(self, "linePos", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe86);
// compilenode returning call87
  int op_slot_right_85 = gc_frame_newslot(call87);
  int callframe89 = gc_frame_new();
// compilenode returning *var_other
  partcv[0] = 0;
  Object call90 = callmethod(*var_other, "linePos",
    1, partcv, params);
  gc_frame_end(callframe89);
// compilenode returning call90
// compilenode returning call90
  int op_slot_left_85 = gc_frame_newslot(call90);
  params[0] = call87;
  partcv[0] = 1;
  Object opresult91 = callmethod(call90, "==", 1, partcv, params);
// compilenode returning opresult91
  int op_slot_right_84 = gc_frame_newslot(opresult91);
  int callframe94 = gc_frame_new();
  partcv[0] = 0;
  Object call95 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe94);
// compilenode returning call95
  int op_slot_right_93 = gc_frame_newslot(call95);
  int callframe97 = gc_frame_new();
// compilenode returning *var_other
  partcv[0] = 0;
  Object call98 = callmethod(*var_other, "line",
    1, partcv, params);
  gc_frame_end(callframe97);
// compilenode returning call98
// compilenode returning call98
  int op_slot_left_93 = gc_frame_newslot(call98);
  params[0] = call95;
  partcv[0] = 1;
  Object opresult99 = callmethod(call98, "==", 1, partcv, params);
// compilenode returning opresult99
  int op_slot_left_84 = gc_frame_newslot(opresult99);
  params[0] = opresult91;
  partcv[0] = 1;
  Object opresult100 = callmethod(opresult99, "&&", 1, partcv, params);
// compilenode returning opresult100
    gc_frame_newslot(opresult100);
    if78 = opresult100;
  }
// compilenode returning if78
  gc_frame_end(frame);
  return if78;
}
Object meth_lexer_new69(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lineNumber = getfromclosure(closure, 0);
  Object *var_indentLevel = getfromclosure(closure, 1);
  Object *var_startPosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject70 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj70 = alloc_userobj2(8,7, objclass70);
  gc_frame_newslot(obj70);
if (objclass70 == NULL) {
  glfree(obj70->class->name);
  obj70->class->name = "Token";
}
// OBJECT OUTER DEC outer
  adddatum2(obj70, self, 0);
  addmethodreal(obj70,"outer", &reader_lexer_outer_71);
  Object oldself70 = self;
  struct StackFrameObject *oldstackframe70 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe70);
  gc_frame_newslot((Object)stackframe);
  self = obj70;
  Object *oldselfslot70 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter70 = (*(struct UserObject *)self).data[0], lowerouter70 = thisouter70;
  if (inheritingObject70) {
    struct UserObject *inho70 = (struct UserObject *)inheritingObject70;
    while (inho70->super != GraceDefaultObject) inho70 = (struct UserObject *)inho70->super;
    inho70->super = obj70;
    self = inheritingObject70;
    *selfslot = self;
    lowerouter70 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter70;
  }
if (objclass70 == NULL) {
  Method *reader72 = addmethodrealflags(obj70, "line",&reader_lexer_line_72, MFLAG_DEF);
  reader72->definitionModule = modulename;
  reader72->definitionLine = 43;
}
adddatum2(obj70, alloc_Undefined(), 1);
if (objclass70 == NULL) {
  Method *reader73 = addmethodrealflags(obj70, "indent",&reader_lexer_indent_73, MFLAG_DEF);
  reader73->definitionModule = modulename;
  reader73->definitionLine = 44;
}
adddatum2(obj70, alloc_Undefined(), 2);
if (objclass70 == NULL) {
  Method *reader74 = addmethodrealflags(obj70, "linePos",&reader_lexer_linePos_74, MFLAG_DEF);
  reader74->definitionModule = modulename;
  reader74->definitionLine = 46;
}
adddatum2(obj70, alloc_Undefined(), 3);
if (objclass70 == NULL) {
  Method *reader75 = addmethodrealflags(obj70, "next",&reader_lexer_next_75, 0);
  Method *writer75 = addmethodrealflags(obj70, "next:=",&writer_lexer_next_75, 0);
  reader75->definitionModule = modulename;
  writer75->definitionModule = modulename;
  reader75->definitionLine = 47;
  writer75->definitionLine = 47;
}
obj70->flags |= OFLAG_MUTABLE;
adddatum2(obj70, alloc_Undefined(), 4);
if (objclass70 == NULL) {
  Method *reader76 = addmethodrealflags(obj70, "prev",&reader_lexer_prev_76, 0);
  Method *writer76 = addmethodrealflags(obj70, "prev:=",&writer_lexer_prev_76, 0);
  reader76->definitionModule = modulename;
  writer76->definitionModule = modulename;
  reader76->definitionLine = 49;
  writer76->definitionLine = 49;
}
obj70->flags |= OFLAG_MUTABLE;
adddatum2(obj70, alloc_Undefined(), 5);
  struct UserObject *uo77 = (struct UserObject*)obj70;
  uo77->data[6] = emptyclosure;
  Method *meth_meth_lexer__61__61_77 = addmethod2pos(obj70, "==", &meth_lexer__61__61_77, 6);
int argcv_meth_lexer__61__61_77[] = {1};
meth_meth_lexer__61__61_77->type = alloc_MethodType(1, argcv_meth_lexer__61__61_77);
  meth_meth_lexer__61__61_77->definitionModule = modulename;
  meth_meth_lexer__61__61_77->definitionLine = 49;
  sourceObject = obj70;
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  adddatum2(obj70, *var_lineNumber, 1);
  sourceObject = obj70;
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_indentLevel
  adddatum2(obj70, *var_indentLevel, 2);
  sourceObject = obj70;
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_startPosition
  adddatum2(obj70, *var_startPosition, 3);
  sourceObject = obj70;
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool101 = alloc_Boolean(0);
// compilenode returning bool101
  adddatum2(obj70, bool101, 4);
  sourceObject = obj70;
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool102 = alloc_Boolean(0);
// compilenode returning bool102
  adddatum2(obj70, bool102, 5);
  sourceObject = obj70;
objclass70 = obj70->class;
  objclass70->definitionModule = modulename;
  objclass70->definitionLine = 28;
  (*(struct UserObject *)self).data[0] = lowerouter70;
  self = oldself70;
  selfslot = oldselfslot70;
  stackframe = oldstackframe70;
  gc_frame_end(frame);
  return obj70;
}
Object meth_lexer_new69_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_lineNumber = getfromclosure(closure, 0);
  Object *var_indentLevel = getfromclosure(closure, 1);
  Object *var_startPosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject70 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj70 = alloc_userobj2(8,7, objclass70);
  gc_frame_newslot(obj70);
if (objclass70 == NULL) {
  glfree(obj70->class->name);
  obj70->class->name = "Token";
}
// OBJECT OUTER DEC outer
  adddatum2(obj70, self, 0);
  addmethodreal(obj70,"outer", &reader_lexer_outer_71);
  Object oldself70 = self;
  struct StackFrameObject *oldstackframe70 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe70);
  gc_frame_newslot((Object)stackframe);
  self = obj70;
  Object *oldselfslot70 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter70 = (*(struct UserObject *)self).data[0], lowerouter70 = thisouter70;
  if (inheritingObject70) {
    struct UserObject *inho70 = (struct UserObject *)inheritingObject70;
    while (inho70->super != GraceDefaultObject) inho70 = (struct UserObject *)inho70->super;
    inho70->super = obj70;
    self = inheritingObject70;
    *selfslot = self;
    lowerouter70 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter70;
  }
if (objclass70 == NULL) {
  Method *reader72 = addmethodrealflags(obj70, "line",&reader_lexer_line_72, MFLAG_DEF);
  reader72->definitionModule = modulename;
  reader72->definitionLine = 43;
}
adddatum2(obj70, alloc_Undefined(), 1);
if (objclass70 == NULL) {
  Method *reader73 = addmethodrealflags(obj70, "indent",&reader_lexer_indent_73, MFLAG_DEF);
  reader73->definitionModule = modulename;
  reader73->definitionLine = 44;
}
adddatum2(obj70, alloc_Undefined(), 2);
if (objclass70 == NULL) {
  Method *reader74 = addmethodrealflags(obj70, "linePos",&reader_lexer_linePos_74, MFLAG_DEF);
  reader74->definitionModule = modulename;
  reader74->definitionLine = 46;
}
adddatum2(obj70, alloc_Undefined(), 3);
if (objclass70 == NULL) {
  Method *reader75 = addmethodrealflags(obj70, "next",&reader_lexer_next_75, 0);
  Method *writer75 = addmethodrealflags(obj70, "next:=",&writer_lexer_next_75, 0);
  reader75->definitionModule = modulename;
  writer75->definitionModule = modulename;
  reader75->definitionLine = 47;
  writer75->definitionLine = 47;
}
obj70->flags |= OFLAG_MUTABLE;
adddatum2(obj70, alloc_Undefined(), 4);
if (objclass70 == NULL) {
  Method *reader76 = addmethodrealflags(obj70, "prev",&reader_lexer_prev_76, 0);
  Method *writer76 = addmethodrealflags(obj70, "prev:=",&writer_lexer_prev_76, 0);
  reader76->definitionModule = modulename;
  writer76->definitionModule = modulename;
  reader76->definitionLine = 49;
  writer76->definitionLine = 49;
}
obj70->flags |= OFLAG_MUTABLE;
adddatum2(obj70, alloc_Undefined(), 5);
  struct UserObject *uo77 = (struct UserObject*)obj70;
  uo77->data[6] = emptyclosure;
  Method *meth_meth_lexer__61__61_77 = addmethod2pos(obj70, "==", &meth_lexer__61__61_77, 6);
int argcv_meth_lexer__61__61_77[] = {1};
meth_meth_lexer__61__61_77->type = alloc_MethodType(1, argcv_meth_lexer__61__61_77);
  meth_meth_lexer__61__61_77->definitionModule = modulename;
  meth_meth_lexer__61__61_77->definitionLine = 49;
  sourceObject = obj70;
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  adddatum2(obj70, *var_lineNumber, 1);
  sourceObject = obj70;
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_indentLevel
  adddatum2(obj70, *var_indentLevel, 2);
  sourceObject = obj70;
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_startPosition
  adddatum2(obj70, *var_startPosition, 3);
  sourceObject = obj70;
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool101 = alloc_Boolean(0);
// compilenode returning bool101
  adddatum2(obj70, bool101, 4);
  sourceObject = obj70;
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool102 = alloc_Boolean(0);
// compilenode returning bool102
  adddatum2(obj70, bool102, 5);
  sourceObject = obj70;
objclass70 = obj70->class;
  objclass70->definitionModule = modulename;
  objclass70->definitionLine = 28;
  (*(struct UserObject *)self).data[0] = lowerouter70;
  self = oldself70;
  selfslot = oldselfslot70;
  stackframe = oldstackframe70;
  gc_frame_end(frame);
  return obj70;
}
Object meth_lexer_new106(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject107 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj107 = alloc_userobj2(4,5, objclass107);
  gc_frame_newslot(obj107);
if (objclass107 == NULL) {
  glfree(obj107->class->name);
  obj107->class->name = "IdentifierToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj107, self, 0);
  addmethodreal(obj107,"outer", &reader_lexer_outer_108);
  Object oldself107 = self;
  struct StackFrameObject *oldstackframe107 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe107);
  gc_frame_newslot((Object)stackframe);
  self = obj107;
  Object *oldselfslot107 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter107 = (*(struct UserObject *)self).data[0], lowerouter107 = thisouter107;
  if (inheritingObject107) {
    struct UserObject *inho107 = (struct UserObject *)inheritingObject107;
    while (inho107->super != GraceDefaultObject) inho107 = (struct UserObject *)inho107->super;
    inho107->super = obj107;
    self = inheritingObject107;
    *selfslot = self;
    lowerouter107 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter107;
  }
if (objclass107 == NULL) {
  Method *reader109 = addmethodrealflags(obj107, "kind",&reader_lexer_kind_109, MFLAG_DEF);
  reader109->definitionModule = modulename;
  reader109->definitionLine = 61;
}
adddatum2(obj107, alloc_Undefined(), 1);
if (objclass107 == NULL) {
  Method *reader110 = addmethodrealflags(obj107, "value",&reader_lexer_value_110, MFLAG_DEF);
  reader110->definitionModule = modulename;
  reader110->definitionLine = 62;
}
adddatum2(obj107, alloc_Undefined(), 2);
if (objclass107 == NULL) {
  Method *reader111 = addmethodrealflags(obj107, "size",&reader_lexer_size_111, MFLAG_DEF);
  reader111->definitionModule = modulename;
  reader111->definitionLine = 63;
}
adddatum2(obj107, alloc_Undefined(), 3);
  sourceObject = obj107;
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe112 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call113 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe112);
// compilenode returning call113
  struct UserObject *obj107_uo = (struct UserObject *)obj107;
  obj107_uo->super = call113;
  sourceObject = obj107;
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit114 == NULL) {
    strlit114 = alloc_String("identifier");
    gc_root(strlit114);
  }
// compilenode returning strlit114
  adddatum2(obj107, strlit114, 1);
  sourceObject = obj107;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj107, *var_s, 2);
  sourceObject = obj107;
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe115 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call116 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe115);
// compilenode returning call116
// compilenode returning call116
  adddatum2(obj107, call116, 3);
objclass107 = obj107->class;
  objclass107->definitionModule = modulename;
  objclass107->definitionLine = 53;
  (*(struct UserObject *)self).data[0] = lowerouter107;
  self = oldself107;
  selfslot = oldselfslot107;
  stackframe = oldstackframe107;
  gc_frame_end(frame);
  return obj107;
}
Object meth_lexer_new106_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject107 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj107 = alloc_userobj2(4,5, objclass107);
  gc_frame_newslot(obj107);
if (objclass107 == NULL) {
  glfree(obj107->class->name);
  obj107->class->name = "IdentifierToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj107, self, 0);
  addmethodreal(obj107,"outer", &reader_lexer_outer_108);
  Object oldself107 = self;
  struct StackFrameObject *oldstackframe107 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe107);
  gc_frame_newslot((Object)stackframe);
  self = obj107;
  Object *oldselfslot107 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter107 = (*(struct UserObject *)self).data[0], lowerouter107 = thisouter107;
  if (inheritingObject107) {
    struct UserObject *inho107 = (struct UserObject *)inheritingObject107;
    while (inho107->super != GraceDefaultObject) inho107 = (struct UserObject *)inho107->super;
    inho107->super = obj107;
    self = inheritingObject107;
    *selfslot = self;
    lowerouter107 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter107;
  }
if (objclass107 == NULL) {
  Method *reader109 = addmethodrealflags(obj107, "kind",&reader_lexer_kind_109, MFLAG_DEF);
  reader109->definitionModule = modulename;
  reader109->definitionLine = 61;
}
adddatum2(obj107, alloc_Undefined(), 1);
if (objclass107 == NULL) {
  Method *reader110 = addmethodrealflags(obj107, "value",&reader_lexer_value_110, MFLAG_DEF);
  reader110->definitionModule = modulename;
  reader110->definitionLine = 62;
}
adddatum2(obj107, alloc_Undefined(), 2);
if (objclass107 == NULL) {
  Method *reader111 = addmethodrealflags(obj107, "size",&reader_lexer_size_111, MFLAG_DEF);
  reader111->definitionModule = modulename;
  reader111->definitionLine = 63;
}
adddatum2(obj107, alloc_Undefined(), 3);
  sourceObject = obj107;
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe112 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call113 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe112);
// compilenode returning call113
  struct UserObject *obj107_uo = (struct UserObject *)obj107;
  obj107_uo->super = call113;
  sourceObject = obj107;
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit114 == NULL) {
    strlit114 = alloc_String("identifier");
    gc_root(strlit114);
  }
// compilenode returning strlit114
  adddatum2(obj107, strlit114, 1);
  sourceObject = obj107;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj107, *var_s, 2);
  sourceObject = obj107;
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe115 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call116 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe115);
// compilenode returning call116
// compilenode returning call116
  adddatum2(obj107, call116, 3);
objclass107 = obj107->class;
  objclass107->definitionModule = modulename;
  objclass107->definitionLine = 53;
  (*(struct UserObject *)self).data[0] = lowerouter107;
  self = oldself107;
  selfslot = oldselfslot107;
  stackframe = oldstackframe107;
  gc_frame_end(frame);
  return obj107;
}
Object meth_lexer_new120(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject121 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj121 = alloc_userobj2(4,5, objclass121);
  gc_frame_newslot(obj121);
if (objclass121 == NULL) {
  glfree(obj121->class->name);
  obj121->class->name = "StringToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj121, self, 0);
  addmethodreal(obj121,"outer", &reader_lexer_outer_122);
  Object oldself121 = self;
  struct StackFrameObject *oldstackframe121 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe121);
  gc_frame_newslot((Object)stackframe);
  self = obj121;
  Object *oldselfslot121 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter121 = (*(struct UserObject *)self).data[0], lowerouter121 = thisouter121;
  if (inheritingObject121) {
    struct UserObject *inho121 = (struct UserObject *)inheritingObject121;
    while (inho121->super != GraceDefaultObject) inho121 = (struct UserObject *)inho121->super;
    inho121->super = obj121;
    self = inheritingObject121;
    *selfslot = self;
    lowerouter121 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter121;
  }
if (objclass121 == NULL) {
  Method *reader123 = addmethodrealflags(obj121, "kind",&reader_lexer_kind_123, MFLAG_DEF);
  reader123->definitionModule = modulename;
  reader123->definitionLine = 67;
}
adddatum2(obj121, alloc_Undefined(), 1);
if (objclass121 == NULL) {
  Method *reader124 = addmethodrealflags(obj121, "value",&reader_lexer_value_124, MFLAG_DEF);
  reader124->definitionModule = modulename;
  reader124->definitionLine = 68;
}
adddatum2(obj121, alloc_Undefined(), 2);
if (objclass121 == NULL) {
  Method *reader125 = addmethodrealflags(obj121, "size",&reader_lexer_size_125, MFLAG_DEF);
  reader125->definitionModule = modulename;
  reader125->definitionLine = 69;
}
adddatum2(obj121, alloc_Undefined(), 3);
  sourceObject = obj121;
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe126 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call127 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe126);
// compilenode returning call127
  struct UserObject *obj121_uo = (struct UserObject *)obj121;
  obj121_uo->super = call127;
  sourceObject = obj121;
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit128 == NULL) {
    strlit128 = alloc_String("string");
    gc_root(strlit128);
  }
// compilenode returning strlit128
  adddatum2(obj121, strlit128, 1);
  sourceObject = obj121;
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj121, *var_s, 2);
  sourceObject = obj121;
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num130 = alloc_Float64(2);
// compilenode returning num130
  int op_slot_right_129 = gc_frame_newslot(num130);
  int callframe132 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call133 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe132);
// compilenode returning call133
// compilenode returning call133
  int op_slot_left_129 = gc_frame_newslot(call133);
  params[0] = num130;
  partcv[0] = 1;
  Object sum134 = callmethod(call133, "+", 1, partcv, params);
// compilenode returning sum134
  adddatum2(obj121, sum134, 3);
objclass121 = obj121->class;
  objclass121->definitionModule = modulename;
  objclass121->definitionLine = 62;
  (*(struct UserObject *)self).data[0] = lowerouter121;
  self = oldself121;
  selfslot = oldselfslot121;
  stackframe = oldstackframe121;
  gc_frame_end(frame);
  return obj121;
}
Object meth_lexer_new120_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject121 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj121 = alloc_userobj2(4,5, objclass121);
  gc_frame_newslot(obj121);
if (objclass121 == NULL) {
  glfree(obj121->class->name);
  obj121->class->name = "StringToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj121, self, 0);
  addmethodreal(obj121,"outer", &reader_lexer_outer_122);
  Object oldself121 = self;
  struct StackFrameObject *oldstackframe121 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe121);
  gc_frame_newslot((Object)stackframe);
  self = obj121;
  Object *oldselfslot121 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter121 = (*(struct UserObject *)self).data[0], lowerouter121 = thisouter121;
  if (inheritingObject121) {
    struct UserObject *inho121 = (struct UserObject *)inheritingObject121;
    while (inho121->super != GraceDefaultObject) inho121 = (struct UserObject *)inho121->super;
    inho121->super = obj121;
    self = inheritingObject121;
    *selfslot = self;
    lowerouter121 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter121;
  }
if (objclass121 == NULL) {
  Method *reader123 = addmethodrealflags(obj121, "kind",&reader_lexer_kind_123, MFLAG_DEF);
  reader123->definitionModule = modulename;
  reader123->definitionLine = 67;
}
adddatum2(obj121, alloc_Undefined(), 1);
if (objclass121 == NULL) {
  Method *reader124 = addmethodrealflags(obj121, "value",&reader_lexer_value_124, MFLAG_DEF);
  reader124->definitionModule = modulename;
  reader124->definitionLine = 68;
}
adddatum2(obj121, alloc_Undefined(), 2);
if (objclass121 == NULL) {
  Method *reader125 = addmethodrealflags(obj121, "size",&reader_lexer_size_125, MFLAG_DEF);
  reader125->definitionModule = modulename;
  reader125->definitionLine = 69;
}
adddatum2(obj121, alloc_Undefined(), 3);
  sourceObject = obj121;
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe126 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call127 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe126);
// compilenode returning call127
  struct UserObject *obj121_uo = (struct UserObject *)obj121;
  obj121_uo->super = call127;
  sourceObject = obj121;
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit128 == NULL) {
    strlit128 = alloc_String("string");
    gc_root(strlit128);
  }
// compilenode returning strlit128
  adddatum2(obj121, strlit128, 1);
  sourceObject = obj121;
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj121, *var_s, 2);
  sourceObject = obj121;
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num130 = alloc_Float64(2);
// compilenode returning num130
  int op_slot_right_129 = gc_frame_newslot(num130);
  int callframe132 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call133 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe132);
// compilenode returning call133
// compilenode returning call133
  int op_slot_left_129 = gc_frame_newslot(call133);
  params[0] = num130;
  partcv[0] = 1;
  Object sum134 = callmethod(call133, "+", 1, partcv, params);
// compilenode returning sum134
  adddatum2(obj121, sum134, 3);
objclass121 = obj121->class;
  objclass121->definitionModule = modulename;
  objclass121->definitionLine = 62;
  (*(struct UserObject *)self).data[0] = lowerouter121;
  self = oldself121;
  selfslot = oldselfslot121;
  stackframe = oldstackframe121;
  gc_frame_end(frame);
  return obj121;
}
Object meth_lexer_new138(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject139 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj139 = alloc_userobj2(4,5, objclass139);
  gc_frame_newslot(obj139);
if (objclass139 == NULL) {
  glfree(obj139->class->name);
  obj139->class->name = "CommentToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj139, self, 0);
  addmethodreal(obj139,"outer", &reader_lexer_outer_140);
  Object oldself139 = self;
  struct StackFrameObject *oldstackframe139 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe139);
  gc_frame_newslot((Object)stackframe);
  self = obj139;
  Object *oldselfslot139 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter139 = (*(struct UserObject *)self).data[0], lowerouter139 = thisouter139;
  if (inheritingObject139) {
    struct UserObject *inho139 = (struct UserObject *)inheritingObject139;
    while (inho139->super != GraceDefaultObject) inho139 = (struct UserObject *)inho139->super;
    inho139->super = obj139;
    self = inheritingObject139;
    *selfslot = self;
    lowerouter139 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter139;
  }
if (objclass139 == NULL) {
  Method *reader141 = addmethodrealflags(obj139, "kind",&reader_lexer_kind_141, MFLAG_DEF);
  reader141->definitionModule = modulename;
  reader141->definitionLine = 73;
}
adddatum2(obj139, alloc_Undefined(), 1);
if (objclass139 == NULL) {
  Method *reader142 = addmethodrealflags(obj139, "value",&reader_lexer_value_142, MFLAG_DEF);
  reader142->definitionModule = modulename;
  reader142->definitionLine = 74;
}
adddatum2(obj139, alloc_Undefined(), 2);
if (objclass139 == NULL) {
  Method *reader143 = addmethodrealflags(obj139, "size",&reader_lexer_size_143, MFLAG_DEF);
  reader143->definitionModule = modulename;
  reader143->definitionLine = 75;
}
adddatum2(obj139, alloc_Undefined(), 3);
  sourceObject = obj139;
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe144 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call145 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe144);
// compilenode returning call145
  struct UserObject *obj139_uo = (struct UserObject *)obj139;
  obj139_uo->super = call145;
  sourceObject = obj139;
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit146 == NULL) {
    strlit146 = alloc_String("comment");
    gc_root(strlit146);
  }
// compilenode returning strlit146
  adddatum2(obj139, strlit146, 1);
  sourceObject = obj139;
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj139, *var_s, 2);
  sourceObject = obj139;
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num148 = alloc_Float64(2);
// compilenode returning num148
  int op_slot_right_147 = gc_frame_newslot(num148);
  int callframe150 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call151 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe150);
// compilenode returning call151
// compilenode returning call151
  int op_slot_left_147 = gc_frame_newslot(call151);
  params[0] = num148;
  partcv[0] = 1;
  Object sum152 = callmethod(call151, "+", 1, partcv, params);
// compilenode returning sum152
  adddatum2(obj139, sum152, 3);
objclass139 = obj139->class;
  objclass139->definitionModule = modulename;
  objclass139->definitionLine = 68;
  (*(struct UserObject *)self).data[0] = lowerouter139;
  self = oldself139;
  selfslot = oldselfslot139;
  stackframe = oldstackframe139;
  gc_frame_end(frame);
  return obj139;
}
Object meth_lexer_new138_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject139 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj139 = alloc_userobj2(4,5, objclass139);
  gc_frame_newslot(obj139);
if (objclass139 == NULL) {
  glfree(obj139->class->name);
  obj139->class->name = "CommentToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj139, self, 0);
  addmethodreal(obj139,"outer", &reader_lexer_outer_140);
  Object oldself139 = self;
  struct StackFrameObject *oldstackframe139 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe139);
  gc_frame_newslot((Object)stackframe);
  self = obj139;
  Object *oldselfslot139 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter139 = (*(struct UserObject *)self).data[0], lowerouter139 = thisouter139;
  if (inheritingObject139) {
    struct UserObject *inho139 = (struct UserObject *)inheritingObject139;
    while (inho139->super != GraceDefaultObject) inho139 = (struct UserObject *)inho139->super;
    inho139->super = obj139;
    self = inheritingObject139;
    *selfslot = self;
    lowerouter139 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter139;
  }
if (objclass139 == NULL) {
  Method *reader141 = addmethodrealflags(obj139, "kind",&reader_lexer_kind_141, MFLAG_DEF);
  reader141->definitionModule = modulename;
  reader141->definitionLine = 73;
}
adddatum2(obj139, alloc_Undefined(), 1);
if (objclass139 == NULL) {
  Method *reader142 = addmethodrealflags(obj139, "value",&reader_lexer_value_142, MFLAG_DEF);
  reader142->definitionModule = modulename;
  reader142->definitionLine = 74;
}
adddatum2(obj139, alloc_Undefined(), 2);
if (objclass139 == NULL) {
  Method *reader143 = addmethodrealflags(obj139, "size",&reader_lexer_size_143, MFLAG_DEF);
  reader143->definitionModule = modulename;
  reader143->definitionLine = 75;
}
adddatum2(obj139, alloc_Undefined(), 3);
  sourceObject = obj139;
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe144 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call145 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe144);
// compilenode returning call145
  struct UserObject *obj139_uo = (struct UserObject *)obj139;
  obj139_uo->super = call145;
  sourceObject = obj139;
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit146 == NULL) {
    strlit146 = alloc_String("comment");
    gc_root(strlit146);
  }
// compilenode returning strlit146
  adddatum2(obj139, strlit146, 1);
  sourceObject = obj139;
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj139, *var_s, 2);
  sourceObject = obj139;
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num148 = alloc_Float64(2);
// compilenode returning num148
  int op_slot_right_147 = gc_frame_newslot(num148);
  int callframe150 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call151 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe150);
// compilenode returning call151
// compilenode returning call151
  int op_slot_left_147 = gc_frame_newslot(call151);
  params[0] = num148;
  partcv[0] = 1;
  Object sum152 = callmethod(call151, "+", 1, partcv, params);
// compilenode returning sum152
  adddatum2(obj139, sum152, 3);
objclass139 = obj139->class;
  objclass139->definitionModule = modulename;
  objclass139->definitionLine = 68;
  (*(struct UserObject *)self).data[0] = lowerouter139;
  self = oldself139;
  selfslot = oldselfslot139;
  stackframe = oldstackframe139;
  gc_frame_end(frame);
  return obj139;
}
Object meth_lexer_new156(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject157 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj157 = alloc_userobj2(4,5, objclass157);
  gc_frame_newslot(obj157);
if (objclass157 == NULL) {
  glfree(obj157->class->name);
  obj157->class->name = "OctetsToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj157, self, 0);
  addmethodreal(obj157,"outer", &reader_lexer_outer_158);
  Object oldself157 = self;
  struct StackFrameObject *oldstackframe157 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe157);
  gc_frame_newslot((Object)stackframe);
  self = obj157;
  Object *oldselfslot157 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter157 = (*(struct UserObject *)self).data[0], lowerouter157 = thisouter157;
  if (inheritingObject157) {
    struct UserObject *inho157 = (struct UserObject *)inheritingObject157;
    while (inho157->super != GraceDefaultObject) inho157 = (struct UserObject *)inho157->super;
    inho157->super = obj157;
    self = inheritingObject157;
    *selfslot = self;
    lowerouter157 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter157;
  }
if (objclass157 == NULL) {
  Method *reader159 = addmethodrealflags(obj157, "kind",&reader_lexer_kind_159, MFLAG_DEF);
  reader159->definitionModule = modulename;
  reader159->definitionLine = 79;
}
adddatum2(obj157, alloc_Undefined(), 1);
if (objclass157 == NULL) {
  Method *reader160 = addmethodrealflags(obj157, "value",&reader_lexer_value_160, MFLAG_DEF);
  reader160->definitionModule = modulename;
  reader160->definitionLine = 80;
}
adddatum2(obj157, alloc_Undefined(), 2);
if (objclass157 == NULL) {
  Method *reader161 = addmethodrealflags(obj157, "size",&reader_lexer_size_161, MFLAG_DEF);
  reader161->definitionModule = modulename;
  reader161->definitionLine = 81;
}
adddatum2(obj157, alloc_Undefined(), 3);
  sourceObject = obj157;
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe162 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call163 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe162);
// compilenode returning call163
  struct UserObject *obj157_uo = (struct UserObject *)obj157;
  obj157_uo->super = call163;
  sourceObject = obj157;
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit164 == NULL) {
    strlit164 = alloc_String("octets");
    gc_root(strlit164);
  }
// compilenode returning strlit164
  adddatum2(obj157, strlit164, 1);
  sourceObject = obj157;
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj157, *var_s, 2);
  sourceObject = obj157;
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num166 = alloc_Float64(3);
// compilenode returning num166
  int op_slot_right_165 = gc_frame_newslot(num166);
  int callframe168 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call169 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe168);
// compilenode returning call169
// compilenode returning call169
  int op_slot_left_165 = gc_frame_newslot(call169);
  params[0] = num166;
  partcv[0] = 1;
  Object sum170 = callmethod(call169, "+", 1, partcv, params);
// compilenode returning sum170
  adddatum2(obj157, sum170, 3);
objclass157 = obj157->class;
  objclass157->definitionModule = modulename;
  objclass157->definitionLine = 74;
  (*(struct UserObject *)self).data[0] = lowerouter157;
  self = oldself157;
  selfslot = oldselfslot157;
  stackframe = oldstackframe157;
  gc_frame_end(frame);
  return obj157;
}
Object meth_lexer_new156_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject157 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj157 = alloc_userobj2(4,5, objclass157);
  gc_frame_newslot(obj157);
if (objclass157 == NULL) {
  glfree(obj157->class->name);
  obj157->class->name = "OctetsToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj157, self, 0);
  addmethodreal(obj157,"outer", &reader_lexer_outer_158);
  Object oldself157 = self;
  struct StackFrameObject *oldstackframe157 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe157);
  gc_frame_newslot((Object)stackframe);
  self = obj157;
  Object *oldselfslot157 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter157 = (*(struct UserObject *)self).data[0], lowerouter157 = thisouter157;
  if (inheritingObject157) {
    struct UserObject *inho157 = (struct UserObject *)inheritingObject157;
    while (inho157->super != GraceDefaultObject) inho157 = (struct UserObject *)inho157->super;
    inho157->super = obj157;
    self = inheritingObject157;
    *selfslot = self;
    lowerouter157 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter157;
  }
if (objclass157 == NULL) {
  Method *reader159 = addmethodrealflags(obj157, "kind",&reader_lexer_kind_159, MFLAG_DEF);
  reader159->definitionModule = modulename;
  reader159->definitionLine = 79;
}
adddatum2(obj157, alloc_Undefined(), 1);
if (objclass157 == NULL) {
  Method *reader160 = addmethodrealflags(obj157, "value",&reader_lexer_value_160, MFLAG_DEF);
  reader160->definitionModule = modulename;
  reader160->definitionLine = 80;
}
adddatum2(obj157, alloc_Undefined(), 2);
if (objclass157 == NULL) {
  Method *reader161 = addmethodrealflags(obj157, "size",&reader_lexer_size_161, MFLAG_DEF);
  reader161->definitionModule = modulename;
  reader161->definitionLine = 81;
}
adddatum2(obj157, alloc_Undefined(), 3);
  sourceObject = obj157;
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe162 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call163 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe162);
// compilenode returning call163
  struct UserObject *obj157_uo = (struct UserObject *)obj157;
  obj157_uo->super = call163;
  sourceObject = obj157;
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit164 == NULL) {
    strlit164 = alloc_String("octets");
    gc_root(strlit164);
  }
// compilenode returning strlit164
  adddatum2(obj157, strlit164, 1);
  sourceObject = obj157;
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj157, *var_s, 2);
  sourceObject = obj157;
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num166 = alloc_Float64(3);
// compilenode returning num166
  int op_slot_right_165 = gc_frame_newslot(num166);
  int callframe168 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call169 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe168);
// compilenode returning call169
// compilenode returning call169
  int op_slot_left_165 = gc_frame_newslot(call169);
  params[0] = num166;
  partcv[0] = 1;
  Object sum170 = callmethod(call169, "+", 1, partcv, params);
// compilenode returning sum170
  adddatum2(obj157, sum170, 3);
objclass157 = obj157->class;
  objclass157->definitionModule = modulename;
  objclass157->definitionLine = 74;
  (*(struct UserObject *)self).data[0] = lowerouter157;
  self = oldself157;
  selfslot = oldselfslot157;
  stackframe = oldstackframe157;
  gc_frame_end(frame);
  return obj157;
}
Object meth_lexer_new174(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject175 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj175 = alloc_userobj2(4,5, objclass175);
  gc_frame_newslot(obj175);
if (objclass175 == NULL) {
  glfree(obj175->class->name);
  obj175->class->name = "LBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj175, self, 0);
  addmethodreal(obj175,"outer", &reader_lexer_outer_176);
  Object oldself175 = self;
  struct StackFrameObject *oldstackframe175 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe175);
  gc_frame_newslot((Object)stackframe);
  self = obj175;
  Object *oldselfslot175 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter175 = (*(struct UserObject *)self).data[0], lowerouter175 = thisouter175;
  if (inheritingObject175) {
    struct UserObject *inho175 = (struct UserObject *)inheritingObject175;
    while (inho175->super != GraceDefaultObject) inho175 = (struct UserObject *)inho175->super;
    inho175->super = obj175;
    self = inheritingObject175;
    *selfslot = self;
    lowerouter175 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter175;
  }
if (objclass175 == NULL) {
  Method *reader177 = addmethodrealflags(obj175, "kind",&reader_lexer_kind_177, MFLAG_DEF);
  reader177->definitionModule = modulename;
  reader177->definitionLine = 85;
}
adddatum2(obj175, alloc_Undefined(), 1);
if (objclass175 == NULL) {
  Method *reader178 = addmethodrealflags(obj175, "value",&reader_lexer_value_178, MFLAG_DEF);
  reader178->definitionModule = modulename;
  reader178->definitionLine = 86;
}
adddatum2(obj175, alloc_Undefined(), 2);
if (objclass175 == NULL) {
  Method *reader179 = addmethodrealflags(obj175, "size",&reader_lexer_size_179, MFLAG_DEF);
  reader179->definitionModule = modulename;
  reader179->definitionLine = 87;
}
adddatum2(obj175, alloc_Undefined(), 3);
  sourceObject = obj175;
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe180 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call181 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe180);
// compilenode returning call181
  struct UserObject *obj175_uo = (struct UserObject *)obj175;
  obj175_uo->super = call181;
  sourceObject = obj175;
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit182 == NULL) {
    strlit182 = alloc_String("lbrace");
    gc_root(strlit182);
  }
// compilenode returning strlit182
  adddatum2(obj175, strlit182, 1);
  sourceObject = obj175;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit183 == NULL) {
    strlit183 = alloc_String("{");
    gc_root(strlit183);
  }
// compilenode returning strlit183
  adddatum2(obj175, strlit183, 2);
  sourceObject = obj175;
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num184 = alloc_Float64(1);
// compilenode returning num184
  adddatum2(obj175, num184, 3);
objclass175 = obj175->class;
  objclass175->definitionModule = modulename;
  objclass175->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter175;
  self = oldself175;
  selfslot = oldselfslot175;
  stackframe = oldstackframe175;
  gc_frame_end(frame);
  return obj175;
}
Object meth_lexer_new174_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject175 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj175 = alloc_userobj2(4,5, objclass175);
  gc_frame_newslot(obj175);
if (objclass175 == NULL) {
  glfree(obj175->class->name);
  obj175->class->name = "LBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj175, self, 0);
  addmethodreal(obj175,"outer", &reader_lexer_outer_176);
  Object oldself175 = self;
  struct StackFrameObject *oldstackframe175 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe175);
  gc_frame_newslot((Object)stackframe);
  self = obj175;
  Object *oldselfslot175 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter175 = (*(struct UserObject *)self).data[0], lowerouter175 = thisouter175;
  if (inheritingObject175) {
    struct UserObject *inho175 = (struct UserObject *)inheritingObject175;
    while (inho175->super != GraceDefaultObject) inho175 = (struct UserObject *)inho175->super;
    inho175->super = obj175;
    self = inheritingObject175;
    *selfslot = self;
    lowerouter175 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter175;
  }
if (objclass175 == NULL) {
  Method *reader177 = addmethodrealflags(obj175, "kind",&reader_lexer_kind_177, MFLAG_DEF);
  reader177->definitionModule = modulename;
  reader177->definitionLine = 85;
}
adddatum2(obj175, alloc_Undefined(), 1);
if (objclass175 == NULL) {
  Method *reader178 = addmethodrealflags(obj175, "value",&reader_lexer_value_178, MFLAG_DEF);
  reader178->definitionModule = modulename;
  reader178->definitionLine = 86;
}
adddatum2(obj175, alloc_Undefined(), 2);
if (objclass175 == NULL) {
  Method *reader179 = addmethodrealflags(obj175, "size",&reader_lexer_size_179, MFLAG_DEF);
  reader179->definitionModule = modulename;
  reader179->definitionLine = 87;
}
adddatum2(obj175, alloc_Undefined(), 3);
  sourceObject = obj175;
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe180 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call181 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe180);
// compilenode returning call181
  struct UserObject *obj175_uo = (struct UserObject *)obj175;
  obj175_uo->super = call181;
  sourceObject = obj175;
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit182 == NULL) {
    strlit182 = alloc_String("lbrace");
    gc_root(strlit182);
  }
// compilenode returning strlit182
  adddatum2(obj175, strlit182, 1);
  sourceObject = obj175;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit183 == NULL) {
    strlit183 = alloc_String("{");
    gc_root(strlit183);
  }
// compilenode returning strlit183
  adddatum2(obj175, strlit183, 2);
  sourceObject = obj175;
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num184 = alloc_Float64(1);
// compilenode returning num184
  adddatum2(obj175, num184, 3);
objclass175 = obj175->class;
  objclass175->definitionModule = modulename;
  objclass175->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter175;
  self = oldself175;
  selfslot = oldselfslot175;
  stackframe = oldstackframe175;
  gc_frame_end(frame);
  return obj175;
}
Object meth_lexer_new188(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject189 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj189 = alloc_userobj2(4,5, objclass189);
  gc_frame_newslot(obj189);
if (objclass189 == NULL) {
  glfree(obj189->class->name);
  obj189->class->name = "RBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj189, self, 0);
  addmethodreal(obj189,"outer", &reader_lexer_outer_190);
  Object oldself189 = self;
  struct StackFrameObject *oldstackframe189 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe189);
  gc_frame_newslot((Object)stackframe);
  self = obj189;
  Object *oldselfslot189 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter189 = (*(struct UserObject *)self).data[0], lowerouter189 = thisouter189;
  if (inheritingObject189) {
    struct UserObject *inho189 = (struct UserObject *)inheritingObject189;
    while (inho189->super != GraceDefaultObject) inho189 = (struct UserObject *)inho189->super;
    inho189->super = obj189;
    self = inheritingObject189;
    *selfslot = self;
    lowerouter189 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter189;
  }
if (objclass189 == NULL) {
  Method *reader191 = addmethodrealflags(obj189, "kind",&reader_lexer_kind_191, MFLAG_DEF);
  reader191->definitionModule = modulename;
  reader191->definitionLine = 91;
}
adddatum2(obj189, alloc_Undefined(), 1);
if (objclass189 == NULL) {
  Method *reader192 = addmethodrealflags(obj189, "value",&reader_lexer_value_192, MFLAG_DEF);
  reader192->definitionModule = modulename;
  reader192->definitionLine = 92;
}
adddatum2(obj189, alloc_Undefined(), 2);
if (objclass189 == NULL) {
  Method *reader193 = addmethodrealflags(obj189, "size",&reader_lexer_size_193, MFLAG_DEF);
  reader193->definitionModule = modulename;
  reader193->definitionLine = 93;
}
adddatum2(obj189, alloc_Undefined(), 3);
  sourceObject = obj189;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe194 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call195 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe194);
// compilenode returning call195
  struct UserObject *obj189_uo = (struct UserObject *)obj189;
  obj189_uo->super = call195;
  sourceObject = obj189;
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit196 == NULL) {
    strlit196 = alloc_String("rbrace");
    gc_root(strlit196);
  }
// compilenode returning strlit196
  adddatum2(obj189, strlit196, 1);
  sourceObject = obj189;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit197 == NULL) {
    strlit197 = alloc_String("}");
    gc_root(strlit197);
  }
// compilenode returning strlit197
  adddatum2(obj189, strlit197, 2);
  sourceObject = obj189;
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num198 = alloc_Float64(1);
// compilenode returning num198
  adddatum2(obj189, num198, 3);
objclass189 = obj189->class;
  objclass189->definitionModule = modulename;
  objclass189->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter189;
  self = oldself189;
  selfslot = oldselfslot189;
  stackframe = oldstackframe189;
  gc_frame_end(frame);
  return obj189;
}
Object meth_lexer_new188_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject189 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj189 = alloc_userobj2(4,5, objclass189);
  gc_frame_newslot(obj189);
if (objclass189 == NULL) {
  glfree(obj189->class->name);
  obj189->class->name = "RBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj189, self, 0);
  addmethodreal(obj189,"outer", &reader_lexer_outer_190);
  Object oldself189 = self;
  struct StackFrameObject *oldstackframe189 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe189);
  gc_frame_newslot((Object)stackframe);
  self = obj189;
  Object *oldselfslot189 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter189 = (*(struct UserObject *)self).data[0], lowerouter189 = thisouter189;
  if (inheritingObject189) {
    struct UserObject *inho189 = (struct UserObject *)inheritingObject189;
    while (inho189->super != GraceDefaultObject) inho189 = (struct UserObject *)inho189->super;
    inho189->super = obj189;
    self = inheritingObject189;
    *selfslot = self;
    lowerouter189 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter189;
  }
if (objclass189 == NULL) {
  Method *reader191 = addmethodrealflags(obj189, "kind",&reader_lexer_kind_191, MFLAG_DEF);
  reader191->definitionModule = modulename;
  reader191->definitionLine = 91;
}
adddatum2(obj189, alloc_Undefined(), 1);
if (objclass189 == NULL) {
  Method *reader192 = addmethodrealflags(obj189, "value",&reader_lexer_value_192, MFLAG_DEF);
  reader192->definitionModule = modulename;
  reader192->definitionLine = 92;
}
adddatum2(obj189, alloc_Undefined(), 2);
if (objclass189 == NULL) {
  Method *reader193 = addmethodrealflags(obj189, "size",&reader_lexer_size_193, MFLAG_DEF);
  reader193->definitionModule = modulename;
  reader193->definitionLine = 93;
}
adddatum2(obj189, alloc_Undefined(), 3);
  sourceObject = obj189;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe194 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call195 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe194);
// compilenode returning call195
  struct UserObject *obj189_uo = (struct UserObject *)obj189;
  obj189_uo->super = call195;
  sourceObject = obj189;
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit196 == NULL) {
    strlit196 = alloc_String("rbrace");
    gc_root(strlit196);
  }
// compilenode returning strlit196
  adddatum2(obj189, strlit196, 1);
  sourceObject = obj189;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit197 == NULL) {
    strlit197 = alloc_String("}");
    gc_root(strlit197);
  }
// compilenode returning strlit197
  adddatum2(obj189, strlit197, 2);
  sourceObject = obj189;
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num198 = alloc_Float64(1);
// compilenode returning num198
  adddatum2(obj189, num198, 3);
objclass189 = obj189->class;
  objclass189->definitionModule = modulename;
  objclass189->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter189;
  self = oldself189;
  selfslot = oldselfslot189;
  stackframe = oldstackframe189;
  gc_frame_end(frame);
  return obj189;
}
Object meth_lexer_new202(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject203 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj203 = alloc_userobj2(4,5, objclass203);
  gc_frame_newslot(obj203);
if (objclass203 == NULL) {
  glfree(obj203->class->name);
  obj203->class->name = "LParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj203, self, 0);
  addmethodreal(obj203,"outer", &reader_lexer_outer_204);
  Object oldself203 = self;
  struct StackFrameObject *oldstackframe203 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe203);
  gc_frame_newslot((Object)stackframe);
  self = obj203;
  Object *oldselfslot203 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter203 = (*(struct UserObject *)self).data[0], lowerouter203 = thisouter203;
  if (inheritingObject203) {
    struct UserObject *inho203 = (struct UserObject *)inheritingObject203;
    while (inho203->super != GraceDefaultObject) inho203 = (struct UserObject *)inho203->super;
    inho203->super = obj203;
    self = inheritingObject203;
    *selfslot = self;
    lowerouter203 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter203;
  }
if (objclass203 == NULL) {
  Method *reader205 = addmethodrealflags(obj203, "kind",&reader_lexer_kind_205, MFLAG_DEF);
  reader205->definitionModule = modulename;
  reader205->definitionLine = 97;
}
adddatum2(obj203, alloc_Undefined(), 1);
if (objclass203 == NULL) {
  Method *reader206 = addmethodrealflags(obj203, "value",&reader_lexer_value_206, MFLAG_DEF);
  reader206->definitionModule = modulename;
  reader206->definitionLine = 98;
}
adddatum2(obj203, alloc_Undefined(), 2);
if (objclass203 == NULL) {
  Method *reader207 = addmethodrealflags(obj203, "size",&reader_lexer_size_207, MFLAG_DEF);
  reader207->definitionModule = modulename;
  reader207->definitionLine = 99;
}
adddatum2(obj203, alloc_Undefined(), 3);
  sourceObject = obj203;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe208 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call209 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe208);
// compilenode returning call209
  struct UserObject *obj203_uo = (struct UserObject *)obj203;
  obj203_uo->super = call209;
  sourceObject = obj203;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit210 == NULL) {
    strlit210 = alloc_String("lparen");
    gc_root(strlit210);
  }
// compilenode returning strlit210
  adddatum2(obj203, strlit210, 1);
  sourceObject = obj203;
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit211 == NULL) {
    strlit211 = alloc_String("(");
    gc_root(strlit211);
  }
// compilenode returning strlit211
  adddatum2(obj203, strlit211, 2);
  sourceObject = obj203;
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num212 = alloc_Float64(1);
// compilenode returning num212
  adddatum2(obj203, num212, 3);
objclass203 = obj203->class;
  objclass203->definitionModule = modulename;
  objclass203->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter203;
  self = oldself203;
  selfslot = oldselfslot203;
  stackframe = oldstackframe203;
  gc_frame_end(frame);
  return obj203;
}
Object meth_lexer_new202_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject203 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj203 = alloc_userobj2(4,5, objclass203);
  gc_frame_newslot(obj203);
if (objclass203 == NULL) {
  glfree(obj203->class->name);
  obj203->class->name = "LParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj203, self, 0);
  addmethodreal(obj203,"outer", &reader_lexer_outer_204);
  Object oldself203 = self;
  struct StackFrameObject *oldstackframe203 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe203);
  gc_frame_newslot((Object)stackframe);
  self = obj203;
  Object *oldselfslot203 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter203 = (*(struct UserObject *)self).data[0], lowerouter203 = thisouter203;
  if (inheritingObject203) {
    struct UserObject *inho203 = (struct UserObject *)inheritingObject203;
    while (inho203->super != GraceDefaultObject) inho203 = (struct UserObject *)inho203->super;
    inho203->super = obj203;
    self = inheritingObject203;
    *selfslot = self;
    lowerouter203 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter203;
  }
if (objclass203 == NULL) {
  Method *reader205 = addmethodrealflags(obj203, "kind",&reader_lexer_kind_205, MFLAG_DEF);
  reader205->definitionModule = modulename;
  reader205->definitionLine = 97;
}
adddatum2(obj203, alloc_Undefined(), 1);
if (objclass203 == NULL) {
  Method *reader206 = addmethodrealflags(obj203, "value",&reader_lexer_value_206, MFLAG_DEF);
  reader206->definitionModule = modulename;
  reader206->definitionLine = 98;
}
adddatum2(obj203, alloc_Undefined(), 2);
if (objclass203 == NULL) {
  Method *reader207 = addmethodrealflags(obj203, "size",&reader_lexer_size_207, MFLAG_DEF);
  reader207->definitionModule = modulename;
  reader207->definitionLine = 99;
}
adddatum2(obj203, alloc_Undefined(), 3);
  sourceObject = obj203;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe208 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call209 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe208);
// compilenode returning call209
  struct UserObject *obj203_uo = (struct UserObject *)obj203;
  obj203_uo->super = call209;
  sourceObject = obj203;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit210 == NULL) {
    strlit210 = alloc_String("lparen");
    gc_root(strlit210);
  }
// compilenode returning strlit210
  adddatum2(obj203, strlit210, 1);
  sourceObject = obj203;
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit211 == NULL) {
    strlit211 = alloc_String("(");
    gc_root(strlit211);
  }
// compilenode returning strlit211
  adddatum2(obj203, strlit211, 2);
  sourceObject = obj203;
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num212 = alloc_Float64(1);
// compilenode returning num212
  adddatum2(obj203, num212, 3);
objclass203 = obj203->class;
  objclass203->definitionModule = modulename;
  objclass203->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter203;
  self = oldself203;
  selfslot = oldselfslot203;
  stackframe = oldstackframe203;
  gc_frame_end(frame);
  return obj203;
}
Object meth_lexer_new216(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject217 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj217 = alloc_userobj2(4,5, objclass217);
  gc_frame_newslot(obj217);
if (objclass217 == NULL) {
  glfree(obj217->class->name);
  obj217->class->name = "RParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj217, self, 0);
  addmethodreal(obj217,"outer", &reader_lexer_outer_218);
  Object oldself217 = self;
  struct StackFrameObject *oldstackframe217 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe217);
  gc_frame_newslot((Object)stackframe);
  self = obj217;
  Object *oldselfslot217 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter217 = (*(struct UserObject *)self).data[0], lowerouter217 = thisouter217;
  if (inheritingObject217) {
    struct UserObject *inho217 = (struct UserObject *)inheritingObject217;
    while (inho217->super != GraceDefaultObject) inho217 = (struct UserObject *)inho217->super;
    inho217->super = obj217;
    self = inheritingObject217;
    *selfslot = self;
    lowerouter217 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter217;
  }
if (objclass217 == NULL) {
  Method *reader219 = addmethodrealflags(obj217, "kind",&reader_lexer_kind_219, MFLAG_DEF);
  reader219->definitionModule = modulename;
  reader219->definitionLine = 103;
}
adddatum2(obj217, alloc_Undefined(), 1);
if (objclass217 == NULL) {
  Method *reader220 = addmethodrealflags(obj217, "value",&reader_lexer_value_220, MFLAG_DEF);
  reader220->definitionModule = modulename;
  reader220->definitionLine = 104;
}
adddatum2(obj217, alloc_Undefined(), 2);
if (objclass217 == NULL) {
  Method *reader221 = addmethodrealflags(obj217, "size",&reader_lexer_size_221, MFLAG_DEF);
  reader221->definitionModule = modulename;
  reader221->definitionLine = 105;
}
adddatum2(obj217, alloc_Undefined(), 3);
  sourceObject = obj217;
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe222 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call223 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe222);
// compilenode returning call223
  struct UserObject *obj217_uo = (struct UserObject *)obj217;
  obj217_uo->super = call223;
  sourceObject = obj217;
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit224 == NULL) {
    strlit224 = alloc_String("rparen");
    gc_root(strlit224);
  }
// compilenode returning strlit224
  adddatum2(obj217, strlit224, 1);
  sourceObject = obj217;
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit225 == NULL) {
    strlit225 = alloc_String(")");
    gc_root(strlit225);
  }
// compilenode returning strlit225
  adddatum2(obj217, strlit225, 2);
  sourceObject = obj217;
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num226 = alloc_Float64(1);
// compilenode returning num226
  adddatum2(obj217, num226, 3);
objclass217 = obj217->class;
  objclass217->definitionModule = modulename;
  objclass217->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter217;
  self = oldself217;
  selfslot = oldselfslot217;
  stackframe = oldstackframe217;
  gc_frame_end(frame);
  return obj217;
}
Object meth_lexer_new216_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject217 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj217 = alloc_userobj2(4,5, objclass217);
  gc_frame_newslot(obj217);
if (objclass217 == NULL) {
  glfree(obj217->class->name);
  obj217->class->name = "RParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj217, self, 0);
  addmethodreal(obj217,"outer", &reader_lexer_outer_218);
  Object oldself217 = self;
  struct StackFrameObject *oldstackframe217 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe217);
  gc_frame_newslot((Object)stackframe);
  self = obj217;
  Object *oldselfslot217 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter217 = (*(struct UserObject *)self).data[0], lowerouter217 = thisouter217;
  if (inheritingObject217) {
    struct UserObject *inho217 = (struct UserObject *)inheritingObject217;
    while (inho217->super != GraceDefaultObject) inho217 = (struct UserObject *)inho217->super;
    inho217->super = obj217;
    self = inheritingObject217;
    *selfslot = self;
    lowerouter217 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter217;
  }
if (objclass217 == NULL) {
  Method *reader219 = addmethodrealflags(obj217, "kind",&reader_lexer_kind_219, MFLAG_DEF);
  reader219->definitionModule = modulename;
  reader219->definitionLine = 103;
}
adddatum2(obj217, alloc_Undefined(), 1);
if (objclass217 == NULL) {
  Method *reader220 = addmethodrealflags(obj217, "value",&reader_lexer_value_220, MFLAG_DEF);
  reader220->definitionModule = modulename;
  reader220->definitionLine = 104;
}
adddatum2(obj217, alloc_Undefined(), 2);
if (objclass217 == NULL) {
  Method *reader221 = addmethodrealflags(obj217, "size",&reader_lexer_size_221, MFLAG_DEF);
  reader221->definitionModule = modulename;
  reader221->definitionLine = 105;
}
adddatum2(obj217, alloc_Undefined(), 3);
  sourceObject = obj217;
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe222 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call223 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe222);
// compilenode returning call223
  struct UserObject *obj217_uo = (struct UserObject *)obj217;
  obj217_uo->super = call223;
  sourceObject = obj217;
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit224 == NULL) {
    strlit224 = alloc_String("rparen");
    gc_root(strlit224);
  }
// compilenode returning strlit224
  adddatum2(obj217, strlit224, 1);
  sourceObject = obj217;
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit225 == NULL) {
    strlit225 = alloc_String(")");
    gc_root(strlit225);
  }
// compilenode returning strlit225
  adddatum2(obj217, strlit225, 2);
  sourceObject = obj217;
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num226 = alloc_Float64(1);
// compilenode returning num226
  adddatum2(obj217, num226, 3);
objclass217 = obj217->class;
  objclass217->definitionModule = modulename;
  objclass217->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter217;
  self = oldself217;
  selfslot = oldselfslot217;
  stackframe = oldstackframe217;
  gc_frame_end(frame);
  return obj217;
}
Object meth_lexer_new230(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject231 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj231 = alloc_userobj2(4,5, objclass231);
  gc_frame_newslot(obj231);
if (objclass231 == NULL) {
  glfree(obj231->class->name);
  obj231->class->name = "LSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj231, self, 0);
  addmethodreal(obj231,"outer", &reader_lexer_outer_232);
  Object oldself231 = self;
  struct StackFrameObject *oldstackframe231 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe231);
  gc_frame_newslot((Object)stackframe);
  self = obj231;
  Object *oldselfslot231 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter231 = (*(struct UserObject *)self).data[0], lowerouter231 = thisouter231;
  if (inheritingObject231) {
    struct UserObject *inho231 = (struct UserObject *)inheritingObject231;
    while (inho231->super != GraceDefaultObject) inho231 = (struct UserObject *)inho231->super;
    inho231->super = obj231;
    self = inheritingObject231;
    *selfslot = self;
    lowerouter231 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter231;
  }
if (objclass231 == NULL) {
  Method *reader233 = addmethodrealflags(obj231, "kind",&reader_lexer_kind_233, MFLAG_DEF);
  reader233->definitionModule = modulename;
  reader233->definitionLine = 109;
}
adddatum2(obj231, alloc_Undefined(), 1);
if (objclass231 == NULL) {
  Method *reader234 = addmethodrealflags(obj231, "value",&reader_lexer_value_234, MFLAG_DEF);
  reader234->definitionModule = modulename;
  reader234->definitionLine = 110;
}
adddatum2(obj231, alloc_Undefined(), 2);
if (objclass231 == NULL) {
  Method *reader235 = addmethodrealflags(obj231, "size",&reader_lexer_size_235, MFLAG_DEF);
  reader235->definitionModule = modulename;
  reader235->definitionLine = 111;
}
adddatum2(obj231, alloc_Undefined(), 3);
  sourceObject = obj231;
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe236 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call237 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe236);
// compilenode returning call237
  struct UserObject *obj231_uo = (struct UserObject *)obj231;
  obj231_uo->super = call237;
  sourceObject = obj231;
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit238 == NULL) {
    strlit238 = alloc_String("lsquare");
    gc_root(strlit238);
  }
// compilenode returning strlit238
  adddatum2(obj231, strlit238, 1);
  sourceObject = obj231;
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit239 == NULL) {
    strlit239 = alloc_String("[");
    gc_root(strlit239);
  }
// compilenode returning strlit239
  adddatum2(obj231, strlit239, 2);
  sourceObject = obj231;
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num240 = alloc_Float64(1);
// compilenode returning num240
  adddatum2(obj231, num240, 3);
objclass231 = obj231->class;
  objclass231->definitionModule = modulename;
  objclass231->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter231;
  self = oldself231;
  selfslot = oldselfslot231;
  stackframe = oldstackframe231;
  gc_frame_end(frame);
  return obj231;
}
Object meth_lexer_new230_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject231 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj231 = alloc_userobj2(4,5, objclass231);
  gc_frame_newslot(obj231);
if (objclass231 == NULL) {
  glfree(obj231->class->name);
  obj231->class->name = "LSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj231, self, 0);
  addmethodreal(obj231,"outer", &reader_lexer_outer_232);
  Object oldself231 = self;
  struct StackFrameObject *oldstackframe231 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe231);
  gc_frame_newslot((Object)stackframe);
  self = obj231;
  Object *oldselfslot231 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter231 = (*(struct UserObject *)self).data[0], lowerouter231 = thisouter231;
  if (inheritingObject231) {
    struct UserObject *inho231 = (struct UserObject *)inheritingObject231;
    while (inho231->super != GraceDefaultObject) inho231 = (struct UserObject *)inho231->super;
    inho231->super = obj231;
    self = inheritingObject231;
    *selfslot = self;
    lowerouter231 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter231;
  }
if (objclass231 == NULL) {
  Method *reader233 = addmethodrealflags(obj231, "kind",&reader_lexer_kind_233, MFLAG_DEF);
  reader233->definitionModule = modulename;
  reader233->definitionLine = 109;
}
adddatum2(obj231, alloc_Undefined(), 1);
if (objclass231 == NULL) {
  Method *reader234 = addmethodrealflags(obj231, "value",&reader_lexer_value_234, MFLAG_DEF);
  reader234->definitionModule = modulename;
  reader234->definitionLine = 110;
}
adddatum2(obj231, alloc_Undefined(), 2);
if (objclass231 == NULL) {
  Method *reader235 = addmethodrealflags(obj231, "size",&reader_lexer_size_235, MFLAG_DEF);
  reader235->definitionModule = modulename;
  reader235->definitionLine = 111;
}
adddatum2(obj231, alloc_Undefined(), 3);
  sourceObject = obj231;
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe236 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call237 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe236);
// compilenode returning call237
  struct UserObject *obj231_uo = (struct UserObject *)obj231;
  obj231_uo->super = call237;
  sourceObject = obj231;
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit238 == NULL) {
    strlit238 = alloc_String("lsquare");
    gc_root(strlit238);
  }
// compilenode returning strlit238
  adddatum2(obj231, strlit238, 1);
  sourceObject = obj231;
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit239 == NULL) {
    strlit239 = alloc_String("[");
    gc_root(strlit239);
  }
// compilenode returning strlit239
  adddatum2(obj231, strlit239, 2);
  sourceObject = obj231;
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num240 = alloc_Float64(1);
// compilenode returning num240
  adddatum2(obj231, num240, 3);
objclass231 = obj231->class;
  objclass231->definitionModule = modulename;
  objclass231->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter231;
  self = oldself231;
  selfslot = oldselfslot231;
  stackframe = oldstackframe231;
  gc_frame_end(frame);
  return obj231;
}
Object meth_lexer_new244(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject245 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj245 = alloc_userobj2(4,5, objclass245);
  gc_frame_newslot(obj245);
if (objclass245 == NULL) {
  glfree(obj245->class->name);
  obj245->class->name = "RSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj245, self, 0);
  addmethodreal(obj245,"outer", &reader_lexer_outer_246);
  Object oldself245 = self;
  struct StackFrameObject *oldstackframe245 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe245);
  gc_frame_newslot((Object)stackframe);
  self = obj245;
  Object *oldselfslot245 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter245 = (*(struct UserObject *)self).data[0], lowerouter245 = thisouter245;
  if (inheritingObject245) {
    struct UserObject *inho245 = (struct UserObject *)inheritingObject245;
    while (inho245->super != GraceDefaultObject) inho245 = (struct UserObject *)inho245->super;
    inho245->super = obj245;
    self = inheritingObject245;
    *selfslot = self;
    lowerouter245 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter245;
  }
if (objclass245 == NULL) {
  Method *reader247 = addmethodrealflags(obj245, "kind",&reader_lexer_kind_247, MFLAG_DEF);
  reader247->definitionModule = modulename;
  reader247->definitionLine = 115;
}
adddatum2(obj245, alloc_Undefined(), 1);
if (objclass245 == NULL) {
  Method *reader248 = addmethodrealflags(obj245, "value",&reader_lexer_value_248, MFLAG_DEF);
  reader248->definitionModule = modulename;
  reader248->definitionLine = 116;
}
adddatum2(obj245, alloc_Undefined(), 2);
if (objclass245 == NULL) {
  Method *reader249 = addmethodrealflags(obj245, "size",&reader_lexer_size_249, MFLAG_DEF);
  reader249->definitionModule = modulename;
  reader249->definitionLine = 117;
}
adddatum2(obj245, alloc_Undefined(), 3);
  sourceObject = obj245;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe250 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call251 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe250);
// compilenode returning call251
  struct UserObject *obj245_uo = (struct UserObject *)obj245;
  obj245_uo->super = call251;
  sourceObject = obj245;
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit252 == NULL) {
    strlit252 = alloc_String("rsquare");
    gc_root(strlit252);
  }
// compilenode returning strlit252
  adddatum2(obj245, strlit252, 1);
  sourceObject = obj245;
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit253 == NULL) {
    strlit253 = alloc_String("]");
    gc_root(strlit253);
  }
// compilenode returning strlit253
  adddatum2(obj245, strlit253, 2);
  sourceObject = obj245;
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num254 = alloc_Float64(1);
// compilenode returning num254
  adddatum2(obj245, num254, 3);
objclass245 = obj245->class;
  objclass245->definitionModule = modulename;
  objclass245->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter245;
  self = oldself245;
  selfslot = oldselfslot245;
  stackframe = oldstackframe245;
  gc_frame_end(frame);
  return obj245;
}
Object meth_lexer_new244_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject245 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj245 = alloc_userobj2(4,5, objclass245);
  gc_frame_newslot(obj245);
if (objclass245 == NULL) {
  glfree(obj245->class->name);
  obj245->class->name = "RSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj245, self, 0);
  addmethodreal(obj245,"outer", &reader_lexer_outer_246);
  Object oldself245 = self;
  struct StackFrameObject *oldstackframe245 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe245);
  gc_frame_newslot((Object)stackframe);
  self = obj245;
  Object *oldselfslot245 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter245 = (*(struct UserObject *)self).data[0], lowerouter245 = thisouter245;
  if (inheritingObject245) {
    struct UserObject *inho245 = (struct UserObject *)inheritingObject245;
    while (inho245->super != GraceDefaultObject) inho245 = (struct UserObject *)inho245->super;
    inho245->super = obj245;
    self = inheritingObject245;
    *selfslot = self;
    lowerouter245 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter245;
  }
if (objclass245 == NULL) {
  Method *reader247 = addmethodrealflags(obj245, "kind",&reader_lexer_kind_247, MFLAG_DEF);
  reader247->definitionModule = modulename;
  reader247->definitionLine = 115;
}
adddatum2(obj245, alloc_Undefined(), 1);
if (objclass245 == NULL) {
  Method *reader248 = addmethodrealflags(obj245, "value",&reader_lexer_value_248, MFLAG_DEF);
  reader248->definitionModule = modulename;
  reader248->definitionLine = 116;
}
adddatum2(obj245, alloc_Undefined(), 2);
if (objclass245 == NULL) {
  Method *reader249 = addmethodrealflags(obj245, "size",&reader_lexer_size_249, MFLAG_DEF);
  reader249->definitionModule = modulename;
  reader249->definitionLine = 117;
}
adddatum2(obj245, alloc_Undefined(), 3);
  sourceObject = obj245;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe250 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call251 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe250);
// compilenode returning call251
  struct UserObject *obj245_uo = (struct UserObject *)obj245;
  obj245_uo->super = call251;
  sourceObject = obj245;
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit252 == NULL) {
    strlit252 = alloc_String("rsquare");
    gc_root(strlit252);
  }
// compilenode returning strlit252
  adddatum2(obj245, strlit252, 1);
  sourceObject = obj245;
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit253 == NULL) {
    strlit253 = alloc_String("]");
    gc_root(strlit253);
  }
// compilenode returning strlit253
  adddatum2(obj245, strlit253, 2);
  sourceObject = obj245;
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num254 = alloc_Float64(1);
// compilenode returning num254
  adddatum2(obj245, num254, 3);
objclass245 = obj245->class;
  objclass245->definitionModule = modulename;
  objclass245->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter245;
  self = oldself245;
  selfslot = oldselfslot245;
  stackframe = oldstackframe245;
  gc_frame_end(frame);
  return obj245;
}
Object meth_lexer_new258(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject259 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj259 = alloc_userobj2(4,5, objclass259);
  gc_frame_newslot(obj259);
if (objclass259 == NULL) {
  glfree(obj259->class->name);
  obj259->class->name = "CommaToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj259, self, 0);
  addmethodreal(obj259,"outer", &reader_lexer_outer_260);
  Object oldself259 = self;
  struct StackFrameObject *oldstackframe259 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe259);
  gc_frame_newslot((Object)stackframe);
  self = obj259;
  Object *oldselfslot259 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter259 = (*(struct UserObject *)self).data[0], lowerouter259 = thisouter259;
  if (inheritingObject259) {
    struct UserObject *inho259 = (struct UserObject *)inheritingObject259;
    while (inho259->super != GraceDefaultObject) inho259 = (struct UserObject *)inho259->super;
    inho259->super = obj259;
    self = inheritingObject259;
    *selfslot = self;
    lowerouter259 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter259;
  }
if (objclass259 == NULL) {
  Method *reader261 = addmethodrealflags(obj259, "kind",&reader_lexer_kind_261, MFLAG_DEF);
  reader261->definitionModule = modulename;
  reader261->definitionLine = 121;
}
adddatum2(obj259, alloc_Undefined(), 1);
if (objclass259 == NULL) {
  Method *reader262 = addmethodrealflags(obj259, "value",&reader_lexer_value_262, MFLAG_DEF);
  reader262->definitionModule = modulename;
  reader262->definitionLine = 122;
}
adddatum2(obj259, alloc_Undefined(), 2);
if (objclass259 == NULL) {
  Method *reader263 = addmethodrealflags(obj259, "size",&reader_lexer_size_263, MFLAG_DEF);
  reader263->definitionModule = modulename;
  reader263->definitionLine = 123;
}
adddatum2(obj259, alloc_Undefined(), 3);
  sourceObject = obj259;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe264 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call265 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe264);
// compilenode returning call265
  struct UserObject *obj259_uo = (struct UserObject *)obj259;
  obj259_uo->super = call265;
  sourceObject = obj259;
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit266 == NULL) {
    strlit266 = alloc_String("comma");
    gc_root(strlit266);
  }
// compilenode returning strlit266
  adddatum2(obj259, strlit266, 1);
  sourceObject = obj259;
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit267 == NULL) {
    strlit267 = alloc_String(",");
    gc_root(strlit267);
  }
// compilenode returning strlit267
  adddatum2(obj259, strlit267, 2);
  sourceObject = obj259;
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num268 = alloc_Float64(1);
// compilenode returning num268
  adddatum2(obj259, num268, 3);
objclass259 = obj259->class;
  objclass259->definitionModule = modulename;
  objclass259->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter259;
  self = oldself259;
  selfslot = oldselfslot259;
  stackframe = oldstackframe259;
  gc_frame_end(frame);
  return obj259;
}
Object meth_lexer_new258_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject259 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj259 = alloc_userobj2(4,5, objclass259);
  gc_frame_newslot(obj259);
if (objclass259 == NULL) {
  glfree(obj259->class->name);
  obj259->class->name = "CommaToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj259, self, 0);
  addmethodreal(obj259,"outer", &reader_lexer_outer_260);
  Object oldself259 = self;
  struct StackFrameObject *oldstackframe259 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe259);
  gc_frame_newslot((Object)stackframe);
  self = obj259;
  Object *oldselfslot259 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter259 = (*(struct UserObject *)self).data[0], lowerouter259 = thisouter259;
  if (inheritingObject259) {
    struct UserObject *inho259 = (struct UserObject *)inheritingObject259;
    while (inho259->super != GraceDefaultObject) inho259 = (struct UserObject *)inho259->super;
    inho259->super = obj259;
    self = inheritingObject259;
    *selfslot = self;
    lowerouter259 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter259;
  }
if (objclass259 == NULL) {
  Method *reader261 = addmethodrealflags(obj259, "kind",&reader_lexer_kind_261, MFLAG_DEF);
  reader261->definitionModule = modulename;
  reader261->definitionLine = 121;
}
adddatum2(obj259, alloc_Undefined(), 1);
if (objclass259 == NULL) {
  Method *reader262 = addmethodrealflags(obj259, "value",&reader_lexer_value_262, MFLAG_DEF);
  reader262->definitionModule = modulename;
  reader262->definitionLine = 122;
}
adddatum2(obj259, alloc_Undefined(), 2);
if (objclass259 == NULL) {
  Method *reader263 = addmethodrealflags(obj259, "size",&reader_lexer_size_263, MFLAG_DEF);
  reader263->definitionModule = modulename;
  reader263->definitionLine = 123;
}
adddatum2(obj259, alloc_Undefined(), 3);
  sourceObject = obj259;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe264 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call265 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe264);
// compilenode returning call265
  struct UserObject *obj259_uo = (struct UserObject *)obj259;
  obj259_uo->super = call265;
  sourceObject = obj259;
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit266 == NULL) {
    strlit266 = alloc_String("comma");
    gc_root(strlit266);
  }
// compilenode returning strlit266
  adddatum2(obj259, strlit266, 1);
  sourceObject = obj259;
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit267 == NULL) {
    strlit267 = alloc_String(",");
    gc_root(strlit267);
  }
// compilenode returning strlit267
  adddatum2(obj259, strlit267, 2);
  sourceObject = obj259;
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num268 = alloc_Float64(1);
// compilenode returning num268
  adddatum2(obj259, num268, 3);
objclass259 = obj259->class;
  objclass259->definitionModule = modulename;
  objclass259->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter259;
  self = oldself259;
  selfslot = oldselfslot259;
  stackframe = oldstackframe259;
  gc_frame_end(frame);
  return obj259;
}
Object meth_lexer_new272(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject273 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj273 = alloc_userobj2(4,5, objclass273);
  gc_frame_newslot(obj273);
if (objclass273 == NULL) {
  glfree(obj273->class->name);
  obj273->class->name = "ColonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj273, self, 0);
  addmethodreal(obj273,"outer", &reader_lexer_outer_274);
  Object oldself273 = self;
  struct StackFrameObject *oldstackframe273 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe273);
  gc_frame_newslot((Object)stackframe);
  self = obj273;
  Object *oldselfslot273 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter273 = (*(struct UserObject *)self).data[0], lowerouter273 = thisouter273;
  if (inheritingObject273) {
    struct UserObject *inho273 = (struct UserObject *)inheritingObject273;
    while (inho273->super != GraceDefaultObject) inho273 = (struct UserObject *)inho273->super;
    inho273->super = obj273;
    self = inheritingObject273;
    *selfslot = self;
    lowerouter273 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter273;
  }
if (objclass273 == NULL) {
  Method *reader275 = addmethodrealflags(obj273, "kind",&reader_lexer_kind_275, MFLAG_DEF);
  reader275->definitionModule = modulename;
  reader275->definitionLine = 127;
}
adddatum2(obj273, alloc_Undefined(), 1);
if (objclass273 == NULL) {
  Method *reader276 = addmethodrealflags(obj273, "value",&reader_lexer_value_276, MFLAG_DEF);
  reader276->definitionModule = modulename;
  reader276->definitionLine = 128;
}
adddatum2(obj273, alloc_Undefined(), 2);
if (objclass273 == NULL) {
  Method *reader277 = addmethodrealflags(obj273, "size",&reader_lexer_size_277, MFLAG_DEF);
  reader277->definitionModule = modulename;
  reader277->definitionLine = 129;
}
adddatum2(obj273, alloc_Undefined(), 3);
  sourceObject = obj273;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe278 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call279 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe278);
// compilenode returning call279
  struct UserObject *obj273_uo = (struct UserObject *)obj273;
  obj273_uo->super = call279;
  sourceObject = obj273;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit280 == NULL) {
    strlit280 = alloc_String("colon");
    gc_root(strlit280);
  }
// compilenode returning strlit280
  adddatum2(obj273, strlit280, 1);
  sourceObject = obj273;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit281 == NULL) {
    strlit281 = alloc_String(":");
    gc_root(strlit281);
  }
// compilenode returning strlit281
  adddatum2(obj273, strlit281, 2);
  sourceObject = obj273;
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num282 = alloc_Float64(1);
// compilenode returning num282
  adddatum2(obj273, num282, 3);
objclass273 = obj273->class;
  objclass273->definitionModule = modulename;
  objclass273->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter273;
  self = oldself273;
  selfslot = oldselfslot273;
  stackframe = oldstackframe273;
  gc_frame_end(frame);
  return obj273;
}
Object meth_lexer_new272_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject273 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj273 = alloc_userobj2(4,5, objclass273);
  gc_frame_newslot(obj273);
if (objclass273 == NULL) {
  glfree(obj273->class->name);
  obj273->class->name = "ColonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj273, self, 0);
  addmethodreal(obj273,"outer", &reader_lexer_outer_274);
  Object oldself273 = self;
  struct StackFrameObject *oldstackframe273 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe273);
  gc_frame_newslot((Object)stackframe);
  self = obj273;
  Object *oldselfslot273 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter273 = (*(struct UserObject *)self).data[0], lowerouter273 = thisouter273;
  if (inheritingObject273) {
    struct UserObject *inho273 = (struct UserObject *)inheritingObject273;
    while (inho273->super != GraceDefaultObject) inho273 = (struct UserObject *)inho273->super;
    inho273->super = obj273;
    self = inheritingObject273;
    *selfslot = self;
    lowerouter273 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter273;
  }
if (objclass273 == NULL) {
  Method *reader275 = addmethodrealflags(obj273, "kind",&reader_lexer_kind_275, MFLAG_DEF);
  reader275->definitionModule = modulename;
  reader275->definitionLine = 127;
}
adddatum2(obj273, alloc_Undefined(), 1);
if (objclass273 == NULL) {
  Method *reader276 = addmethodrealflags(obj273, "value",&reader_lexer_value_276, MFLAG_DEF);
  reader276->definitionModule = modulename;
  reader276->definitionLine = 128;
}
adddatum2(obj273, alloc_Undefined(), 2);
if (objclass273 == NULL) {
  Method *reader277 = addmethodrealflags(obj273, "size",&reader_lexer_size_277, MFLAG_DEF);
  reader277->definitionModule = modulename;
  reader277->definitionLine = 129;
}
adddatum2(obj273, alloc_Undefined(), 3);
  sourceObject = obj273;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe278 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call279 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe278);
// compilenode returning call279
  struct UserObject *obj273_uo = (struct UserObject *)obj273;
  obj273_uo->super = call279;
  sourceObject = obj273;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit280 == NULL) {
    strlit280 = alloc_String("colon");
    gc_root(strlit280);
  }
// compilenode returning strlit280
  adddatum2(obj273, strlit280, 1);
  sourceObject = obj273;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit281 == NULL) {
    strlit281 = alloc_String(":");
    gc_root(strlit281);
  }
// compilenode returning strlit281
  adddatum2(obj273, strlit281, 2);
  sourceObject = obj273;
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num282 = alloc_Float64(1);
// compilenode returning num282
  adddatum2(obj273, num282, 3);
objclass273 = obj273->class;
  objclass273->definitionModule = modulename;
  objclass273->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter273;
  self = oldself273;
  selfslot = oldselfslot273;
  stackframe = oldstackframe273;
  gc_frame_end(frame);
  return obj273;
}
Object meth_lexer_new286(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject287 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj287 = alloc_userobj2(4,5, objclass287);
  gc_frame_newslot(obj287);
if (objclass287 == NULL) {
  glfree(obj287->class->name);
  obj287->class->name = "DotToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj287, self, 0);
  addmethodreal(obj287,"outer", &reader_lexer_outer_288);
  Object oldself287 = self;
  struct StackFrameObject *oldstackframe287 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe287);
  gc_frame_newslot((Object)stackframe);
  self = obj287;
  Object *oldselfslot287 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter287 = (*(struct UserObject *)self).data[0], lowerouter287 = thisouter287;
  if (inheritingObject287) {
    struct UserObject *inho287 = (struct UserObject *)inheritingObject287;
    while (inho287->super != GraceDefaultObject) inho287 = (struct UserObject *)inho287->super;
    inho287->super = obj287;
    self = inheritingObject287;
    *selfslot = self;
    lowerouter287 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter287;
  }
if (objclass287 == NULL) {
  Method *reader289 = addmethodrealflags(obj287, "kind",&reader_lexer_kind_289, MFLAG_DEF);
  reader289->definitionModule = modulename;
  reader289->definitionLine = 133;
}
adddatum2(obj287, alloc_Undefined(), 1);
if (objclass287 == NULL) {
  Method *reader290 = addmethodrealflags(obj287, "value",&reader_lexer_value_290, MFLAG_DEF);
  reader290->definitionModule = modulename;
  reader290->definitionLine = 134;
}
adddatum2(obj287, alloc_Undefined(), 2);
if (objclass287 == NULL) {
  Method *reader291 = addmethodrealflags(obj287, "size",&reader_lexer_size_291, MFLAG_DEF);
  reader291->definitionModule = modulename;
  reader291->definitionLine = 135;
}
adddatum2(obj287, alloc_Undefined(), 3);
  sourceObject = obj287;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe292 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call293 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe292);
// compilenode returning call293
  struct UserObject *obj287_uo = (struct UserObject *)obj287;
  obj287_uo->super = call293;
  sourceObject = obj287;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit294 == NULL) {
    strlit294 = alloc_String("dot");
    gc_root(strlit294);
  }
// compilenode returning strlit294
  adddatum2(obj287, strlit294, 1);
  sourceObject = obj287;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit295 == NULL) {
    strlit295 = alloc_String(".");
    gc_root(strlit295);
  }
// compilenode returning strlit295
  adddatum2(obj287, strlit295, 2);
  sourceObject = obj287;
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num296 = alloc_Float64(1);
// compilenode returning num296
  adddatum2(obj287, num296, 3);
objclass287 = obj287->class;
  objclass287->definitionModule = modulename;
  objclass287->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter287;
  self = oldself287;
  selfslot = oldselfslot287;
  stackframe = oldstackframe287;
  gc_frame_end(frame);
  return obj287;
}
Object meth_lexer_new286_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject287 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj287 = alloc_userobj2(4,5, objclass287);
  gc_frame_newslot(obj287);
if (objclass287 == NULL) {
  glfree(obj287->class->name);
  obj287->class->name = "DotToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj287, self, 0);
  addmethodreal(obj287,"outer", &reader_lexer_outer_288);
  Object oldself287 = self;
  struct StackFrameObject *oldstackframe287 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe287);
  gc_frame_newslot((Object)stackframe);
  self = obj287;
  Object *oldselfslot287 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter287 = (*(struct UserObject *)self).data[0], lowerouter287 = thisouter287;
  if (inheritingObject287) {
    struct UserObject *inho287 = (struct UserObject *)inheritingObject287;
    while (inho287->super != GraceDefaultObject) inho287 = (struct UserObject *)inho287->super;
    inho287->super = obj287;
    self = inheritingObject287;
    *selfslot = self;
    lowerouter287 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter287;
  }
if (objclass287 == NULL) {
  Method *reader289 = addmethodrealflags(obj287, "kind",&reader_lexer_kind_289, MFLAG_DEF);
  reader289->definitionModule = modulename;
  reader289->definitionLine = 133;
}
adddatum2(obj287, alloc_Undefined(), 1);
if (objclass287 == NULL) {
  Method *reader290 = addmethodrealflags(obj287, "value",&reader_lexer_value_290, MFLAG_DEF);
  reader290->definitionModule = modulename;
  reader290->definitionLine = 134;
}
adddatum2(obj287, alloc_Undefined(), 2);
if (objclass287 == NULL) {
  Method *reader291 = addmethodrealflags(obj287, "size",&reader_lexer_size_291, MFLAG_DEF);
  reader291->definitionModule = modulename;
  reader291->definitionLine = 135;
}
adddatum2(obj287, alloc_Undefined(), 3);
  sourceObject = obj287;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe292 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call293 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe292);
// compilenode returning call293
  struct UserObject *obj287_uo = (struct UserObject *)obj287;
  obj287_uo->super = call293;
  sourceObject = obj287;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit294 == NULL) {
    strlit294 = alloc_String("dot");
    gc_root(strlit294);
  }
// compilenode returning strlit294
  adddatum2(obj287, strlit294, 1);
  sourceObject = obj287;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit295 == NULL) {
    strlit295 = alloc_String(".");
    gc_root(strlit295);
  }
// compilenode returning strlit295
  adddatum2(obj287, strlit295, 2);
  sourceObject = obj287;
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num296 = alloc_Float64(1);
// compilenode returning num296
  adddatum2(obj287, num296, 3);
objclass287 = obj287->class;
  objclass287->definitionModule = modulename;
  objclass287->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter287;
  self = oldself287;
  selfslot = oldselfslot287;
  stackframe = oldstackframe287;
  gc_frame_end(frame);
  return obj287;
}
Object meth_lexer_new300(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  Object *var_startPosition = getfromclosure(closure, 1);
  Object *var_linePosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject301 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj301 = alloc_userobj2(5,6, objclass301);
  gc_frame_newslot(obj301);
if (objclass301 == NULL) {
  glfree(obj301->class->name);
  obj301->class->name = "NumToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj301, self, 0);
  addmethodreal(obj301,"outer", &reader_lexer_outer_302);
  Object oldself301 = self;
  struct StackFrameObject *oldstackframe301 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe301);
  gc_frame_newslot((Object)stackframe);
  self = obj301;
  Object *oldselfslot301 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter301 = (*(struct UserObject *)self).data[0], lowerouter301 = thisouter301;
  if (inheritingObject301) {
    struct UserObject *inho301 = (struct UserObject *)inheritingObject301;
    while (inho301->super != GraceDefaultObject) inho301 = (struct UserObject *)inho301->super;
    inho301->super = obj301;
    self = inheritingObject301;
    *selfslot = self;
    lowerouter301 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter301;
  }
if (objclass301 == NULL) {
  Method *reader303 = addmethodrealflags(obj301, "kind",&reader_lexer_kind_303, MFLAG_DEF);
  reader303->definitionModule = modulename;
  reader303->definitionLine = 139;
}
adddatum2(obj301, alloc_Undefined(), 1);
if (objclass301 == NULL) {
  Method *reader304 = addmethodrealflags(obj301, "value",&reader_lexer_value_304, MFLAG_DEF);
  reader304->definitionModule = modulename;
  reader304->definitionLine = 140;
}
adddatum2(obj301, alloc_Undefined(), 2);
if (objclass301 == NULL) {
  Method *reader305 = addmethodrealflags(obj301, "base",&reader_lexer_base_305, MFLAG_DEF);
  reader305->definitionModule = modulename;
  reader305->definitionLine = 141;
}
adddatum2(obj301, alloc_Undefined(), 3);
if (objclass301 == NULL) {
  Method *reader306 = addmethodrealflags(obj301, "size",&reader_lexer_size_306, MFLAG_DEF);
  reader306->definitionModule = modulename;
  reader306->definitionLine = 142;
}
adddatum2(obj301, alloc_Undefined(), 4);
  sourceObject = obj301;
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe307 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call308 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe307);
// compilenode returning call308
  struct UserObject *obj301_uo = (struct UserObject *)obj301;
  obj301_uo->super = call308;
  sourceObject = obj301;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit309 == NULL) {
    strlit309 = alloc_String("num");
    gc_root(strlit309);
  }
// compilenode returning strlit309
  adddatum2(obj301, strlit309, 1);
  sourceObject = obj301;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj301, *var_v, 2);
  sourceObject = obj301;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_b
  adddatum2(obj301, *var_b, 3);
  sourceObject = obj301;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_startPosition
  int op_slot_right_310 = gc_frame_newslot(*var_startPosition);
// compilenode returning *var_linePosition
  int op_slot_left_310 = gc_frame_newslot(*var_linePosition);
  params[0] = *var_startPosition;
  partcv[0] = 1;
  Object diff312 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff312
  adddatum2(obj301, diff312, 4);
objclass301 = obj301->class;
  objclass301->definitionModule = modulename;
  objclass301->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter301;
  self = oldself301;
  selfslot = oldselfslot301;
  stackframe = oldstackframe301;
  gc_frame_end(frame);
  return obj301;
}
Object meth_lexer_new300_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  Object *var_startPosition = getfromclosure(closure, 1);
  Object *var_linePosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject301 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj301 = alloc_userobj2(5,6, objclass301);
  gc_frame_newslot(obj301);
if (objclass301 == NULL) {
  glfree(obj301->class->name);
  obj301->class->name = "NumToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj301, self, 0);
  addmethodreal(obj301,"outer", &reader_lexer_outer_302);
  Object oldself301 = self;
  struct StackFrameObject *oldstackframe301 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe301);
  gc_frame_newslot((Object)stackframe);
  self = obj301;
  Object *oldselfslot301 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter301 = (*(struct UserObject *)self).data[0], lowerouter301 = thisouter301;
  if (inheritingObject301) {
    struct UserObject *inho301 = (struct UserObject *)inheritingObject301;
    while (inho301->super != GraceDefaultObject) inho301 = (struct UserObject *)inho301->super;
    inho301->super = obj301;
    self = inheritingObject301;
    *selfslot = self;
    lowerouter301 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter301;
  }
if (objclass301 == NULL) {
  Method *reader303 = addmethodrealflags(obj301, "kind",&reader_lexer_kind_303, MFLAG_DEF);
  reader303->definitionModule = modulename;
  reader303->definitionLine = 139;
}
adddatum2(obj301, alloc_Undefined(), 1);
if (objclass301 == NULL) {
  Method *reader304 = addmethodrealflags(obj301, "value",&reader_lexer_value_304, MFLAG_DEF);
  reader304->definitionModule = modulename;
  reader304->definitionLine = 140;
}
adddatum2(obj301, alloc_Undefined(), 2);
if (objclass301 == NULL) {
  Method *reader305 = addmethodrealflags(obj301, "base",&reader_lexer_base_305, MFLAG_DEF);
  reader305->definitionModule = modulename;
  reader305->definitionLine = 141;
}
adddatum2(obj301, alloc_Undefined(), 3);
if (objclass301 == NULL) {
  Method *reader306 = addmethodrealflags(obj301, "size",&reader_lexer_size_306, MFLAG_DEF);
  reader306->definitionModule = modulename;
  reader306->definitionLine = 142;
}
adddatum2(obj301, alloc_Undefined(), 4);
  sourceObject = obj301;
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe307 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call308 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe307);
// compilenode returning call308
  struct UserObject *obj301_uo = (struct UserObject *)obj301;
  obj301_uo->super = call308;
  sourceObject = obj301;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit309 == NULL) {
    strlit309 = alloc_String("num");
    gc_root(strlit309);
  }
// compilenode returning strlit309
  adddatum2(obj301, strlit309, 1);
  sourceObject = obj301;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj301, *var_v, 2);
  sourceObject = obj301;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_b
  adddatum2(obj301, *var_b, 3);
  sourceObject = obj301;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_startPosition
  int op_slot_right_310 = gc_frame_newslot(*var_startPosition);
// compilenode returning *var_linePosition
  int op_slot_left_310 = gc_frame_newslot(*var_linePosition);
  params[0] = *var_startPosition;
  partcv[0] = 1;
  Object diff312 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff312
  adddatum2(obj301, diff312, 4);
objclass301 = obj301->class;
  objclass301->definitionModule = modulename;
  objclass301->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter301;
  self = oldself301;
  selfslot = oldselfslot301;
  stackframe = oldstackframe301;
  gc_frame_end(frame);
  return obj301;
}
Object meth_lexer_new316(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject317 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj317 = alloc_userobj2(4,5, objclass317);
  gc_frame_newslot(obj317);
if (objclass317 == NULL) {
  glfree(obj317->class->name);
  obj317->class->name = "KeywordToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj317, self, 0);
  addmethodreal(obj317,"outer", &reader_lexer_outer_318);
  Object oldself317 = self;
  struct StackFrameObject *oldstackframe317 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe317);
  gc_frame_newslot((Object)stackframe);
  self = obj317;
  Object *oldselfslot317 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter317 = (*(struct UserObject *)self).data[0], lowerouter317 = thisouter317;
  if (inheritingObject317) {
    struct UserObject *inho317 = (struct UserObject *)inheritingObject317;
    while (inho317->super != GraceDefaultObject) inho317 = (struct UserObject *)inho317->super;
    inho317->super = obj317;
    self = inheritingObject317;
    *selfslot = self;
    lowerouter317 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter317;
  }
if (objclass317 == NULL) {
  Method *reader319 = addmethodrealflags(obj317, "kind",&reader_lexer_kind_319, MFLAG_DEF);
  reader319->definitionModule = modulename;
  reader319->definitionLine = 146;
}
adddatum2(obj317, alloc_Undefined(), 1);
if (objclass317 == NULL) {
  Method *reader320 = addmethodrealflags(obj317, "value",&reader_lexer_value_320, MFLAG_DEF);
  reader320->definitionModule = modulename;
  reader320->definitionLine = 147;
}
adddatum2(obj317, alloc_Undefined(), 2);
if (objclass317 == NULL) {
  Method *reader321 = addmethodrealflags(obj317, "size",&reader_lexer_size_321, MFLAG_DEF);
  reader321->definitionModule = modulename;
  reader321->definitionLine = 148;
}
adddatum2(obj317, alloc_Undefined(), 3);
  sourceObject = obj317;
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe322 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call323 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe322);
// compilenode returning call323
  struct UserObject *obj317_uo = (struct UserObject *)obj317;
  obj317_uo->super = call323;
  sourceObject = obj317;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit324 == NULL) {
    strlit324 = alloc_String("keyword");
    gc_root(strlit324);
  }
// compilenode returning strlit324
  adddatum2(obj317, strlit324, 1);
  sourceObject = obj317;
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj317, *var_v, 2);
  sourceObject = obj317;
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe325 = gc_frame_new();
// compilenode returning *var_v
  partcv[0] = 0;
  Object call326 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe325);
// compilenode returning call326
// compilenode returning call326
  adddatum2(obj317, call326, 3);
objclass317 = obj317->class;
  objclass317->definitionModule = modulename;
  objclass317->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter317;
  self = oldself317;
  selfslot = oldselfslot317;
  stackframe = oldstackframe317;
  gc_frame_end(frame);
  return obj317;
}
Object meth_lexer_new316_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject317 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj317 = alloc_userobj2(4,5, objclass317);
  gc_frame_newslot(obj317);
if (objclass317 == NULL) {
  glfree(obj317->class->name);
  obj317->class->name = "KeywordToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj317, self, 0);
  addmethodreal(obj317,"outer", &reader_lexer_outer_318);
  Object oldself317 = self;
  struct StackFrameObject *oldstackframe317 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe317);
  gc_frame_newslot((Object)stackframe);
  self = obj317;
  Object *oldselfslot317 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter317 = (*(struct UserObject *)self).data[0], lowerouter317 = thisouter317;
  if (inheritingObject317) {
    struct UserObject *inho317 = (struct UserObject *)inheritingObject317;
    while (inho317->super != GraceDefaultObject) inho317 = (struct UserObject *)inho317->super;
    inho317->super = obj317;
    self = inheritingObject317;
    *selfslot = self;
    lowerouter317 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter317;
  }
if (objclass317 == NULL) {
  Method *reader319 = addmethodrealflags(obj317, "kind",&reader_lexer_kind_319, MFLAG_DEF);
  reader319->definitionModule = modulename;
  reader319->definitionLine = 146;
}
adddatum2(obj317, alloc_Undefined(), 1);
if (objclass317 == NULL) {
  Method *reader320 = addmethodrealflags(obj317, "value",&reader_lexer_value_320, MFLAG_DEF);
  reader320->definitionModule = modulename;
  reader320->definitionLine = 147;
}
adddatum2(obj317, alloc_Undefined(), 2);
if (objclass317 == NULL) {
  Method *reader321 = addmethodrealflags(obj317, "size",&reader_lexer_size_321, MFLAG_DEF);
  reader321->definitionModule = modulename;
  reader321->definitionLine = 148;
}
adddatum2(obj317, alloc_Undefined(), 3);
  sourceObject = obj317;
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe322 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call323 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe322);
// compilenode returning call323
  struct UserObject *obj317_uo = (struct UserObject *)obj317;
  obj317_uo->super = call323;
  sourceObject = obj317;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit324 == NULL) {
    strlit324 = alloc_String("keyword");
    gc_root(strlit324);
  }
// compilenode returning strlit324
  adddatum2(obj317, strlit324, 1);
  sourceObject = obj317;
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj317, *var_v, 2);
  sourceObject = obj317;
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe325 = gc_frame_new();
// compilenode returning *var_v
  partcv[0] = 0;
  Object call326 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe325);
// compilenode returning call326
// compilenode returning call326
  adddatum2(obj317, call326, 3);
objclass317 = obj317->class;
  objclass317->definitionModule = modulename;
  objclass317->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter317;
  self = oldself317;
  selfslot = oldselfslot317;
  stackframe = oldstackframe317;
  gc_frame_end(frame);
  return obj317;
}
Object meth_lexer_new330(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject331 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj331 = alloc_userobj2(4,5, objclass331);
  gc_frame_newslot(obj331);
if (objclass331 == NULL) {
  glfree(obj331->class->name);
  obj331->class->name = "OpToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj331, self, 0);
  addmethodreal(obj331,"outer", &reader_lexer_outer_332);
  Object oldself331 = self;
  struct StackFrameObject *oldstackframe331 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe331);
  gc_frame_newslot((Object)stackframe);
  self = obj331;
  Object *oldselfslot331 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter331 = (*(struct UserObject *)self).data[0], lowerouter331 = thisouter331;
  if (inheritingObject331) {
    struct UserObject *inho331 = (struct UserObject *)inheritingObject331;
    while (inho331->super != GraceDefaultObject) inho331 = (struct UserObject *)inho331->super;
    inho331->super = obj331;
    self = inheritingObject331;
    *selfslot = self;
    lowerouter331 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter331;
  }
if (objclass331 == NULL) {
  Method *reader333 = addmethodrealflags(obj331, "kind",&reader_lexer_kind_333, MFLAG_DEF);
  reader333->definitionModule = modulename;
  reader333->definitionLine = 152;
}
adddatum2(obj331, alloc_Undefined(), 1);
if (objclass331 == NULL) {
  Method *reader334 = addmethodrealflags(obj331, "value",&reader_lexer_value_334, MFLAG_DEF);
  reader334->definitionModule = modulename;
  reader334->definitionLine = 153;
}
adddatum2(obj331, alloc_Undefined(), 2);
if (objclass331 == NULL) {
  Method *reader335 = addmethodrealflags(obj331, "size",&reader_lexer_size_335, MFLAG_DEF);
  reader335->definitionModule = modulename;
  reader335->definitionLine = 154;
}
adddatum2(obj331, alloc_Undefined(), 3);
  sourceObject = obj331;
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe336 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call337 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe336);
// compilenode returning call337
  struct UserObject *obj331_uo = (struct UserObject *)obj331;
  obj331_uo->super = call337;
  sourceObject = obj331;
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit338 == NULL) {
    strlit338 = alloc_String("op");
    gc_root(strlit338);
  }
// compilenode returning strlit338
  adddatum2(obj331, strlit338, 1);
  sourceObject = obj331;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj331, *var_v, 2);
  sourceObject = obj331;
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe339 = gc_frame_new();
// compilenode returning *var_v
  partcv[0] = 0;
  Object call340 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe339);
// compilenode returning call340
// compilenode returning call340
  adddatum2(obj331, call340, 3);
objclass331 = obj331->class;
  objclass331->definitionModule = modulename;
  objclass331->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter331;
  self = oldself331;
  selfslot = oldselfslot331;
  stackframe = oldstackframe331;
  gc_frame_end(frame);
  return obj331;
}
Object meth_lexer_new330_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject331 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj331 = alloc_userobj2(4,5, objclass331);
  gc_frame_newslot(obj331);
if (objclass331 == NULL) {
  glfree(obj331->class->name);
  obj331->class->name = "OpToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj331, self, 0);
  addmethodreal(obj331,"outer", &reader_lexer_outer_332);
  Object oldself331 = self;
  struct StackFrameObject *oldstackframe331 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe331);
  gc_frame_newslot((Object)stackframe);
  self = obj331;
  Object *oldselfslot331 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter331 = (*(struct UserObject *)self).data[0], lowerouter331 = thisouter331;
  if (inheritingObject331) {
    struct UserObject *inho331 = (struct UserObject *)inheritingObject331;
    while (inho331->super != GraceDefaultObject) inho331 = (struct UserObject *)inho331->super;
    inho331->super = obj331;
    self = inheritingObject331;
    *selfslot = self;
    lowerouter331 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter331;
  }
if (objclass331 == NULL) {
  Method *reader333 = addmethodrealflags(obj331, "kind",&reader_lexer_kind_333, MFLAG_DEF);
  reader333->definitionModule = modulename;
  reader333->definitionLine = 152;
}
adddatum2(obj331, alloc_Undefined(), 1);
if (objclass331 == NULL) {
  Method *reader334 = addmethodrealflags(obj331, "value",&reader_lexer_value_334, MFLAG_DEF);
  reader334->definitionModule = modulename;
  reader334->definitionLine = 153;
}
adddatum2(obj331, alloc_Undefined(), 2);
if (objclass331 == NULL) {
  Method *reader335 = addmethodrealflags(obj331, "size",&reader_lexer_size_335, MFLAG_DEF);
  reader335->definitionModule = modulename;
  reader335->definitionLine = 154;
}
adddatum2(obj331, alloc_Undefined(), 3);
  sourceObject = obj331;
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe336 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call337 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe336);
// compilenode returning call337
  struct UserObject *obj331_uo = (struct UserObject *)obj331;
  obj331_uo->super = call337;
  sourceObject = obj331;
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit338 == NULL) {
    strlit338 = alloc_String("op");
    gc_root(strlit338);
  }
// compilenode returning strlit338
  adddatum2(obj331, strlit338, 1);
  sourceObject = obj331;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj331, *var_v, 2);
  sourceObject = obj331;
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe339 = gc_frame_new();
// compilenode returning *var_v
  partcv[0] = 0;
  Object call340 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe339);
// compilenode returning call340
// compilenode returning call340
  adddatum2(obj331, call340, 3);
objclass331 = obj331->class;
  objclass331->definitionModule = modulename;
  objclass331->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter331;
  self = oldself331;
  selfslot = oldselfslot331;
  stackframe = oldstackframe331;
  gc_frame_end(frame);
  return obj331;
}
Object meth_lexer_new344(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject345 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj345 = alloc_userobj2(4,5, objclass345);
  gc_frame_newslot(obj345);
if (objclass345 == NULL) {
  glfree(obj345->class->name);
  obj345->class->name = "ArrowToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj345, self, 0);
  addmethodreal(obj345,"outer", &reader_lexer_outer_346);
  Object oldself345 = self;
  struct StackFrameObject *oldstackframe345 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe345);
  gc_frame_newslot((Object)stackframe);
  self = obj345;
  Object *oldselfslot345 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter345 = (*(struct UserObject *)self).data[0], lowerouter345 = thisouter345;
  if (inheritingObject345) {
    struct UserObject *inho345 = (struct UserObject *)inheritingObject345;
    while (inho345->super != GraceDefaultObject) inho345 = (struct UserObject *)inho345->super;
    inho345->super = obj345;
    self = inheritingObject345;
    *selfslot = self;
    lowerouter345 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter345;
  }
if (objclass345 == NULL) {
  Method *reader347 = addmethodrealflags(obj345, "kind",&reader_lexer_kind_347, MFLAG_DEF);
  reader347->definitionModule = modulename;
  reader347->definitionLine = 158;
}
adddatum2(obj345, alloc_Undefined(), 1);
if (objclass345 == NULL) {
  Method *reader348 = addmethodrealflags(obj345, "value",&reader_lexer_value_348, MFLAG_DEF);
  reader348->definitionModule = modulename;
  reader348->definitionLine = 159;
}
adddatum2(obj345, alloc_Undefined(), 2);
if (objclass345 == NULL) {
  Method *reader349 = addmethodrealflags(obj345, "size",&reader_lexer_size_349, MFLAG_DEF);
  reader349->definitionModule = modulename;
  reader349->definitionLine = 160;
}
adddatum2(obj345, alloc_Undefined(), 3);
  sourceObject = obj345;
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe350 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call351 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe350);
// compilenode returning call351
  struct UserObject *obj345_uo = (struct UserObject *)obj345;
  obj345_uo->super = call351;
  sourceObject = obj345;
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit352 == NULL) {
    strlit352 = alloc_String("arrow");
    gc_root(strlit352);
  }
// compilenode returning strlit352
  adddatum2(obj345, strlit352, 1);
  sourceObject = obj345;
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit353 == NULL) {
    strlit353 = alloc_String("->");
    gc_root(strlit353);
  }
// compilenode returning strlit353
  adddatum2(obj345, strlit353, 2);
  sourceObject = obj345;
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num354 = alloc_Float64(2);
// compilenode returning num354
  adddatum2(obj345, num354, 3);
objclass345 = obj345->class;
  objclass345->definitionModule = modulename;
  objclass345->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter345;
  self = oldself345;
  selfslot = oldselfslot345;
  stackframe = oldstackframe345;
  gc_frame_end(frame);
  return obj345;
}
Object meth_lexer_new344_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject345 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj345 = alloc_userobj2(4,5, objclass345);
  gc_frame_newslot(obj345);
if (objclass345 == NULL) {
  glfree(obj345->class->name);
  obj345->class->name = "ArrowToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj345, self, 0);
  addmethodreal(obj345,"outer", &reader_lexer_outer_346);
  Object oldself345 = self;
  struct StackFrameObject *oldstackframe345 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe345);
  gc_frame_newslot((Object)stackframe);
  self = obj345;
  Object *oldselfslot345 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter345 = (*(struct UserObject *)self).data[0], lowerouter345 = thisouter345;
  if (inheritingObject345) {
    struct UserObject *inho345 = (struct UserObject *)inheritingObject345;
    while (inho345->super != GraceDefaultObject) inho345 = (struct UserObject *)inho345->super;
    inho345->super = obj345;
    self = inheritingObject345;
    *selfslot = self;
    lowerouter345 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter345;
  }
if (objclass345 == NULL) {
  Method *reader347 = addmethodrealflags(obj345, "kind",&reader_lexer_kind_347, MFLAG_DEF);
  reader347->definitionModule = modulename;
  reader347->definitionLine = 158;
}
adddatum2(obj345, alloc_Undefined(), 1);
if (objclass345 == NULL) {
  Method *reader348 = addmethodrealflags(obj345, "value",&reader_lexer_value_348, MFLAG_DEF);
  reader348->definitionModule = modulename;
  reader348->definitionLine = 159;
}
adddatum2(obj345, alloc_Undefined(), 2);
if (objclass345 == NULL) {
  Method *reader349 = addmethodrealflags(obj345, "size",&reader_lexer_size_349, MFLAG_DEF);
  reader349->definitionModule = modulename;
  reader349->definitionLine = 160;
}
adddatum2(obj345, alloc_Undefined(), 3);
  sourceObject = obj345;
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe350 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call351 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe350);
// compilenode returning call351
  struct UserObject *obj345_uo = (struct UserObject *)obj345;
  obj345_uo->super = call351;
  sourceObject = obj345;
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit352 == NULL) {
    strlit352 = alloc_String("arrow");
    gc_root(strlit352);
  }
// compilenode returning strlit352
  adddatum2(obj345, strlit352, 1);
  sourceObject = obj345;
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit353 == NULL) {
    strlit353 = alloc_String("->");
    gc_root(strlit353);
  }
// compilenode returning strlit353
  adddatum2(obj345, strlit353, 2);
  sourceObject = obj345;
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num354 = alloc_Float64(2);
// compilenode returning num354
  adddatum2(obj345, num354, 3);
objclass345 = obj345->class;
  objclass345->definitionModule = modulename;
  objclass345->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter345;
  self = oldself345;
  selfslot = oldselfslot345;
  stackframe = oldstackframe345;
  gc_frame_end(frame);
  return obj345;
}
Object meth_lexer_new358(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject359 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj359 = alloc_userobj2(4,5, objclass359);
  gc_frame_newslot(obj359);
if (objclass359 == NULL) {
  glfree(obj359->class->name);
  obj359->class->name = "BindToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj359, self, 0);
  addmethodreal(obj359,"outer", &reader_lexer_outer_360);
  Object oldself359 = self;
  struct StackFrameObject *oldstackframe359 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe359);
  gc_frame_newslot((Object)stackframe);
  self = obj359;
  Object *oldselfslot359 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter359 = (*(struct UserObject *)self).data[0], lowerouter359 = thisouter359;
  if (inheritingObject359) {
    struct UserObject *inho359 = (struct UserObject *)inheritingObject359;
    while (inho359->super != GraceDefaultObject) inho359 = (struct UserObject *)inho359->super;
    inho359->super = obj359;
    self = inheritingObject359;
    *selfslot = self;
    lowerouter359 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter359;
  }
if (objclass359 == NULL) {
  Method *reader361 = addmethodrealflags(obj359, "kind",&reader_lexer_kind_361, MFLAG_DEF);
  reader361->definitionModule = modulename;
  reader361->definitionLine = 164;
}
adddatum2(obj359, alloc_Undefined(), 1);
if (objclass359 == NULL) {
  Method *reader362 = addmethodrealflags(obj359, "value",&reader_lexer_value_362, MFLAG_DEF);
  reader362->definitionModule = modulename;
  reader362->definitionLine = 165;
}
adddatum2(obj359, alloc_Undefined(), 2);
if (objclass359 == NULL) {
  Method *reader363 = addmethodrealflags(obj359, "size",&reader_lexer_size_363, MFLAG_DEF);
  reader363->definitionModule = modulename;
  reader363->definitionLine = 166;
}
adddatum2(obj359, alloc_Undefined(), 3);
  sourceObject = obj359;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe364 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call365 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe364);
// compilenode returning call365
  struct UserObject *obj359_uo = (struct UserObject *)obj359;
  obj359_uo->super = call365;
  sourceObject = obj359;
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit366 == NULL) {
    strlit366 = alloc_String("bind");
    gc_root(strlit366);
  }
// compilenode returning strlit366
  adddatum2(obj359, strlit366, 1);
  sourceObject = obj359;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit367 == NULL) {
    strlit367 = alloc_String(":=");
    gc_root(strlit367);
  }
// compilenode returning strlit367
  adddatum2(obj359, strlit367, 2);
  sourceObject = obj359;
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num368 = alloc_Float64(2);
// compilenode returning num368
  adddatum2(obj359, num368, 3);
objclass359 = obj359->class;
  objclass359->definitionModule = modulename;
  objclass359->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter359;
  self = oldself359;
  selfslot = oldselfslot359;
  stackframe = oldstackframe359;
  gc_frame_end(frame);
  return obj359;
}
Object meth_lexer_new358_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject359 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj359 = alloc_userobj2(4,5, objclass359);
  gc_frame_newslot(obj359);
if (objclass359 == NULL) {
  glfree(obj359->class->name);
  obj359->class->name = "BindToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj359, self, 0);
  addmethodreal(obj359,"outer", &reader_lexer_outer_360);
  Object oldself359 = self;
  struct StackFrameObject *oldstackframe359 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe359);
  gc_frame_newslot((Object)stackframe);
  self = obj359;
  Object *oldselfslot359 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter359 = (*(struct UserObject *)self).data[0], lowerouter359 = thisouter359;
  if (inheritingObject359) {
    struct UserObject *inho359 = (struct UserObject *)inheritingObject359;
    while (inho359->super != GraceDefaultObject) inho359 = (struct UserObject *)inho359->super;
    inho359->super = obj359;
    self = inheritingObject359;
    *selfslot = self;
    lowerouter359 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter359;
  }
if (objclass359 == NULL) {
  Method *reader361 = addmethodrealflags(obj359, "kind",&reader_lexer_kind_361, MFLAG_DEF);
  reader361->definitionModule = modulename;
  reader361->definitionLine = 164;
}
adddatum2(obj359, alloc_Undefined(), 1);
if (objclass359 == NULL) {
  Method *reader362 = addmethodrealflags(obj359, "value",&reader_lexer_value_362, MFLAG_DEF);
  reader362->definitionModule = modulename;
  reader362->definitionLine = 165;
}
adddatum2(obj359, alloc_Undefined(), 2);
if (objclass359 == NULL) {
  Method *reader363 = addmethodrealflags(obj359, "size",&reader_lexer_size_363, MFLAG_DEF);
  reader363->definitionModule = modulename;
  reader363->definitionLine = 166;
}
adddatum2(obj359, alloc_Undefined(), 3);
  sourceObject = obj359;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe364 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call365 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe364);
// compilenode returning call365
  struct UserObject *obj359_uo = (struct UserObject *)obj359;
  obj359_uo->super = call365;
  sourceObject = obj359;
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit366 == NULL) {
    strlit366 = alloc_String("bind");
    gc_root(strlit366);
  }
// compilenode returning strlit366
  adddatum2(obj359, strlit366, 1);
  sourceObject = obj359;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit367 == NULL) {
    strlit367 = alloc_String(":=");
    gc_root(strlit367);
  }
// compilenode returning strlit367
  adddatum2(obj359, strlit367, 2);
  sourceObject = obj359;
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num368 = alloc_Float64(2);
// compilenode returning num368
  adddatum2(obj359, num368, 3);
objclass359 = obj359->class;
  objclass359->definitionModule = modulename;
  objclass359->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter359;
  self = oldself359;
  selfslot = oldselfslot359;
  stackframe = oldstackframe359;
  gc_frame_end(frame);
  return obj359;
}
Object meth_lexer_new372(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject373 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj373 = alloc_userobj2(4,5, objclass373);
  gc_frame_newslot(obj373);
if (objclass373 == NULL) {
  glfree(obj373->class->name);
  obj373->class->name = "SemicolonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj373, self, 0);
  addmethodreal(obj373,"outer", &reader_lexer_outer_374);
  Object oldself373 = self;
  struct StackFrameObject *oldstackframe373 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe373);
  gc_frame_newslot((Object)stackframe);
  self = obj373;
  Object *oldselfslot373 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter373 = (*(struct UserObject *)self).data[0], lowerouter373 = thisouter373;
  if (inheritingObject373) {
    struct UserObject *inho373 = (struct UserObject *)inheritingObject373;
    while (inho373->super != GraceDefaultObject) inho373 = (struct UserObject *)inho373->super;
    inho373->super = obj373;
    self = inheritingObject373;
    *selfslot = self;
    lowerouter373 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter373;
  }
if (objclass373 == NULL) {
  Method *reader375 = addmethodrealflags(obj373, "kind",&reader_lexer_kind_375, MFLAG_DEF);
  reader375->definitionModule = modulename;
  reader375->definitionLine = 170;
}
adddatum2(obj373, alloc_Undefined(), 1);
if (objclass373 == NULL) {
  Method *reader376 = addmethodrealflags(obj373, "value",&reader_lexer_value_376, MFLAG_DEF);
  reader376->definitionModule = modulename;
  reader376->definitionLine = 171;
}
adddatum2(obj373, alloc_Undefined(), 2);
if (objclass373 == NULL) {
  Method *reader377 = addmethodrealflags(obj373, "size",&reader_lexer_size_377, MFLAG_DEF);
  reader377->definitionModule = modulename;
  reader377->definitionLine = 172;
}
adddatum2(obj373, alloc_Undefined(), 3);
  sourceObject = obj373;
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe378 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call379 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe378);
// compilenode returning call379
  struct UserObject *obj373_uo = (struct UserObject *)obj373;
  obj373_uo->super = call379;
  sourceObject = obj373;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit380 == NULL) {
    strlit380 = alloc_String("semicolon");
    gc_root(strlit380);
  }
// compilenode returning strlit380
  adddatum2(obj373, strlit380, 1);
  sourceObject = obj373;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit381 == NULL) {
    strlit381 = alloc_String(";");
    gc_root(strlit381);
  }
// compilenode returning strlit381
  adddatum2(obj373, strlit381, 2);
  sourceObject = obj373;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num382 = alloc_Float64(1);
// compilenode returning num382
  adddatum2(obj373, num382, 3);
objclass373 = obj373->class;
  objclass373->definitionModule = modulename;
  objclass373->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter373;
  self = oldself373;
  selfslot = oldselfslot373;
  stackframe = oldstackframe373;
  gc_frame_end(frame);
  return obj373;
}
Object meth_lexer_new372_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject373 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj373 = alloc_userobj2(4,5, objclass373);
  gc_frame_newslot(obj373);
if (objclass373 == NULL) {
  glfree(obj373->class->name);
  obj373->class->name = "SemicolonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj373, self, 0);
  addmethodreal(obj373,"outer", &reader_lexer_outer_374);
  Object oldself373 = self;
  struct StackFrameObject *oldstackframe373 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe373);
  gc_frame_newslot((Object)stackframe);
  self = obj373;
  Object *oldselfslot373 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter373 = (*(struct UserObject *)self).data[0], lowerouter373 = thisouter373;
  if (inheritingObject373) {
    struct UserObject *inho373 = (struct UserObject *)inheritingObject373;
    while (inho373->super != GraceDefaultObject) inho373 = (struct UserObject *)inho373->super;
    inho373->super = obj373;
    self = inheritingObject373;
    *selfslot = self;
    lowerouter373 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter373;
  }
if (objclass373 == NULL) {
  Method *reader375 = addmethodrealflags(obj373, "kind",&reader_lexer_kind_375, MFLAG_DEF);
  reader375->definitionModule = modulename;
  reader375->definitionLine = 170;
}
adddatum2(obj373, alloc_Undefined(), 1);
if (objclass373 == NULL) {
  Method *reader376 = addmethodrealflags(obj373, "value",&reader_lexer_value_376, MFLAG_DEF);
  reader376->definitionModule = modulename;
  reader376->definitionLine = 171;
}
adddatum2(obj373, alloc_Undefined(), 2);
if (objclass373 == NULL) {
  Method *reader377 = addmethodrealflags(obj373, "size",&reader_lexer_size_377, MFLAG_DEF);
  reader377->definitionModule = modulename;
  reader377->definitionLine = 172;
}
adddatum2(obj373, alloc_Undefined(), 3);
  sourceObject = obj373;
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe378 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call379 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe378);
// compilenode returning call379
  struct UserObject *obj373_uo = (struct UserObject *)obj373;
  obj373_uo->super = call379;
  sourceObject = obj373;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit380 == NULL) {
    strlit380 = alloc_String("semicolon");
    gc_root(strlit380);
  }
// compilenode returning strlit380
  adddatum2(obj373, strlit380, 1);
  sourceObject = obj373;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit381 == NULL) {
    strlit381 = alloc_String(";");
    gc_root(strlit381);
  }
// compilenode returning strlit381
  adddatum2(obj373, strlit381, 2);
  sourceObject = obj373;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num382 = alloc_Float64(1);
// compilenode returning num382
  adddatum2(obj373, num382, 3);
objclass373 = obj373->class;
  objclass373->definitionModule = modulename;
  objclass373->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter373;
  self = oldself373;
  selfslot = oldselfslot373;
  stackframe = oldstackframe373;
  gc_frame_end(frame);
  return obj373;
}
Object meth_lexer_new386(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject387 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj387 = alloc_userobj2(4,5, objclass387);
  gc_frame_newslot(obj387);
if (objclass387 == NULL) {
  glfree(obj387->class->name);
  obj387->class->name = "LGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj387, self, 0);
  addmethodreal(obj387,"outer", &reader_lexer_outer_388);
  Object oldself387 = self;
  struct StackFrameObject *oldstackframe387 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe387);
  gc_frame_newslot((Object)stackframe);
  self = obj387;
  Object *oldselfslot387 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter387 = (*(struct UserObject *)self).data[0], lowerouter387 = thisouter387;
  if (inheritingObject387) {
    struct UserObject *inho387 = (struct UserObject *)inheritingObject387;
    while (inho387->super != GraceDefaultObject) inho387 = (struct UserObject *)inho387->super;
    inho387->super = obj387;
    self = inheritingObject387;
    *selfslot = self;
    lowerouter387 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter387;
  }
if (objclass387 == NULL) {
  Method *reader389 = addmethodrealflags(obj387, "kind",&reader_lexer_kind_389, MFLAG_DEF);
  reader389->definitionModule = modulename;
  reader389->definitionLine = 176;
}
adddatum2(obj387, alloc_Undefined(), 1);
if (objclass387 == NULL) {
  Method *reader390 = addmethodrealflags(obj387, "value",&reader_lexer_value_390, MFLAG_DEF);
  reader390->definitionModule = modulename;
  reader390->definitionLine = 177;
}
adddatum2(obj387, alloc_Undefined(), 2);
if (objclass387 == NULL) {
  Method *reader391 = addmethodrealflags(obj387, "size",&reader_lexer_size_391, MFLAG_DEF);
  reader391->definitionModule = modulename;
  reader391->definitionLine = 178;
}
adddatum2(obj387, alloc_Undefined(), 3);
  sourceObject = obj387;
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe392 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call393 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe392);
// compilenode returning call393
  struct UserObject *obj387_uo = (struct UserObject *)obj387;
  obj387_uo->super = call393;
  sourceObject = obj387;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit394 == NULL) {
    strlit394 = alloc_String("lgeneric");
    gc_root(strlit394);
  }
// compilenode returning strlit394
  adddatum2(obj387, strlit394, 1);
  sourceObject = obj387;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit395 == NULL) {
    strlit395 = alloc_String("<");
    gc_root(strlit395);
  }
// compilenode returning strlit395
  adddatum2(obj387, strlit395, 2);
  sourceObject = obj387;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num396 = alloc_Float64(1);
// compilenode returning num396
  adddatum2(obj387, num396, 3);
objclass387 = obj387->class;
  objclass387->definitionModule = modulename;
  objclass387->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter387;
  self = oldself387;
  selfslot = oldselfslot387;
  stackframe = oldstackframe387;
  gc_frame_end(frame);
  return obj387;
}
Object meth_lexer_new386_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject387 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj387 = alloc_userobj2(4,5, objclass387);
  gc_frame_newslot(obj387);
if (objclass387 == NULL) {
  glfree(obj387->class->name);
  obj387->class->name = "LGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj387, self, 0);
  addmethodreal(obj387,"outer", &reader_lexer_outer_388);
  Object oldself387 = self;
  struct StackFrameObject *oldstackframe387 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe387);
  gc_frame_newslot((Object)stackframe);
  self = obj387;
  Object *oldselfslot387 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter387 = (*(struct UserObject *)self).data[0], lowerouter387 = thisouter387;
  if (inheritingObject387) {
    struct UserObject *inho387 = (struct UserObject *)inheritingObject387;
    while (inho387->super != GraceDefaultObject) inho387 = (struct UserObject *)inho387->super;
    inho387->super = obj387;
    self = inheritingObject387;
    *selfslot = self;
    lowerouter387 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter387;
  }
if (objclass387 == NULL) {
  Method *reader389 = addmethodrealflags(obj387, "kind",&reader_lexer_kind_389, MFLAG_DEF);
  reader389->definitionModule = modulename;
  reader389->definitionLine = 176;
}
adddatum2(obj387, alloc_Undefined(), 1);
if (objclass387 == NULL) {
  Method *reader390 = addmethodrealflags(obj387, "value",&reader_lexer_value_390, MFLAG_DEF);
  reader390->definitionModule = modulename;
  reader390->definitionLine = 177;
}
adddatum2(obj387, alloc_Undefined(), 2);
if (objclass387 == NULL) {
  Method *reader391 = addmethodrealflags(obj387, "size",&reader_lexer_size_391, MFLAG_DEF);
  reader391->definitionModule = modulename;
  reader391->definitionLine = 178;
}
adddatum2(obj387, alloc_Undefined(), 3);
  sourceObject = obj387;
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe392 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call393 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe392);
// compilenode returning call393
  struct UserObject *obj387_uo = (struct UserObject *)obj387;
  obj387_uo->super = call393;
  sourceObject = obj387;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit394 == NULL) {
    strlit394 = alloc_String("lgeneric");
    gc_root(strlit394);
  }
// compilenode returning strlit394
  adddatum2(obj387, strlit394, 1);
  sourceObject = obj387;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit395 == NULL) {
    strlit395 = alloc_String("<");
    gc_root(strlit395);
  }
// compilenode returning strlit395
  adddatum2(obj387, strlit395, 2);
  sourceObject = obj387;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num396 = alloc_Float64(1);
// compilenode returning num396
  adddatum2(obj387, num396, 3);
objclass387 = obj387->class;
  objclass387->definitionModule = modulename;
  objclass387->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter387;
  self = oldself387;
  selfslot = oldselfslot387;
  stackframe = oldstackframe387;
  gc_frame_end(frame);
  return obj387;
}
Object meth_lexer_new400(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject401 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj401 = alloc_userobj2(4,5, objclass401);
  gc_frame_newslot(obj401);
if (objclass401 == NULL) {
  glfree(obj401->class->name);
  obj401->class->name = "RGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj401, self, 0);
  addmethodreal(obj401,"outer", &reader_lexer_outer_402);
  Object oldself401 = self;
  struct StackFrameObject *oldstackframe401 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe401);
  gc_frame_newslot((Object)stackframe);
  self = obj401;
  Object *oldselfslot401 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter401 = (*(struct UserObject *)self).data[0], lowerouter401 = thisouter401;
  if (inheritingObject401) {
    struct UserObject *inho401 = (struct UserObject *)inheritingObject401;
    while (inho401->super != GraceDefaultObject) inho401 = (struct UserObject *)inho401->super;
    inho401->super = obj401;
    self = inheritingObject401;
    *selfslot = self;
    lowerouter401 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter401;
  }
if (objclass401 == NULL) {
  Method *reader403 = addmethodrealflags(obj401, "kind",&reader_lexer_kind_403, MFLAG_DEF);
  reader403->definitionModule = modulename;
  reader403->definitionLine = 182;
}
adddatum2(obj401, alloc_Undefined(), 1);
if (objclass401 == NULL) {
  Method *reader404 = addmethodrealflags(obj401, "value",&reader_lexer_value_404, MFLAG_DEF);
  reader404->definitionModule = modulename;
  reader404->definitionLine = 183;
}
adddatum2(obj401, alloc_Undefined(), 2);
if (objclass401 == NULL) {
  Method *reader405 = addmethodrealflags(obj401, "size",&reader_lexer_size_405, MFLAG_DEF);
  reader405->definitionModule = modulename;
  reader405->definitionLine = 184;
}
adddatum2(obj401, alloc_Undefined(), 3);
  sourceObject = obj401;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe406 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call407 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe406);
// compilenode returning call407
  struct UserObject *obj401_uo = (struct UserObject *)obj401;
  obj401_uo->super = call407;
  sourceObject = obj401;
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit408 == NULL) {
    strlit408 = alloc_String("rgeneric");
    gc_root(strlit408);
  }
// compilenode returning strlit408
  adddatum2(obj401, strlit408, 1);
  sourceObject = obj401;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit409 == NULL) {
    strlit409 = alloc_String(">");
    gc_root(strlit409);
  }
// compilenode returning strlit409
  adddatum2(obj401, strlit409, 2);
  sourceObject = obj401;
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num410 = alloc_Float64(1);
// compilenode returning num410
  adddatum2(obj401, num410, 3);
objclass401 = obj401->class;
  objclass401->definitionModule = modulename;
  objclass401->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter401;
  self = oldself401;
  selfslot = oldselfslot401;
  stackframe = oldstackframe401;
  gc_frame_end(frame);
  return obj401;
}
Object meth_lexer_new400_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject401 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj401 = alloc_userobj2(4,5, objclass401);
  gc_frame_newslot(obj401);
if (objclass401 == NULL) {
  glfree(obj401->class->name);
  obj401->class->name = "RGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj401, self, 0);
  addmethodreal(obj401,"outer", &reader_lexer_outer_402);
  Object oldself401 = self;
  struct StackFrameObject *oldstackframe401 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe401);
  gc_frame_newslot((Object)stackframe);
  self = obj401;
  Object *oldselfslot401 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter401 = (*(struct UserObject *)self).data[0], lowerouter401 = thisouter401;
  if (inheritingObject401) {
    struct UserObject *inho401 = (struct UserObject *)inheritingObject401;
    while (inho401->super != GraceDefaultObject) inho401 = (struct UserObject *)inho401->super;
    inho401->super = obj401;
    self = inheritingObject401;
    *selfslot = self;
    lowerouter401 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter401;
  }
if (objclass401 == NULL) {
  Method *reader403 = addmethodrealflags(obj401, "kind",&reader_lexer_kind_403, MFLAG_DEF);
  reader403->definitionModule = modulename;
  reader403->definitionLine = 182;
}
adddatum2(obj401, alloc_Undefined(), 1);
if (objclass401 == NULL) {
  Method *reader404 = addmethodrealflags(obj401, "value",&reader_lexer_value_404, MFLAG_DEF);
  reader404->definitionModule = modulename;
  reader404->definitionLine = 183;
}
adddatum2(obj401, alloc_Undefined(), 2);
if (objclass401 == NULL) {
  Method *reader405 = addmethodrealflags(obj401, "size",&reader_lexer_size_405, MFLAG_DEF);
  reader405->definitionModule = modulename;
  reader405->definitionLine = 184;
}
adddatum2(obj401, alloc_Undefined(), 3);
  sourceObject = obj401;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe406 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call407 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe406);
// compilenode returning call407
  struct UserObject *obj401_uo = (struct UserObject *)obj401;
  obj401_uo->super = call407;
  sourceObject = obj401;
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit408 == NULL) {
    strlit408 = alloc_String("rgeneric");
    gc_root(strlit408);
  }
// compilenode returning strlit408
  adddatum2(obj401, strlit408, 1);
  sourceObject = obj401;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit409 == NULL) {
    strlit409 = alloc_String(">");
    gc_root(strlit409);
  }
// compilenode returning strlit409
  adddatum2(obj401, strlit409, 2);
  sourceObject = obj401;
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num410 = alloc_Float64(1);
// compilenode returning num410
  adddatum2(obj401, num410, 3);
objclass401 = obj401->class;
  objclass401->definitionModule = modulename;
  objclass401->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter401;
  self = oldself401;
  selfslot = oldselfslot401;
  stackframe = oldstackframe401;
  gc_frame_end(frame);
  return obj401;
}
Object meth_lexer__apply697(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit699 == NULL) {
    strlit699 = alloc_String("dot");
    gc_root(strlit699);
  }
// compilenode returning strlit699
  int op_slot_right_698 = gc_frame_newslot(strlit699);
  int callframe701 = gc_frame_new();
  int callframe702 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call703 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe702);
// compilenode returning call703
// compilenode returning call703
  partcv[0] = 0;
  Object call704 = callmethod(call703, "kind",
    1, partcv, params);
  gc_frame_end(callframe701);
// compilenode returning call704
// compilenode returning call704
  int op_slot_left_698 = gc_frame_newslot(call704);
  params[0] = strlit699;
  partcv[0] = 1;
  Object opresult705 = callmethod(call704, "==", 1, partcv, params);
// compilenode returning opresult705
  gc_frame_end(frame);
  return opresult705;
}
Object meth_lexer_modechange414(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "modechange");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method");
  Object params[5];
  int partcv[3];
  Object *var_IdentifierToken = getfromclosure(closure, 0);
  Object *var_KeywordToken = getfromclosure(closure, 1);
  Object *var_StringToken = getfromclosure(closure, 2);
  Object *var_OctetsToken = getfromclosure(closure, 3);
  Object *var_CommaToken = getfromclosure(closure, 4);
  Object *var_DotToken = getfromclosure(closure, 5);
  Object *var_LBraceToken = getfromclosure(closure, 6);
  Object *var_RBraceToken = getfromclosure(closure, 7);
  Object *var_LParenToken = getfromclosure(closure, 8);
  Object *var_RParenToken = getfromclosure(closure, 9);
  Object *var_LSquareToken = getfromclosure(closure, 10);
  Object *var_RSquareToken = getfromclosure(closure, 11);
  Object *var_LGenericToken = getfromclosure(closure, 12);
  Object *var_RGenericToken = getfromclosure(closure, 13);
  Object *var_SemicolonToken = getfromclosure(closure, 14);
  Object *var_NumToken = getfromclosure(closure, 15);
  Object *var_errormessages = getfromclosure(closure, 16);
  Object *var_linePosition = getfromclosure(closure, 17);
  Object *var_lineNumber = getfromclosure(closure, 18);
  Object *var_OpToken = getfromclosure(closure, 19);
  Object *var_ArrowToken = getfromclosure(closure, 20);
  Object *var_BindToken = getfromclosure(closure, 21);
  Object *var_ColonToken = getfromclosure(closure, 22);
  Object *var_indentLevel = getfromclosure(closure, 23);
  Object *var_CommentToken = getfromclosure(closure, 24);
  Object *var_util = getfromclosure(closure, 25);
  Object *var_startPosition = getfromclosure(closure, 26);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for modechange (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tokens = &(stackframe->slots[0]);
  *var_tokens = args[curarg];
  curarg++;
  Object *var_mode = &(stackframe->slots[1]);
  *var_mode = args[curarg];
  curarg++;
  Object *var_accum = &(stackframe->slots[2]);
  *var_accum = args[curarg];
  curarg++;
if (argcv && argcv[0] > 3)
  gracedie("too many arguments for modechange");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_done = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "done");
  Object *var_tok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "tok");
  Object *var_dot = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "dot");
  Object *var_decimal = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "decimal");
  Object *var_suggestions = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestions");
  Object *var_suggestion = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "suggestion");
  Object *var_cmt = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "cmt");
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool415 = alloc_Boolean(0);
// compilenode returning bool415
  *var_done = bool415;
  if (bool415 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num416 = alloc_Float64(0);
// compilenode returning num416
  *var_tok = num416;
  if (num416 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num420 = alloc_Float64(0);
// compilenode returning num420
  int op_slot_right_419 = gc_frame_newslot(num420);
  int callframe422 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call423 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe422);
// compilenode returning call423
// compilenode returning call423
  int op_slot_left_419 = gc_frame_newslot(call423);
  params[0] = num420;
  partcv[0] = 1;
  Object opresult424 = callmethod(call423, ">", 1, partcv, params);
// compilenode returning opresult424
  int op_slot_right_418 = gc_frame_newslot(opresult424);
  if (strlit427 == NULL) {
    strlit427 = alloc_String("n");
    gc_root(strlit427);
  }
// compilenode returning strlit427
  int op_slot_right_426 = gc_frame_newslot(strlit427);
// compilenode returning *var_mode
  int op_slot_left_426 = gc_frame_newslot(*var_mode);
  params[0] = strlit427;
  partcv[0] = 1;
  Object opresult429 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult429
  int op_slot_left_418 = gc_frame_newslot(opresult429);
  params[0] = opresult424;
  partcv[0] = 1;
  Object opresult430 = callmethod(opresult429, "||", 1, partcv, params);
// compilenode returning opresult430
  Object if417 = done;
  if (istrue(opresult430)) {
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit433 == NULL) {
    strlit433 = alloc_String("i");
    gc_root(strlit433);
  }
// compilenode returning strlit433
  int op_slot_right_432 = gc_frame_newslot(strlit433);
// compilenode returning *var_mode
  int op_slot_left_432 = gc_frame_newslot(*var_mode);
  params[0] = strlit433;
  partcv[0] = 1;
  Object opresult435 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult435
  Object if431 = done;
  if (istrue(opresult435)) {
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe436 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
// compilenode returning *var_IdentifierToken
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call437 = callmethod(*var_IdentifierToken, "new",
    1, partcv, params);
  gc_frame_end(callframe436);
// compilenode returning call437
  *var_tok = call437;
  if (call437 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit442 == NULL) {
    strlit442 = alloc_String("dialect");
    gc_root(strlit442);
  }
// compilenode returning strlit442
  int op_slot_right_441 = gc_frame_newslot(strlit442);
// compilenode returning *var_accum
  int op_slot_left_441 = gc_frame_newslot(*var_accum);
  params[0] = strlit442;
  partcv[0] = 1;
  Object opresult444 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult444
  int op_slot_right_440 = gc_frame_newslot(opresult444);
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit448 == NULL) {
    strlit448 = alloc_String("is");
    gc_root(strlit448);
  }
// compilenode returning strlit448
  int op_slot_right_447 = gc_frame_newslot(strlit448);
// compilenode returning *var_accum
  int op_slot_left_447 = gc_frame_newslot(*var_accum);
  params[0] = strlit448;
  partcv[0] = 1;
  Object opresult450 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult450
  int op_slot_right_446 = gc_frame_newslot(opresult450);
  if (strlit454 == NULL) {
    strlit454 = alloc_String("inherits");
    gc_root(strlit454);
  }
// compilenode returning strlit454
  int op_slot_right_453 = gc_frame_newslot(strlit454);
// compilenode returning *var_accum
  int op_slot_left_453 = gc_frame_newslot(*var_accum);
  params[0] = strlit454;
  partcv[0] = 1;
  Object opresult456 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult456
  int op_slot_right_452 = gc_frame_newslot(opresult456);
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit460 == NULL) {
    strlit460 = alloc_String("def");
    gc_root(strlit460);
  }
// compilenode returning strlit460
  int op_slot_right_459 = gc_frame_newslot(strlit460);
// compilenode returning *var_accum
  int op_slot_left_459 = gc_frame_newslot(*var_accum);
  params[0] = strlit460;
  partcv[0] = 1;
  Object opresult462 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult462
  int op_slot_right_458 = gc_frame_newslot(opresult462);
  if (strlit466 == NULL) {
    strlit466 = alloc_String("return");
    gc_root(strlit466);
  }
// compilenode returning strlit466
  int op_slot_right_465 = gc_frame_newslot(strlit466);
// compilenode returning *var_accum
  int op_slot_left_465 = gc_frame_newslot(*var_accum);
  params[0] = strlit466;
  partcv[0] = 1;
  Object opresult468 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult468
  int op_slot_right_464 = gc_frame_newslot(opresult468);
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit472 == NULL) {
    strlit472 = alloc_String("class");
    gc_root(strlit472);
  }
// compilenode returning strlit472
  int op_slot_right_471 = gc_frame_newslot(strlit472);
// compilenode returning *var_accum
  int op_slot_left_471 = gc_frame_newslot(*var_accum);
  params[0] = strlit472;
  partcv[0] = 1;
  Object opresult474 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult474
  int op_slot_right_470 = gc_frame_newslot(opresult474);
  if (strlit478 == NULL) {
    strlit478 = alloc_String("import");
    gc_root(strlit478);
  }
// compilenode returning strlit478
  int op_slot_right_477 = gc_frame_newslot(strlit478);
// compilenode returning *var_accum
  int op_slot_left_477 = gc_frame_newslot(*var_accum);
  params[0] = strlit478;
  partcv[0] = 1;
  Object opresult480 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult480
  int op_slot_right_476 = gc_frame_newslot(opresult480);
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit484 == NULL) {
    strlit484 = alloc_String("type");
    gc_root(strlit484);
  }
// compilenode returning strlit484
  int op_slot_right_483 = gc_frame_newslot(strlit484);
// compilenode returning *var_accum
  int op_slot_left_483 = gc_frame_newslot(*var_accum);
  params[0] = strlit484;
  partcv[0] = 1;
  Object opresult486 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult486
  int op_slot_right_482 = gc_frame_newslot(opresult486);
  if (strlit490 == NULL) {
    strlit490 = alloc_String("var");
    gc_root(strlit490);
  }
// compilenode returning strlit490
  int op_slot_right_489 = gc_frame_newslot(strlit490);
// compilenode returning *var_accum
  int op_slot_left_489 = gc_frame_newslot(*var_accum);
  params[0] = strlit490;
  partcv[0] = 1;
  Object opresult492 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult492
  int op_slot_right_488 = gc_frame_newslot(opresult492);
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit496 == NULL) {
    strlit496 = alloc_String("method");
    gc_root(strlit496);
  }
// compilenode returning strlit496
  int op_slot_right_495 = gc_frame_newslot(strlit496);
// compilenode returning *var_accum
  int op_slot_left_495 = gc_frame_newslot(*var_accum);
  params[0] = strlit496;
  partcv[0] = 1;
  Object opresult498 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult498
  int op_slot_right_494 = gc_frame_newslot(opresult498);
  if (strlit501 == NULL) {
    strlit501 = alloc_String("object");
    gc_root(strlit501);
  }
// compilenode returning strlit501
  int op_slot_right_500 = gc_frame_newslot(strlit501);
// compilenode returning *var_accum
  int op_slot_left_500 = gc_frame_newslot(*var_accum);
  params[0] = strlit501;
  partcv[0] = 1;
  Object opresult503 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult503
  int op_slot_left_494 = gc_frame_newslot(opresult503);
  params[0] = opresult498;
  partcv[0] = 1;
  Object opresult504 = callmethod(opresult503, "||", 1, partcv, params);
// compilenode returning opresult504
  int op_slot_left_488 = gc_frame_newslot(opresult504);
  params[0] = opresult492;
  partcv[0] = 1;
  Object opresult505 = callmethod(opresult504, "||", 1, partcv, params);
// compilenode returning opresult505
  int op_slot_left_482 = gc_frame_newslot(opresult505);
  params[0] = opresult486;
  partcv[0] = 1;
  Object opresult506 = callmethod(opresult505, "||", 1, partcv, params);
// compilenode returning opresult506
  int op_slot_left_476 = gc_frame_newslot(opresult506);
  params[0] = opresult480;
  partcv[0] = 1;
  Object opresult507 = callmethod(opresult506, "||", 1, partcv, params);
// compilenode returning opresult507
  int op_slot_left_470 = gc_frame_newslot(opresult507);
  params[0] = opresult474;
  partcv[0] = 1;
  Object opresult508 = callmethod(opresult507, "||", 1, partcv, params);
// compilenode returning opresult508
  int op_slot_left_464 = gc_frame_newslot(opresult508);
  params[0] = opresult468;
  partcv[0] = 1;
  Object opresult509 = callmethod(opresult508, "||", 1, partcv, params);
// compilenode returning opresult509
  int op_slot_left_458 = gc_frame_newslot(opresult509);
  params[0] = opresult462;
  partcv[0] = 1;
  Object opresult510 = callmethod(opresult509, "||", 1, partcv, params);
// compilenode returning opresult510
  int op_slot_left_452 = gc_frame_newslot(opresult510);
  params[0] = opresult456;
  partcv[0] = 1;
  Object opresult511 = callmethod(opresult510, "||", 1, partcv, params);
// compilenode returning opresult511
  int op_slot_left_446 = gc_frame_newslot(opresult511);
  params[0] = opresult450;
  partcv[0] = 1;
  Object opresult512 = callmethod(opresult511, "||", 1, partcv, params);
// compilenode returning opresult512
  int op_slot_left_440 = gc_frame_newslot(opresult512);
  params[0] = opresult444;
  partcv[0] = 1;
  Object opresult513 = callmethod(opresult512, "||", 1, partcv, params);
// compilenode returning opresult513
  Object if439 = done;
  if (istrue(opresult513)) {
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe514 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
// compilenode returning *var_KeywordToken
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call515 = callmethod(*var_KeywordToken, "new",
    1, partcv, params);
  gc_frame_end(callframe514);
// compilenode returning call515
  *var_tok = call515;
  if (call515 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if439 = done;
  } else {
  }
// compilenode returning if439
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe517 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call518 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe517);
// compilenode returning call518
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool519 = alloc_Boolean(1);
// compilenode returning bool519
  *var_done = bool519;
  if (bool519 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if431 = done;
  } else {
  }
// compilenode returning if431
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit523 == NULL) {
    strlit523 = alloc_String("I");
    gc_root(strlit523);
  }
// compilenode returning strlit523
  int op_slot_right_522 = gc_frame_newslot(strlit523);
// compilenode returning *var_mode
  int op_slot_left_522 = gc_frame_newslot(*var_mode);
  params[0] = strlit523;
  partcv[0] = 1;
  Object opresult525 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult525
  Object if521 = done;
  if (istrue(opresult525)) {
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe526 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
// compilenode returning *var_IdentifierToken
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call527 = callmethod(*var_IdentifierToken, "new",
    1, partcv, params);
  gc_frame_end(callframe526);
// compilenode returning call527
  *var_tok = call527;
  if (call527 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe529 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call530 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe529);
// compilenode returning call530
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool531 = alloc_Boolean(1);
// compilenode returning bool531
  *var_done = bool531;
  if (bool531 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if521 = done;
  } else {
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit535 == NULL) {
    strlit535 = alloc_String("""\x22""");
    gc_root(strlit535);
  }
// compilenode returning strlit535
  int op_slot_right_534 = gc_frame_newslot(strlit535);
// compilenode returning *var_mode
  int op_slot_left_534 = gc_frame_newslot(*var_mode);
  params[0] = strlit535;
  partcv[0] = 1;
  Object opresult537 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult537
  Object if533 = done;
  if (istrue(opresult537)) {
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe538 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
// compilenode returning *var_StringToken
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call539 = callmethod(*var_StringToken, "new",
    1, partcv, params);
  gc_frame_end(callframe538);
// compilenode returning call539
  *var_tok = call539;
  if (call539 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe541 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call542 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe541);
// compilenode returning call542
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool543 = alloc_Boolean(1);
// compilenode returning bool543
  *var_done = bool543;
  if (bool543 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if533 = done;
  } else {
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit547 == NULL) {
    strlit547 = alloc_String("x");
    gc_root(strlit547);
  }
// compilenode returning strlit547
  int op_slot_right_546 = gc_frame_newslot(strlit547);
// compilenode returning *var_mode
  int op_slot_left_546 = gc_frame_newslot(*var_mode);
  params[0] = strlit547;
  partcv[0] = 1;
  Object opresult549 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult549
  Object if545 = done;
  if (istrue(opresult549)) {
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe550 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
// compilenode returning *var_OctetsToken
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call551 = callmethod(*var_OctetsToken, "new",
    1, partcv, params);
  gc_frame_end(callframe550);
// compilenode returning call551
  *var_tok = call551;
  if (call551 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe553 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call554 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe553);
// compilenode returning call554
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool555 = alloc_Boolean(1);
// compilenode returning bool555
  *var_done = bool555;
  if (bool555 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if545 = done;
  } else {
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit559 == NULL) {
    strlit559 = alloc_String(",");
    gc_root(strlit559);
  }
// compilenode returning strlit559
  int op_slot_right_558 = gc_frame_newslot(strlit559);
// compilenode returning *var_mode
  int op_slot_left_558 = gc_frame_newslot(*var_mode);
  params[0] = strlit559;
  partcv[0] = 1;
  Object opresult561 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult561
  Object if557 = done;
  if (istrue(opresult561)) {
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe562 = gc_frame_new();
// compilenode returning *var_CommaToken
  partcv[0] = 0;
  Object call563 = callmethod(*var_CommaToken, "new",
    1, partcv, params);
  gc_frame_end(callframe562);
// compilenode returning call563
// compilenode returning call563
  *var_tok = call563;
  if (call563 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe565 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call566 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe565);
// compilenode returning call566
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool567 = alloc_Boolean(1);
// compilenode returning bool567
  *var_done = bool567;
  if (bool567 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if557 = done;
  } else {
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit571 == NULL) {
    strlit571 = alloc_String(".");
    gc_root(strlit571);
  }
// compilenode returning strlit571
  int op_slot_right_570 = gc_frame_newslot(strlit571);
// compilenode returning *var_mode
  int op_slot_left_570 = gc_frame_newslot(*var_mode);
  params[0] = strlit571;
  partcv[0] = 1;
  Object opresult573 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult573
  Object if569 = done;
  if (istrue(opresult573)) {
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe574 = gc_frame_new();
// compilenode returning *var_DotToken
  partcv[0] = 0;
  Object call575 = callmethod(*var_DotToken, "new",
    1, partcv, params);
  gc_frame_end(callframe574);
// compilenode returning call575
// compilenode returning call575
  *var_tok = call575;
  if (call575 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe577 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call578 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe577);
// compilenode returning call578
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool579 = alloc_Boolean(1);
// compilenode returning bool579
  *var_done = bool579;
  if (bool579 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if569 = done;
  } else {
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit583 == NULL) {
    strlit583 = alloc_String("{");
    gc_root(strlit583);
  }
// compilenode returning strlit583
  int op_slot_right_582 = gc_frame_newslot(strlit583);
// compilenode returning *var_mode
  int op_slot_left_582 = gc_frame_newslot(*var_mode);
  params[0] = strlit583;
  partcv[0] = 1;
  Object opresult585 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult585
  Object if581 = done;
  if (istrue(opresult585)) {
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe586 = gc_frame_new();
// compilenode returning *var_LBraceToken
  partcv[0] = 0;
  Object call587 = callmethod(*var_LBraceToken, "new",
    1, partcv, params);
  gc_frame_end(callframe586);
// compilenode returning call587
// compilenode returning call587
  *var_tok = call587;
  if (call587 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe589 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call590 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe589);
// compilenode returning call590
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool591 = alloc_Boolean(1);
// compilenode returning bool591
  *var_done = bool591;
  if (bool591 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if581 = done;
  } else {
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit595 == NULL) {
    strlit595 = alloc_String("}");
    gc_root(strlit595);
  }
// compilenode returning strlit595
  int op_slot_right_594 = gc_frame_newslot(strlit595);
// compilenode returning *var_mode
  int op_slot_left_594 = gc_frame_newslot(*var_mode);
  params[0] = strlit595;
  partcv[0] = 1;
  Object opresult597 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult597
  Object if593 = done;
  if (istrue(opresult597)) {
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe598 = gc_frame_new();
// compilenode returning *var_RBraceToken
  partcv[0] = 0;
  Object call599 = callmethod(*var_RBraceToken, "new",
    1, partcv, params);
  gc_frame_end(callframe598);
// compilenode returning call599
// compilenode returning call599
  *var_tok = call599;
  if (call599 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe601 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call602 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe601);
// compilenode returning call602
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool603 = alloc_Boolean(1);
// compilenode returning bool603
  *var_done = bool603;
  if (bool603 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if593 = done;
  } else {
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit607 == NULL) {
    strlit607 = alloc_String("(");
    gc_root(strlit607);
  }
// compilenode returning strlit607
  int op_slot_right_606 = gc_frame_newslot(strlit607);
// compilenode returning *var_mode
  int op_slot_left_606 = gc_frame_newslot(*var_mode);
  params[0] = strlit607;
  partcv[0] = 1;
  Object opresult609 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult609
  Object if605 = done;
  if (istrue(opresult609)) {
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe610 = gc_frame_new();
// compilenode returning *var_LParenToken
  partcv[0] = 0;
  Object call611 = callmethod(*var_LParenToken, "new",
    1, partcv, params);
  gc_frame_end(callframe610);
// compilenode returning call611
// compilenode returning call611
  *var_tok = call611;
  if (call611 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe613 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call614 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe613);
// compilenode returning call614
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool615 = alloc_Boolean(1);
// compilenode returning bool615
  *var_done = bool615;
  if (bool615 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if605 = done;
  } else {
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit619 == NULL) {
    strlit619 = alloc_String(")");
    gc_root(strlit619);
  }
// compilenode returning strlit619
  int op_slot_right_618 = gc_frame_newslot(strlit619);
// compilenode returning *var_mode
  int op_slot_left_618 = gc_frame_newslot(*var_mode);
  params[0] = strlit619;
  partcv[0] = 1;
  Object opresult621 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult621
  Object if617 = done;
  if (istrue(opresult621)) {
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe622 = gc_frame_new();
// compilenode returning *var_RParenToken
  partcv[0] = 0;
  Object call623 = callmethod(*var_RParenToken, "new",
    1, partcv, params);
  gc_frame_end(callframe622);
// compilenode returning call623
// compilenode returning call623
  *var_tok = call623;
  if (call623 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe625 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call626 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe625);
// compilenode returning call626
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool627 = alloc_Boolean(1);
// compilenode returning bool627
  *var_done = bool627;
  if (bool627 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if617 = done;
  } else {
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit631 == NULL) {
    strlit631 = alloc_String("[");
    gc_root(strlit631);
  }
// compilenode returning strlit631
  int op_slot_right_630 = gc_frame_newslot(strlit631);
// compilenode returning *var_mode
  int op_slot_left_630 = gc_frame_newslot(*var_mode);
  params[0] = strlit631;
  partcv[0] = 1;
  Object opresult633 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult633
  Object if629 = done;
  if (istrue(opresult633)) {
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 257
  setline(257);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe634 = gc_frame_new();
// compilenode returning *var_LSquareToken
  partcv[0] = 0;
  Object call635 = callmethod(*var_LSquareToken, "new",
    1, partcv, params);
  gc_frame_end(callframe634);
// compilenode returning call635
// compilenode returning call635
  *var_tok = call635;
  if (call635 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe637 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call638 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe637);
// compilenode returning call638
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool639 = alloc_Boolean(1);
// compilenode returning bool639
  *var_done = bool639;
  if (bool639 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if629 = done;
  } else {
  }
// compilenode returning if629
    gc_frame_newslot(if629);
    if617 = if629;
  }
// compilenode returning if617
    gc_frame_newslot(if617);
    if605 = if617;
  }
// compilenode returning if605
    gc_frame_newslot(if605);
    if593 = if605;
  }
// compilenode returning if593
    gc_frame_newslot(if593);
    if581 = if593;
  }
// compilenode returning if581
    gc_frame_newslot(if581);
    if569 = if581;
  }
// compilenode returning if569
    gc_frame_newslot(if569);
    if557 = if569;
  }
// compilenode returning if557
    gc_frame_newslot(if557);
    if545 = if557;
  }
// compilenode returning if545
    gc_frame_newslot(if545);
    if533 = if545;
  }
// compilenode returning if533
    gc_frame_newslot(if533);
    if521 = if533;
  }
// compilenode returning if521
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit643 == NULL) {
    strlit643 = alloc_String("]");
    gc_root(strlit643);
  }
// compilenode returning strlit643
  int op_slot_right_642 = gc_frame_newslot(strlit643);
// compilenode returning *var_mode
  int op_slot_left_642 = gc_frame_newslot(*var_mode);
  params[0] = strlit643;
  partcv[0] = 1;
  Object opresult645 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult645
  Object if641 = done;
  if (istrue(opresult645)) {
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe646 = gc_frame_new();
// compilenode returning *var_RSquareToken
  partcv[0] = 0;
  Object call647 = callmethod(*var_RSquareToken, "new",
    1, partcv, params);
  gc_frame_end(callframe646);
// compilenode returning call647
// compilenode returning call647
  *var_tok = call647;
  if (call647 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe649 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call650 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe649);
// compilenode returning call650
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool651 = alloc_Boolean(1);
// compilenode returning bool651
  *var_done = bool651;
  if (bool651 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if641 = done;
  } else {
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit655 == NULL) {
    strlit655 = alloc_String("<");
    gc_root(strlit655);
  }
// compilenode returning strlit655
  int op_slot_right_654 = gc_frame_newslot(strlit655);
// compilenode returning *var_mode
  int op_slot_left_654 = gc_frame_newslot(*var_mode);
  params[0] = strlit655;
  partcv[0] = 1;
  Object opresult657 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult657
  Object if653 = done;
  if (istrue(opresult657)) {
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe658 = gc_frame_new();
// compilenode returning *var_LGenericToken
  partcv[0] = 0;
  Object call659 = callmethod(*var_LGenericToken, "new",
    1, partcv, params);
  gc_frame_end(callframe658);
// compilenode returning call659
// compilenode returning call659
  *var_tok = call659;
  if (call659 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe661 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call662 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe661);
// compilenode returning call662
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool663 = alloc_Boolean(1);
// compilenode returning bool663
  *var_done = bool663;
  if (bool663 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if653 = done;
  } else {
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit667 == NULL) {
    strlit667 = alloc_String(">");
    gc_root(strlit667);
  }
// compilenode returning strlit667
  int op_slot_right_666 = gc_frame_newslot(strlit667);
// compilenode returning *var_mode
  int op_slot_left_666 = gc_frame_newslot(*var_mode);
  params[0] = strlit667;
  partcv[0] = 1;
  Object opresult669 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult669
  Object if665 = done;
  if (istrue(opresult669)) {
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe670 = gc_frame_new();
// compilenode returning *var_RGenericToken
  partcv[0] = 0;
  Object call671 = callmethod(*var_RGenericToken, "new",
    1, partcv, params);
  gc_frame_end(callframe670);
// compilenode returning call671
// compilenode returning call671
  *var_tok = call671;
  if (call671 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe673 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call674 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe673);
// compilenode returning call674
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool675 = alloc_Boolean(1);
// compilenode returning bool675
  *var_done = bool675;
  if (bool675 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if665 = done;
  } else {
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit679 == NULL) {
    strlit679 = alloc_String(";");
    gc_root(strlit679);
  }
// compilenode returning strlit679
  int op_slot_right_678 = gc_frame_newslot(strlit679);
// compilenode returning *var_mode
  int op_slot_left_678 = gc_frame_newslot(*var_mode);
  params[0] = strlit679;
  partcv[0] = 1;
  Object opresult681 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult681
  Object if677 = done;
  if (istrue(opresult681)) {
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe682 = gc_frame_new();
// compilenode returning *var_SemicolonToken
  partcv[0] = 0;
  Object call683 = callmethod(*var_SemicolonToken, "new",
    1, partcv, params);
  gc_frame_end(callframe682);
// compilenode returning call683
// compilenode returning call683
  *var_tok = call683;
  if (call683 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe685 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call686 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe685);
// compilenode returning call686
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool687 = alloc_Boolean(1);
// compilenode returning bool687
  *var_done = bool687;
  if (bool687 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if677 = done;
  } else {
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit691 == NULL) {
    strlit691 = alloc_String("m");
    gc_root(strlit691);
  }
// compilenode returning strlit691
  int op_slot_right_690 = gc_frame_newslot(strlit691);
// compilenode returning *var_mode
  int op_slot_left_690 = gc_frame_newslot(*var_mode);
  params[0] = strlit691;
  partcv[0] = 1;
  Object opresult693 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult693
  Object if689 = done;
  if (istrue(opresult693)) {
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe695 = gc_frame_new();
  Object block696 = alloc_Block(NULL, NULL, "lexer", 278);
  gc_frame_newslot(block696);
  block_savedest(block696);
  Object closure697 = createclosure(2, "_apply");
setclosureframe(closure697, stackframe);
  addtoclosure(closure697, var_tokens);
  addtoclosure(closure697, selfslot);
  struct UserObject *uo697 = (struct UserObject*)block696;
  uo697->data[0] = (Object)closure697;
  Method *meth_meth_lexer__apply697 = addmethod2pos(block696, "_apply", &meth_lexer__apply697, 0);
int argcv_meth_lexer__apply697[] = {0};
meth_meth_lexer__apply697->type = alloc_MethodType(1, argcv_meth_lexer__apply697);
  meth_meth_lexer__apply697->definitionModule = modulename;
  meth_meth_lexer__apply697->definitionLine = 274;
// compilenode returning block696
  gc_frame_newslot(block696);
  Object num708 = alloc_Float64(1);
// compilenode returning num708
  int op_slot_right_707 = gc_frame_newslot(num708);
  int callframe710 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call711 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe710);
// compilenode returning call711
// compilenode returning call711
  int op_slot_left_707 = gc_frame_newslot(call711);
  params[0] = num708;
  partcv[0] = 1;
  Object opresult712 = callmethod(call711, ">", 1, partcv, params);
// compilenode returning opresult712
  params[0] = block696;
  partcv[0] = 1;
  Object call713 = callmethod(opresult712, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe695);
// compilenode returning call713
  Object if694 = done;
  if (istrue(call713)) {
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe714 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call715 = callmethod(*var_tokens, "pop",
    1, partcv, params);
  gc_frame_end(callframe714);
// compilenode returning call715
// compilenode returning call715
  *var_dot = call715;
  if (call715 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit718 == NULL) {
    strlit718 = alloc_String("num");
    gc_root(strlit718);
  }
// compilenode returning strlit718
  int op_slot_right_717 = gc_frame_newslot(strlit718);
  int callframe720 = gc_frame_new();
  int callframe721 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call722 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe721);
// compilenode returning call722
// compilenode returning call722
  partcv[0] = 0;
  Object call723 = callmethod(call722, "kind",
    1, partcv, params);
  gc_frame_end(callframe720);
// compilenode returning call723
// compilenode returning call723
  int op_slot_left_717 = gc_frame_newslot(call723);
  params[0] = strlit718;
  partcv[0] = 1;
  Object opresult724 = callmethod(call723, "==", 1, partcv, params);
// compilenode returning opresult724
  Object if716 = done;
  if (istrue(opresult724)) {
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num727 = alloc_Float64(10);
// compilenode returning num727
  int op_slot_right_726 = gc_frame_newslot(num727);
  int callframe729 = gc_frame_new();
  int callframe730 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call731 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe730);
// compilenode returning call731
// compilenode returning call731
  partcv[0] = 0;
  Object call732 = callmethod(call731, "base",
    1, partcv, params);
  gc_frame_end(callframe729);
// compilenode returning call732
// compilenode returning call732
  int op_slot_left_726 = gc_frame_newslot(call732);
  params[0] = num727;
  partcv[0] = 1;
  Object opresult733 = callmethod(call732, "==", 1, partcv, params);
// compilenode returning opresult733
  Object if725 = done;
  if (istrue(opresult733)) {
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe734 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call735 = callmethod(*var_tokens, "pop",
    1, partcv, params);
  gc_frame_end(callframe734);
// compilenode returning call735
// compilenode returning call735
  *var_tok = call735;
  if (call735 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe737 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call738 = callmethodflags(self, "makeNumToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe737);
// compilenode returning call738
  *var_decimal = call738;
  if (call738 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num741 = alloc_Float64(10);
// compilenode returning num741
  int op_slot_right_740 = gc_frame_newslot(num741);
  int callframe743 = gc_frame_new();
// compilenode returning *var_decimal
  partcv[0] = 0;
  Object call744 = callmethod(*var_decimal, "base",
    1, partcv, params);
  gc_frame_end(callframe743);
// compilenode returning call744
// compilenode returning call744
  int op_slot_left_740 = gc_frame_newslot(call744);
  params[0] = num741;
  partcv[0] = 1;
  Object opresult745 = callmethod(call744, "==", 1, partcv, params);
// compilenode returning opresult745
  Object if739 = done;
  if (istrue(opresult745)) {
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe746 = gc_frame_new();
// compilenode returning *var_accum
  int op_slot_right_747 = gc_frame_newslot(*var_accum);
  if (strlit750 == NULL) {
    strlit750 = alloc_String(".");
    gc_root(strlit750);
  }
// compilenode returning strlit750
  int op_slot_right_749 = gc_frame_newslot(strlit750);
  int callframe752 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call753 = callmethod(*var_tok, "value",
    1, partcv, params);
  gc_frame_end(callframe752);
// compilenode returning call753
// compilenode returning call753
  int op_slot_left_749 = gc_frame_newslot(call753);
  params[0] = strlit750;
  partcv[0] = 1;
  Object opresult754 = callmethod(call753, "++", 1, partcv, params);
// compilenode returning opresult754
  int op_slot_left_747 = gc_frame_newslot(opresult754);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult755 = callmethod(opresult754, "++", 1, partcv, params);
// compilenode returning opresult755
  gc_frame_newslot(opresult755);
  Object num756 = alloc_Float64(10);
// compilenode returning num756
  gc_frame_newslot(num756);
// compilenode returning *var_NumToken
  params[0] = opresult755;
  params[1] = num756;
  partcv[0] = 2;
  Object call757 = callmethod(*var_NumToken, "new",
    1, partcv, params);
  gc_frame_end(callframe746);
// compilenode returning call757
  *var_tok = call757;
  if (call757 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if739 = done;
  } else {
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array759 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array759
  *var_suggestions = array759;
  if (array759 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe760 = gc_frame_new();
  int callframe761 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call762 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe761);
// compilenode returning call762
// compilenode returning call762
  partcv[0] = 0;
  Object call763 = callmethod(call762, "new",
    1, partcv, params);
  gc_frame_end(callframe760);
// compilenode returning call763
// compilenode returning call763
  *var_suggestion = call763;
  if (call763 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe764 = gc_frame_new();
  Object num766 = alloc_Float64(1);
// compilenode returning num766
  int op_slot_right_765 = gc_frame_newslot(num766);
  int callframe768 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call769 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe768);
// compilenode returning call769
// compilenode returning call769
  int op_slot_left_765 = gc_frame_newslot(call769);
  params[0] = num766;
  partcv[0] = 1;
  Object sum770 = callmethod(call769, "+", 1, partcv, params);
// compilenode returning sum770
  gc_frame_newslot(sum770);
  Object num772 = alloc_Float64(1);
// compilenode returning num772
  int op_slot_right_771 = gc_frame_newslot(num772);
// compilenode returning *var_linePosition
  int op_slot_left_771 = gc_frame_newslot(*var_linePosition);
  params[0] = num772;
  partcv[0] = 1;
  Object diff774 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff774
  gc_frame_newslot(diff774);
  int callframe775 = gc_frame_new();
// compilenode returning *var_decimal
  partcv[0] = 0;
  Object call776 = callmethod(*var_decimal, "value",
    1, partcv, params);
  gc_frame_end(callframe775);
// compilenode returning call776
// compilenode returning call776
  gc_frame_newslot(call776);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = sum770;
  params[1] = diff774;
  params[2] = call776;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call777 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe764);
// compilenode returning call777
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe778 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call779 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe778);
// compilenode returning call779
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe780 = gc_frame_new();
  int callframe781 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call782 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe781);
// compilenode returning call782
// compilenode returning call782
  partcv[0] = 0;
  Object call783 = callmethod(call782, "new",
    1, partcv, params);
  gc_frame_end(callframe780);
// compilenode returning call783
// compilenode returning call783
  *var_suggestion = call783;
  if (call783 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe785 = gc_frame_new();
  int callframe786 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call787 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe786);
// compilenode returning call787
// compilenode returning call787
  gc_frame_newslot(call787);
  Object num789 = alloc_Float64(1);
// compilenode returning num789
  int op_slot_right_788 = gc_frame_newslot(num789);
// compilenode returning *var_linePosition
  int op_slot_left_788 = gc_frame_newslot(*var_linePosition);
  params[0] = num789;
  partcv[0] = 1;
  Object diff791 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff791
  gc_frame_newslot(diff791);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = call787;
  params[1] = diff791;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call792 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe785);
// compilenode returning call792
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe793 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call794 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe793);
// compilenode returning call794
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe795 = gc_frame_new();
  if (strlit796 == NULL) {
    strlit796 = alloc_String("The fractional part of a number must be in base 10.");
    gc_root(strlit796);
  }
// compilenode returning strlit796
  gc_frame_newslot(strlit796);
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  Object num798 = alloc_Float64(1);
// compilenode returning num798
  int op_slot_right_797 = gc_frame_newslot(num798);
  int callframe800 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call801 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe800);
// compilenode returning call801
// compilenode returning call801
  int op_slot_left_797 = gc_frame_newslot(call801);
  params[0] = num798;
  partcv[0] = 1;
  Object sum802 = callmethod(call801, "+", 1, partcv, params);
// compilenode returning sum802
  gc_frame_newslot(sum802);
  Object num804 = alloc_Float64(1);
// compilenode returning num804
  int op_slot_right_803 = gc_frame_newslot(num804);
// compilenode returning *var_linePosition
  int op_slot_left_803 = gc_frame_newslot(*var_linePosition);
  params[0] = num804;
  partcv[0] = 1;
  Object diff806 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff806
  gc_frame_newslot(diff806);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit796;
  params[1] = *var_lineNumber;
  params[2] = sum802;
  params[3] = diff806;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call807 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe795);
// compilenode returning call807
    gc_frame_newslot(call807);
    if739 = call807;
  }
// compilenode returning if739
    gc_frame_newslot(if739);
    if725 = if739;
  } else {
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array808 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array808
  *var_suggestions = array808;
  if (array808 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe809 = gc_frame_new();
  int callframe810 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call811 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe810);
// compilenode returning call811
// compilenode returning call811
  partcv[0] = 0;
  Object call812 = callmethod(call811, "new",
    1, partcv, params);
  gc_frame_end(callframe809);
// compilenode returning call812
// compilenode returning call812
  *var_suggestion = call812;
  if (call812 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe813 = gc_frame_new();
  int callframe814 = gc_frame_new();
  int callframe815 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call816 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe815);
// compilenode returning call816
// compilenode returning call816
  partcv[0] = 0;
  Object call817 = callmethod(call816, "linePos",
    1, partcv, params);
  gc_frame_end(callframe814);
// compilenode returning call817
// compilenode returning call817
  gc_frame_newslot(call817);
  Object num819 = alloc_Float64(1);
// compilenode returning num819
  int op_slot_right_818 = gc_frame_newslot(num819);
  int callframe821 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call822 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe821);
// compilenode returning call822
// compilenode returning call822
  int op_slot_left_818 = gc_frame_newslot(call822);
  params[0] = num819;
  partcv[0] = 1;
  Object diff823 = callmethod(call822, "-", 1, partcv, params);
// compilenode returning diff823
  gc_frame_newslot(diff823);
  int callframe824 = gc_frame_new();
  int callframe825 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call826 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe825);
// compilenode returning call826
// compilenode returning call826
  partcv[0] = 0;
  Object call827 = callmethod(call826, "value",
    1, partcv, params);
  gc_frame_end(callframe824);
// compilenode returning call827
// compilenode returning call827
  gc_frame_newslot(call827);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = call817;
  params[1] = diff823;
  params[2] = call827;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call828 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe813);
// compilenode returning call828
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe829 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call830 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe829);
// compilenode returning call830
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe831 = gc_frame_new();
  int callframe832 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call833 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe832);
// compilenode returning call833
// compilenode returning call833
  partcv[0] = 0;
  Object call834 = callmethod(call833, "new",
    1, partcv, params);
  gc_frame_end(callframe831);
// compilenode returning call834
// compilenode returning call834
  *var_suggestion = call834;
  if (call834 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe836 = gc_frame_new();
  int callframe837 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call838 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe837);
// compilenode returning call838
// compilenode returning call838
  gc_frame_newslot(call838);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = call838;
  params[1] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call839 = callmethod(*var_suggestion, "deleteChar()onLine",
    2, partcv, params);
  gc_frame_end(callframe836);
// compilenode returning call839
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe840 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call841 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe840);
// compilenode returning call841
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe842 = gc_frame_new();
  if (strlit844 == NULL) {
    strlit844 = alloc_String(" cannot have a fractional part.");
    gc_root(strlit844);
  }
// compilenode returning strlit844
  int op_slot_right_843 = gc_frame_newslot(strlit844);
  int callframe847 = gc_frame_new();
  int callframe848 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call849 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe848);
// compilenode returning call849
// compilenode returning call849
  partcv[0] = 0;
  Object call850 = callmethod(call849, "base",
    1, partcv, params);
  gc_frame_end(callframe847);
// compilenode returning call850
// compilenode returning call850
  int op_slot_right_846 = gc_frame_newslot(call850);
  if (strlit852 == NULL) {
    strlit852 = alloc_String("A number in base ");
    gc_root(strlit852);
  }
// compilenode returning strlit852
  int op_slot_left_846 = gc_frame_newslot(strlit852);
  params[0] = call850;
  partcv[0] = 1;
  Object opresult853 = callmethod(strlit852, "++", 1, partcv, params);
// compilenode returning opresult853
  int op_slot_left_843 = gc_frame_newslot(opresult853);
  params[0] = strlit844;
  partcv[0] = 1;
  Object opresult854 = callmethod(opresult853, "++", 1, partcv, params);
// compilenode returning opresult854
  gc_frame_newslot(opresult854);
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe855 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call856 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe855);
// compilenode returning call856
// compilenode returning call856
  gc_frame_newslot(call856);
  Object num858 = alloc_Float64(1);
// compilenode returning num858
  int op_slot_right_857 = gc_frame_newslot(num858);
// compilenode returning *var_linePosition
  int op_slot_left_857 = gc_frame_newslot(*var_linePosition);
  params[0] = num858;
  partcv[0] = 1;
  Object diff860 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff860
  gc_frame_newslot(diff860);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult854;
  params[1] = *var_lineNumber;
  params[2] = call856;
  params[3] = diff860;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call861 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe842);
// compilenode returning call861
    gc_frame_newslot(call861);
    if725 = call861;
  }
// compilenode returning if725
    gc_frame_newslot(if725);
    if716 = if725;
  } else {
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit864 == NULL) {
    strlit864 = alloc_String("string");
    gc_root(strlit864);
  }
// compilenode returning strlit864
  int op_slot_right_863 = gc_frame_newslot(strlit864);
  int callframe866 = gc_frame_new();
  int callframe867 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call868 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe867);
// compilenode returning call868
// compilenode returning call868
  partcv[0] = 0;
  Object call869 = callmethod(call868, "kind",
    1, partcv, params);
  gc_frame_end(callframe866);
// compilenode returning call869
// compilenode returning call869
  int op_slot_left_863 = gc_frame_newslot(call869);
  params[0] = strlit864;
  partcv[0] = 1;
  Object opresult870 = callmethod(call869, "==", 1, partcv, params);
// compilenode returning opresult870
  Object if862 = done;
  if (istrue(opresult870)) {
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe871 = gc_frame_new();
  int callframe872 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call873 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe872);
// compilenode returning call873
// compilenode returning call873
  partcv[0] = 0;
  Object call874 = callmethod(call873, "new",
    1, partcv, params);
  gc_frame_end(callframe871);
// compilenode returning call874
// compilenode returning call874
  *var_suggestion = call874;
  if (call874 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe875 = gc_frame_new();
  int callframe876 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call877 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe876);
// compilenode returning call877
// compilenode returning call877
  gc_frame_newslot(call877);
  if (strlit878 == NULL) {
    strlit878 = alloc_String("++");
    gc_root(strlit878);
  }
// compilenode returning strlit878
  gc_frame_newslot(strlit878);
  int callframe879 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call880 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe879);
// compilenode returning call880
// compilenode returning call880
  gc_frame_newslot(call880);
// compilenode returning *var_suggestion
  params[0] = call877;
  params[1] = strlit878;
  params[2] = call880;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call881 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe875);
// compilenode returning call881
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe882 = gc_frame_new();
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit884 == NULL) {
    strlit884 = alloc_String("To join a number to a string, use '++'.");
    gc_root(strlit884);
  }
// compilenode returning strlit884
  int op_slot_right_883 = gc_frame_newslot(strlit884);
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit886 == NULL) {
    strlit886 = alloc_String("A number may only follow a '.' if there is a number before the '.'. ");
    gc_root(strlit886);
  }
// compilenode returning strlit886
  int op_slot_left_883 = gc_frame_newslot(strlit886);
  params[0] = strlit884;
  partcv[0] = 1;
  Object opresult887 = callmethod(strlit886, "++", 1, partcv, params);
// compilenode returning opresult887
  gc_frame_newslot(opresult887);
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe888 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call889 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe888);
// compilenode returning call889
// compilenode returning call889
  gc_frame_newslot(call889);
  int callframe890 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call891 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe890);
// compilenode returning call891
// compilenode returning call891
  gc_frame_newslot(call891);
  int callframe892 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call893 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe892);
// compilenode returning call893
// compilenode returning call893
  gc_frame_newslot(call893);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult887;
  params[1] = call889;
  params[2] = call891;
  params[3] = call893;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call894 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe882);
// compilenode returning call894
    gc_frame_newslot(call894);
    if862 = call894;
  } else {
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit898 == NULL) {
    strlit898 = alloc_String("bind");
    gc_root(strlit898);
  }
// compilenode returning strlit898
  int op_slot_right_897 = gc_frame_newslot(strlit898);
  int callframe900 = gc_frame_new();
  int callframe901 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call902 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe901);
// compilenode returning call902
// compilenode returning call902
  partcv[0] = 0;
  Object call903 = callmethod(call902, "kind",
    1, partcv, params);
  gc_frame_end(callframe900);
// compilenode returning call903
// compilenode returning call903
  int op_slot_left_897 = gc_frame_newslot(call903);
  params[0] = strlit898;
  partcv[0] = 1;
  Object opresult904 = callmethod(call903, "==", 1, partcv, params);
// compilenode returning opresult904
  int op_slot_right_896 = gc_frame_newslot(opresult904);
  if (strlit907 == NULL) {
    strlit907 = alloc_String("op");
    gc_root(strlit907);
  }
// compilenode returning strlit907
  int op_slot_right_906 = gc_frame_newslot(strlit907);
  int callframe909 = gc_frame_new();
  int callframe910 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call911 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe910);
// compilenode returning call911
// compilenode returning call911
  partcv[0] = 0;
  Object call912 = callmethod(call911, "kind",
    1, partcv, params);
  gc_frame_end(callframe909);
// compilenode returning call912
// compilenode returning call912
  int op_slot_left_906 = gc_frame_newslot(call912);
  params[0] = strlit907;
  partcv[0] = 1;
  Object opresult913 = callmethod(call912, "==", 1, partcv, params);
// compilenode returning opresult913
  int op_slot_left_896 = gc_frame_newslot(opresult913);
  params[0] = opresult904;
  partcv[0] = 1;
  Object opresult914 = callmethod(opresult913, "||", 1, partcv, params);
// compilenode returning opresult914
  Object if895 = done;
  if (istrue(opresult914)) {
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe915 = gc_frame_new();
  int callframe916 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call917 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe916);
// compilenode returning call917
// compilenode returning call917
  partcv[0] = 0;
  Object call918 = callmethod(call917, "new",
    1, partcv, params);
  gc_frame_end(callframe915);
// compilenode returning call918
// compilenode returning call918
  *var_suggestion = call918;
  if (call918 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe919 = gc_frame_new();
  if (strlit920 == NULL) {
    strlit920 = alloc_String("0");
    gc_root(strlit920);
  }
// compilenode returning strlit920
  gc_frame_newslot(strlit920);
  int callframe921 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call922 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe921);
// compilenode returning call922
// compilenode returning call922
  gc_frame_newslot(call922);
  int callframe923 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call924 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe923);
// compilenode returning call924
// compilenode returning call924
  gc_frame_newslot(call924);
// compilenode returning *var_suggestion
  params[0] = strlit920;
  params[1] = call922;
  params[2] = call924;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call925 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe919);
// compilenode returning call925
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe926 = gc_frame_new();
  if (strlit927 == NULL) {
    strlit927 = alloc_String("A number must have a digit before the decimal point.");
    gc_root(strlit927);
  }
// compilenode returning strlit927
  gc_frame_newslot(strlit927);
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe928 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call929 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe928);
// compilenode returning call929
// compilenode returning call929
  gc_frame_newslot(call929);
  int callframe930 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call931 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe930);
// compilenode returning call931
// compilenode returning call931
  gc_frame_newslot(call931);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit927;
  params[1] = call929;
  params[2] = call931;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call932 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe926);
// compilenode returning call932
    gc_frame_newslot(call932);
    if895 = call932;
  } else {
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit935 == NULL) {
    strlit935 = alloc_String("identifier");
    gc_root(strlit935);
  }
// compilenode returning strlit935
  int op_slot_right_934 = gc_frame_newslot(strlit935);
  int callframe937 = gc_frame_new();
  int callframe938 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call939 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe938);
// compilenode returning call939
// compilenode returning call939
  partcv[0] = 0;
  Object call940 = callmethod(call939, "kind",
    1, partcv, params);
  gc_frame_end(callframe937);
// compilenode returning call940
// compilenode returning call940
  int op_slot_left_934 = gc_frame_newslot(call940);
  params[0] = strlit935;
  partcv[0] = 1;
  Object opresult941 = callmethod(call940, "==", 1, partcv, params);
// compilenode returning opresult941
  Object if933 = done;
  if (istrue(opresult941)) {
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array942 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array942
  *var_suggestions = array942;
  if (array942 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit945 == NULL) {
    strlit945 = alloc_String("o");
    gc_root(strlit945);
  }
// compilenode returning strlit945
  int op_slot_right_944 = gc_frame_newslot(strlit945);
  int callframe947 = gc_frame_new();
  int callframe948 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call949 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe948);
// compilenode returning call949
// compilenode returning call949
  partcv[0] = 0;
  Object call950 = callmethod(call949, "value",
    1, partcv, params);
  gc_frame_end(callframe947);
// compilenode returning call950
// compilenode returning call950
  int op_slot_left_944 = gc_frame_newslot(call950);
  params[0] = strlit945;
  partcv[0] = 1;
  Object opresult951 = callmethod(call950, "==", 1, partcv, params);
// compilenode returning opresult951
  Object if943 = done;
  if (istrue(opresult951)) {
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe952 = gc_frame_new();
  int callframe953 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call954 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe953);
// compilenode returning call954
// compilenode returning call954
  partcv[0] = 0;
  Object call955 = callmethod(call954, "new",
    1, partcv, params);
  gc_frame_end(callframe952);
// compilenode returning call955
// compilenode returning call955
  *var_suggestion = call955;
  if (call955 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe956 = gc_frame_new();
  int callframe957 = gc_frame_new();
  int callframe958 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call959 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe958);
// compilenode returning call959
// compilenode returning call959
  partcv[0] = 0;
  Object call960 = callmethod(call959, "linePos",
    1, partcv, params);
  gc_frame_end(callframe957);
// compilenode returning call960
// compilenode returning call960
  gc_frame_newslot(call960);
  if (strlit961 == NULL) {
    strlit961 = alloc_String("0");
    gc_root(strlit961);
  }
// compilenode returning strlit961
  gc_frame_newslot(strlit961);
  int callframe962 = gc_frame_new();
  int callframe963 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call964 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe963);
// compilenode returning call964
// compilenode returning call964
  partcv[0] = 0;
  Object call965 = callmethod(call964, "line",
    1, partcv, params);
  gc_frame_end(callframe962);
// compilenode returning call965
// compilenode returning call965
  gc_frame_newslot(call965);
// compilenode returning *var_suggestion
  params[0] = call960;
  params[1] = strlit961;
  params[2] = call965;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call966 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe956);
// compilenode returning call966
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe967 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call968 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe967);
// compilenode returning call968
    gc_frame_newslot(call968);
    if943 = call968;
  } else {
  }
// compilenode returning if943
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe969 = gc_frame_new();
  int callframe970 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call971 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe970);
// compilenode returning call971
// compilenode returning call971
  partcv[0] = 0;
  Object call972 = callmethod(call971, "new",
    1, partcv, params);
  gc_frame_end(callframe969);
// compilenode returning call972
// compilenode returning call972
  *var_suggestion = call972;
  if (call972 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe973 = gc_frame_new();
  int callframe974 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call975 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe974);
// compilenode returning call975
// compilenode returning call975
  gc_frame_newslot(call975);
  Object num977 = alloc_Float64(1);
// compilenode returning num977
  int op_slot_right_976 = gc_frame_newslot(num977);
// compilenode returning *var_linePosition
  int op_slot_left_976 = gc_frame_newslot(*var_linePosition);
  params[0] = num977;
  partcv[0] = 1;
  Object diff979 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff979
  gc_frame_newslot(diff979);
  if (strlit981 == NULL) {
    strlit981 = alloc_String(")");
    gc_root(strlit981);
  }
// compilenode returning strlit981
  int op_slot_right_980 = gc_frame_newslot(strlit981);
// compilenode returning *var_accum
  int op_slot_right_983 = gc_frame_newslot(*var_accum);
  if (strlit985 == NULL) {
    strlit985 = alloc_String("(");
    gc_root(strlit985);
  }
// compilenode returning strlit985
  int op_slot_left_983 = gc_frame_newslot(strlit985);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult986 = callmethod(strlit985, "++", 1, partcv, params);
// compilenode returning opresult986
  int op_slot_left_980 = gc_frame_newslot(opresult986);
  params[0] = strlit981;
  partcv[0] = 1;
  Object opresult987 = callmethod(opresult986, "++", 1, partcv, params);
// compilenode returning opresult987
  gc_frame_newslot(opresult987);
  int callframe988 = gc_frame_new();
  int callframe989 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call990 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe989);
// compilenode returning call990
// compilenode returning call990
  partcv[0] = 0;
  Object call991 = callmethod(call990, "line",
    1, partcv, params);
  gc_frame_end(callframe988);
// compilenode returning call991
// compilenode returning call991
  gc_frame_newslot(call991);
// compilenode returning *var_suggestion
  params[0] = call975;
  params[1] = diff979;
  params[2] = opresult987;
  params[3] = call991;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call992 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe973);
// compilenode returning call992
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe993 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call994 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe993);
// compilenode returning call994
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe995 = gc_frame_new();
  if (strlit996 == NULL) {
    strlit996 = alloc_String("A number may only follow a '.' if there is a number before the '.'.");
    gc_root(strlit996);
  }
// compilenode returning strlit996
  gc_frame_newslot(strlit996);
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe997 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call998 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe997);
// compilenode returning call998
// compilenode returning call998
  gc_frame_newslot(call998);
  int callframe999 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call1000 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe999);
// compilenode returning call1000
// compilenode returning call1000
  gc_frame_newslot(call1000);
  int callframe1001 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call1002 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1001);
// compilenode returning call1002
// compilenode returning call1002
  gc_frame_newslot(call1002);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit996;
  params[1] = call998;
  params[2] = call1000;
  params[3] = call1002;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1003 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe995);
// compilenode returning call1003
    gc_frame_newslot(call1003);
    if933 = call1003;
  } else {
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1004 = gc_frame_new();
  if (strlit1005 == NULL) {
    strlit1005 = alloc_String("A number may only follow a '.' if there is a number before the '.'.");
    gc_root(strlit1005);
  }
// compilenode returning strlit1005
  gc_frame_newslot(strlit1005);
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1006 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call1007 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe1006);
// compilenode returning call1007
// compilenode returning call1007
  gc_frame_newslot(call1007);
  int callframe1008 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call1009 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1008);
// compilenode returning call1009
// compilenode returning call1009
  gc_frame_newslot(call1009);
  int callframe1010 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call1011 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1010);
// compilenode returning call1011
// compilenode returning call1011
  gc_frame_newslot(call1011);
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1005;
  params[1] = call1007;
  params[2] = call1009;
  params[3] = call1011;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call1012 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe1004);
// compilenode returning call1012
    gc_frame_newslot(call1012);
    if933 = call1012;
  }
// compilenode returning if933
    gc_frame_newslot(if933);
    if895 = if933;
  }
// compilenode returning if895
    gc_frame_newslot(if895);
    if862 = if895;
  }
// compilenode returning if862
    gc_frame_newslot(if862);
    if716 = if862;
  }
// compilenode returning if716
    gc_frame_newslot(if716);
    if694 = if716;
  } else {
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1013 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call1014 = callmethodflags(self, "makeNumToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1013);
// compilenode returning call1014
  *var_tok = call1014;
  if (call1014 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if694 = done;
  }
// compilenode returning if694
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1016 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call1017 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe1016);
// compilenode returning call1017
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1018 = alloc_Boolean(1);
// compilenode returning bool1018
  *var_done = bool1018;
  if (bool1018 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if689 = done;
  } else {
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1022 == NULL) {
    strlit1022 = alloc_String("o");
    gc_root(strlit1022);
  }
// compilenode returning strlit1022
  int op_slot_right_1021 = gc_frame_newslot(strlit1022);
// compilenode returning *var_mode
  int op_slot_left_1021 = gc_frame_newslot(*var_mode);
  params[0] = strlit1022;
  partcv[0] = 1;
  Object opresult1024 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult1024
  Object if1020 = done;
  if (istrue(opresult1024)) {
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1025 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
// compilenode returning *var_OpToken
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call1026 = callmethod(*var_OpToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1025);
// compilenode returning call1026
  *var_tok = call1026;
  if (call1026 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1030 == NULL) {
    strlit1030 = alloc_String("->");
    gc_root(strlit1030);
  }
// compilenode returning strlit1030
  int op_slot_right_1029 = gc_frame_newslot(strlit1030);
// compilenode returning *var_accum
  int op_slot_left_1029 = gc_frame_newslot(*var_accum);
  params[0] = strlit1030;
  partcv[0] = 1;
  Object opresult1032 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult1032
  Object if1028 = done;
  if (istrue(opresult1032)) {
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1033 = gc_frame_new();
// compilenode returning *var_ArrowToken
  partcv[0] = 0;
  Object call1034 = callmethod(*var_ArrowToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1033);
// compilenode returning call1034
// compilenode returning call1034
  *var_tok = call1034;
  if (call1034 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1028 = done;
  } else {
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1038 == NULL) {
    strlit1038 = alloc_String(":=");
    gc_root(strlit1038);
  }
// compilenode returning strlit1038
  int op_slot_right_1037 = gc_frame_newslot(strlit1038);
// compilenode returning *var_accum
  int op_slot_left_1037 = gc_frame_newslot(*var_accum);
  params[0] = strlit1038;
  partcv[0] = 1;
  Object opresult1040 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult1040
  Object if1036 = done;
  if (istrue(opresult1040)) {
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1041 = gc_frame_new();
// compilenode returning *var_BindToken
  partcv[0] = 0;
  Object call1042 = callmethod(*var_BindToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1041);
// compilenode returning call1042
// compilenode returning call1042
  *var_tok = call1042;
  if (call1042 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1036 = done;
  } else {
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1046 == NULL) {
    strlit1046 = alloc_String(":");
    gc_root(strlit1046);
  }
// compilenode returning strlit1046
  int op_slot_right_1045 = gc_frame_newslot(strlit1046);
// compilenode returning *var_accum
  int op_slot_left_1045 = gc_frame_newslot(*var_accum);
  params[0] = strlit1046;
  partcv[0] = 1;
  Object opresult1048 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult1048
  Object if1044 = done;
  if (istrue(opresult1048)) {
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1049 = gc_frame_new();
// compilenode returning *var_ColonToken
  partcv[0] = 0;
  Object call1050 = callmethod(*var_ColonToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1049);
// compilenode returning call1050
// compilenode returning call1050
  *var_tok = call1050;
  if (call1050 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1044 = done;
  } else {
  }
// compilenode returning if1044
    gc_frame_newslot(if1044);
    if1036 = if1044;
  }
// compilenode returning if1036
    gc_frame_newslot(if1036);
    if1028 = if1036;
  }
// compilenode returning if1028
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1052 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call1053 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe1052);
// compilenode returning call1053
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1054 = alloc_Boolean(1);
// compilenode returning bool1054
  *var_done = bool1054;
  if (bool1054 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1020 = done;
  } else {
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1058 == NULL) {
    strlit1058 = alloc_String("d");
    gc_root(strlit1058);
  }
// compilenode returning strlit1058
  int op_slot_right_1057 = gc_frame_newslot(strlit1058);
// compilenode returning *var_mode
  int op_slot_left_1057 = gc_frame_newslot(*var_mode);
  params[0] = strlit1058;
  partcv[0] = 1;
  Object opresult1060 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult1060
  Object if1056 = done;
  if (istrue(opresult1060)) {
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1062 = alloc_Float64(1);
// compilenode returning num1062
  int op_slot_right_1061 = gc_frame_newslot(num1062);
// compilenode returning *var_linePosition
  int op_slot_left_1061 = gc_frame_newslot(*var_linePosition);
  params[0] = num1062;
  partcv[0] = 1;
  Object diff1064 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1064
  *var_indentLevel = diff1064;
  if (diff1064 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1066 = alloc_Boolean(1);
// compilenode returning bool1066
  *var_done = bool1066;
  if (bool1066 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1056 = done;
  } else {
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1070 == NULL) {
    strlit1070 = alloc_String("n");
    gc_root(strlit1070);
  }
// compilenode returning strlit1070
  int op_slot_right_1069 = gc_frame_newslot(strlit1070);
// compilenode returning *var_mode
  int op_slot_left_1069 = gc_frame_newslot(*var_mode);
  params[0] = strlit1070;
  partcv[0] = 1;
  Object opresult1072 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult1072
  Object if1068 = done;
  if (istrue(opresult1072)) {
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1073 = alloc_Boolean(1);
// compilenode returning bool1073
  *var_done = bool1073;
  if (bool1073 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1068 = done;
  } else {
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1077 == NULL) {
    strlit1077 = alloc_String("c");
    gc_root(strlit1077);
  }
// compilenode returning strlit1077
  int op_slot_right_1076 = gc_frame_newslot(strlit1077);
// compilenode returning *var_mode
  int op_slot_left_1076 = gc_frame_newslot(*var_mode);
  params[0] = strlit1077;
  partcv[0] = 1;
  Object opresult1079 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult1079
  Object if1075 = done;
  if (istrue(opresult1079)) {
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1080 = gc_frame_new();
  Object num1081 = alloc_Float64(3);
// compilenode returning num1081
  gc_frame_newslot(num1081);
  int callframe1082 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1083 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1082);
// compilenode returning call1083
// compilenode returning call1083
  gc_frame_newslot(call1083);
// compilenode returning *var_accum
  params[0] = num1081;
  params[1] = call1083;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1084 = callmethod(*var_accum, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe1080);
// compilenode returning call1084
  *var_cmt = call1084;
  if (call1084 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1085 = gc_frame_new();
  int callframe1086 = gc_frame_new();
// compilenode returning *var_cmt
  gc_frame_newslot(*var_cmt);
// compilenode returning *var_CommentToken
  params[0] = *var_cmt;
  partcv[0] = 1;
  Object call1087 = callmethod(*var_CommentToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1086);
// compilenode returning call1087
  gc_frame_newslot(call1087);
// compilenode returning *var_tokens
  params[0] = call1087;
  partcv[0] = 1;
  Object call1088 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe1085);
// compilenode returning call1088
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1089 = alloc_Boolean(1);
// compilenode returning bool1089
  *var_done = bool1089;
  if (bool1089 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1075 = done;
  } else {
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1093 == NULL) {
    strlit1093 = alloc_String("p");
    gc_root(strlit1093);
  }
// compilenode returning strlit1093
  int op_slot_right_1092 = gc_frame_newslot(strlit1093);
// compilenode returning *var_mode
  int op_slot_left_1092 = gc_frame_newslot(*var_mode);
  params[0] = strlit1093;
  partcv[0] = 1;
  Object opresult1095 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult1095
  Object if1091 = done;
  if (istrue(opresult1095)) {
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1098 == NULL) {
    strlit1098 = alloc_String("#pragma ");
    gc_root(strlit1098);
  }
// compilenode returning strlit1098
  int op_slot_right_1097 = gc_frame_newslot(strlit1098);
  int callframe1100 = gc_frame_new();
  Object num1101 = alloc_Float64(1);
// compilenode returning num1101
  gc_frame_newslot(num1101);
  Object num1102 = alloc_Float64(8);
// compilenode returning num1102
  gc_frame_newslot(num1102);
// compilenode returning *var_accum
  params[0] = num1101;
  params[1] = num1102;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1103 = callmethod(*var_accum, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe1100);
// compilenode returning call1103
  int op_slot_left_1097 = gc_frame_newslot(call1103);
  params[0] = strlit1098;
  partcv[0] = 1;
  Object opresult1104 = callmethod(call1103, "==", 1, partcv, params);
// compilenode returning opresult1104
  Object if1096 = done;
  if (istrue(opresult1104)) {
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1105 = gc_frame_new();
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1106 = gc_frame_new();
  Object num1107 = alloc_Float64(9);
// compilenode returning num1107
  gc_frame_newslot(num1107);
  int callframe1108 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1109 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1108);
// compilenode returning call1109
// compilenode returning call1109
  gc_frame_newslot(call1109);
// compilenode returning *var_accum
  params[0] = num1107;
  params[1] = call1109;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1110 = callmethod(*var_accum, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe1106);
// compilenode returning call1110
  gc_frame_newslot(call1110);
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_util
  params[0] = call1110;
  partcv[0] = 1;
  Object call1111 = callmethod(*var_util, "processExtension",
    1, partcv, params);
  gc_frame_end(callframe1105);
// compilenode returning call1111
    gc_frame_newslot(call1111);
    if1096 = call1111;
  } else {
  }
// compilenode returning if1096
    gc_frame_newslot(if1096);
    if1091 = if1096;
  } else {
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_done
  Object if1112 = done;
  if (istrue(*var_done)) {
    gc_frame_newslot(done);
    if1112 = done;
  } else {
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1113 = gc_frame_new();
  if (strlit1115 == NULL) {
    strlit1115 = alloc_String(".");
    gc_root(strlit1115);
  }
// compilenode returning strlit1115
  int op_slot_right_1114 = gc_frame_newslot(strlit1115);
// compilenode returning *var_accum
  int op_slot_right_1117 = gc_frame_newslot(*var_accum);
  if (strlit1120 == NULL) {
    strlit1120 = alloc_String(" with accum ");
    gc_root(strlit1120);
  }
// compilenode returning strlit1120
  int op_slot_right_1119 = gc_frame_newslot(strlit1120);
// compilenode returning *var_mode
  int op_slot_right_1122 = gc_frame_newslot(*var_mode);
  if (strlit1124 == NULL) {
    strlit1124 = alloc_String("Lexing error: no handler for mode ");
    gc_root(strlit1124);
  }
// compilenode returning strlit1124
  int op_slot_left_1122 = gc_frame_newslot(strlit1124);
  params[0] = *var_mode;
  partcv[0] = 1;
  Object opresult1125 = callmethod(strlit1124, "++", 1, partcv, params);
// compilenode returning opresult1125
  int op_slot_left_1119 = gc_frame_newslot(opresult1125);
  params[0] = strlit1120;
  partcv[0] = 1;
  Object opresult1126 = callmethod(opresult1125, "++", 1, partcv, params);
// compilenode returning opresult1126
  int op_slot_left_1117 = gc_frame_newslot(opresult1126);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult1127 = callmethod(opresult1126, "++", 1, partcv, params);
// compilenode returning opresult1127
  int op_slot_left_1114 = gc_frame_newslot(opresult1127);
  params[0] = strlit1115;
  partcv[0] = 1;
  Object opresult1128 = callmethod(opresult1127, "++", 1, partcv, params);
// compilenode returning opresult1128
  gc_frame_newslot(opresult1128);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_errormessages
  params[0] = opresult1128;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call1129 = callmethod(*var_errormessages, "syntaxError()atPosition",
    2, partcv, params);
  gc_frame_end(callframe1113);
// compilenode returning call1129
    gc_frame_newslot(call1129);
    if1112 = call1129;
  }
// compilenode returning if1112
    gc_frame_newslot(if1112);
    if1091 = if1112;
  }
// compilenode returning if1091
    gc_frame_newslot(if1091);
    if1075 = if1091;
  }
// compilenode returning if1075
    gc_frame_newslot(if1075);
    if1068 = if1075;
  }
// compilenode returning if1068
    gc_frame_newslot(if1068);
    if1056 = if1068;
  }
// compilenode returning if1056
    gc_frame_newslot(if1056);
    if1020 = if1056;
  }
// compilenode returning if1020
    gc_frame_newslot(if1020);
    if689 = if1020;
  }
// compilenode returning if689
    gc_frame_newslot(if689);
    if677 = if689;
  }
// compilenode returning if677
    gc_frame_newslot(if677);
    if665 = if677;
  }
// compilenode returning if665
    gc_frame_newslot(if665);
    if653 = if665;
  }
// compilenode returning if653
    gc_frame_newslot(if653);
    if641 = if653;
  }
// compilenode returning if641
    gc_frame_newslot(if641);
    if417 = if641;
  } else {
  }
// compilenode returning if417
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linePosition
  *var_startPosition = *var_linePosition;
  if (*var_linePosition == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer__apply1136(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[5];
  int partcv[3];
  Object *var_base = getfromclosure(closure, 0);
  Object *var_val = getfromclosure(closure, 1);
  Object *var_str = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_linePosition = getfromclosure(closure, 4);
  Object *var_lineNumber = getfromclosure(closure, 5);
  Object *var_i = getfromclosure(closure, 6);
  Object *var_unicode = getfromclosure(closure, 7);
  Object self = *(getfromclosure(closure, 8));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
  Object *var_inc = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "inc");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_validDigits = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "validDigits");
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1137 = gc_frame_new();
// compilenode returning *var_c
  partcv[0] = 0;
  Object call1138 = callmethod(*var_c, "ord",
    1, partcv, params);
  gc_frame_end(callframe1137);
// compilenode returning call1138
// compilenode returning call1138
  *var_n = call1138;
  if (call1138 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_base
  int op_slot_right_1139 = gc_frame_newslot(*var_base);
// compilenode returning *var_val
  int op_slot_left_1139 = gc_frame_newslot(*var_val);
  params[0] = *var_base;
  partcv[0] = 1;
  Object prod1141 = callmethod(*var_val, "*", 1, partcv, params);
// compilenode returning prod1141
  *var_val = prod1141;
  if (prod1141 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1143 = alloc_Float64(0);
// compilenode returning num1143
  *var_inc = num1143;
  if (num1143 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1147 = alloc_Float64(57);
// compilenode returning num1147
  int op_slot_right_1146 = gc_frame_newslot(num1147);
// compilenode returning *var_n
  int op_slot_left_1146 = gc_frame_newslot(*var_n);
  params[0] = num1147;
  partcv[0] = 1;
  Object opresult1149 = callmethod(*var_n, "<=", 1, partcv, params);
// compilenode returning opresult1149
  int op_slot_right_1145 = gc_frame_newslot(opresult1149);
  Object num1152 = alloc_Float64(48);
// compilenode returning num1152
  int op_slot_right_1151 = gc_frame_newslot(num1152);
// compilenode returning *var_n
  int op_slot_left_1151 = gc_frame_newslot(*var_n);
  params[0] = num1152;
  partcv[0] = 1;
  Object opresult1154 = callmethod(*var_n, ">=", 1, partcv, params);
// compilenode returning opresult1154
  int op_slot_left_1145 = gc_frame_newslot(opresult1154);
  params[0] = opresult1149;
  partcv[0] = 1;
  Object opresult1155 = callmethod(opresult1154, "&&", 1, partcv, params);
// compilenode returning opresult1155
  Object if1144 = done;
  if (istrue(opresult1155)) {
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1157 = alloc_Float64(48);
// compilenode returning num1157
  int op_slot_right_1156 = gc_frame_newslot(num1157);
// compilenode returning *var_n
  int op_slot_left_1156 = gc_frame_newslot(*var_n);
  params[0] = num1157;
  partcv[0] = 1;
  Object diff1159 = callmethod(*var_n, "-", 1, partcv, params);
// compilenode returning diff1159
  *var_inc = diff1159;
  if (diff1159 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1144 = done;
  } else {
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1164 = alloc_Float64(90);
// compilenode returning num1164
  int op_slot_right_1163 = gc_frame_newslot(num1164);
// compilenode returning *var_n
  int op_slot_left_1163 = gc_frame_newslot(*var_n);
  params[0] = num1164;
  partcv[0] = 1;
  Object opresult1166 = callmethod(*var_n, "<=", 1, partcv, params);
// compilenode returning opresult1166
  int op_slot_right_1162 = gc_frame_newslot(opresult1166);
  Object num1169 = alloc_Float64(65);
// compilenode returning num1169
  int op_slot_right_1168 = gc_frame_newslot(num1169);
// compilenode returning *var_n
  int op_slot_left_1168 = gc_frame_newslot(*var_n);
  params[0] = num1169;
  partcv[0] = 1;
  Object opresult1171 = callmethod(*var_n, ">=", 1, partcv, params);
// compilenode returning opresult1171
  int op_slot_left_1162 = gc_frame_newslot(opresult1171);
  params[0] = opresult1166;
  partcv[0] = 1;
  Object opresult1172 = callmethod(opresult1171, "&&", 1, partcv, params);
// compilenode returning opresult1172
  Object if1161 = done;
  if (istrue(opresult1172)) {
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1174 = alloc_Float64(55);
// compilenode returning num1174
  int op_slot_right_1173 = gc_frame_newslot(num1174);
// compilenode returning *var_n
  int op_slot_left_1173 = gc_frame_newslot(*var_n);
  params[0] = num1174;
  partcv[0] = 1;
  Object diff1176 = callmethod(*var_n, "-", 1, partcv, params);
// compilenode returning diff1176
  *var_inc = diff1176;
  if (diff1176 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1161 = done;
  } else {
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1179 = alloc_Float64(87);
// compilenode returning num1179
  int op_slot_right_1178 = gc_frame_newslot(num1179);
// compilenode returning *var_n
  int op_slot_left_1178 = gc_frame_newslot(*var_n);
  params[0] = num1179;
  partcv[0] = 1;
  Object diff1181 = callmethod(*var_n, "-", 1, partcv, params);
// compilenode returning diff1181
  *var_inc = diff1181;
  if (diff1181 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1161 = done;
  }
// compilenode returning if1161
    gc_frame_newslot(if1161);
    if1144 = if1161;
  }
// compilenode returning if1144
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_base
  int op_slot_right_1184 = gc_frame_newslot(*var_base);
// compilenode returning *var_inc
  int op_slot_left_1184 = gc_frame_newslot(*var_inc);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1186 = callmethod(*var_inc, ">=", 1, partcv, params);
// compilenode returning opresult1186
  Object if1183 = done;
  if (istrue(opresult1186)) {
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1190 = alloc_Float64(16);
// compilenode returning num1190
  int op_slot_right_1189 = gc_frame_newslot(num1190);
// compilenode returning *var_inc
  int op_slot_left_1189 = gc_frame_newslot(*var_inc);
  params[0] = num1190;
  partcv[0] = 1;
  Object opresult1192 = callmethod(*var_inc, "<", 1, partcv, params);
// compilenode returning opresult1192
  int op_slot_right_1188 = gc_frame_newslot(opresult1192);
  if (strlit1195 == NULL) {
    strlit1195 = alloc_String("0");
    gc_root(strlit1195);
  }
// compilenode returning strlit1195
  int op_slot_right_1194 = gc_frame_newslot(strlit1195);
// compilenode returning *var_str
  Object num1197 = alloc_Float64(1);
// compilenode returning num1197
  params[0] = num1197;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1198 = callmethod(*var_str, "[]", 1, partcv, params);
// compilenode returning idxres1198
  int op_slot_left_1194 = gc_frame_newslot(idxres1198);
  params[0] = strlit1195;
  partcv[0] = 1;
  Object opresult1199 = callmethod(idxres1198, "==", 1, partcv, params);
// compilenode returning opresult1199
  int op_slot_left_1188 = gc_frame_newslot(opresult1199);
  params[0] = opresult1192;
  partcv[0] = 1;
  Object opresult1200 = callmethod(opresult1199, "&&", 1, partcv, params);
// compilenode returning opresult1200
  Object if1187 = done;
  if (istrue(opresult1200)) {
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1201 = gc_frame_new();
  int callframe1202 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1203 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1202);
// compilenode returning call1203
// compilenode returning call1203
  partcv[0] = 0;
  Object call1204 = callmethod(call1203, "new",
    1, partcv, params);
  gc_frame_end(callframe1201);
// compilenode returning call1204
// compilenode returning call1204
  *var_suggestion = call1204;
  if (call1204 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1205 = gc_frame_new();
  if (strlit1206 == NULL) {
    strlit1206 = alloc_String("x");
    gc_root(strlit1206);
  }
// compilenode returning strlit1206
  gc_frame_newslot(strlit1206);
  Object num1208 = alloc_Float64(1);
// compilenode returning num1208
  int op_slot_right_1207 = gc_frame_newslot(num1208);
  int callframe1211 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1212 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1211);
// compilenode returning call1212
// compilenode returning call1212
  int op_slot_right_1210 = gc_frame_newslot(call1212);
// compilenode returning *var_linePosition
  int op_slot_left_1210 = gc_frame_newslot(*var_linePosition);
  params[0] = call1212;
  partcv[0] = 1;
  Object diff1214 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1214
  int op_slot_left_1207 = gc_frame_newslot(diff1214);
  params[0] = num1208;
  partcv[0] = 1;
  Object sum1215 = callmethod(diff1214, "+", 1, partcv, params);
// compilenode returning sum1215
  gc_frame_newslot(sum1215);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = strlit1206;
  params[1] = sum1215;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1216 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe1205);
// compilenode returning call1216
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1217 = gc_frame_new();
  if (strlit1218 == NULL) {
    strlit1218 = alloc_String("A number in base 16 must start with '0x'.");
    gc_root(strlit1218);
  }
// compilenode returning strlit1218
  gc_frame_newslot(strlit1218);
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  Object num1220 = alloc_Float64(1);
// compilenode returning num1220
  int op_slot_right_1219 = gc_frame_newslot(num1220);
  int callframe1223 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1224 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1223);
// compilenode returning call1224
// compilenode returning call1224
  int op_slot_right_1222 = gc_frame_newslot(call1224);
// compilenode returning *var_linePosition
  int op_slot_left_1222 = gc_frame_newslot(*var_linePosition);
  params[0] = call1224;
  partcv[0] = 1;
  Object diff1226 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1226
  int op_slot_left_1219 = gc_frame_newslot(diff1226);
  params[0] = num1220;
  partcv[0] = 1;
  Object sum1227 = callmethod(diff1226, "+", 1, partcv, params);
// compilenode returning sum1227
  gc_frame_newslot(sum1227);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1218;
  params[1] = *var_lineNumber;
  params[2] = sum1227;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1228 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1217);
// compilenode returning call1228
    gc_frame_newslot(call1228);
    if1187 = call1228;
  } else {
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1229 = gc_frame_new();
  int callframe1230 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1231 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1230);
// compilenode returning call1231
// compilenode returning call1231
  partcv[0] = 0;
  Object call1232 = callmethod(call1231, "new",
    1, partcv, params);
  gc_frame_end(callframe1229);
// compilenode returning call1232
// compilenode returning call1232
  *var_suggestion = call1232;
  if (call1232 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1235 = alloc_Float64(1);
// compilenode returning num1235
  int op_slot_right_1234 = gc_frame_newslot(num1235);
  int callframe1237 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1238 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1237);
// compilenode returning call1238
// compilenode returning call1238
  int op_slot_left_1234 = gc_frame_newslot(call1238);
  params[0] = num1235;
  partcv[0] = 1;
  Object opresult1239 = callmethod(call1238, "==", 1, partcv, params);
// compilenode returning opresult1239
  Object if1233 = done;
  if (istrue(opresult1239)) {
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1240 = gc_frame_new();
  Object num1242 = alloc_Float64(1);
// compilenode returning num1242
  int op_slot_right_1241 = gc_frame_newslot(num1242);
  int callframe1245 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1246 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1245);
// compilenode returning call1246
// compilenode returning call1246
  int op_slot_right_1244 = gc_frame_newslot(call1246);
// compilenode returning *var_linePosition
  int op_slot_left_1244 = gc_frame_newslot(*var_linePosition);
  params[0] = call1246;
  partcv[0] = 1;
  Object diff1248 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1248
  int op_slot_left_1241 = gc_frame_newslot(diff1248);
  params[0] = num1242;
  partcv[0] = 1;
  Object diff1249 = callmethod(diff1248, "-", 1, partcv, params);
// compilenode returning diff1249
  gc_frame_newslot(diff1249);
  Object num1251 = alloc_Float64(1);
// compilenode returning num1251
  int op_slot_right_1250 = gc_frame_newslot(num1251);
// compilenode returning *var_linePosition
  int op_slot_left_1250 = gc_frame_newslot(*var_linePosition);
  params[0] = num1251;
  partcv[0] = 1;
  Object diff1253 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1253
  gc_frame_newslot(diff1253);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = diff1249;
  params[1] = diff1253;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1254 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe1240);
// compilenode returning call1254
    gc_frame_newslot(call1254);
    if1233 = call1254;
  } else {
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1255 = gc_frame_new();
// compilenode returning *var_i
  int op_slot_right_1256 = gc_frame_newslot(*var_i);
  int callframe1259 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1260 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1259);
// compilenode returning call1260
// compilenode returning call1260
  int op_slot_right_1258 = gc_frame_newslot(call1260);
// compilenode returning *var_linePosition
  int op_slot_left_1258 = gc_frame_newslot(*var_linePosition);
  params[0] = call1260;
  partcv[0] = 1;
  Object diff1262 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1262
  int op_slot_left_1256 = gc_frame_newslot(diff1262);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1263 = callmethod(diff1262, "+", 1, partcv, params);
// compilenode returning sum1263
  gc_frame_newslot(sum1263);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = sum1263;
  params[1] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1264 = callmethod(*var_suggestion, "deleteChar()onLine",
    2, partcv, params);
  gc_frame_end(callframe1255);
// compilenode returning call1264
    gc_frame_newslot(call1264);
    if1233 = call1264;
  }
// compilenode returning if1233
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1267 = alloc_Float64(10);
// compilenode returning num1267
  int op_slot_right_1266 = gc_frame_newslot(num1267);
// compilenode returning *var_base
  int op_slot_left_1266 = gc_frame_newslot(*var_base);
  params[0] = num1267;
  partcv[0] = 1;
  Object opresult1269 = callmethod(*var_base, "<=", 1, partcv, params);
// compilenode returning opresult1269
  Object if1265 = done;
struct StackFrameObject *iftmpstackframe1265 = stackframe;
  if (istrue(opresult1269)) {
stackframe = alloc_StackFrame(0, iftmpstackframe1265);
gc_frame_newslot((Object)stackframe);
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1271 == NULL) {
    strlit1271 = alloc_String("'");
    gc_root(strlit1271);
  }
// compilenode returning strlit1271
  int op_slot_right_1270 = gc_frame_newslot(strlit1271);
  Object num1275 = alloc_Float64(1);
// compilenode returning num1275
  int op_slot_right_1274 = gc_frame_newslot(num1275);
// compilenode returning *var_base
  int op_slot_left_1274 = gc_frame_newslot(*var_base);
  params[0] = num1275;
  partcv[0] = 1;
  Object diff1277 = callmethod(*var_base, "-", 1, partcv, params);
// compilenode returning diff1277
  int op_slot_right_1273 = gc_frame_newslot(diff1277);
  if (strlit1279 == NULL) {
    strlit1279 = alloc_String("'0' to '");
    gc_root(strlit1279);
  }
// compilenode returning strlit1279
  int op_slot_left_1273 = gc_frame_newslot(strlit1279);
  params[0] = diff1277;
  partcv[0] = 1;
  Object opresult1280 = callmethod(strlit1279, "++", 1, partcv, params);
// compilenode returning opresult1280
  int op_slot_left_1270 = gc_frame_newslot(opresult1280);
  params[0] = strlit1271;
  partcv[0] = 1;
  Object opresult1281 = callmethod(opresult1280, "++", 1, partcv, params);
// compilenode returning opresult1281
    gc_frame_newslot(opresult1281);
    if1265 = opresult1281;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe1265);
gc_frame_newslot((Object)stackframe);
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1283 == NULL) {
    strlit1283 = alloc_String("'");
    gc_root(strlit1283);
  }
// compilenode returning strlit1283
  int op_slot_right_1282 = gc_frame_newslot(strlit1283);
  int callframe1286 = gc_frame_new();
// compilenode returning *var_base
  int op_slot_right_1287 = gc_frame_newslot(*var_base);
  Object num1289 = alloc_Float64(87);
// compilenode returning num1289
  int op_slot_left_1287 = gc_frame_newslot(num1289);
  params[0] = *var_base;
  partcv[0] = 1;
  Object sum1290 = callmethod(num1289, "+", 1, partcv, params);
// compilenode returning sum1290
  gc_frame_newslot(sum1290);
// compilenode returning *var_unicode
  params[0] = sum1290;
  partcv[0] = 1;
  Object call1291 = callmethod(*var_unicode, "create",
    1, partcv, params);
  gc_frame_end(callframe1286);
// compilenode returning call1291
  int op_slot_right_1285 = gc_frame_newslot(call1291);
  if (strlit1293 == NULL) {
    strlit1293 = alloc_String("'0' to '9', 'a' to '");
    gc_root(strlit1293);
  }
// compilenode returning strlit1293
  int op_slot_left_1285 = gc_frame_newslot(strlit1293);
  params[0] = call1291;
  partcv[0] = 1;
  Object opresult1294 = callmethod(strlit1293, "++", 1, partcv, params);
// compilenode returning opresult1294
  int op_slot_left_1282 = gc_frame_newslot(opresult1294);
  params[0] = strlit1283;
  partcv[0] = 1;
  Object opresult1295 = callmethod(opresult1294, "++", 1, partcv, params);
// compilenode returning opresult1295
    gc_frame_newslot(opresult1295);
    if1265 = opresult1295;
  }
stackframe = iftmpstackframe1265;
// compilenode returning if1265
  *var_validDigits = if1265;
  if (if1265 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1296 = gc_frame_new();
  if (strlit1298 == NULL) {
    strlit1298 = alloc_String(".");
    gc_root(strlit1298);
  }
// compilenode returning strlit1298
  int op_slot_right_1297 = gc_frame_newslot(strlit1298);
// compilenode returning *var_validDigits
  int op_slot_right_1300 = gc_frame_newslot(*var_validDigits);
  if (strlit1303 == NULL) {
    strlit1303 = alloc_String(". Valid digits are ");
    gc_root(strlit1303);
  }
// compilenode returning strlit1303
  int op_slot_right_1302 = gc_frame_newslot(strlit1303);
// compilenode returning *var_base
  int op_slot_right_1305 = gc_frame_newslot(*var_base);
  if (strlit1308 == NULL) {
    strlit1308 = alloc_String("' is not a valid digit in base ");
    gc_root(strlit1308);
  }
// compilenode returning strlit1308
  int op_slot_right_1307 = gc_frame_newslot(strlit1308);
// compilenode returning *var_c
  int op_slot_right_1310 = gc_frame_newslot(*var_c);
  if (strlit1312 == NULL) {
    strlit1312 = alloc_String("'");
    gc_root(strlit1312);
  }
// compilenode returning strlit1312
  int op_slot_left_1310 = gc_frame_newslot(strlit1312);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1313 = callmethod(strlit1312, "++", 1, partcv, params);
// compilenode returning opresult1313
  int op_slot_left_1307 = gc_frame_newslot(opresult1313);
  params[0] = strlit1308;
  partcv[0] = 1;
  Object opresult1314 = callmethod(opresult1313, "++", 1, partcv, params);
// compilenode returning opresult1314
  int op_slot_left_1305 = gc_frame_newslot(opresult1314);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1315 = callmethod(opresult1314, "++", 1, partcv, params);
// compilenode returning opresult1315
  int op_slot_left_1302 = gc_frame_newslot(opresult1315);
  params[0] = strlit1303;
  partcv[0] = 1;
  Object opresult1316 = callmethod(opresult1315, "++", 1, partcv, params);
// compilenode returning opresult1316
  int op_slot_left_1300 = gc_frame_newslot(opresult1316);
  params[0] = *var_validDigits;
  partcv[0] = 1;
  Object opresult1317 = callmethod(opresult1316, "++", 1, partcv, params);
// compilenode returning opresult1317
  int op_slot_left_1297 = gc_frame_newslot(opresult1317);
  params[0] = strlit1298;
  partcv[0] = 1;
  Object opresult1318 = callmethod(opresult1317, "++", 1, partcv, params);
// compilenode returning opresult1318
  gc_frame_newslot(opresult1318);
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_i
  int op_slot_right_1319 = gc_frame_newslot(*var_i);
  int callframe1322 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1323 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1322);
// compilenode returning call1323
// compilenode returning call1323
  int op_slot_right_1321 = gc_frame_newslot(call1323);
// compilenode returning *var_linePosition
  int op_slot_left_1321 = gc_frame_newslot(*var_linePosition);
  params[0] = call1323;
  partcv[0] = 1;
  Object diff1325 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1325
  int op_slot_left_1319 = gc_frame_newslot(diff1325);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1326 = callmethod(diff1325, "+", 1, partcv, params);
// compilenode returning sum1326
  gc_frame_newslot(sum1326);
// compilenode returning *var_i
  int op_slot_right_1327 = gc_frame_newslot(*var_i);
  int callframe1330 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1331 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1330);
// compilenode returning call1331
// compilenode returning call1331
  int op_slot_right_1329 = gc_frame_newslot(call1331);
// compilenode returning *var_linePosition
  int op_slot_left_1329 = gc_frame_newslot(*var_linePosition);
  params[0] = call1331;
  partcv[0] = 1;
  Object diff1333 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1333
  int op_slot_left_1327 = gc_frame_newslot(diff1333);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1334 = callmethod(diff1333, "+", 1, partcv, params);
// compilenode returning sum1334
  gc_frame_newslot(sum1334);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult1318;
  params[1] = *var_lineNumber;
  params[2] = sum1326;
  params[3] = sum1334;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1335 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1296);
// compilenode returning call1335
    gc_frame_newslot(call1335);
    if1187 = call1335;
  }
// compilenode returning if1187
    gc_frame_newslot(if1187);
    if1183 = if1187;
  } else {
  }
// compilenode returning if1183
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_inc
  int op_slot_right_1336 = gc_frame_newslot(*var_inc);
// compilenode returning *var_val
  int op_slot_left_1336 = gc_frame_newslot(*var_val);
  params[0] = *var_inc;
  partcv[0] = 1;
  Object sum1338 = callmethod(*var_val, "+", 1, partcv, params);
// compilenode returning sum1338
  *var_val = sum1338;
  if (sum1338 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1341 = alloc_Float64(1);
// compilenode returning num1341
  int op_slot_right_1340 = gc_frame_newslot(num1341);
// compilenode returning *var_i
  int op_slot_left_1340 = gc_frame_newslot(*var_i);
  params[0] = num1341;
  partcv[0] = 1;
  Object sum1343 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum1343
  *var_i = sum1343;
  if (sum1343 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_fromBase1131(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fromBase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_linePosition = getfromclosure(closure, 1);
  Object *var_lineNumber = getfromclosure(closure, 2);
  Object *var_unicode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for fromBase (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_str = &(stackframe->slots[0]);
  *var_str = args[curarg];
  curarg++;
  Object *var_base = &(stackframe->slots[1]);
  *var_base = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for fromBase");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_val = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "val");
  Object *var_i = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "i");
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1132 = alloc_Float64(0);
// compilenode returning num1132
  *var_val = num1132;
  if (num1132 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1133 = alloc_Float64(0);
// compilenode returning num1133
  *var_i = num1133;
  if (num1133 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1134 = gc_frame_new();
// compilenode returning *var_str
  gc_frame_newslot(*var_str);
  Object block1135 = alloc_Block(NULL, NULL, "lexer", 379);
  gc_frame_newslot(block1135);
  block_savedest(block1135);
  Object closure1136 = createclosure(9, "_apply");
setclosureframe(closure1136, stackframe);
  addtoclosure(closure1136, var_base);
  addtoclosure(closure1136, var_val);
  addtoclosure(closure1136, var_str);
  addtoclosure(closure1136, var_errormessages);
  addtoclosure(closure1136, var_linePosition);
  addtoclosure(closure1136, var_lineNumber);
  addtoclosure(closure1136, var_i);
  addtoclosure(closure1136, var_unicode);
  addtoclosure(closure1136, selfslot);
  struct UserObject *uo1136 = (struct UserObject*)block1135;
  uo1136->data[0] = (Object)closure1136;
  Method *meth_meth_lexer__apply1136 = addmethod2pos(block1135, "_apply", &meth_lexer__apply1136, 0);
int argcv_meth_lexer__apply1136[] = {1};
meth_meth_lexer__apply1136->type = alloc_MethodType(1, argcv_meth_lexer__apply1136);
  meth_meth_lexer__apply1136->definitionModule = modulename;
  meth_meth_lexer__apply1136->definitionLine = 365;
// compilenode returning block1135
  gc_frame_newslot(block1135);
  params[0] = *var_str;
  params[1] = block1135;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1346 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1134);
// compilenode returning call1346
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_val
  gc_frame_end(frame);
  return *var_val;
}
Object meth_lexer__apply1354(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[5];
  int partcv[3];
  Object *var_baseSet = getfromclosure(closure, 0);
  Object *var_sofar = getfromclosure(closure, 1);
  Object *var_base = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_i = getfromclosure(closure, 4);
  Object *var_accum = getfromclosure(closure, 5);
  Object *var_linePosition = getfromclosure(closure, 6);
  Object *var_lineNumber = getfromclosure(closure, 7);
  Object self = *(getfromclosure(closure, 8));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1357 = gc_frame_new();
// compilenode returning *var_baseSet
  partcv[0] = 0;
  Object call1358 = callmethod(*var_baseSet, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe1357);
// compilenode returning call1358
  int op_slot_right_1356 = gc_frame_newslot(call1358);
  if (strlit1361 == NULL) {
    strlit1361 = alloc_String("x");
    gc_root(strlit1361);
  }
// compilenode returning strlit1361
  int op_slot_right_1360 = gc_frame_newslot(strlit1361);
// compilenode returning *var_c
  int op_slot_left_1360 = gc_frame_newslot(*var_c);
  params[0] = strlit1361;
  partcv[0] = 1;
  Object opresult1363 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1363
  int op_slot_left_1356 = gc_frame_newslot(opresult1363);
  params[0] = call1358;
  partcv[0] = 1;
  Object opresult1364 = callmethod(opresult1363, "&&", 1, partcv, params);
// compilenode returning opresult1364
  Object if1355 = done;
  if (istrue(opresult1364)) {
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1365 = gc_frame_new();
// compilenode returning *var_sofar
  partcv[0] = 0;
  Object call1366 = callmethod(*var_sofar, "asNumber",
    1, partcv, params);
  gc_frame_end(callframe1365);
// compilenode returning call1366
// compilenode returning call1366
  *var_base = call1366;
  if (call1366 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1368 = alloc_Boolean(1);
// compilenode returning bool1368
  *var_baseSet = bool1368;
  if (bool1368 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1372 = alloc_Float64(0);
// compilenode returning num1372
  int op_slot_right_1371 = gc_frame_newslot(num1372);
// compilenode returning *var_base
  int op_slot_left_1371 = gc_frame_newslot(*var_base);
  params[0] = num1372;
  partcv[0] = 1;
  Object opresult1374 = callmethod(*var_base, "==", 1, partcv, params);
// compilenode returning opresult1374
  Object if1370 = done;
  if (istrue(opresult1374)) {
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1375 = alloc_Float64(16);
// compilenode returning num1375
  *var_base = num1375;
  if (num1375 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1370 = done;
  } else {
  }
// compilenode returning if1370
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1380 = alloc_Float64(36);
// compilenode returning num1380
  int op_slot_right_1379 = gc_frame_newslot(num1380);
// compilenode returning *var_base
  int op_slot_left_1379 = gc_frame_newslot(*var_base);
  params[0] = num1380;
  partcv[0] = 1;
  Object opresult1382 = callmethod(*var_base, ">", 1, partcv, params);
// compilenode returning opresult1382
  int op_slot_right_1378 = gc_frame_newslot(opresult1382);
  Object num1385 = alloc_Float64(2);
// compilenode returning num1385
  int op_slot_right_1384 = gc_frame_newslot(num1385);
// compilenode returning *var_base
  int op_slot_left_1384 = gc_frame_newslot(*var_base);
  params[0] = num1385;
  partcv[0] = 1;
  Object opresult1387 = callmethod(*var_base, "<", 1, partcv, params);
// compilenode returning opresult1387
  int op_slot_left_1378 = gc_frame_newslot(opresult1387);
  params[0] = opresult1382;
  partcv[0] = 1;
  Object opresult1388 = callmethod(opresult1387, "||", 1, partcv, params);
// compilenode returning opresult1388
  Object if1377 = done;
  if (istrue(opresult1388)) {
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1389 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1389
  *var_suggestions = array1389;
  if (array1389 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1390 = gc_frame_new();
  int callframe1391 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1392 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1391);
// compilenode returning call1392
// compilenode returning call1392
  partcv[0] = 0;
  Object call1393 = callmethod(call1392, "new",
    1, partcv, params);
  gc_frame_end(callframe1390);
// compilenode returning call1393
// compilenode returning call1393
  *var_suggestion = call1393;
  if (call1393 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1394 = gc_frame_new();
// compilenode returning *var_i
  int op_slot_right_1395 = gc_frame_newslot(*var_i);
  int callframe1398 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1399 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1398);
// compilenode returning call1399
// compilenode returning call1399
  int op_slot_right_1397 = gc_frame_newslot(call1399);
// compilenode returning *var_linePosition
  int op_slot_left_1397 = gc_frame_newslot(*var_linePosition);
  params[0] = call1399;
  partcv[0] = 1;
  Object diff1401 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1401
  int op_slot_left_1395 = gc_frame_newslot(diff1401);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1402 = callmethod(diff1401, "+", 1, partcv, params);
// compilenode returning sum1402
  gc_frame_newslot(sum1402);
  if (strlit1403 == NULL) {
    strlit1403 = alloc_String("*");
    gc_root(strlit1403);
  }
// compilenode returning strlit1403
  gc_frame_newslot(strlit1403);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = sum1402;
  params[1] = strlit1403;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1404 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe1394);
// compilenode returning call1404
// Begin line 433
  setline(433);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1405 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1406 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1405);
// compilenode returning call1406
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1407 = gc_frame_new();
  int callframe1408 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1409 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1408);
// compilenode returning call1409
// compilenode returning call1409
  partcv[0] = 0;
  Object call1410 = callmethod(call1409, "new",
    1, partcv, params);
  gc_frame_end(callframe1407);
// compilenode returning call1410
// compilenode returning call1410
  *var_suggestion = call1410;
  if (call1410 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1412 = gc_frame_new();
  int callframe1414 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1415 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1414);
// compilenode returning call1415
// compilenode returning call1415
  int op_slot_right_1413 = gc_frame_newslot(call1415);
// compilenode returning *var_linePosition
  int op_slot_left_1413 = gc_frame_newslot(*var_linePosition);
  params[0] = call1415;
  partcv[0] = 1;
  Object diff1417 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1417
  gc_frame_newslot(diff1417);
// compilenode returning *var_i
  int op_slot_right_1418 = gc_frame_newslot(*var_i);
  int callframe1421 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1422 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1421);
// compilenode returning call1422
// compilenode returning call1422
  int op_slot_right_1420 = gc_frame_newslot(call1422);
// compilenode returning *var_linePosition
  int op_slot_left_1420 = gc_frame_newslot(*var_linePosition);
  params[0] = call1422;
  partcv[0] = 1;
  Object diff1424 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1424
  int op_slot_left_1418 = gc_frame_newslot(diff1424);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1425 = callmethod(diff1424, "+", 1, partcv, params);
// compilenode returning sum1425
  gc_frame_newslot(sum1425);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = diff1417;
  params[1] = sum1425;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1426 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe1412);
// compilenode returning call1426
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1427 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1428 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1427);
// compilenode returning call1428
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1429 = gc_frame_new();
  if (strlit1431 == NULL) {
    strlit1431 = alloc_String(" is not a valid numerical base.");
    gc_root(strlit1431);
  }
// compilenode returning strlit1431
  int op_slot_right_1430 = gc_frame_newslot(strlit1431);
// compilenode returning *var_base
  int op_slot_right_1433 = gc_frame_newslot(*var_base);
  if (strlit1435 == NULL) {
    strlit1435 = alloc_String("Base ");
    gc_root(strlit1435);
  }
// compilenode returning strlit1435
  int op_slot_left_1433 = gc_frame_newslot(strlit1435);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1436 = callmethod(strlit1435, "++", 1, partcv, params);
// compilenode returning opresult1436
  int op_slot_left_1430 = gc_frame_newslot(opresult1436);
  params[0] = strlit1431;
  partcv[0] = 1;
  Object opresult1437 = callmethod(opresult1436, "++", 1, partcv, params);
// compilenode returning opresult1437
  gc_frame_newslot(opresult1437);
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe1439 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1440 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1439);
// compilenode returning call1440
// compilenode returning call1440
  int op_slot_right_1438 = gc_frame_newslot(call1440);
// compilenode returning *var_linePosition
  int op_slot_left_1438 = gc_frame_newslot(*var_linePosition);
  params[0] = call1440;
  partcv[0] = 1;
  Object diff1442 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1442
  gc_frame_newslot(diff1442);
  Object num1444 = alloc_Float64(1);
// compilenode returning num1444
  int op_slot_right_1443 = gc_frame_newslot(num1444);
// compilenode returning *var_i
  int op_slot_right_1446 = gc_frame_newslot(*var_i);
  int callframe1449 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1450 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1449);
// compilenode returning call1450
// compilenode returning call1450
  int op_slot_right_1448 = gc_frame_newslot(call1450);
// compilenode returning *var_linePosition
  int op_slot_left_1448 = gc_frame_newslot(*var_linePosition);
  params[0] = call1450;
  partcv[0] = 1;
  Object diff1452 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1452
  int op_slot_left_1446 = gc_frame_newslot(diff1452);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1453 = callmethod(diff1452, "+", 1, partcv, params);
// compilenode returning sum1453
  int op_slot_left_1443 = gc_frame_newslot(sum1453);
  params[0] = num1444;
  partcv[0] = 1;
  Object diff1454 = callmethod(sum1453, "-", 1, partcv, params);
// compilenode returning diff1454
  gc_frame_newslot(diff1454);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult1437;
  params[1] = *var_lineNumber;
  params[2] = diff1442;
  params[3] = diff1454;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1455 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1429);
// compilenode returning call1455
    gc_frame_newslot(call1455);
    if1377 = call1455;
  } else {
  }
// compilenode returning if1377
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1456 == NULL) {
    strlit1456 = alloc_String("");
    gc_root(strlit1456);
  }
// compilenode returning strlit1456
  *var_sofar = strlit1456;
  if (strlit1456 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1355 = done;
  } else {
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_1458 = gc_frame_newslot(*var_c);
// compilenode returning *var_sofar
  int op_slot_left_1458 = gc_frame_newslot(*var_sofar);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1460 = callmethod(*var_sofar, "++", 1, partcv, params);
// compilenode returning opresult1460
  *var_sofar = opresult1460;
  if (opresult1460 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1355 = done;
  }
// compilenode returning if1355
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1463 = alloc_Float64(1);
// compilenode returning num1463
  int op_slot_right_1462 = gc_frame_newslot(num1463);
// compilenode returning *var_i
  int op_slot_left_1462 = gc_frame_newslot(*var_i);
  params[0] = num1463;
  partcv[0] = 1;
  Object sum1465 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum1465
  *var_i = sum1465;
  if (sum1465 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_makeNumToken1347(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "makeNumToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_linePosition = getfromclosure(closure, 1);
  Object *var_lineNumber = getfromclosure(closure, 2);
  Object *var_NumToken = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for makeNumToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_accum = &(stackframe->slots[0]);
  *var_accum = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for makeNumToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_base = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "base");
  Object *var_baseSet = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "baseSet");
  Object *var_sofar = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "sofar");
  Object *var_i = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "i");
  Object *var_suggestions = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "suggestions");
  Object *var_suggestion = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestion");
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1348 = alloc_Float64(10);
// compilenode returning num1348
  *var_base = num1348;
  if (num1348 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1349 = alloc_Boolean(0);
// compilenode returning bool1349
  *var_baseSet = bool1349;
  if (bool1349 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1350 == NULL) {
    strlit1350 = alloc_String("");
    gc_root(strlit1350);
  }
// compilenode returning strlit1350
  *var_sofar = strlit1350;
  if (strlit1350 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1351 = alloc_Float64(0);
// compilenode returning num1351
  *var_i = num1351;
  if (num1351 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1352 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  Object block1353 = alloc_Block(NULL, NULL, "lexer", 422);
  gc_frame_newslot(block1353);
  block_savedest(block1353);
  Object closure1354 = createclosure(9, "_apply");
setclosureframe(closure1354, stackframe);
  addtoclosure(closure1354, var_baseSet);
  addtoclosure(closure1354, var_sofar);
  addtoclosure(closure1354, var_base);
  addtoclosure(closure1354, var_errormessages);
  addtoclosure(closure1354, var_i);
  addtoclosure(closure1354, var_accum);
  addtoclosure(closure1354, var_linePosition);
  addtoclosure(closure1354, var_lineNumber);
  addtoclosure(closure1354, selfslot);
  struct UserObject *uo1354 = (struct UserObject*)block1353;
  uo1354->data[0] = (Object)closure1354;
  Method *meth_meth_lexer__apply1354 = addmethod2pos(block1353, "_apply", &meth_lexer__apply1354, 0);
int argcv_meth_lexer__apply1354[] = {1};
meth_meth_lexer__apply1354->type = alloc_MethodType(1, argcv_meth_lexer__apply1354);
  meth_meth_lexer__apply1354->definitionModule = modulename;
  meth_meth_lexer__apply1354->definitionLine = 409;
// compilenode returning block1353
  gc_frame_newslot(block1353);
  params[0] = *var_accum;
  params[1] = block1353;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1468 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1352);
// compilenode returning call1468
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1471 == NULL) {
    strlit1471 = alloc_String("");
    gc_root(strlit1471);
  }
// compilenode returning strlit1471
  int op_slot_right_1470 = gc_frame_newslot(strlit1471);
// compilenode returning *var_sofar
  int op_slot_left_1470 = gc_frame_newslot(*var_sofar);
  params[0] = strlit1471;
  partcv[0] = 1;
  Object opresult1473 = callmethod(*var_sofar, "==", 1, partcv, params);
// compilenode returning opresult1473
  Object if1469 = done;
  if (istrue(opresult1473)) {
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1474 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1474
  *var_suggestions = array1474;
  if (array1474 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1475 = gc_frame_new();
  int callframe1476 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1477 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1476);
// compilenode returning call1477
// compilenode returning call1477
  partcv[0] = 0;
  Object call1478 = callmethod(call1477, "new",
    1, partcv, params);
  gc_frame_end(callframe1475);
// compilenode returning call1478
// compilenode returning call1478
  *var_suggestion = call1478;
  if (call1478 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1479 = gc_frame_new();
  Object num1481 = alloc_Float64(1);
// compilenode returning num1481
  int op_slot_right_1480 = gc_frame_newslot(num1481);
// compilenode returning *var_i
  int op_slot_right_1483 = gc_frame_newslot(*var_i);
  int callframe1486 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1487 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1486);
// compilenode returning call1487
// compilenode returning call1487
  int op_slot_right_1485 = gc_frame_newslot(call1487);
// compilenode returning *var_linePosition
  int op_slot_left_1485 = gc_frame_newslot(*var_linePosition);
  params[0] = call1487;
  partcv[0] = 1;
  Object diff1489 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1489
  int op_slot_left_1483 = gc_frame_newslot(diff1489);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1490 = callmethod(diff1489, "+", 1, partcv, params);
// compilenode returning sum1490
  int op_slot_left_1480 = gc_frame_newslot(sum1490);
  params[0] = num1481;
  partcv[0] = 1;
  Object diff1491 = callmethod(sum1490, "-", 1, partcv, params);
// compilenode returning diff1491
  gc_frame_newslot(diff1491);
  Object num1493 = alloc_Float64(1);
// compilenode returning num1493
  int op_slot_right_1492 = gc_frame_newslot(num1493);
// compilenode returning *var_linePosition
  int op_slot_left_1492 = gc_frame_newslot(*var_linePosition);
  params[0] = num1493;
  partcv[0] = 1;
  Object diff1495 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1495
  gc_frame_newslot(diff1495);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = diff1491;
  params[1] = diff1495;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1496 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe1479);
// compilenode returning call1496
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1497 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1498 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1497);
// compilenode returning call1498
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1499 = gc_frame_new();
  int callframe1500 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1501 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1500);
// compilenode returning call1501
// compilenode returning call1501
  partcv[0] = 0;
  Object call1502 = callmethod(call1501, "new",
    1, partcv, params);
  gc_frame_end(callframe1499);
// compilenode returning call1502
// compilenode returning call1502
  *var_suggestion = call1502;
  if (call1502 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1504 = gc_frame_new();
  if (strlit1505 == NULL) {
    strlit1505 = alloc_String("0");
    gc_root(strlit1505);
  }
// compilenode returning strlit1505
  gc_frame_newslot(strlit1505);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = strlit1505;
  params[1] = *var_linePosition;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1506 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe1504);
// compilenode returning call1506
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1507 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1508 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1507);
// compilenode returning call1508
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1509 = gc_frame_new();
  if (strlit1510 == NULL) {
    strlit1510 = alloc_String("At least one digit must follow the 'x' in a number.");
    gc_root(strlit1510);
  }
// compilenode returning strlit1510
  gc_frame_newslot(strlit1510);
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_i
  int op_slot_right_1511 = gc_frame_newslot(*var_i);
  int callframe1514 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1515 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1514);
// compilenode returning call1515
// compilenode returning call1515
  int op_slot_right_1513 = gc_frame_newslot(call1515);
// compilenode returning *var_linePosition
  int op_slot_left_1513 = gc_frame_newslot(*var_linePosition);
  params[0] = call1515;
  partcv[0] = 1;
  Object diff1517 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1517
  int op_slot_left_1511 = gc_frame_newslot(diff1517);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1518 = callmethod(diff1517, "+", 1, partcv, params);
// compilenode returning sum1518
  gc_frame_newslot(sum1518);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1510;
  params[1] = *var_lineNumber;
  params[2] = sum1518;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1519 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1509);
// compilenode returning call1519
    gc_frame_newslot(call1519);
    if1469 = call1519;
  } else {
  }
// compilenode returning if1469
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1520 = gc_frame_new();
  int callframe1521 = gc_frame_new();
  int callframe1522 = gc_frame_new();
// compilenode returning *var_sofar
  gc_frame_newslot(*var_sofar);
// compilenode returning *var_base
  gc_frame_newslot(*var_base);
  params[0] = *var_sofar;
  params[1] = *var_base;
  partcv[0] = 2;
  Object call1523 = callmethodflags(self, "fromBase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1522);
// compilenode returning call1523
  partcv[0] = 0;
  Object call1524 = callmethod(call1523, "asString",
    1, partcv, params);
  gc_frame_end(callframe1521);
// compilenode returning call1524
// compilenode returning call1524
  gc_frame_newslot(call1524);
// compilenode returning *var_base
  gc_frame_newslot(*var_base);
// compilenode returning *var_NumToken
  params[0] = call1524;
  params[1] = *var_base;
  partcv[0] = 2;
  Object call1525 = callmethod(*var_NumToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1520);
// compilenode returning call1525
  gc_frame_end(frame);
  return call1525;
}
Object meth_lexer_isidentifierchar1526(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isidentifierchar");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_unicode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isidentifierchar (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ov = &(stackframe->slots[0]);
  *var_ov = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for isidentifierchar");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1528 = gc_frame_new();
// compilenode returning *var_ov
  gc_frame_newslot(*var_ov);
// compilenode returning *var_unicode
  params[0] = *var_ov;
  partcv[0] = 1;
  Object call1529 = callmethod(*var_unicode, "isLetter",
    1, partcv, params);
  gc_frame_end(callframe1528);
// compilenode returning call1529
  Object if1527 = done;
  if (istrue(call1529)) {
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1530 = alloc_Boolean(1);
// compilenode returning bool1530
  return bool1530;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1527 = undefined;
  } else {
  }
// compilenode returning if1527
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1532 = gc_frame_new();
// compilenode returning *var_ov
  gc_frame_newslot(*var_ov);
// compilenode returning *var_unicode
  params[0] = *var_ov;
  partcv[0] = 1;
  Object call1533 = callmethod(*var_unicode, "isNumber",
    1, partcv, params);
  gc_frame_end(callframe1532);
// compilenode returning call1533
  Object if1531 = done;
  if (istrue(call1533)) {
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1534 = alloc_Boolean(1);
// compilenode returning bool1534
  return bool1534;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1531 = undefined;
  } else {
  }
// compilenode returning if1531
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1538 = alloc_Float64(39);
// compilenode returning num1538
  int op_slot_right_1537 = gc_frame_newslot(num1538);
// compilenode returning *var_ov
  int op_slot_left_1537 = gc_frame_newslot(*var_ov);
  params[0] = num1538;
  partcv[0] = 1;
  Object opresult1540 = callmethod(*var_ov, "==", 1, partcv, params);
// compilenode returning opresult1540
  int op_slot_right_1536 = gc_frame_newslot(opresult1540);
  Object num1543 = alloc_Float64(95);
// compilenode returning num1543
  int op_slot_right_1542 = gc_frame_newslot(num1543);
// compilenode returning *var_ov
  int op_slot_left_1542 = gc_frame_newslot(*var_ov);
  params[0] = num1543;
  partcv[0] = 1;
  Object opresult1545 = callmethod(*var_ov, "==", 1, partcv, params);
// compilenode returning opresult1545
  int op_slot_left_1536 = gc_frame_newslot(opresult1545);
  params[0] = opresult1540;
  partcv[0] = 1;
  Object opresult1546 = callmethod(opresult1545, "||", 1, partcv, params);
// compilenode returning opresult1546
  Object if1535 = done;
  if (istrue(opresult1546)) {
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1547 = alloc_Boolean(1);
// compilenode returning bool1547
    gc_frame_newslot(bool1547);
    if1535 = bool1547;
  } else {
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1548 = alloc_Boolean(0);
// compilenode returning bool1548
    gc_frame_newslot(bool1548);
    if1535 = bool1548;
  }
// compilenode returning if1535
  gc_frame_end(frame);
  return if1535;
}
Object meth_lexer_isoperatorchar1549(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isoperatorchar");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[1];
  Object *var_unicode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isoperatorchar (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *var_ordval = &(stackframe->slots[1]);
  *var_ordval = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for isoperatorchar");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1553 == NULL) {
    strlit1553 = alloc_String("!");
    gc_root(strlit1553);
  }
// compilenode returning strlit1553
  int op_slot_right_1552 = gc_frame_newslot(strlit1553);
// compilenode returning *var_c
  int op_slot_left_1552 = gc_frame_newslot(*var_c);
  params[0] = strlit1553;
  partcv[0] = 1;
  Object opresult1555 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1555
  int op_slot_right_1551 = gc_frame_newslot(opresult1555);
  if (strlit1559 == NULL) {
    strlit1559 = alloc_String("+");
    gc_root(strlit1559);
  }
// compilenode returning strlit1559
  int op_slot_right_1558 = gc_frame_newslot(strlit1559);
// compilenode returning *var_c
  int op_slot_left_1558 = gc_frame_newslot(*var_c);
  params[0] = strlit1559;
  partcv[0] = 1;
  Object opresult1561 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1561
  int op_slot_right_1557 = gc_frame_newslot(opresult1561);
  if (strlit1565 == NULL) {
    strlit1565 = alloc_String("/");
    gc_root(strlit1565);
  }
// compilenode returning strlit1565
  int op_slot_right_1564 = gc_frame_newslot(strlit1565);
// compilenode returning *var_c
  int op_slot_left_1564 = gc_frame_newslot(*var_c);
  params[0] = strlit1565;
  partcv[0] = 1;
  Object opresult1567 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1567
  int op_slot_right_1563 = gc_frame_newslot(opresult1567);
  if (strlit1571 == NULL) {
    strlit1571 = alloc_String("*");
    gc_root(strlit1571);
  }
// compilenode returning strlit1571
  int op_slot_right_1570 = gc_frame_newslot(strlit1571);
// compilenode returning *var_c
  int op_slot_left_1570 = gc_frame_newslot(*var_c);
  params[0] = strlit1571;
  partcv[0] = 1;
  Object opresult1573 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1573
  int op_slot_right_1569 = gc_frame_newslot(opresult1573);
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1577 == NULL) {
    strlit1577 = alloc_String("?");
    gc_root(strlit1577);
  }
// compilenode returning strlit1577
  int op_slot_right_1576 = gc_frame_newslot(strlit1577);
// compilenode returning *var_c
  int op_slot_left_1576 = gc_frame_newslot(*var_c);
  params[0] = strlit1577;
  partcv[0] = 1;
  Object opresult1579 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1579
  int op_slot_right_1575 = gc_frame_newslot(opresult1579);
  if (strlit1583 == NULL) {
    strlit1583 = alloc_String("@");
    gc_root(strlit1583);
  }
// compilenode returning strlit1583
  int op_slot_right_1582 = gc_frame_newslot(strlit1583);
// compilenode returning *var_c
  int op_slot_left_1582 = gc_frame_newslot(*var_c);
  params[0] = strlit1583;
  partcv[0] = 1;
  Object opresult1585 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1585
  int op_slot_right_1581 = gc_frame_newslot(opresult1585);
  if (strlit1589 == NULL) {
    strlit1589 = alloc_String("^");
    gc_root(strlit1589);
  }
// compilenode returning strlit1589
  int op_slot_right_1588 = gc_frame_newslot(strlit1589);
// compilenode returning *var_c
  int op_slot_left_1588 = gc_frame_newslot(*var_c);
  params[0] = strlit1589;
  partcv[0] = 1;
  Object opresult1591 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1591
  int op_slot_right_1587 = gc_frame_newslot(opresult1591);
  if (strlit1595 == NULL) {
    strlit1595 = alloc_String("%");
    gc_root(strlit1595);
  }
// compilenode returning strlit1595
  int op_slot_right_1594 = gc_frame_newslot(strlit1595);
// compilenode returning *var_c
  int op_slot_left_1594 = gc_frame_newslot(*var_c);
  params[0] = strlit1595;
  partcv[0] = 1;
  Object opresult1597 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1597
  int op_slot_right_1593 = gc_frame_newslot(opresult1597);
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1601 == NULL) {
    strlit1601 = alloc_String(":");
    gc_root(strlit1601);
  }
// compilenode returning strlit1601
  int op_slot_right_1600 = gc_frame_newslot(strlit1601);
// compilenode returning *var_c
  int op_slot_left_1600 = gc_frame_newslot(*var_c);
  params[0] = strlit1601;
  partcv[0] = 1;
  Object opresult1603 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1603
  int op_slot_right_1599 = gc_frame_newslot(opresult1603);
  if (strlit1607 == NULL) {
    strlit1607 = alloc_String("|");
    gc_root(strlit1607);
  }
// compilenode returning strlit1607
  int op_slot_right_1606 = gc_frame_newslot(strlit1607);
// compilenode returning *var_c
  int op_slot_left_1606 = gc_frame_newslot(*var_c);
  params[0] = strlit1607;
  partcv[0] = 1;
  Object opresult1609 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1609
  int op_slot_right_1605 = gc_frame_newslot(opresult1609);
  if (strlit1613 == NULL) {
    strlit1613 = alloc_String("&");
    gc_root(strlit1613);
  }
// compilenode returning strlit1613
  int op_slot_right_1612 = gc_frame_newslot(strlit1613);
// compilenode returning *var_c
  int op_slot_left_1612 = gc_frame_newslot(*var_c);
  params[0] = strlit1613;
  partcv[0] = 1;
  Object opresult1615 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1615
  int op_slot_right_1611 = gc_frame_newslot(opresult1615);
  if (strlit1618 == NULL) {
    strlit1618 = alloc_String("-");
    gc_root(strlit1618);
  }
// compilenode returning strlit1618
  int op_slot_right_1617 = gc_frame_newslot(strlit1618);
// compilenode returning *var_c
  int op_slot_left_1617 = gc_frame_newslot(*var_c);
  params[0] = strlit1618;
  partcv[0] = 1;
  Object opresult1620 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1620
  int op_slot_left_1611 = gc_frame_newslot(opresult1620);
  params[0] = opresult1615;
  partcv[0] = 1;
  Object opresult1621 = callmethod(opresult1620, "||", 1, partcv, params);
// compilenode returning opresult1621
  int op_slot_left_1605 = gc_frame_newslot(opresult1621);
  params[0] = opresult1609;
  partcv[0] = 1;
  Object opresult1622 = callmethod(opresult1621, "||", 1, partcv, params);
// compilenode returning opresult1622
  int op_slot_left_1599 = gc_frame_newslot(opresult1622);
  params[0] = opresult1603;
  partcv[0] = 1;
  Object opresult1623 = callmethod(opresult1622, "||", 1, partcv, params);
// compilenode returning opresult1623
  int op_slot_left_1593 = gc_frame_newslot(opresult1623);
  params[0] = opresult1597;
  partcv[0] = 1;
  Object opresult1624 = callmethod(opresult1623, "||", 1, partcv, params);
// compilenode returning opresult1624
  int op_slot_left_1587 = gc_frame_newslot(opresult1624);
  params[0] = opresult1591;
  partcv[0] = 1;
  Object opresult1625 = callmethod(opresult1624, "||", 1, partcv, params);
// compilenode returning opresult1625
  int op_slot_left_1581 = gc_frame_newslot(opresult1625);
  params[0] = opresult1585;
  partcv[0] = 1;
  Object opresult1626 = callmethod(opresult1625, "||", 1, partcv, params);
// compilenode returning opresult1626
  int op_slot_left_1575 = gc_frame_newslot(opresult1626);
  params[0] = opresult1579;
  partcv[0] = 1;
  Object opresult1627 = callmethod(opresult1626, "||", 1, partcv, params);
// compilenode returning opresult1627
  int op_slot_left_1569 = gc_frame_newslot(opresult1627);
  params[0] = opresult1573;
  partcv[0] = 1;
  Object opresult1628 = callmethod(opresult1627, "||", 1, partcv, params);
// compilenode returning opresult1628
  int op_slot_left_1563 = gc_frame_newslot(opresult1628);
  params[0] = opresult1567;
  partcv[0] = 1;
  Object opresult1629 = callmethod(opresult1628, "||", 1, partcv, params);
// compilenode returning opresult1629
  int op_slot_left_1557 = gc_frame_newslot(opresult1629);
  params[0] = opresult1561;
  partcv[0] = 1;
  Object opresult1630 = callmethod(opresult1629, "||", 1, partcv, params);
// compilenode returning opresult1630
  int op_slot_left_1551 = gc_frame_newslot(opresult1630);
  params[0] = opresult1555;
  partcv[0] = 1;
  Object opresult1631 = callmethod(opresult1630, "||", 1, partcv, params);
// compilenode returning opresult1631
  Object if1550 = done;
  if (istrue(opresult1631)) {
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1632 = alloc_Boolean(1);
// compilenode returning bool1632
  return bool1632;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1550 = undefined;
  } else {
  }
// compilenode returning if1550
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1634 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_unicode
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call1635 = callmethod(*var_unicode, "isSymbolMathematical",
    1, partcv, params);
  gc_frame_end(callframe1634);
// compilenode returning call1635
  Object if1633 = done;
  if (istrue(call1635)) {
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1636 = alloc_Boolean(1);
// compilenode returning bool1636
  return bool1636;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1633 = undefined;
  } else {
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1638 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
  if (strlit1639 == NULL) {
    strlit1639 = alloc_String("So");
    gc_root(strlit1639);
  }
// compilenode returning strlit1639
  gc_frame_newslot(strlit1639);
// compilenode returning *var_unicode
  params[0] = *var_c;
  params[1] = strlit1639;
  partcv[0] = 2;
  Object call1640 = callmethod(*var_unicode, "iscategory",
    1, partcv, params);
  gc_frame_end(callframe1638);
// compilenode returning call1640
  Object if1637 = done;
  if (istrue(call1640)) {
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1641 = alloc_Boolean(1);
// compilenode returning bool1641
  return bool1641;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1637 = undefined;
  } else {
  }
// compilenode returning if1637
    gc_frame_newslot(if1637);
    if1633 = if1637;
  }
// compilenode returning if1633
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1642 = alloc_Boolean(0);
// compilenode returning bool1642
  return bool1642;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer__apply1656(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_lines = getfromclosure(closure, 1);
  Object *var_cLine = getfromclosure(closure, 2);
  Object *var_cLines = getfromclosure(closure, 3);
  Object *var_source = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1660 == NULL) {
    strlit1660 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit1660);
  }
// compilenode returning strlit1660
  int op_slot_right_1659 = gc_frame_newslot(strlit1660);
// compilenode returning *var_c
  int op_slot_left_1659 = gc_frame_newslot(*var_c);
  params[0] = strlit1660;
  partcv[0] = 1;
  Object opresult1662 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1662
  int op_slot_right_1658 = gc_frame_newslot(opresult1662);
  if (strlit1665 == NULL) {
    strlit1665 = alloc_String("""\x0a""");
    gc_root(strlit1665);
  }
// compilenode returning strlit1665
  int op_slot_right_1664 = gc_frame_newslot(strlit1665);
// compilenode returning *var_c
  int op_slot_left_1664 = gc_frame_newslot(*var_c);
  params[0] = strlit1665;
  partcv[0] = 1;
  Object opresult1667 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1667
  int op_slot_left_1658 = gc_frame_newslot(opresult1667);
  params[0] = opresult1662;
  partcv[0] = 1;
  Object opresult1668 = callmethod(opresult1667, "||", 1, partcv, params);
// compilenode returning opresult1668
  Object if1657 = done;
  if (istrue(opresult1668)) {
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1669 = gc_frame_new();
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
// compilenode returning *var_lines
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1670 = callmethod(*var_lines, "push",
    1, partcv, params);
  gc_frame_end(callframe1669);
// compilenode returning call1670
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1671 = gc_frame_new();
// compilenode returning *var_cLine
  gc_frame_newslot(*var_cLine);
// compilenode returning *var_cLines
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1672 = callmethod(*var_cLines, "push",
    1, partcv, params);
  gc_frame_end(callframe1671);
// compilenode returning call1672
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1673 == NULL) {
    strlit1673 = alloc_String("");
    gc_root(strlit1673);
  }
// compilenode returning strlit1673
  *var_line = strlit1673;
  if (strlit1673 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 508
  setline(508);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1675 == NULL) {
    strlit1675 = alloc_String("");
    gc_root(strlit1675);
  }
// compilenode returning strlit1675
  *var_cLine = strlit1675;
  if (strlit1675 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1657 = done;
  } else {
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 508
  setline(508);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1679 == NULL) {
    strlit1679 = alloc_String("""\x0d""");
    gc_root(strlit1679);
  }
// compilenode returning strlit1679
  int op_slot_right_1678 = gc_frame_newslot(strlit1679);
// compilenode returning *var_c
  int op_slot_left_1678 = gc_frame_newslot(*var_c);
  params[0] = strlit1679;
  partcv[0] = 1;
  Object opresult1681 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1681
  Object if1677 = done;
  if (istrue(opresult1681)) {
    gc_frame_newslot(done);
    if1677 = done;
  } else {
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1684 == NULL) {
    strlit1684 = alloc_String("\\");
    gc_root(strlit1684);
  }
// compilenode returning strlit1684
  int op_slot_right_1683 = gc_frame_newslot(strlit1684);
// compilenode returning *var_c
  int op_slot_left_1683 = gc_frame_newslot(*var_c);
  params[0] = strlit1684;
  partcv[0] = 1;
  Object opresult1686 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1686
  Object if1682 = done;
  if (istrue(opresult1686)) {
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1688 == NULL) {
    strlit1688 = alloc_String("\\");
    gc_root(strlit1688);
  }
// compilenode returning strlit1688
  int op_slot_right_1687 = gc_frame_newslot(strlit1688);
// compilenode returning *var_line
  int op_slot_left_1687 = gc_frame_newslot(*var_line);
  params[0] = strlit1688;
  partcv[0] = 1;
  Object opresult1690 = callmethod(*var_line, "++", 1, partcv, params);
// compilenode returning opresult1690
  *var_line = opresult1690;
  if (opresult1690 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1693 == NULL) {
    strlit1693 = alloc_String("\\\\");
    gc_root(strlit1693);
  }
// compilenode returning strlit1693
  int op_slot_right_1692 = gc_frame_newslot(strlit1693);
// compilenode returning *var_cLine
  int op_slot_left_1692 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1693;
  partcv[0] = 1;
  Object opresult1695 = callmethod(*var_cLine, "++", 1, partcv, params);
// compilenode returning opresult1695
  *var_cLine = opresult1695;
  if (opresult1695 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1682 = done;
  } else {
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1699 == NULL) {
    strlit1699 = alloc_String("""\x22""");
    gc_root(strlit1699);
  }
// compilenode returning strlit1699
  int op_slot_right_1698 = gc_frame_newslot(strlit1699);
// compilenode returning *var_c
  int op_slot_left_1698 = gc_frame_newslot(*var_c);
  params[0] = strlit1699;
  partcv[0] = 1;
  Object opresult1701 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1701
  Object if1697 = done;
  if (istrue(opresult1701)) {
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1703 == NULL) {
    strlit1703 = alloc_String("""\x22""");
    gc_root(strlit1703);
  }
// compilenode returning strlit1703
  int op_slot_right_1702 = gc_frame_newslot(strlit1703);
// compilenode returning *var_line
  int op_slot_left_1702 = gc_frame_newslot(*var_line);
  params[0] = strlit1703;
  partcv[0] = 1;
  Object opresult1705 = callmethod(*var_line, "++", 1, partcv, params);
// compilenode returning opresult1705
  *var_line = opresult1705;
  if (opresult1705 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1708 == NULL) {
    strlit1708 = alloc_String("\\""\x22""");
    gc_root(strlit1708);
  }
// compilenode returning strlit1708
  int op_slot_right_1707 = gc_frame_newslot(strlit1708);
// compilenode returning *var_cLine
  int op_slot_left_1707 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1708;
  partcv[0] = 1;
  Object opresult1710 = callmethod(*var_cLine, "++", 1, partcv, params);
// compilenode returning opresult1710
  *var_cLine = opresult1710;
  if (opresult1710 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1697 = done;
  } else {
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_1712 = gc_frame_newslot(*var_c);
// compilenode returning *var_line
  int op_slot_left_1712 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1714 = callmethod(*var_line, "++", 1, partcv, params);
// compilenode returning opresult1714
  *var_line = opresult1714;
  if (opresult1714 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_1716 = gc_frame_newslot(*var_c);
// compilenode returning *var_cLine
  int op_slot_left_1716 = gc_frame_newslot(*var_cLine);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1718 = callmethod(*var_cLine, "++", 1, partcv, params);
// compilenode returning opresult1718
  *var_cLine = opresult1718;
  if (opresult1718 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1697 = done;
  }
// compilenode returning if1697
    gc_frame_newslot(if1697);
    if1682 = if1697;
  }
// compilenode returning if1682
    gc_frame_newslot(if1682);
    if1677 = if1682;
  }
// compilenode returning if1677
    gc_frame_newslot(if1677);
    if1657 = if1677;
  }
// compilenode returning if1657
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_1720 = gc_frame_newslot(*var_c);
// compilenode returning *var_source
  int op_slot_left_1720 = gc_frame_newslot(*var_source);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1722 = callmethod(*var_source, "++", 1, partcv, params);
// compilenode returning opresult1722
  *var_source = opresult1722;
  if (opresult1722 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_lexfile1643(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexfile");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lexfile (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_file = &(stackframe->slots[0]);
  *var_file = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for lexfile");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lines = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lines");
  Object *var_cLines = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "cLines");
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
  Object *var_cLine = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cLine");
  Object *var_source = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "source");
// Begin line 496
  setline(496);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1644 = gc_frame_new();
  if (strlit1645 == NULL) {
    strlit1645 = alloc_String("reading source.");
    gc_root(strlit1645);
  }
// compilenode returning strlit1645
  gc_frame_newslot(strlit1645);
// compilenode returning *var_util
  params[0] = strlit1645;
  partcv[0] = 1;
  Object call1646 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe1644);
// compilenode returning call1646
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1647 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1647
  *var_lines = array1647;
  if (array1647 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1648 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1648
  *var_cLines = array1648;
  if (array1648 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1649 == NULL) {
    strlit1649 = alloc_String("");
    gc_root(strlit1649);
  }
// compilenode returning strlit1649
  *var_line = strlit1649;
  if (strlit1649 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1650 == NULL) {
    strlit1650 = alloc_String("");
    gc_root(strlit1650);
  }
// compilenode returning strlit1650
  *var_cLine = strlit1650;
  if (strlit1650 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1651 == NULL) {
    strlit1651 = alloc_String("");
    gc_root(strlit1651);
  }
// compilenode returning strlit1651
  *var_source = strlit1651;
  if (strlit1651 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1652 = gc_frame_new();
  int callframe1653 = gc_frame_new();
// compilenode returning *var_file
  partcv[0] = 0;
  Object call1654 = callmethod(*var_file, "read",
    1, partcv, params);
  gc_frame_end(callframe1653);
// compilenode returning call1654
// compilenode returning call1654
  gc_frame_newslot(call1654);
  Object block1655 = alloc_Block(NULL, NULL, "lexer", 502);
  gc_frame_newslot(block1655);
  block_savedest(block1655);
  Object closure1656 = createclosure(6, "_apply");
setclosureframe(closure1656, stackframe);
  addtoclosure(closure1656, var_line);
  addtoclosure(closure1656, var_lines);
  addtoclosure(closure1656, var_cLine);
  addtoclosure(closure1656, var_cLines);
  addtoclosure(closure1656, var_source);
  addtoclosure(closure1656, selfslot);
  struct UserObject *uo1656 = (struct UserObject*)block1655;
  uo1656->data[0] = (Object)closure1656;
  Method *meth_meth_lexer__apply1656 = addmethod2pos(block1655, "_apply", &meth_lexer__apply1656, 0);
int argcv_meth_lexer__apply1656[] = {1};
meth_meth_lexer__apply1656->type = alloc_MethodType(1, argcv_meth_lexer__apply1656);
  meth_meth_lexer__apply1656->definitionModule = modulename;
  meth_meth_lexer__apply1656->definitionLine = 502;
// compilenode returning block1655
  gc_frame_newslot(block1655);
  params[0] = call1654;
  params[1] = block1655;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1725 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1652);
// compilenode returning call1725
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1728 == NULL) {
    strlit1728 = alloc_String("");
    gc_root(strlit1728);
  }
// compilenode returning strlit1728
  int op_slot_right_1727 = gc_frame_newslot(strlit1728);
// compilenode returning *var_line
  int op_slot_left_1727 = gc_frame_newslot(*var_line);
  params[0] = strlit1728;
  partcv[0] = 1;
  Object opresult1730 = callmethod(*var_line, "!=", 1, partcv, params);
// compilenode returning opresult1730
  Object if1726 = done;
  if (istrue(opresult1730)) {
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1731 = gc_frame_new();
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
// compilenode returning *var_lines
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1732 = callmethod(*var_lines, "push",
    1, partcv, params);
  gc_frame_end(callframe1731);
// compilenode returning call1732
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1733 = gc_frame_new();
// compilenode returning *var_cLine
  gc_frame_newslot(*var_cLine);
// compilenode returning *var_cLines
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1734 = callmethod(*var_cLines, "push",
    1, partcv, params);
  gc_frame_end(callframe1733);
// compilenode returning call1734
    gc_frame_newslot(call1734);
    if1726 = call1734;
  } else {
  }
// compilenode returning if1726
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1735 = gc_frame_new();
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lines
  gc_frame_newslot(*var_lines);
// compilenode returning *var_util
  params[0] = *var_lines;
  partcv[0] = 1;
  Object call1736 = callmethod(*var_util, "lines:=",
    1, partcv, params);
  gc_frame_end(callframe1735);
// compilenode returning call1736
// compilenode returning done
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1737 = gc_frame_new();
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cLines
  gc_frame_newslot(*var_cLines);
// compilenode returning *var_util
  params[0] = *var_cLines;
  partcv[0] = 1;
  Object call1738 = callmethod(*var_util, "cLines:=",
    1, partcv, params);
  gc_frame_end(callframe1737);
// compilenode returning call1738
// compilenode returning done
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1739 = gc_frame_new();
// compilenode returning *var_source
  gc_frame_newslot(*var_source);
  params[0] = *var_source;
  partcv[0] = 1;
  Object call1740 = callmethodflags(self, "lexinput", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1739);
// compilenode returning call1740
  gc_frame_end(frame);
  return call1740;
}
Object meth_lexer_push1747(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "push");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for push (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for push");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1750 = alloc_Boolean(0);
// compilenode returning bool1750
  int op_slot_right_1749 = gc_frame_newslot(bool1750);
  int callframe1752 = gc_frame_new();
  partcv[0] = 0;
  Object call1753 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1752);
// compilenode returning call1753
  int op_slot_left_1749 = gc_frame_newslot(call1753);
  params[0] = bool1750;
  partcv[0] = 1;
  Object opresult1754 = callmethod(call1753, "==", 1, partcv, params);
// compilenode returning opresult1754
  Object if1748 = done;
  if (istrue(opresult1754)) {
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1755 = gc_frame_new();
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  gc_frame_newslot(*var_t);
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1756 = callmethodflags(self, "first:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1755);
// compilenode returning call1756
// compilenode returning done
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1757 = gc_frame_new();
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  gc_frame_newslot(*var_t);
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1758 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1757);
// compilenode returning call1758
// compilenode returning done
    gc_frame_newslot(done);
    if1748 = done;
  } else {
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1759 = gc_frame_new();
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  gc_frame_newslot(*var_t);
  int callframe1760 = gc_frame_new();
  partcv[0] = 0;
  Object call1761 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1760);
// compilenode returning call1761
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1762 = callmethod(call1761, "next:=",
    1, partcv, params);
  gc_frame_end(callframe1759);
// compilenode returning call1762
// compilenode returning done
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1763 = gc_frame_new();
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1764 = gc_frame_new();
  partcv[0] = 0;
  Object call1765 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1764);
// compilenode returning call1765
  gc_frame_newslot(call1765);
// compilenode returning *var_t
  params[0] = call1765;
  partcv[0] = 1;
  Object call1766 = callmethod(*var_t, "prev:=",
    1, partcv, params);
  gc_frame_end(callframe1763);
// compilenode returning call1766
// compilenode returning done
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1767 = gc_frame_new();
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  gc_frame_newslot(*var_t);
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1768 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1767);
// compilenode returning call1768
// compilenode returning done
    gc_frame_newslot(done);
    if1748 = done;
  }
// compilenode returning if1748
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1769 = gc_frame_new();
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1771 = alloc_Float64(1);
// compilenode returning num1771
  int op_slot_right_1770 = gc_frame_newslot(num1771);
  int callframe1773 = gc_frame_new();
  partcv[0] = 0;
  Object call1774 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1773);
// compilenode returning call1774
  int op_slot_left_1770 = gc_frame_newslot(call1774);
  params[0] = num1771;
  partcv[0] = 1;
  Object sum1775 = callmethod(call1774, "+", 1, partcv, params);
// compilenode returning sum1775
  gc_frame_newslot(sum1775);
  params[0] = sum1775;
  partcv[0] = 1;
  Object call1776 = callmethodflags(self, "size':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1769);
// compilenode returning call1776
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_pop1777(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pop (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for pop");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_popped = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "popped");
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1780 = alloc_Boolean(0);
// compilenode returning bool1780
  int op_slot_right_1779 = gc_frame_newslot(bool1780);
  int callframe1782 = gc_frame_new();
  partcv[0] = 0;
  Object call1783 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1782);
// compilenode returning call1783
  int op_slot_left_1779 = gc_frame_newslot(call1783);
  params[0] = bool1780;
  partcv[0] = 1;
  Object opresult1784 = callmethod(call1783, "!=", 1, partcv, params);
// compilenode returning opresult1784
  Object if1778 = done;
  if (istrue(opresult1784)) {
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1785 = gc_frame_new();
  partcv[0] = 0;
  Object call1786 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1785);
// compilenode returning call1786
  *var_popped = call1786;
  if (call1786 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1787 = gc_frame_new();
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1788 = gc_frame_new();
  int callframe1789 = gc_frame_new();
  partcv[0] = 0;
  Object call1790 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1789);
// compilenode returning call1790
  partcv[0] = 0;
  Object call1791 = callmethod(call1790, "prev",
    1, partcv, params);
  gc_frame_end(callframe1788);
// compilenode returning call1791
// compilenode returning call1791
  gc_frame_newslot(call1791);
  params[0] = call1791;
  partcv[0] = 1;
  Object call1792 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1787);
// compilenode returning call1792
// compilenode returning done
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1795 = alloc_Boolean(0);
// compilenode returning bool1795
  int op_slot_right_1794 = gc_frame_newslot(bool1795);
  int callframe1797 = gc_frame_new();
  partcv[0] = 0;
  Object call1798 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1797);
// compilenode returning call1798
  int op_slot_left_1794 = gc_frame_newslot(call1798);
  params[0] = bool1795;
  partcv[0] = 1;
  Object opresult1799 = callmethod(call1798, "==", 1, partcv, params);
// compilenode returning opresult1799
  Object if1793 = done;
  if (istrue(opresult1799)) {
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1800 = gc_frame_new();
// Begin line 554
  setline(554);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1801 = alloc_Boolean(0);
// compilenode returning bool1801
  gc_frame_newslot(bool1801);
  params[0] = bool1801;
  partcv[0] = 1;
  Object call1802 = callmethodflags(self, "first:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1800);
// compilenode returning call1802
// compilenode returning done
    gc_frame_newslot(done);
    if1793 = done;
  } else {
  }
// compilenode returning if1793
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1803 = gc_frame_new();
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1805 = alloc_Float64(1);
// compilenode returning num1805
  int op_slot_right_1804 = gc_frame_newslot(num1805);
  int callframe1807 = gc_frame_new();
  partcv[0] = 0;
  Object call1808 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1807);
// compilenode returning call1808
  int op_slot_left_1804 = gc_frame_newslot(call1808);
  params[0] = num1805;
  partcv[0] = 1;
  Object diff1809 = callmethod(call1808, "-", 1, partcv, params);
// compilenode returning diff1809
  gc_frame_newslot(diff1809);
  params[0] = diff1809;
  partcv[0] = 1;
  Object call1810 = callmethodflags(self, "size':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1803);
// compilenode returning call1810
// compilenode returning done
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_popped
    gc_frame_newslot(*var_popped);
    if1778 = *var_popped;
  } else {
  }
// compilenode returning if1778
  gc_frame_end(frame);
  return if1778;
}
Object meth_lexer_poll1811(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "poll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for poll (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for poll");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_polled = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "polled");
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1814 = alloc_Boolean(0);
// compilenode returning bool1814
  int op_slot_right_1813 = gc_frame_newslot(bool1814);
  int callframe1816 = gc_frame_new();
  partcv[0] = 0;
  Object call1817 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1816);
// compilenode returning call1817
  int op_slot_left_1813 = gc_frame_newslot(call1817);
  params[0] = bool1814;
  partcv[0] = 1;
  Object opresult1818 = callmethod(call1817, "!=", 1, partcv, params);
// compilenode returning opresult1818
  Object if1812 = done;
  if (istrue(opresult1818)) {
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1819 = gc_frame_new();
  partcv[0] = 0;
  Object call1820 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1819);
// compilenode returning call1820
  *var_polled = call1820;
  if (call1820 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1821 = gc_frame_new();
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1822 = gc_frame_new();
  int callframe1823 = gc_frame_new();
  partcv[0] = 0;
  Object call1824 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1823);
// compilenode returning call1824
  partcv[0] = 0;
  Object call1825 = callmethod(call1824, "next",
    1, partcv, params);
  gc_frame_end(callframe1822);
// compilenode returning call1825
// compilenode returning call1825
  gc_frame_newslot(call1825);
  params[0] = call1825;
  partcv[0] = 1;
  Object call1826 = callmethodflags(self, "first:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1821);
// compilenode returning call1826
// compilenode returning done
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1829 = alloc_Boolean(0);
// compilenode returning bool1829
  int op_slot_right_1828 = gc_frame_newslot(bool1829);
  int callframe1831 = gc_frame_new();
  partcv[0] = 0;
  Object call1832 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1831);
// compilenode returning call1832
  int op_slot_left_1828 = gc_frame_newslot(call1832);
  params[0] = bool1829;
  partcv[0] = 1;
  Object opresult1833 = callmethod(call1832, "==", 1, partcv, params);
// compilenode returning opresult1833
  Object if1827 = done;
  if (istrue(opresult1833)) {
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1834 = gc_frame_new();
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1835 = alloc_Boolean(0);
// compilenode returning bool1835
  gc_frame_newslot(bool1835);
  params[0] = bool1835;
  partcv[0] = 1;
  Object call1836 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1834);
// compilenode returning call1836
// compilenode returning done
    gc_frame_newslot(done);
    if1827 = done;
  } else {
  }
// compilenode returning if1827
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1837 = gc_frame_new();
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1839 = alloc_Float64(1);
// compilenode returning num1839
  int op_slot_right_1838 = gc_frame_newslot(num1839);
  int callframe1841 = gc_frame_new();
  partcv[0] = 0;
  Object call1842 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1841);
// compilenode returning call1842
  int op_slot_left_1838 = gc_frame_newslot(call1842);
  params[0] = num1839;
  partcv[0] = 1;
  Object diff1843 = callmethod(call1842, "-", 1, partcv, params);
// compilenode returning diff1843
  gc_frame_newslot(diff1843);
  params[0] = diff1843;
  partcv[0] = 1;
  Object call1844 = callmethodflags(self, "size':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1837);
// compilenode returning call1844
// compilenode returning done
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_polled
    gc_frame_newslot(*var_polled);
    if1812 = *var_polled;
  } else {
  }
// compilenode returning if1812
  gc_frame_end(frame);
  return if1812;
}
Object meth_lexer_size1845(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for size (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for size");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1847 = alloc_Float64(0);
// compilenode returning num1847
  int op_slot_right_1846 = gc_frame_newslot(num1847);
  int callframe1849 = gc_frame_new();
  partcv[0] = 0;
  Object call1850 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1849);
// compilenode returning call1850
  int op_slot_left_1846 = gc_frame_newslot(call1850);
  params[0] = num1847;
  partcv[0] = 1;
  Object sum1851 = callmethod(call1850, "+", 1, partcv, params);
// compilenode returning sum1851
  gc_frame_end(frame);
  return sum1851;
}
Object meth_lexer_havemore1856(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1858 = alloc_Boolean(0);
// compilenode returning bool1858
  int op_slot_right_1857 = gc_frame_newslot(bool1858);
  int callframe1860 = gc_frame_new();
  partcv[0] = 0;
  Object call1861 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1860);
// compilenode returning call1861
  int op_slot_left_1857 = gc_frame_newslot(call1861);
  params[0] = bool1858;
  partcv[0] = 1;
  Object opresult1862 = callmethod(call1861, "!=", 1, partcv, params);
// compilenode returning opresult1862
  gc_frame_end(frame);
  return opresult1862;
}
Object meth_lexer_next1863(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1864 = gc_frame_new();
  partcv[0] = 0;
  Object call1865 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1864);
// compilenode returning call1865
  *var_ret = call1865;
  if (call1865 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1866 = gc_frame_new();
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1867 = gc_frame_new();
  int callframe1868 = gc_frame_new();
  partcv[0] = 0;
  Object call1869 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1868);
// compilenode returning call1869
  partcv[0] = 0;
  Object call1870 = callmethod(call1869, "next",
    1, partcv, params);
  gc_frame_end(callframe1867);
// compilenode returning call1870
// compilenode returning call1870
  gc_frame_newslot(call1870);
  params[0] = call1870;
  partcv[0] = 1;
  Object call1871 = callmethodflags(self, "n:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1866);
// compilenode returning call1871
// compilenode returning done
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_ret
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_lexer_iter1852(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iter (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for iter");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1853 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1853 = alloc_userobj2(4,4, objclass1853);
  gc_frame_newslot(obj1853);
// OBJECT OUTER DEC outer
  adddatum2(obj1853, self, 0);
  addmethodreal(obj1853,"outer", &reader_lexer_outer_1854);
  Object oldself1853 = self;
  struct StackFrameObject *oldstackframe1853 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1853);
  gc_frame_newslot((Object)stackframe);
  self = obj1853;
  Object *oldselfslot1853 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1853 = (*(struct UserObject *)self).data[0], lowerouter1853 = thisouter1853;
  if (inheritingObject1853) {
    struct UserObject *inho1853 = (struct UserObject *)inheritingObject1853;
    while (inho1853->super != GraceDefaultObject) inho1853 = (struct UserObject *)inho1853->super;
    inho1853->super = obj1853;
    self = inheritingObject1853;
    *selfslot = self;
    lowerouter1853 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1853;
  }
if (objclass1853 == NULL) {
  Method *reader1855 = addmethodrealflags(obj1853, "n",&reader_lexer_n_1855, 0);
  Method *writer1855 = addmethodrealflags(obj1853, "n:=",&writer_lexer_n_1855, 0);
  reader1855->definitionModule = modulename;
  writer1855->definitionModule = modulename;
  reader1855->definitionLine = 580;
  writer1855->definitionLine = 580;
}
obj1853->flags |= OFLAG_MUTABLE;
adddatum2(obj1853, alloc_Undefined(), 1);
  struct UserObject *uo1856 = (struct UserObject*)obj1853;
  uo1856->data[2] = emptyclosure;
  Method *meth_meth_lexer_havemore1856 = addmethod2pos(obj1853, "havemore", &meth_lexer_havemore1856, 2);
int argcv_meth_lexer_havemore1856[] = {0};
meth_meth_lexer_havemore1856->type = alloc_MethodType(1, argcv_meth_lexer_havemore1856);
  meth_meth_lexer_havemore1856->definitionModule = modulename;
  meth_meth_lexer_havemore1856->definitionLine = 580;
  struct UserObject *uo1863 = (struct UserObject*)obj1853;
  uo1863->data[3] = emptyclosure;
  Method *meth_meth_lexer_next1863 = addmethod2pos(obj1853, "next", &meth_lexer_next1863, 3);
int argcv_meth_lexer_next1863[] = {0};
meth_meth_lexer_next1863->type = alloc_MethodType(1, argcv_meth_lexer_next1863);
  meth_meth_lexer_next1863->definitionModule = modulename;
  meth_meth_lexer_next1863->definitionLine = 583;
  sourceObject = obj1853;
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1872 = gc_frame_new();
  int callframe1873 = gc_frame_new();
  Object call1874 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1873);
// compilenode returning call1874
// compilenode returning call1874
  partcv[0] = 0;
  Object call1875 = callmethodflags(call1874, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1872);
// compilenode returning call1875
  adddatum2(obj1853, call1875, 1);
  sourceObject = obj1853;
  sourceObject = obj1853;
objclass1853 = obj1853->class;
  objclass1853->definitionModule = modulename;
  objclass1853->definitionLine = 578;
  (*(struct UserObject *)self).data[0] = lowerouter1853;
  self = oldself1853;
  selfslot = oldselfslot1853;
  stackframe = oldstackframe1853;
  gc_frame_end(frame);
  return obj1853;
}
Object meth_lexer_iter1852_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iter (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for iter");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1853 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1853 = alloc_userobj2(4,4, objclass1853);
  gc_frame_newslot(obj1853);
// OBJECT OUTER DEC outer
  adddatum2(obj1853, self, 0);
  addmethodreal(obj1853,"outer", &reader_lexer_outer_1854);
  Object oldself1853 = self;
  struct StackFrameObject *oldstackframe1853 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1853);
  gc_frame_newslot((Object)stackframe);
  self = obj1853;
  Object *oldselfslot1853 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1853 = (*(struct UserObject *)self).data[0], lowerouter1853 = thisouter1853;
  if (inheritingObject1853) {
    struct UserObject *inho1853 = (struct UserObject *)inheritingObject1853;
    while (inho1853->super != GraceDefaultObject) inho1853 = (struct UserObject *)inho1853->super;
    inho1853->super = obj1853;
    self = inheritingObject1853;
    *selfslot = self;
    lowerouter1853 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1853;
  }
if (objclass1853 == NULL) {
  Method *reader1855 = addmethodrealflags(obj1853, "n",&reader_lexer_n_1855, 0);
  Method *writer1855 = addmethodrealflags(obj1853, "n:=",&writer_lexer_n_1855, 0);
  reader1855->definitionModule = modulename;
  writer1855->definitionModule = modulename;
  reader1855->definitionLine = 580;
  writer1855->definitionLine = 580;
}
obj1853->flags |= OFLAG_MUTABLE;
adddatum2(obj1853, alloc_Undefined(), 1);
  struct UserObject *uo1856 = (struct UserObject*)obj1853;
  uo1856->data[2] = emptyclosure;
  Method *meth_meth_lexer_havemore1856 = addmethod2pos(obj1853, "havemore", &meth_lexer_havemore1856, 2);
int argcv_meth_lexer_havemore1856[] = {0};
meth_meth_lexer_havemore1856->type = alloc_MethodType(1, argcv_meth_lexer_havemore1856);
  meth_meth_lexer_havemore1856->definitionModule = modulename;
  meth_meth_lexer_havemore1856->definitionLine = 580;
  struct UserObject *uo1863 = (struct UserObject*)obj1853;
  uo1863->data[3] = emptyclosure;
  Method *meth_meth_lexer_next1863 = addmethod2pos(obj1853, "next", &meth_lexer_next1863, 3);
int argcv_meth_lexer_next1863[] = {0};
meth_meth_lexer_next1863->type = alloc_MethodType(1, argcv_meth_lexer_next1863);
  meth_meth_lexer_next1863->definitionModule = modulename;
  meth_meth_lexer_next1863->definitionLine = 583;
  sourceObject = obj1853;
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1872 = gc_frame_new();
  int callframe1873 = gc_frame_new();
  Object call1874 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1873);
// compilenode returning call1874
// compilenode returning call1874
  partcv[0] = 0;
  Object call1875 = callmethodflags(call1874, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1872);
// compilenode returning call1875
  adddatum2(obj1853, call1875, 1);
  sourceObject = obj1853;
  sourceObject = obj1853;
objclass1853 = obj1853->class;
  objclass1853->definitionModule = modulename;
  objclass1853->definitionLine = 578;
  (*(struct UserObject *)self).data[0] = lowerouter1853;
  self = oldself1853;
  selfslot = oldselfslot1853;
  stackframe = oldstackframe1853;
  gc_frame_end(frame);
  return obj1853;
}
Object meth_lexer_iterator1877(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1878 = gc_frame_new();
  partcv[0] = 0;
  Object call1879 = callmethodflags(self, "iter", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1878);
// compilenode returning call1879
  gc_frame_end(frame);
  return call1879;
}
Object meth_lexer__apply2865(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_i = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit2867 == NULL) {
    strlit2867 = alloc_String("{");
    gc_root(strlit2867);
  }
// compilenode returning strlit2867
  int op_slot_right_2866 = gc_frame_newslot(strlit2867);
  int callframe2869 = gc_frame_new();
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  int callframe2870 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2871 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2870);
// compilenode returning call2871
// compilenode returning call2871
  params[0] = *var_line;
  partcv[0] = 1;
  Object call2872 = callmethod(call2871, "at",
    1, partcv, params);
  gc_frame_end(callframe2869);
// compilenode returning call2872
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres2873 = callmethod(call2872, "[]", 1, partcv, params);
// compilenode returning idxres2873
  int op_slot_left_2866 = gc_frame_newslot(idxres2873);
  params[0] = strlit2867;
  partcv[0] = 1;
  Object opresult2874 = callmethod(idxres2873, "!=", 1, partcv, params);
// compilenode returning opresult2874
  gc_frame_end(frame);
  return opresult2874;
}
Object meth_lexer__apply2877(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_line = getfromclosure(closure, 1);
  Object *var_lineNumber = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2879 = alloc_Float64(1);
// compilenode returning num2879
  int op_slot_right_2878 = gc_frame_newslot(num2879);
// compilenode returning *var_i
  int op_slot_left_2878 = gc_frame_newslot(*var_i);
  params[0] = num2879;
  partcv[0] = 1;
  Object diff2881 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff2881
  *var_i = diff2881;
  if (diff2881 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2885 = alloc_Float64(0);
// compilenode returning num2885
  int op_slot_right_2884 = gc_frame_newslot(num2885);
// compilenode returning *var_i
  int op_slot_left_2884 = gc_frame_newslot(*var_i);
  params[0] = num2885;
  partcv[0] = 1;
  Object opresult2887 = callmethod(*var_i, "==", 1, partcv, params);
// compilenode returning opresult2887
  Object if2883 = done;
  if (istrue(opresult2887)) {
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2889 = alloc_Float64(1);
// compilenode returning num2889
  int op_slot_right_2888 = gc_frame_newslot(num2889);
// compilenode returning *var_line
  int op_slot_left_2888 = gc_frame_newslot(*var_line);
  params[0] = num2889;
  partcv[0] = 1;
  Object diff2891 = callmethod(*var_line, "-", 1, partcv, params);
// compilenode returning diff2891
  *var_lineNumber = diff2891;
  if (diff2891 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2893 = gc_frame_new();
  int callframe2894 = gc_frame_new();
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  int callframe2895 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2896 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2895);
// compilenode returning call2896
// compilenode returning call2896
  params[0] = *var_line;
  partcv[0] = 1;
  Object call2897 = callmethod(call2896, "at",
    1, partcv, params);
  gc_frame_end(callframe2894);
// compilenode returning call2897
  partcv[0] = 0;
  Object call2898 = callmethod(call2897, "size",
    1, partcv, params);
  gc_frame_end(callframe2893);
// compilenode returning call2898
// compilenode returning call2898
  *var_i = call2898;
  if (call2898 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2883 = done;
  } else {
  }
// compilenode returning if2883
  gc_frame_end(frame);
  return if2883;
}
Object meth_lexer__apply2989(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextLine = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2991 = gc_frame_new();
// compilenode returning *var_nextLine
  partcv[0] = 0;
  Object call2992 = callmethod(*var_nextLine, "size",
    1, partcv, params);
  gc_frame_end(callframe2991);
// compilenode returning call2992
// compilenode returning call2992
  int op_slot_right_2990 = gc_frame_newslot(call2992);
// compilenode returning *var_i
  int op_slot_left_2990 = gc_frame_newslot(*var_i);
  params[0] = call2992;
  partcv[0] = 1;
  Object opresult2994 = callmethod(*var_i, "<=", 1, partcv, params);
// compilenode returning opresult2994
  gc_frame_end(frame);
  return opresult2994;
}
Object meth_lexer__apply2997(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextLine = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object *var_count = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3000 == NULL) {
    strlit3000 = alloc_String("""\x22""");
    gc_root(strlit3000);
  }
// compilenode returning strlit3000
  int op_slot_right_2999 = gc_frame_newslot(strlit3000);
// compilenode returning *var_nextLine
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres3002 = callmethod(*var_nextLine, "[]", 1, partcv, params);
// compilenode returning idxres3002
  int op_slot_left_2999 = gc_frame_newslot(idxres3002);
  params[0] = strlit3000;
  partcv[0] = 1;
  Object opresult3003 = callmethod(idxres3002, "==", 1, partcv, params);
// compilenode returning opresult3003
  Object if2998 = done;
  if (istrue(opresult3003)) {
  Object num3005 = alloc_Float64(1);
// compilenode returning num3005
  int op_slot_right_3004 = gc_frame_newslot(num3005);
// compilenode returning *var_count
  int op_slot_left_3004 = gc_frame_newslot(*var_count);
  params[0] = num3005;
  partcv[0] = 1;
  Object sum3007 = callmethod(*var_count, "+", 1, partcv, params);
// compilenode returning sum3007
  *var_count = sum3007;
  if (sum3007 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2998 = done;
  } else {
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3011 == NULL) {
    strlit3011 = alloc_String("\\");
    gc_root(strlit3011);
  }
// compilenode returning strlit3011
  int op_slot_right_3010 = gc_frame_newslot(strlit3011);
// compilenode returning *var_nextLine
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres3013 = callmethod(*var_nextLine, "[]", 1, partcv, params);
// compilenode returning idxres3013
  int op_slot_left_3010 = gc_frame_newslot(idxres3013);
  params[0] = strlit3011;
  partcv[0] = 1;
  Object opresult3014 = callmethod(idxres3013, "==", 1, partcv, params);
// compilenode returning opresult3014
  Object if3009 = done;
  if (istrue(opresult3014)) {
  Object num3016 = alloc_Float64(1);
// compilenode returning num3016
  int op_slot_right_3015 = gc_frame_newslot(num3016);
// compilenode returning *var_i
  int op_slot_left_3015 = gc_frame_newslot(*var_i);
  params[0] = num3016;
  partcv[0] = 1;
  Object sum3018 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum3018
  *var_i = sum3018;
  if (sum3018 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3009 = done;
  } else {
  }
// compilenode returning if3009
    gc_frame_newslot(if3009);
    if2998 = if3009;
  }
// compilenode returning if2998
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3021 = alloc_Float64(1);
// compilenode returning num3021
  int op_slot_right_3020 = gc_frame_newslot(num3021);
// compilenode returning *var_i
  int op_slot_left_3020 = gc_frame_newslot(*var_i);
  params[0] = num3021;
  partcv[0] = 1;
  Object sum3023 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum3023
  *var_i = sum3023;
  if (sum3023 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer__apply2090(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(20, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[5];
  int partcv[3];
  Object *var_badSeparator = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_linePosition = getfromclosure(closure, 2);
  Object *var_lineNumber = getfromclosure(closure, 3);
  Object *var_instr = getfromclosure(closure, 4);
  Object *var_unicode = getfromclosure(closure, 5);
  Object *var_badControl = getfromclosure(closure, 6);
  Object *var_atStart = getfromclosure(closure, 7);
  Object *var_mode = getfromclosure(closure, 8);
  Object *var_newmode = getfromclosure(closure, 9);
  Object *var_identifierChar = getfromclosure(closure, 10);
  Object *var_digit = getfromclosure(closure, 11);
  Object *var_iGTLT = getfromclosure(closure, 12);
  Object *var_tokens = getfromclosure(closure, 13);
  Object *var_accum = getfromclosure(closure, 14);
  Object *var_operatorChar = getfromclosure(closure, 15);
  Object *var_selfModes = getfromclosure(closure, 16);
  Object *var_util = getfromclosure(closure, 17);
  Object *var_escaped = getfromclosure(closure, 18);
  Object *var_interpString = getfromclosure(closure, 19);
  Object *var_interpdepth = getfromclosure(closure, 20);
  Object *var_brackets = getfromclosure(closure, 21);
  Object *var_unichars = getfromclosure(closure, 22);
  Object *var_codepoint = getfromclosure(closure, 23);
  Object *var_startPosition = getfromclosure(closure, 24);
  Object self = *(getfromclosure(closure, 25));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ct = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ct");
  Object *var_ordval = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ordval");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_line = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "line");
  Object *var_i = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "i");
  Object *var_suggestions = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestions");
  Object *var_errorLine = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "errorLine");
  Object *var_nextLine = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "nextLine");
  Object *var_count = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "count");
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2091 == NULL) {
    strlit2091 = alloc_String("");
    gc_root(strlit2091);
  }
// compilenode returning strlit2091
  *var_ct = strlit2091;
  if (strlit2091 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2092 = gc_frame_new();
// compilenode returning *var_c
  partcv[0] = 0;
  Object call2093 = callmethod(*var_c, "ord",
    1, partcv, params);
  gc_frame_end(callframe2092);
// compilenode returning call2093
// compilenode returning call2093
  *var_ordval = call2093;
  if (call2093 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2095 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_badSeparator
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2096 = callmethod(*var_badSeparator, "match",
    1, partcv, params);
  gc_frame_end(callframe2095);
// compilenode returning call2096
  Object if2094 = done;
  if (istrue(call2096)) {
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2097 = gc_frame_new();
  int callframe2098 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2099 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2098);
// compilenode returning call2099
// compilenode returning call2099
  partcv[0] = 0;
  Object call2100 = callmethod(call2099, "new",
    1, partcv, params);
  gc_frame_end(callframe2097);
// compilenode returning call2100
// compilenode returning call2100
  *var_suggestion = call2100;
  if (call2100 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2101 = gc_frame_new();
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
  if (strlit2102 == NULL) {
    strlit2102 = alloc_String(" ");
    gc_root(strlit2102);
  }
// compilenode returning strlit2102
  gc_frame_newslot(strlit2102);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = *var_linePosition;
  params[1] = strlit2102;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2103 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2101);
// compilenode returning call2103
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2106 = alloc_Float64(9);
// compilenode returning num2106
  int op_slot_right_2105 = gc_frame_newslot(num2106);
// compilenode returning *var_ordval
  int op_slot_left_2105 = gc_frame_newslot(*var_ordval);
  params[0] = num2106;
  partcv[0] = 1;
  Object opresult2108 = callmethod(*var_ordval, "==", 1, partcv, params);
// compilenode returning opresult2108
  Object if2104 = done;
  if (istrue(opresult2108)) {
// Begin line 650
  setline(650);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if2109 = done;
  if (istrue(*var_instr)) {
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2110 = gc_frame_new();
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 640
  setline(640);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2112 == NULL) {
    strlit2112 = alloc_String("");
    gc_root(strlit2112);
  }
// compilenode returning strlit2112
  int op_slot_right_2111 = gc_frame_newslot(strlit2112);
  int callframe2115 = gc_frame_new();
  int callframe2116 = gc_frame_new();
  Object num2117 = alloc_Float64(16);
// compilenode returning num2117
  gc_frame_newslot(num2117);
// compilenode returning *var_ordval
  params[0] = num2117;
  partcv[0] = 1;
  Object call2118 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2116);
// compilenode returning call2118
  gc_frame_newslot(call2118);
  Object num2119 = alloc_Float64(4);
// compilenode returning num2119
  gc_frame_newslot(num2119);
  if (strlit2120 == NULL) {
    strlit2120 = alloc_String("0");
    gc_root(strlit2120);
  }
// compilenode returning strlit2120
  gc_frame_newslot(strlit2120);
  int callframe2121 = gc_frame_new();
  int callframe2122 = gc_frame_new();
  Object call2123 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2122);
// compilenode returning call2123
// compilenode returning call2123
  partcv[0] = 0;
  Object call2124 = callmethodflags(call2123, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2121);
// compilenode returning call2124
// compilenode returning call2124
  params[0] = call2118;
  params[1] = num2119;
  params[2] = strlit2120;
  partcv[0] = 3;
  Object call2125 = callmethodflags(call2124, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2115);
// compilenode returning call2125
  int op_slot_right_2114 = gc_frame_newslot(call2125);
  if (strlit2127 == NULL) {
    strlit2127 = alloc_String("\\u");
    gc_root(strlit2127);
  }
// compilenode returning strlit2127
  int op_slot_left_2114 = gc_frame_newslot(strlit2127);
  params[0] = call2125;
  partcv[0] = 1;
  Object opresult2128 = callmethod(strlit2127, "++", 1, partcv, params);
// compilenode returning opresult2128
  int op_slot_left_2111 = gc_frame_newslot(opresult2128);
  params[0] = strlit2112;
  partcv[0] = 1;
  Object opresult2129 = callmethod(opresult2128, "++", 1, partcv, params);
// compilenode returning opresult2129
  gc_frame_newslot(opresult2129);
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  params[0] = *var_linePosition;
  params[1] = *var_linePosition;
  params[2] = opresult2129;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2130 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2110);
// compilenode returning call2130
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2131 = gc_frame_new();
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2133 == NULL) {
    strlit2133 = alloc_String(" instead");
    gc_root(strlit2133);
  }
// compilenode returning strlit2133
  int op_slot_right_2132 = gc_frame_newslot(strlit2133);
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2136 = gc_frame_new();
  int callframe2137 = gc_frame_new();
  Object num2138 = alloc_Float64(16);
// compilenode returning num2138
  gc_frame_newslot(num2138);
// compilenode returning *var_ordval
  params[0] = num2138;
  partcv[0] = 1;
  Object call2139 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2137);
// compilenode returning call2139
  gc_frame_newslot(call2139);
  Object num2140 = alloc_Float64(4);
// compilenode returning num2140
  gc_frame_newslot(num2140);
  if (strlit2141 == NULL) {
    strlit2141 = alloc_String("0");
    gc_root(strlit2141);
  }
// compilenode returning strlit2141
  gc_frame_newslot(strlit2141);
  int callframe2142 = gc_frame_new();
  int callframe2143 = gc_frame_new();
  Object call2144 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2143);
// compilenode returning call2144
// compilenode returning call2144
  partcv[0] = 0;
  Object call2145 = callmethodflags(call2144, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2142);
// compilenode returning call2145
// compilenode returning call2145
  params[0] = call2139;
  params[1] = num2140;
  params[2] = strlit2141;
  partcv[0] = 3;
  Object call2146 = callmethodflags(call2145, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2136);
// compilenode returning call2146
  int op_slot_right_2135 = gc_frame_newslot(call2146);
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2149 == NULL) {
    strlit2149 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2149);
  }
// compilenode returning strlit2149
  int op_slot_right_2148 = gc_frame_newslot(strlit2149);
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2152 == NULL) {
    strlit2152 = alloc_String("written in the source code; ");
    gc_root(strlit2152);
  }
// compilenode returning strlit2152
  int op_slot_right_2151 = gc_frame_newslot(strlit2152);
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2154 == NULL) {
    strlit2154 = alloc_String("tabs cannot be ");
    gc_root(strlit2154);
  }
// compilenode returning strlit2154
  int op_slot_left_2151 = gc_frame_newslot(strlit2154);
  params[0] = strlit2152;
  partcv[0] = 1;
  Object opresult2155 = callmethod(strlit2154, "++", 1, partcv, params);
// compilenode returning opresult2155
  int op_slot_left_2148 = gc_frame_newslot(opresult2155);
  params[0] = strlit2149;
  partcv[0] = 1;
  Object opresult2156 = callmethod(opresult2155, "++", 1, partcv, params);
// compilenode returning opresult2156
  int op_slot_left_2135 = gc_frame_newslot(opresult2156);
  params[0] = call2146;
  partcv[0] = 1;
  Object opresult2157 = callmethod(opresult2156, "++", 1, partcv, params);
// compilenode returning opresult2157
  int op_slot_left_2132 = gc_frame_newslot(opresult2157);
  params[0] = strlit2133;
  partcv[0] = 1;
  Object opresult2158 = callmethod(opresult2157, "++", 1, partcv, params);
// compilenode returning opresult2158
  gc_frame_newslot(opresult2158);
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult2158;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2159 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2131);
// compilenode returning call2159
    gc_frame_newslot(call2159);
    if2109 = call2159;
  } else {
  }
// compilenode returning if2109
// Begin line 650
  setline(650);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2160 = gc_frame_new();
  if (strlit2161 == NULL) {
    strlit2161 = alloc_String("Tabs are not allowed; use spaces instead.");
    gc_root(strlit2161);
  }
// compilenode returning strlit2161
  gc_frame_newslot(strlit2161);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 651
  setline(651);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 650
  setline(650);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2161;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2162 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2160);
// compilenode returning call2162
    gc_frame_newslot(call2162);
    if2104 = call2162;
  } else {
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if2163 = done;
  if (istrue(*var_instr)) {
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2164 = gc_frame_new();
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 655
  setline(655);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2166 == NULL) {
    strlit2166 = alloc_String("");
    gc_root(strlit2166);
  }
// compilenode returning strlit2166
  int op_slot_right_2165 = gc_frame_newslot(strlit2166);
  int callframe2169 = gc_frame_new();
  int callframe2170 = gc_frame_new();
  Object num2171 = alloc_Float64(16);
// compilenode returning num2171
  gc_frame_newslot(num2171);
// compilenode returning *var_ordval
  params[0] = num2171;
  partcv[0] = 1;
  Object call2172 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2170);
// compilenode returning call2172
  gc_frame_newslot(call2172);
  Object num2173 = alloc_Float64(4);
// compilenode returning num2173
  gc_frame_newslot(num2173);
  if (strlit2174 == NULL) {
    strlit2174 = alloc_String("0");
    gc_root(strlit2174);
  }
// compilenode returning strlit2174
  gc_frame_newslot(strlit2174);
  int callframe2175 = gc_frame_new();
  int callframe2176 = gc_frame_new();
  Object call2177 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2176);
// compilenode returning call2177
// compilenode returning call2177
  partcv[0] = 0;
  Object call2178 = callmethodflags(call2177, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2175);
// compilenode returning call2178
// compilenode returning call2178
  params[0] = call2172;
  params[1] = num2173;
  params[2] = strlit2174;
  partcv[0] = 3;
  Object call2179 = callmethodflags(call2178, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2169);
// compilenode returning call2179
  int op_slot_right_2168 = gc_frame_newslot(call2179);
  if (strlit2181 == NULL) {
    strlit2181 = alloc_String("\\u");
    gc_root(strlit2181);
  }
// compilenode returning strlit2181
  int op_slot_left_2168 = gc_frame_newslot(strlit2181);
  params[0] = call2179;
  partcv[0] = 1;
  Object opresult2182 = callmethod(strlit2181, "++", 1, partcv, params);
// compilenode returning opresult2182
  int op_slot_left_2165 = gc_frame_newslot(opresult2182);
  params[0] = strlit2166;
  partcv[0] = 1;
  Object opresult2183 = callmethod(opresult2182, "++", 1, partcv, params);
// compilenode returning opresult2183
  gc_frame_newslot(opresult2183);
// Begin line 656
  setline(656);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  params[0] = *var_linePosition;
  params[1] = *var_linePosition;
  params[2] = opresult2183;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2184 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2164);
// compilenode returning call2184
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2185 = gc_frame_new();
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2187 == NULL) {
    strlit2187 = alloc_String(" instead");
    gc_root(strlit2187);
  }
// compilenode returning strlit2187
  int op_slot_right_2186 = gc_frame_newslot(strlit2187);
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2190 = gc_frame_new();
  int callframe2191 = gc_frame_new();
  Object num2192 = alloc_Float64(16);
// compilenode returning num2192
  gc_frame_newslot(num2192);
// compilenode returning *var_ordval
  params[0] = num2192;
  partcv[0] = 1;
  Object call2193 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2191);
// compilenode returning call2193
  gc_frame_newslot(call2193);
  Object num2194 = alloc_Float64(4);
// compilenode returning num2194
  gc_frame_newslot(num2194);
  if (strlit2195 == NULL) {
    strlit2195 = alloc_String("0");
    gc_root(strlit2195);
  }
// compilenode returning strlit2195
  gc_frame_newslot(strlit2195);
  int callframe2196 = gc_frame_new();
  int callframe2197 = gc_frame_new();
  Object call2198 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2197);
// compilenode returning call2198
// compilenode returning call2198
  partcv[0] = 0;
  Object call2199 = callmethodflags(call2198, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2196);
// compilenode returning call2199
// compilenode returning call2199
  params[0] = call2193;
  params[1] = num2194;
  params[2] = strlit2195;
  partcv[0] = 3;
  Object call2200 = callmethodflags(call2199, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2190);
// compilenode returning call2200
  int op_slot_right_2189 = gc_frame_newslot(call2200);
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2203 == NULL) {
    strlit2203 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2203);
  }
// compilenode returning strlit2203
  int op_slot_right_2202 = gc_frame_newslot(strlit2203);
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2206 == NULL) {
    strlit2206 = alloc_String("written in the source code; ");
    gc_root(strlit2206);
  }
// compilenode returning strlit2206
  int op_slot_right_2205 = gc_frame_newslot(strlit2206);
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2209 == NULL) {
    strlit2209 = alloc_String(" and cannot be ");
    gc_root(strlit2209);
  }
// compilenode returning strlit2209
  int op_slot_right_2208 = gc_frame_newslot(strlit2209);
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2212 == NULL) {
    strlit2212 = alloc_String("is not a valid whitespace character");
    gc_root(strlit2212);
  }
// compilenode returning strlit2212
  int op_slot_right_2211 = gc_frame_newslot(strlit2212);
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2215 == NULL) {
    strlit2215 = alloc_String(") ");
    gc_root(strlit2215);
  }
// compilenode returning strlit2215
  int op_slot_right_2214 = gc_frame_newslot(strlit2215);
  int callframe2218 = gc_frame_new();
  int callframe2219 = gc_frame_new();
  Object num2220 = alloc_Float64(16);
// compilenode returning num2220
  gc_frame_newslot(num2220);
// compilenode returning *var_ordval
  params[0] = num2220;
  partcv[0] = 1;
  Object call2221 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2219);
// compilenode returning call2221
  gc_frame_newslot(call2221);
  Object num2222 = alloc_Float64(4);
// compilenode returning num2222
  gc_frame_newslot(num2222);
  if (strlit2223 == NULL) {
    strlit2223 = alloc_String("0");
    gc_root(strlit2223);
  }
// compilenode returning strlit2223
  gc_frame_newslot(strlit2223);
  int callframe2224 = gc_frame_new();
  int callframe2225 = gc_frame_new();
  Object call2226 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2225);
// compilenode returning call2226
// compilenode returning call2226
  partcv[0] = 0;
  Object call2227 = callmethodflags(call2226, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2224);
// compilenode returning call2227
// compilenode returning call2227
  params[0] = call2221;
  params[1] = num2222;
  params[2] = strlit2223;
  partcv[0] = 3;
  Object call2228 = callmethodflags(call2227, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2218);
// compilenode returning call2228
  int op_slot_right_2217 = gc_frame_newslot(call2228);
  if (strlit2231 == NULL) {
    strlit2231 = alloc_String(" (U+");
    gc_root(strlit2231);
  }
// compilenode returning strlit2231
  int op_slot_right_2230 = gc_frame_newslot(strlit2231);
  int callframe2234 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_unicode
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2235 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2234);
// compilenode returning call2235
  int op_slot_right_2233 = gc_frame_newslot(call2235);
  if (strlit2237 == NULL) {
    strlit2237 = alloc_String("");
    gc_root(strlit2237);
  }
// compilenode returning strlit2237
  int op_slot_left_2233 = gc_frame_newslot(strlit2237);
  params[0] = call2235;
  partcv[0] = 1;
  Object opresult2238 = callmethod(strlit2237, "++", 1, partcv, params);
// compilenode returning opresult2238
  int op_slot_left_2230 = gc_frame_newslot(opresult2238);
  params[0] = strlit2231;
  partcv[0] = 1;
  Object opresult2239 = callmethod(opresult2238, "++", 1, partcv, params);
// compilenode returning opresult2239
  int op_slot_left_2217 = gc_frame_newslot(opresult2239);
  params[0] = call2228;
  partcv[0] = 1;
  Object opresult2240 = callmethod(opresult2239, "++", 1, partcv, params);
// compilenode returning opresult2240
  int op_slot_left_2214 = gc_frame_newslot(opresult2240);
  params[0] = strlit2215;
  partcv[0] = 1;
  Object opresult2241 = callmethod(opresult2240, "++", 1, partcv, params);
// compilenode returning opresult2241
  int op_slot_left_2211 = gc_frame_newslot(opresult2241);
  params[0] = strlit2212;
  partcv[0] = 1;
  Object opresult2242 = callmethod(opresult2241, "++", 1, partcv, params);
// compilenode returning opresult2242
  int op_slot_left_2208 = gc_frame_newslot(opresult2242);
  params[0] = strlit2209;
  partcv[0] = 1;
  Object opresult2243 = callmethod(opresult2242, "++", 1, partcv, params);
// compilenode returning opresult2243
  int op_slot_left_2205 = gc_frame_newslot(opresult2243);
  params[0] = strlit2206;
  partcv[0] = 1;
  Object opresult2244 = callmethod(opresult2243, "++", 1, partcv, params);
// compilenode returning opresult2244
  int op_slot_left_2202 = gc_frame_newslot(opresult2244);
  params[0] = strlit2203;
  partcv[0] = 1;
  Object opresult2245 = callmethod(opresult2244, "++", 1, partcv, params);
// compilenode returning opresult2245
  int op_slot_left_2189 = gc_frame_newslot(opresult2245);
  params[0] = call2200;
  partcv[0] = 1;
  Object opresult2246 = callmethod(opresult2245, "++", 1, partcv, params);
// compilenode returning opresult2246
  int op_slot_left_2186 = gc_frame_newslot(opresult2246);
  params[0] = strlit2187;
  partcv[0] = 1;
  Object opresult2247 = callmethod(opresult2246, "++", 1, partcv, params);
// compilenode returning opresult2247
  gc_frame_newslot(opresult2247);
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult2247;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2248 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2185);
// compilenode returning call2248
    gc_frame_newslot(call2248);
    if2163 = call2248;
  } else {
  }
// compilenode returning if2163
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2249 = gc_frame_new();
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2251 == NULL) {
    strlit2251 = alloc_String("is not a valid whitespace character; use spaces instead.");
    gc_root(strlit2251);
  }
// compilenode returning strlit2251
  int op_slot_right_2250 = gc_frame_newslot(strlit2251);
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2254 == NULL) {
    strlit2254 = alloc_String(") ");
    gc_root(strlit2254);
  }
// compilenode returning strlit2254
  int op_slot_right_2253 = gc_frame_newslot(strlit2254);
  int callframe2257 = gc_frame_new();
  int callframe2258 = gc_frame_new();
  Object num2259 = alloc_Float64(16);
// compilenode returning num2259
  gc_frame_newslot(num2259);
// compilenode returning *var_ordval
  params[0] = num2259;
  partcv[0] = 1;
  Object call2260 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2258);
// compilenode returning call2260
  gc_frame_newslot(call2260);
  Object num2261 = alloc_Float64(4);
// compilenode returning num2261
  gc_frame_newslot(num2261);
  if (strlit2262 == NULL) {
    strlit2262 = alloc_String("0");
    gc_root(strlit2262);
  }
// compilenode returning strlit2262
  gc_frame_newslot(strlit2262);
  int callframe2263 = gc_frame_new();
  int callframe2264 = gc_frame_new();
  Object call2265 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2264);
// compilenode returning call2265
// compilenode returning call2265
  partcv[0] = 0;
  Object call2266 = callmethodflags(call2265, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2263);
// compilenode returning call2266
// compilenode returning call2266
  params[0] = call2260;
  params[1] = num2261;
  params[2] = strlit2262;
  partcv[0] = 3;
  Object call2267 = callmethodflags(call2266, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2257);
// compilenode returning call2267
  int op_slot_right_2256 = gc_frame_newslot(call2267);
  if (strlit2270 == NULL) {
    strlit2270 = alloc_String(" (U+");
    gc_root(strlit2270);
  }
// compilenode returning strlit2270
  int op_slot_right_2269 = gc_frame_newslot(strlit2270);
  int callframe2273 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_unicode
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2274 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2273);
// compilenode returning call2274
  int op_slot_right_2272 = gc_frame_newslot(call2274);
  if (strlit2276 == NULL) {
    strlit2276 = alloc_String("");
    gc_root(strlit2276);
  }
// compilenode returning strlit2276
  int op_slot_left_2272 = gc_frame_newslot(strlit2276);
  params[0] = call2274;
  partcv[0] = 1;
  Object opresult2277 = callmethod(strlit2276, "++", 1, partcv, params);
// compilenode returning opresult2277
  int op_slot_left_2269 = gc_frame_newslot(opresult2277);
  params[0] = strlit2270;
  partcv[0] = 1;
  Object opresult2278 = callmethod(opresult2277, "++", 1, partcv, params);
// compilenode returning opresult2278
  int op_slot_left_2256 = gc_frame_newslot(opresult2278);
  params[0] = call2267;
  partcv[0] = 1;
  Object opresult2279 = callmethod(opresult2278, "++", 1, partcv, params);
// compilenode returning opresult2279
  int op_slot_left_2253 = gc_frame_newslot(opresult2279);
  params[0] = strlit2254;
  partcv[0] = 1;
  Object opresult2280 = callmethod(opresult2279, "++", 1, partcv, params);
// compilenode returning opresult2280
  int op_slot_left_2250 = gc_frame_newslot(opresult2280);
  params[0] = strlit2251;
  partcv[0] = 1;
  Object opresult2281 = callmethod(opresult2280, "++", 1, partcv, params);
// compilenode returning opresult2281
  gc_frame_newslot(opresult2281);
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult2281;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2282 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2249);
// compilenode returning call2282
    gc_frame_newslot(call2282);
    if2104 = call2282;
  }
// compilenode returning if2104
    gc_frame_newslot(if2104);
    if2094 = if2104;
  } else {
  }
// compilenode returning if2094
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2284 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_badControl
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2285 = callmethod(*var_badControl, "match",
    1, partcv, params);
  gc_frame_end(callframe2284);
// compilenode returning call2285
  Object if2283 = done;
  if (istrue(call2285)) {
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 675
  setline(675);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2286 = gc_frame_new();
  int callframe2287 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2288 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2287);
// compilenode returning call2288
// compilenode returning call2288
  partcv[0] = 0;
  Object call2289 = callmethod(call2288, "new",
    1, partcv, params);
  gc_frame_end(callframe2286);
// compilenode returning call2289
// compilenode returning call2289
  *var_suggestion = call2289;
  if (call2289 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if2290 = done;
  if (istrue(*var_instr)) {
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2291 = gc_frame_new();
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 678
  setline(678);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2293 == NULL) {
    strlit2293 = alloc_String("");
    gc_root(strlit2293);
  }
// compilenode returning strlit2293
  int op_slot_right_2292 = gc_frame_newslot(strlit2293);
  int callframe2296 = gc_frame_new();
  int callframe2297 = gc_frame_new();
  Object num2298 = alloc_Float64(16);
// compilenode returning num2298
  gc_frame_newslot(num2298);
// compilenode returning *var_ordval
  params[0] = num2298;
  partcv[0] = 1;
  Object call2299 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2297);
// compilenode returning call2299
  gc_frame_newslot(call2299);
  Object num2300 = alloc_Float64(4);
// compilenode returning num2300
  gc_frame_newslot(num2300);
  if (strlit2301 == NULL) {
    strlit2301 = alloc_String("0");
    gc_root(strlit2301);
  }
// compilenode returning strlit2301
  gc_frame_newslot(strlit2301);
  int callframe2302 = gc_frame_new();
  int callframe2303 = gc_frame_new();
  Object call2304 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2303);
// compilenode returning call2304
// compilenode returning call2304
  partcv[0] = 0;
  Object call2305 = callmethodflags(call2304, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2302);
// compilenode returning call2305
// compilenode returning call2305
  params[0] = call2299;
  params[1] = num2300;
  params[2] = strlit2301;
  partcv[0] = 3;
  Object call2306 = callmethodflags(call2305, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2296);
// compilenode returning call2306
  int op_slot_right_2295 = gc_frame_newslot(call2306);
  if (strlit2308 == NULL) {
    strlit2308 = alloc_String("\\u");
    gc_root(strlit2308);
  }
// compilenode returning strlit2308
  int op_slot_left_2295 = gc_frame_newslot(strlit2308);
  params[0] = call2306;
  partcv[0] = 1;
  Object opresult2309 = callmethod(strlit2308, "++", 1, partcv, params);
// compilenode returning opresult2309
  int op_slot_left_2292 = gc_frame_newslot(opresult2309);
  params[0] = strlit2293;
  partcv[0] = 1;
  Object opresult2310 = callmethod(opresult2309, "++", 1, partcv, params);
// compilenode returning opresult2310
  gc_frame_newslot(opresult2310);
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  params[0] = *var_linePosition;
  params[1] = *var_linePosition;
  params[2] = opresult2310;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2311 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2291);
// compilenode returning call2311
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2312 = gc_frame_new();
// Begin line 685
  setline(685);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2314 == NULL) {
    strlit2314 = alloc_String(" instead");
    gc_root(strlit2314);
  }
// compilenode returning strlit2314
  int op_slot_right_2313 = gc_frame_newslot(strlit2314);
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2317 = gc_frame_new();
  int callframe2318 = gc_frame_new();
  Object num2319 = alloc_Float64(16);
// compilenode returning num2319
  gc_frame_newslot(num2319);
// compilenode returning *var_ordval
  params[0] = num2319;
  partcv[0] = 1;
  Object call2320 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2318);
// compilenode returning call2320
  gc_frame_newslot(call2320);
  Object num2321 = alloc_Float64(4);
// compilenode returning num2321
  gc_frame_newslot(num2321);
  if (strlit2322 == NULL) {
    strlit2322 = alloc_String("0");
    gc_root(strlit2322);
  }
// compilenode returning strlit2322
  gc_frame_newslot(strlit2322);
  int callframe2323 = gc_frame_new();
  int callframe2324 = gc_frame_new();
  Object call2325 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2324);
// compilenode returning call2325
// compilenode returning call2325
  partcv[0] = 0;
  Object call2326 = callmethodflags(call2325, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2323);
// compilenode returning call2326
// compilenode returning call2326
  params[0] = call2320;
  params[1] = num2321;
  params[2] = strlit2322;
  partcv[0] = 3;
  Object call2327 = callmethodflags(call2326, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2317);
// compilenode returning call2327
  int op_slot_right_2316 = gc_frame_newslot(call2327);
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2330 == NULL) {
    strlit2330 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2330);
  }
// compilenode returning strlit2330
  int op_slot_right_2329 = gc_frame_newslot(strlit2330);
// Begin line 682
  setline(682);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2333 == NULL) {
    strlit2333 = alloc_String("written in the source code; ");
    gc_root(strlit2333);
  }
// compilenode returning strlit2333
  int op_slot_right_2332 = gc_frame_newslot(strlit2333);
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2336 == NULL) {
    strlit2336 = alloc_String("is a control character and cannot be ");
    gc_root(strlit2336);
  }
// compilenode returning strlit2336
  int op_slot_right_2335 = gc_frame_newslot(strlit2336);
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2339 == NULL) {
    strlit2339 = alloc_String(") ");
    gc_root(strlit2339);
  }
// compilenode returning strlit2339
  int op_slot_right_2338 = gc_frame_newslot(strlit2339);
  int callframe2342 = gc_frame_new();
  int callframe2343 = gc_frame_new();
  Object num2344 = alloc_Float64(16);
// compilenode returning num2344
  gc_frame_newslot(num2344);
// compilenode returning *var_ordval
  params[0] = num2344;
  partcv[0] = 1;
  Object call2345 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2343);
// compilenode returning call2345
  gc_frame_newslot(call2345);
  Object num2346 = alloc_Float64(4);
// compilenode returning num2346
  gc_frame_newslot(num2346);
  if (strlit2347 == NULL) {
    strlit2347 = alloc_String("0");
    gc_root(strlit2347);
  }
// compilenode returning strlit2347
  gc_frame_newslot(strlit2347);
  int callframe2348 = gc_frame_new();
  int callframe2349 = gc_frame_new();
  Object call2350 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2349);
// compilenode returning call2350
// compilenode returning call2350
  partcv[0] = 0;
  Object call2351 = callmethodflags(call2350, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2348);
// compilenode returning call2351
// compilenode returning call2351
  params[0] = call2345;
  params[1] = num2346;
  params[2] = strlit2347;
  partcv[0] = 3;
  Object call2352 = callmethodflags(call2351, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2342);
// compilenode returning call2352
  int op_slot_right_2341 = gc_frame_newslot(call2352);
  if (strlit2355 == NULL) {
    strlit2355 = alloc_String(" (U+");
    gc_root(strlit2355);
  }
// compilenode returning strlit2355
  int op_slot_right_2354 = gc_frame_newslot(strlit2355);
  int callframe2358 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_unicode
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2359 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2358);
// compilenode returning call2359
  int op_slot_right_2357 = gc_frame_newslot(call2359);
  if (strlit2361 == NULL) {
    strlit2361 = alloc_String("");
    gc_root(strlit2361);
  }
// compilenode returning strlit2361
  int op_slot_left_2357 = gc_frame_newslot(strlit2361);
  params[0] = call2359;
  partcv[0] = 1;
  Object opresult2362 = callmethod(strlit2361, "++", 1, partcv, params);
// compilenode returning opresult2362
  int op_slot_left_2354 = gc_frame_newslot(opresult2362);
  params[0] = strlit2355;
  partcv[0] = 1;
  Object opresult2363 = callmethod(opresult2362, "++", 1, partcv, params);
// compilenode returning opresult2363
  int op_slot_left_2341 = gc_frame_newslot(opresult2363);
  params[0] = call2352;
  partcv[0] = 1;
  Object opresult2364 = callmethod(opresult2363, "++", 1, partcv, params);
// compilenode returning opresult2364
  int op_slot_left_2338 = gc_frame_newslot(opresult2364);
  params[0] = strlit2339;
  partcv[0] = 1;
  Object opresult2365 = callmethod(opresult2364, "++", 1, partcv, params);
// compilenode returning opresult2365
  int op_slot_left_2335 = gc_frame_newslot(opresult2365);
  params[0] = strlit2336;
  partcv[0] = 1;
  Object opresult2366 = callmethod(opresult2365, "++", 1, partcv, params);
// compilenode returning opresult2366
  int op_slot_left_2332 = gc_frame_newslot(opresult2366);
  params[0] = strlit2333;
  partcv[0] = 1;
  Object opresult2367 = callmethod(opresult2366, "++", 1, partcv, params);
// compilenode returning opresult2367
  int op_slot_left_2329 = gc_frame_newslot(opresult2367);
  params[0] = strlit2330;
  partcv[0] = 1;
  Object opresult2368 = callmethod(opresult2367, "++", 1, partcv, params);
// compilenode returning opresult2368
  int op_slot_left_2316 = gc_frame_newslot(opresult2368);
  params[0] = call2327;
  partcv[0] = 1;
  Object opresult2369 = callmethod(opresult2368, "++", 1, partcv, params);
// compilenode returning opresult2369
  int op_slot_left_2313 = gc_frame_newslot(opresult2369);
  params[0] = strlit2314;
  partcv[0] = 1;
  Object opresult2370 = callmethod(opresult2369, "++", 1, partcv, params);
// compilenode returning opresult2370
  gc_frame_newslot(opresult2370);
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult2370;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2371 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2312);
// compilenode returning call2371
    gc_frame_newslot(call2371);
    if2290 = call2371;
  } else {
  }
// compilenode returning if2290
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2372 = gc_frame_new();
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = *var_linePosition;
  params[1] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2373 = callmethod(*var_suggestion, "deleteChar()onLine",
    2, partcv, params);
  gc_frame_end(callframe2372);
// compilenode returning call2373
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2374 = gc_frame_new();
// Begin line 691
  setline(691);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2376 == NULL) {
    strlit2376 = alloc_String("is a control character and cannot be written in the source code; consider using spaces instead.");
    gc_root(strlit2376);
  }
// compilenode returning strlit2376
  int op_slot_right_2375 = gc_frame_newslot(strlit2376);
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2379 == NULL) {
    strlit2379 = alloc_String(") ");
    gc_root(strlit2379);
  }
// compilenode returning strlit2379
  int op_slot_right_2378 = gc_frame_newslot(strlit2379);
  int callframe2382 = gc_frame_new();
  int callframe2383 = gc_frame_new();
  Object num2384 = alloc_Float64(16);
// compilenode returning num2384
  gc_frame_newslot(num2384);
// compilenode returning *var_ordval
  params[0] = num2384;
  partcv[0] = 1;
  Object call2385 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2383);
// compilenode returning call2385
  gc_frame_newslot(call2385);
  Object num2386 = alloc_Float64(4);
// compilenode returning num2386
  gc_frame_newslot(num2386);
  if (strlit2387 == NULL) {
    strlit2387 = alloc_String("0");
    gc_root(strlit2387);
  }
// compilenode returning strlit2387
  gc_frame_newslot(strlit2387);
  int callframe2388 = gc_frame_new();
  int callframe2389 = gc_frame_new();
  Object call2390 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2389);
// compilenode returning call2390
// compilenode returning call2390
  partcv[0] = 0;
  Object call2391 = callmethodflags(call2390, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2388);
// compilenode returning call2391
// compilenode returning call2391
  params[0] = call2385;
  params[1] = num2386;
  params[2] = strlit2387;
  partcv[0] = 3;
  Object call2392 = callmethodflags(call2391, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2382);
// compilenode returning call2392
  int op_slot_right_2381 = gc_frame_newslot(call2392);
  if (strlit2395 == NULL) {
    strlit2395 = alloc_String(" (U+");
    gc_root(strlit2395);
  }
// compilenode returning strlit2395
  int op_slot_right_2394 = gc_frame_newslot(strlit2395);
  int callframe2398 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_unicode
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2399 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2398);
// compilenode returning call2399
  int op_slot_right_2397 = gc_frame_newslot(call2399);
  if (strlit2401 == NULL) {
    strlit2401 = alloc_String("");
    gc_root(strlit2401);
  }
// compilenode returning strlit2401
  int op_slot_left_2397 = gc_frame_newslot(strlit2401);
  params[0] = call2399;
  partcv[0] = 1;
  Object opresult2402 = callmethod(strlit2401, "++", 1, partcv, params);
// compilenode returning opresult2402
  int op_slot_left_2394 = gc_frame_newslot(opresult2402);
  params[0] = strlit2395;
  partcv[0] = 1;
  Object opresult2403 = callmethod(opresult2402, "++", 1, partcv, params);
// compilenode returning opresult2403
  int op_slot_left_2381 = gc_frame_newslot(opresult2403);
  params[0] = call2392;
  partcv[0] = 1;
  Object opresult2404 = callmethod(opresult2403, "++", 1, partcv, params);
// compilenode returning opresult2404
  int op_slot_left_2378 = gc_frame_newslot(opresult2404);
  params[0] = strlit2379;
  partcv[0] = 1;
  Object opresult2405 = callmethod(opresult2404, "++", 1, partcv, params);
// compilenode returning opresult2405
  int op_slot_left_2375 = gc_frame_newslot(opresult2405);
  params[0] = strlit2376;
  partcv[0] = 1;
  Object opresult2406 = callmethod(opresult2405, "++", 1, partcv, params);
// compilenode returning opresult2406
  gc_frame_newslot(opresult2406);
// Begin line 691
  setline(691);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 692
  setline(692);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult2406;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2407 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2374);
// compilenode returning call2407
    gc_frame_newslot(call2407);
    if2283 = call2407;
  } else {
  }
// compilenode returning if2283
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_atStart
  Object if2408 = done;
  if (istrue(*var_atStart)) {
// Begin line 703
  setline(703);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2411 = alloc_Float64(1);
// compilenode returning num2411
  int op_slot_right_2410 = gc_frame_newslot(num2411);
// compilenode returning *var_linePosition
  int op_slot_left_2410 = gc_frame_newslot(*var_linePosition);
  params[0] = num2411;
  partcv[0] = 1;
  Object opresult2413 = callmethod(*var_linePosition, "==", 1, partcv, params);
// compilenode returning opresult2413
  Object if2409 = done;
  if (istrue(opresult2413)) {
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2416 == NULL) {
    strlit2416 = alloc_String("#");
    gc_root(strlit2416);
  }
// compilenode returning strlit2416
  int op_slot_right_2415 = gc_frame_newslot(strlit2416);
// compilenode returning *var_c
  int op_slot_left_2415 = gc_frame_newslot(*var_c);
  params[0] = strlit2416;
  partcv[0] = 1;
  Object opresult2418 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2418
  Object if2414 = done;
  if (istrue(opresult2418)) {
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2419 == NULL) {
    strlit2419 = alloc_String("p");
    gc_root(strlit2419);
  }
// compilenode returning strlit2419
  *var_mode = strlit2419;
  if (strlit2419 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_mode
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2414 = done;
  } else {
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2422 = alloc_Boolean(0);
// compilenode returning bool2422
  *var_atStart = bool2422;
  if (bool2422 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2414 = done;
  }
// compilenode returning if2414
    gc_frame_newslot(if2414);
    if2409 = if2414;
  } else {
  }
// compilenode returning if2409
    gc_frame_newslot(if2409);
    if2408 = if2409;
  } else {
  }
// compilenode returning if2408
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if2424 = done;
  if (istrue(*var_instr)) {
    gc_frame_newslot(done);
    if2424 = done;
  } else {
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2428 == NULL) {
    strlit2428 = alloc_String("p");
    gc_root(strlit2428);
  }
// compilenode returning strlit2428
  int op_slot_right_2427 = gc_frame_newslot(strlit2428);
// compilenode returning *var_mode
  int op_slot_left_2427 = gc_frame_newslot(*var_mode);
  params[0] = strlit2428;
  partcv[0] = 1;
  Object opresult2430 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult2430
  int op_slot_right_2426 = gc_frame_newslot(opresult2430);
  if (strlit2433 == NULL) {
    strlit2433 = alloc_String("c");
    gc_root(strlit2433);
  }
// compilenode returning strlit2433
  int op_slot_right_2432 = gc_frame_newslot(strlit2433);
// compilenode returning *var_mode
  int op_slot_left_2432 = gc_frame_newslot(*var_mode);
  params[0] = strlit2433;
  partcv[0] = 1;
  Object opresult2435 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult2435
  int op_slot_left_2426 = gc_frame_newslot(opresult2435);
  params[0] = opresult2430;
  partcv[0] = 1;
  Object opresult2436 = callmethod(opresult2435, "&&", 1, partcv, params);
// compilenode returning opresult2436
  Object if2425 = done;
  if (istrue(opresult2436)) {
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2440 == NULL) {
    strlit2440 = alloc_String("d");
    gc_root(strlit2440);
  }
// compilenode returning strlit2440
  int op_slot_right_2439 = gc_frame_newslot(strlit2440);
// compilenode returning *var_mode
  int op_slot_left_2439 = gc_frame_newslot(*var_mode);
  params[0] = strlit2440;
  partcv[0] = 1;
  Object opresult2442 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult2442
  int op_slot_right_2438 = gc_frame_newslot(opresult2442);
  if (strlit2445 == NULL) {
    strlit2445 = alloc_String(" ");
    gc_root(strlit2445);
  }
// compilenode returning strlit2445
  int op_slot_right_2444 = gc_frame_newslot(strlit2445);
// compilenode returning *var_c
  int op_slot_left_2444 = gc_frame_newslot(*var_c);
  params[0] = strlit2445;
  partcv[0] = 1;
  Object opresult2447 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2447
  int op_slot_left_2438 = gc_frame_newslot(opresult2447);
  params[0] = opresult2442;
  partcv[0] = 1;
  Object opresult2448 = callmethod(opresult2447, "&&", 1, partcv, params);
// compilenode returning opresult2448
  Object if2437 = done;
  if (istrue(opresult2448)) {
// Begin line 710
  setline(710);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 709
  setline(709);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2449 == NULL) {
    strlit2449 = alloc_String("n");
    gc_root(strlit2449);
  }
// compilenode returning strlit2449
  *var_newmode = strlit2449;
  if (strlit2449 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2437 = done;
  } else {
  }
// compilenode returning if2437
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2453 == NULL) {
    strlit2453 = alloc_String("""\x22""");
    gc_root(strlit2453);
  }
// compilenode returning strlit2453
  int op_slot_right_2452 = gc_frame_newslot(strlit2453);
// compilenode returning *var_c
  int op_slot_left_2452 = gc_frame_newslot(*var_c);
  params[0] = strlit2453;
  partcv[0] = 1;
  Object opresult2455 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2455
  Object if2451 = done;
  if (istrue(opresult2455)) {
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2456 == NULL) {
    strlit2456 = alloc_String("""\x22""");
    gc_root(strlit2456);
  }
// compilenode returning strlit2456
  *var_newmode = strlit2456;
  if (strlit2456 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2458 = alloc_Boolean(1);
// compilenode returning bool2458
  *var_instr = bool2458;
  if (bool2458 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2451 = done;
  } else {
  }
// compilenode returning if2451
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2461 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_identifierChar
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2462 = callmethod(*var_identifierChar, "match",
    1, partcv, params);
  gc_frame_end(callframe2461);
// compilenode returning call2462
  Object if2460 = done;
  if (istrue(call2462)) {
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2463 == NULL) {
    strlit2463 = alloc_String("i");
    gc_root(strlit2463);
  }
// compilenode returning strlit2463
  *var_newmode = strlit2463;
  if (strlit2463 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2460 = done;
  } else {
  }
// compilenode returning if2460
// Begin line 720
  setline(720);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2467 = alloc_Float64(57);
// compilenode returning num2467
  int op_slot_right_2466 = gc_frame_newslot(num2467);
// compilenode returning *var_ordval
  int op_slot_left_2466 = gc_frame_newslot(*var_ordval);
  params[0] = num2467;
  partcv[0] = 1;
  Object opresult2469 = callmethod(*var_ordval, "<=", 1, partcv, params);
// compilenode returning opresult2469
  int op_slot_right_2465 = gc_frame_newslot(opresult2469);
  Object num2472 = alloc_Float64(48);
// compilenode returning num2472
  int op_slot_right_2471 = gc_frame_newslot(num2472);
// compilenode returning *var_ordval
  int op_slot_left_2471 = gc_frame_newslot(*var_ordval);
  params[0] = num2472;
  partcv[0] = 1;
  Object opresult2474 = callmethod(*var_ordval, ">=", 1, partcv, params);
// compilenode returning opresult2474
  int op_slot_left_2465 = gc_frame_newslot(opresult2474);
  params[0] = opresult2469;
  partcv[0] = 1;
  Object opresult2475 = callmethod(opresult2474, "&&", 1, partcv, params);
// compilenode returning opresult2475
  *var_ct = opresult2475;
  if (opresult2475 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 720
  setline(720);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2478 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_digit
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2479 = callmethod(*var_digit, "match",
    1, partcv, params);
  gc_frame_end(callframe2478);
// compilenode returning call2479
  Object if2477 = done;
  if (istrue(call2479)) {
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2482 == NULL) {
    strlit2482 = alloc_String("i");
    gc_root(strlit2482);
  }
// compilenode returning strlit2482
  int op_slot_right_2481 = gc_frame_newslot(strlit2482);
// compilenode returning *var_mode
  int op_slot_left_2481 = gc_frame_newslot(*var_mode);
  params[0] = strlit2482;
  partcv[0] = 1;
  Object opresult2484 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult2484
  Object if2480 = done;
  if (istrue(opresult2484)) {
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2485 == NULL) {
    strlit2485 = alloc_String("m");
    gc_root(strlit2485);
  }
// compilenode returning strlit2485
  *var_newmode = strlit2485;
  if (strlit2485 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2480 = done;
  } else {
  }
// compilenode returning if2480
    gc_frame_newslot(if2480);
    if2477 = if2480;
  } else {
  }
// compilenode returning if2477
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2489 == NULL) {
    strlit2489 = alloc_String("m");
    gc_root(strlit2489);
  }
// compilenode returning strlit2489
  int op_slot_right_2488 = gc_frame_newslot(strlit2489);
// compilenode returning *var_mode
  int op_slot_left_2488 = gc_frame_newslot(*var_mode);
  params[0] = strlit2489;
  partcv[0] = 1;
  Object opresult2491 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult2491
  Object if2487 = done;
  if (istrue(opresult2491)) {
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2495 = alloc_Float64(122);
// compilenode returning num2495
  int op_slot_right_2494 = gc_frame_newslot(num2495);
// compilenode returning *var_ordval
  int op_slot_left_2494 = gc_frame_newslot(*var_ordval);
  params[0] = num2495;
  partcv[0] = 1;
  Object opresult2497 = callmethod(*var_ordval, "<=", 1, partcv, params);
// compilenode returning opresult2497
  int op_slot_right_2493 = gc_frame_newslot(opresult2497);
  Object num2500 = alloc_Float64(97);
// compilenode returning num2500
  int op_slot_right_2499 = gc_frame_newslot(num2500);
// compilenode returning *var_ordval
  int op_slot_left_2499 = gc_frame_newslot(*var_ordval);
  params[0] = num2500;
  partcv[0] = 1;
  Object opresult2502 = callmethod(*var_ordval, ">=", 1, partcv, params);
// compilenode returning opresult2502
  int op_slot_left_2493 = gc_frame_newslot(opresult2502);
  params[0] = opresult2497;
  partcv[0] = 1;
  Object opresult2503 = callmethod(opresult2502, "&&", 1, partcv, params);
// compilenode returning opresult2503
  Object if2492 = done;
  if (istrue(opresult2503)) {
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2504 == NULL) {
    strlit2504 = alloc_String("m");
    gc_root(strlit2504);
  }
// compilenode returning strlit2504
  *var_newmode = strlit2504;
  if (strlit2504 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2492 = done;
  } else {
// Begin line 732
  setline(732);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2509 = alloc_Float64(90);
// compilenode returning num2509
  int op_slot_right_2508 = gc_frame_newslot(num2509);
// compilenode returning *var_ordval
  int op_slot_left_2508 = gc_frame_newslot(*var_ordval);
  params[0] = num2509;
  partcv[0] = 1;
  Object opresult2511 = callmethod(*var_ordval, "<=", 1, partcv, params);
// compilenode returning opresult2511
  int op_slot_right_2507 = gc_frame_newslot(opresult2511);
  Object num2514 = alloc_Float64(65);
// compilenode returning num2514
  int op_slot_right_2513 = gc_frame_newslot(num2514);
// compilenode returning *var_ordval
  int op_slot_left_2513 = gc_frame_newslot(*var_ordval);
  params[0] = num2514;
  partcv[0] = 1;
  Object opresult2516 = callmethod(*var_ordval, ">=", 1, partcv, params);
// compilenode returning opresult2516
  int op_slot_left_2507 = gc_frame_newslot(opresult2516);
  params[0] = opresult2511;
  partcv[0] = 1;
  Object opresult2517 = callmethod(opresult2516, "&&", 1, partcv, params);
// compilenode returning opresult2517
  Object if2506 = done;
  if (istrue(opresult2517)) {
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2518 == NULL) {
    strlit2518 = alloc_String("m");
    gc_root(strlit2518);
  }
// compilenode returning strlit2518
  *var_newmode = strlit2518;
  if (strlit2518 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2506 = done;
  } else {
  }
// compilenode returning if2506
    gc_frame_newslot(if2506);
    if2492 = if2506;
  }
// compilenode returning if2492
    gc_frame_newslot(if2492);
    if2487 = if2492;
  } else {
  }
// compilenode returning if2487
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2523 == NULL) {
    strlit2523 = alloc_String("<");
    gc_root(strlit2523);
  }
// compilenode returning strlit2523
  int op_slot_right_2522 = gc_frame_newslot(strlit2523);
// compilenode returning *var_c
  int op_slot_left_2522 = gc_frame_newslot(*var_c);
  params[0] = strlit2523;
  partcv[0] = 1;
  Object opresult2525 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2525
  int op_slot_right_2521 = gc_frame_newslot(opresult2525);
  if (strlit2528 == NULL) {
    strlit2528 = alloc_String("i");
    gc_root(strlit2528);
  }
// compilenode returning strlit2528
  int op_slot_right_2527 = gc_frame_newslot(strlit2528);
// compilenode returning *var_mode
  int op_slot_left_2527 = gc_frame_newslot(*var_mode);
  params[0] = strlit2528;
  partcv[0] = 1;
  Object opresult2530 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult2530
  int op_slot_left_2521 = gc_frame_newslot(opresult2530);
  params[0] = opresult2525;
  partcv[0] = 1;
  Object opresult2531 = callmethod(opresult2530, "&&", 1, partcv, params);
// compilenode returning opresult2531
  Object if2520 = done;
  if (istrue(opresult2531)) {
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2532 == NULL) {
    strlit2532 = alloc_String("<");
    gc_root(strlit2532);
  }
// compilenode returning strlit2532
  *var_newmode = strlit2532;
  if (strlit2532 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2520 = done;
  } else {
// Begin line 742
  setline(742);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2537 == NULL) {
    strlit2537 = alloc_String(">");
    gc_root(strlit2537);
  }
// compilenode returning strlit2537
  int op_slot_right_2536 = gc_frame_newslot(strlit2537);
// compilenode returning *var_c
  int op_slot_left_2536 = gc_frame_newslot(*var_c);
  params[0] = strlit2537;
  partcv[0] = 1;
  Object opresult2539 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2539
  int op_slot_right_2535 = gc_frame_newslot(opresult2539);
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2541 = gc_frame_new();
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_iGTLT
  params[0] = *var_mode;
  partcv[0] = 1;
  Object call2542 = callmethod(*var_iGTLT, "match",
    1, partcv, params);
  gc_frame_end(callframe2541);
// compilenode returning call2542
  int op_slot_left_2535 = gc_frame_newslot(call2542);
  params[0] = opresult2539;
  partcv[0] = 1;
  Object opresult2543 = callmethod(call2542, "&&", 1, partcv, params);
// compilenode returning opresult2543
  Object if2534 = done;
  if (istrue(opresult2543)) {
// Begin line 741
  setline(741);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 738
  setline(738);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2546 == NULL) {
    strlit2546 = alloc_String(">");
    gc_root(strlit2546);
  }
// compilenode returning strlit2546
  int op_slot_right_2545 = gc_frame_newslot(strlit2546);
// compilenode returning *var_mode
  int op_slot_left_2545 = gc_frame_newslot(*var_mode);
  params[0] = strlit2546;
  partcv[0] = 1;
  Object opresult2548 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult2548
  Object if2544 = done;
  if (istrue(opresult2548)) {
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2549 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2550 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2549);
// compilenode returning call2550
    gc_frame_newslot(call2550);
    if2544 = call2550;
  } else {
  }
// compilenode returning if2544
// Begin line 742
  setline(742);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 741
  setline(741);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2551 == NULL) {
    strlit2551 = alloc_String(">");
    gc_root(strlit2551);
  }
// compilenode returning strlit2551
  *var_newmode = strlit2551;
  if (strlit2551 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2534 = done;
  } else {
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 742
  setline(742);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2554 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_operatorChar
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2555 = callmethod(*var_operatorChar, "match",
    1, partcv, params);
  gc_frame_end(callframe2554);
// compilenode returning call2555
  Object if2553 = done;
  if (istrue(call2555)) {
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 743
  setline(743);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2556 == NULL) {
    strlit2556 = alloc_String("o");
    gc_root(strlit2556);
  }
// compilenode returning strlit2556
  *var_newmode = strlit2556;
  if (strlit2556 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2553 = done;
  } else {
  }
// compilenode returning if2553
    gc_frame_newslot(if2553);
    if2534 = if2553;
  }
// compilenode returning if2534
    gc_frame_newslot(if2534);
    if2520 = if2534;
  }
// compilenode returning if2520
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2559 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_selfModes
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2560 = callmethod(*var_selfModes, "match",
    1, partcv, params);
  gc_frame_end(callframe2559);
// compilenode returning call2560
  Object if2558 = done;
  if (istrue(call2560)) {
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 746
  setline(746);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  *var_newmode = *var_c;
  if (*var_c == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2558 = done;
  } else {
  }
// compilenode returning if2558
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2564 == NULL) {
    strlit2564 = alloc_String("#");
    gc_root(strlit2564);
  }
// compilenode returning strlit2564
  int op_slot_right_2563 = gc_frame_newslot(strlit2564);
// compilenode returning *var_c
  int op_slot_left_2563 = gc_frame_newslot(*var_c);
  params[0] = strlit2564;
  partcv[0] = 1;
  Object opresult2566 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2566
  Object if2562 = done;
  if (istrue(opresult2566)) {
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2569 == NULL) {
    strlit2569 = alloc_String("p");
    gc_root(strlit2569);
  }
// compilenode returning strlit2569
  int op_slot_right_2568 = gc_frame_newslot(strlit2569);
// compilenode returning *var_mode
  int op_slot_left_2568 = gc_frame_newslot(*var_mode);
  params[0] = strlit2569;
  partcv[0] = 1;
  Object opresult2571 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult2571
  Object if2567 = done;
  if (istrue(opresult2571)) {
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2574 == NULL) {
    strlit2574 = alloc_String("#pragma");
    gc_root(strlit2574);
  }
// compilenode returning strlit2574
  int op_slot_right_2573 = gc_frame_newslot(strlit2574);
  int callframe2576 = gc_frame_new();
  Object num2577 = alloc_Float64(1);
// compilenode returning num2577
  gc_frame_newslot(num2577);
  Object num2578 = alloc_Float64(7);
// compilenode returning num2578
  gc_frame_newslot(num2578);
  int callframe2579 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe2580 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2581 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2580);
// compilenode returning call2581
// compilenode returning call2581
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call2582 = callmethod(call2581, "at",
    1, partcv, params);
  gc_frame_end(callframe2579);
// compilenode returning call2582
  params[0] = num2577;
  params[1] = num2578;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2583 = callmethod(call2582, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe2576);
// compilenode returning call2583
  int op_slot_left_2573 = gc_frame_newslot(call2583);
  params[0] = strlit2574;
  partcv[0] = 1;
  Object opresult2584 = callmethod(call2583, "==", 1, partcv, params);
// compilenode returning opresult2584
  Object if2572 = done;
  if (istrue(opresult2584)) {
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2587 = alloc_Float64(0);
// compilenode returning num2587
  int op_slot_right_2586 = gc_frame_newslot(num2587);
  int callframe2589 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call2590 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe2589);
// compilenode returning call2590
// compilenode returning call2590
  int op_slot_left_2586 = gc_frame_newslot(call2590);
  params[0] = num2587;
  partcv[0] = 1;
  Object opresult2591 = callmethod(call2590, "==", 1, partcv, params);
// compilenode returning opresult2591
  Object if2585 = done;
  if (istrue(opresult2591)) {
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2592 = gc_frame_new();
  int callframe2593 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2594 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2593);
// compilenode returning call2594
// compilenode returning call2594
  partcv[0] = 0;
  Object call2595 = callmethod(call2594, "new",
    1, partcv, params);
  gc_frame_end(callframe2592);
// compilenode returning call2595
// compilenode returning call2595
  *var_suggestion = call2595;
  if (call2595 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2596 = gc_frame_new();
  Object num2597 = alloc_Float64(1);
// compilenode returning num2597
  gc_frame_newslot(num2597);
  int callframe2598 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe2599 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2600 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2599);
// compilenode returning call2600
// compilenode returning call2600
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call2601 = callmethod(call2600, "at",
    1, partcv, params);
  gc_frame_end(callframe2598);
// compilenode returning call2601
  gc_frame_newslot(call2601);
// compilenode returning *var_suggestion
  params[0] = num2597;
  params[1] = call2601;
  partcv[0] = 2;
  Object call2602 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2596);
// compilenode returning call2602
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2603 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  if (strlit2604 == NULL) {
    strlit2604 = alloc_String("");
    gc_root(strlit2604);
  }
// compilenode returning strlit2604
  gc_frame_newslot(strlit2604);
// compilenode returning *var_suggestion
  params[0] = *var_lineNumber;
  params[1] = strlit2604;
  partcv[0] = 2;
  Object call2605 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2603);
// compilenode returning call2605
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2606 = gc_frame_new();
  if (strlit2607 == NULL) {
    strlit2607 = alloc_String("Pragma directives must be at the start of the file.");
    gc_root(strlit2607);
  }
// compilenode returning strlit2607
  gc_frame_newslot(strlit2607);
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2607;
  params[1] = *var_lineNumber;
  params[2] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2608 = callmethod(*var_errormessages, "syntaxError()atLine()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2606);
// compilenode returning call2608
    gc_frame_newslot(call2608);
    if2585 = call2608;
  } else {
// Begin line 758
  setline(758);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2609 = gc_frame_new();
  if (strlit2610 == NULL) {
    strlit2610 = alloc_String("Pragma directives must be at the start of the file.");
    gc_root(strlit2610);
  }
// compilenode returning strlit2610
  gc_frame_newslot(strlit2610);
// Begin line 759
  setline(759);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 758
  setline(758);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2610;
  params[1] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2611 = callmethod(*var_errormessages, "syntaxError()atLine",
    2, partcv, params);
  gc_frame_end(callframe2609);
// compilenode returning call2611
    gc_frame_newslot(call2611);
    if2585 = call2611;
  }
// compilenode returning if2585
    gc_frame_newslot(if2585);
    if2572 = if2585;
  } else {
// Begin line 763
  setline(763);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 762
  setline(762);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2612 = gc_frame_new();
  int callframe2613 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2614 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2613);
// compilenode returning call2614
// compilenode returning call2614
  partcv[0] = 0;
  Object call2615 = callmethod(call2614, "new",
    1, partcv, params);
  gc_frame_end(callframe2612);
// compilenode returning call2615
// compilenode returning call2615
  *var_suggestion = call2615;
  if (call2615 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 763
  setline(763);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2616 = gc_frame_new();
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
  if (strlit2617 == NULL) {
    strlit2617 = alloc_String("//");
    gc_root(strlit2617);
  }
// compilenode returning strlit2617
  gc_frame_newslot(strlit2617);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = *var_linePosition;
  params[1] = strlit2617;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2618 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2616);
// compilenode returning call2618
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2619 = gc_frame_new();
  if (strlit2620 == NULL) {
    strlit2620 = alloc_String("'#' is not allowed here. For a comment use '//'.");
    gc_root(strlit2620);
  }
// compilenode returning strlit2620
  gc_frame_newslot(strlit2620);
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2620;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2621 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2619);
// compilenode returning call2621
    gc_frame_newslot(call2621);
    if2572 = call2621;
  }
// compilenode returning if2572
    gc_frame_newslot(if2572);
    if2567 = if2572;
  } else {
  }
// compilenode returning if2567
    gc_frame_newslot(if2567);
    if2562 = if2567;
  } else {
  }
// compilenode returning if2562
// Begin line 783
  setline(783);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2624 == NULL) {
    strlit2624 = alloc_String(".");
    gc_root(strlit2624);
  }
// compilenode returning strlit2624
  int op_slot_right_2623 = gc_frame_newslot(strlit2624);
// compilenode returning *var_c
  int op_slot_left_2623 = gc_frame_newslot(*var_c);
  params[0] = strlit2624;
  partcv[0] = 1;
  Object opresult2626 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2626
  Object if2622 = done;
  if (istrue(opresult2626)) {
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2629 == NULL) {
    strlit2629 = alloc_String(".");
    gc_root(strlit2629);
  }
// compilenode returning strlit2629
  int op_slot_right_2628 = gc_frame_newslot(strlit2629);
// compilenode returning *var_accum
  int op_slot_left_2628 = gc_frame_newslot(*var_accum);
  params[0] = strlit2629;
  partcv[0] = 1;
  Object opresult2631 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult2631
  Object if2627 = done;
  if (istrue(opresult2631)) {
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2632 == NULL) {
    strlit2632 = alloc_String("o");
    gc_root(strlit2632);
  }
// compilenode returning strlit2632
  *var_mode = strlit2632;
  if (strlit2632 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 774
  setline(774);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_mode
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2627 = done;
  } else {
  }
// compilenode returning if2627
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2637 == NULL) {
    strlit2637 = alloc_String("..");
    gc_root(strlit2637);
  }
// compilenode returning strlit2637
  int op_slot_right_2636 = gc_frame_newslot(strlit2637);
// compilenode returning *var_accum
  int op_slot_left_2636 = gc_frame_newslot(*var_accum);
  params[0] = strlit2637;
  partcv[0] = 1;
  Object opresult2639 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult2639
  Object if2635 = done;
  if (istrue(opresult2639)) {
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2640 == NULL) {
    strlit2640 = alloc_String("n");
    gc_root(strlit2640);
  }
// compilenode returning strlit2640
  *var_mode = strlit2640;
  if (strlit2640 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_mode
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2643 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit2644 == NULL) {
    strlit2644 = alloc_String("i");
    gc_root(strlit2644);
  }
// compilenode returning strlit2644
  gc_frame_newslot(strlit2644);
  if (strlit2645 == NULL) {
    strlit2645 = alloc_String("...");
    gc_root(strlit2645);
  }
// compilenode returning strlit2645
  gc_frame_newslot(strlit2645);
  params[0] = *var_tokens;
  params[1] = strlit2644;
  params[2] = strlit2645;
  partcv[0] = 3;
  Object call2646 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2643);
// compilenode returning call2646
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2647 == NULL) {
    strlit2647 = alloc_String("");
    gc_root(strlit2647);
  }
// compilenode returning strlit2647
  *var_accum = strlit2647;
  if (strlit2647 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2635 = done;
  } else {
  }
// compilenode returning if2635
    gc_frame_newslot(if2635);
    if2622 = if2635;
  } else {
  }
// compilenode returning if2622
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 783
  setline(783);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2651 == NULL) {
    strlit2651 = alloc_String("/");
    gc_root(strlit2651);
  }
// compilenode returning strlit2651
  int op_slot_right_2650 = gc_frame_newslot(strlit2651);
// compilenode returning *var_c
  int op_slot_left_2650 = gc_frame_newslot(*var_c);
  params[0] = strlit2651;
  partcv[0] = 1;
  Object opresult2653 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2653
  Object if2649 = done;
  if (istrue(opresult2653)) {
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 784
  setline(784);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2656 == NULL) {
    strlit2656 = alloc_String("/");
    gc_root(strlit2656);
  }
// compilenode returning strlit2656
  int op_slot_right_2655 = gc_frame_newslot(strlit2656);
// compilenode returning *var_accum
  int op_slot_left_2655 = gc_frame_newslot(*var_accum);
  params[0] = strlit2656;
  partcv[0] = 1;
  Object opresult2658 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult2658
  Object if2654 = done;
  if (istrue(opresult2658)) {
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2659 == NULL) {
    strlit2659 = alloc_String("c");
    gc_root(strlit2659);
  }
// compilenode returning strlit2659
  *var_mode = strlit2659;
  if (strlit2659 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_mode
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2654 = done;
  } else {
  }
// compilenode returning if2654
    gc_frame_newslot(if2654);
    if2649 = if2654;
  } else {
  }
// compilenode returning if2649
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2664 == NULL) {
    strlit2664 = alloc_String("n");
    gc_root(strlit2664);
  }
// compilenode returning strlit2664
  int op_slot_right_2663 = gc_frame_newslot(strlit2664);
// compilenode returning *var_mode
  int op_slot_left_2663 = gc_frame_newslot(*var_mode);
  params[0] = strlit2664;
  partcv[0] = 1;
  Object opresult2666 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult2666
  Object if2662 = done;
  if (istrue(opresult2666)) {
// Begin line 808
  setline(808);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_newmode
  int op_slot_right_2668 = gc_frame_newslot(*var_newmode);
// compilenode returning *var_mode
  int op_slot_left_2668 = gc_frame_newslot(*var_mode);
  params[0] = *var_newmode;
  partcv[0] = 1;
  Object opresult2670 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult2670
  Object if2667 = done;
  if (istrue(opresult2670)) {
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2672 = gc_frame_new();
  int callframe2673 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_unicode
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2674 = callmethod(*var_unicode, "isSeparator",
    1, partcv, params);
  gc_frame_end(callframe2673);
// compilenode returning call2674
  partcv[0] = 0;
  Object call2675 = callmethod(call2674, "not",
    1, partcv, params);
  gc_frame_end(callframe2672);
// compilenode returning call2675
// compilenode returning call2675
  Object if2671 = done;
  if (istrue(call2675)) {
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 793
  setline(793);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2677 = gc_frame_new();
  int callframe2678 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_unicode
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2679 = callmethod(*var_unicode, "isControl",
    1, partcv, params);
  gc_frame_end(callframe2678);
// compilenode returning call2679
  partcv[0] = 0;
  Object call2680 = callmethod(call2679, "not",
    1, partcv, params);
  gc_frame_end(callframe2677);
// compilenode returning call2680
// compilenode returning call2680
  Object if2676 = done;
  if (istrue(call2680)) {
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2683 = alloc_Float64(10);
// compilenode returning num2683
  int op_slot_right_2682 = gc_frame_newslot(num2683);
// compilenode returning *var_ordval
  int op_slot_left_2682 = gc_frame_newslot(*var_ordval);
  params[0] = num2683;
  partcv[0] = 1;
  Object opresult2685 = callmethod(*var_ordval, "!=", 1, partcv, params);
// compilenode returning opresult2685
  Object if2681 = done;
  if (istrue(opresult2685)) {
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2688 = alloc_Float64(13);
// compilenode returning num2688
  int op_slot_right_2687 = gc_frame_newslot(num2688);
// compilenode returning *var_ordval
  int op_slot_left_2687 = gc_frame_newslot(*var_ordval);
  params[0] = num2688;
  partcv[0] = 1;
  Object opresult2690 = callmethod(*var_ordval, "!=", 1, partcv, params);
// compilenode returning opresult2690
  Object if2686 = done;
  if (istrue(opresult2690)) {
// Begin line 803
  setline(803);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2693 = alloc_Float64(32);
// compilenode returning num2693
  int op_slot_right_2692 = gc_frame_newslot(num2693);
// compilenode returning *var_ordval
  int op_slot_left_2692 = gc_frame_newslot(*var_ordval);
  params[0] = num2693;
  partcv[0] = 1;
  Object opresult2695 = callmethod(*var_ordval, "!=", 1, partcv, params);
// compilenode returning opresult2695
  Object if2691 = done;
  if (istrue(opresult2695)) {
// Begin line 802
  setline(802);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2698 == NULL) {
    strlit2698 = alloc_String(".");
    gc_root(strlit2698);
  }
// compilenode returning strlit2698
  int op_slot_right_2697 = gc_frame_newslot(strlit2698);
// compilenode returning *var_c
  int op_slot_left_2697 = gc_frame_newslot(*var_c);
  params[0] = strlit2698;
  partcv[0] = 1;
  Object opresult2700 = callmethod(*var_c, "!=", 1, partcv, params);
// compilenode returning opresult2700
  Object if2696 = done;
  if (istrue(opresult2700)) {
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2701 = gc_frame_new();
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2703 == NULL) {
    strlit2703 = alloc_String("is not a valid character; use spaces instead.");
    gc_root(strlit2703);
  }
// compilenode returning strlit2703
  int op_slot_right_2702 = gc_frame_newslot(strlit2703);
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2706 == NULL) {
    strlit2706 = alloc_String(") ");
    gc_root(strlit2706);
  }
// compilenode returning strlit2706
  int op_slot_right_2705 = gc_frame_newslot(strlit2706);
  int callframe2709 = gc_frame_new();
  int callframe2710 = gc_frame_new();
  Object num2711 = alloc_Float64(16);
// compilenode returning num2711
  gc_frame_newslot(num2711);
// compilenode returning *var_ordval
  params[0] = num2711;
  partcv[0] = 1;
  Object call2712 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2710);
// compilenode returning call2712
  gc_frame_newslot(call2712);
  Object num2713 = alloc_Float64(4);
// compilenode returning num2713
  gc_frame_newslot(num2713);
  if (strlit2714 == NULL) {
    strlit2714 = alloc_String("0");
    gc_root(strlit2714);
  }
// compilenode returning strlit2714
  gc_frame_newslot(strlit2714);
  int callframe2715 = gc_frame_new();
  int callframe2716 = gc_frame_new();
  Object call2717 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2716);
// compilenode returning call2717
// compilenode returning call2717
  partcv[0] = 0;
  Object call2718 = callmethodflags(call2717, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2715);
// compilenode returning call2718
// compilenode returning call2718
  params[0] = call2712;
  params[1] = num2713;
  params[2] = strlit2714;
  partcv[0] = 3;
  Object call2719 = callmethodflags(call2718, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2709);
// compilenode returning call2719
  int op_slot_right_2708 = gc_frame_newslot(call2719);
  if (strlit2722 == NULL) {
    strlit2722 = alloc_String(" (U+");
    gc_root(strlit2722);
  }
// compilenode returning strlit2722
  int op_slot_right_2721 = gc_frame_newslot(strlit2722);
  int callframe2725 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_unicode
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2726 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2725);
// compilenode returning call2726
  int op_slot_right_2724 = gc_frame_newslot(call2726);
  if (strlit2728 == NULL) {
    strlit2728 = alloc_String("");
    gc_root(strlit2728);
  }
// compilenode returning strlit2728
  int op_slot_left_2724 = gc_frame_newslot(strlit2728);
  params[0] = call2726;
  partcv[0] = 1;
  Object opresult2729 = callmethod(strlit2728, "++", 1, partcv, params);
// compilenode returning opresult2729
  int op_slot_left_2721 = gc_frame_newslot(opresult2729);
  params[0] = strlit2722;
  partcv[0] = 1;
  Object opresult2730 = callmethod(opresult2729, "++", 1, partcv, params);
// compilenode returning opresult2730
  int op_slot_left_2708 = gc_frame_newslot(opresult2730);
  params[0] = call2719;
  partcv[0] = 1;
  Object opresult2731 = callmethod(opresult2730, "++", 1, partcv, params);
// compilenode returning opresult2731
  int op_slot_left_2705 = gc_frame_newslot(opresult2731);
  params[0] = strlit2706;
  partcv[0] = 1;
  Object opresult2732 = callmethod(opresult2731, "++", 1, partcv, params);
// compilenode returning opresult2732
  int op_slot_left_2702 = gc_frame_newslot(opresult2732);
  params[0] = strlit2703;
  partcv[0] = 1;
  Object opresult2733 = callmethod(opresult2732, "++", 1, partcv, params);
// compilenode returning opresult2733
  gc_frame_newslot(opresult2733);
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult2733;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2734 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe2701);
// compilenode returning call2734
    gc_frame_newslot(call2734);
    if2696 = call2734;
  } else {
  }
// compilenode returning if2696
    gc_frame_newslot(if2696);
    if2691 = if2696;
  } else {
  }
// compilenode returning if2691
    gc_frame_newslot(if2691);
    if2686 = if2691;
  } else {
  }
// compilenode returning if2686
    gc_frame_newslot(if2686);
    if2681 = if2686;
  } else {
  }
// compilenode returning if2681
    gc_frame_newslot(if2681);
    if2676 = if2681;
  } else {
  }
// compilenode returning if2676
    gc_frame_newslot(if2676);
    if2671 = if2676;
  } else {
  }
// compilenode returning if2671
    gc_frame_newslot(if2671);
    if2667 = if2671;
  } else {
  }
// compilenode returning if2667
    gc_frame_newslot(if2667);
    if2662 = if2667;
  } else {
  }
// compilenode returning if2662
    gc_frame_newslot(if2662);
    if2425 = if2662;
  } else {
  }
// compilenode returning if2425
    gc_frame_newslot(if2425);
    if2424 = if2425;
  }
// compilenode returning if2424
// Begin line 825
  setline(825);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2737 == NULL) {
    strlit2737 = alloc_String("""\x22""");
    gc_root(strlit2737);
  }
// compilenode returning strlit2737
  int op_slot_right_2736 = gc_frame_newslot(strlit2737);
// compilenode returning *var_mode
  int op_slot_left_2736 = gc_frame_newslot(*var_mode);
  params[0] = strlit2737;
  partcv[0] = 1;
  Object opresult2739 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult2739
  Object if2735 = done;
  if (istrue(opresult2739)) {
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2742 == NULL) {
    strlit2742 = alloc_String("""\x22""");
    gc_root(strlit2742);
  }
// compilenode returning strlit2742
  int op_slot_right_2741 = gc_frame_newslot(strlit2742);
// compilenode returning *var_c
  int op_slot_left_2741 = gc_frame_newslot(*var_c);
  params[0] = strlit2742;
  partcv[0] = 1;
  Object opresult2744 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2744
  Object if2740 = done;
  if (istrue(opresult2744)) {
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2746 = gc_frame_new();
// compilenode returning *var_escaped
  partcv[0] = 0;
  Object call2747 = callmethod(*var_escaped, "not",
    1, partcv, params);
  gc_frame_end(callframe2746);
// compilenode returning call2747
// compilenode returning call2747
  Object if2745 = done;
  if (istrue(call2747)) {
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2748 == NULL) {
    strlit2748 = alloc_String("n");
    gc_root(strlit2748);
  }
// compilenode returning strlit2748
  *var_newmode = strlit2748;
  if (strlit2748 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2750 = alloc_Boolean(0);
// compilenode returning bool2750
  *var_instr = bool2750;
  if (bool2750 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_interpString
  Object if2752 = done;
  if (istrue(*var_interpString)) {
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2753 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2754 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2753);
// compilenode returning call2754
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2755 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit2756 == NULL) {
    strlit2756 = alloc_String(")");
    gc_root(strlit2756);
  }
// compilenode returning strlit2756
  gc_frame_newslot(strlit2756);
  if (strlit2757 == NULL) {
    strlit2757 = alloc_String(")");
    gc_root(strlit2757);
  }
// compilenode returning strlit2757
  gc_frame_newslot(strlit2757);
  params[0] = *var_tokens;
  params[1] = strlit2756;
  params[2] = strlit2757;
  partcv[0] = 3;
  Object call2758 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2755);
// compilenode returning call2758
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_newmode
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2760 = alloc_Boolean(0);
// compilenode returning bool2760
  *var_interpString = bool2760;
  if (bool2760 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2752 = done;
  } else {
  }
// compilenode returning if2752
    gc_frame_newslot(if2752);
    if2745 = if2752;
  } else {
  }
// compilenode returning if2745
    gc_frame_newslot(if2745);
    if2740 = if2745;
  } else {
  }
// compilenode returning if2740
    gc_frame_newslot(if2740);
    if2735 = if2740;
  } else {
  }
// compilenode returning if2735
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 825
  setline(825);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_mode
  int op_slot_right_2763 = gc_frame_newslot(*var_mode);
// compilenode returning *var_newmode
  int op_slot_left_2763 = gc_frame_newslot(*var_newmode);
  params[0] = *var_mode;
  partcv[0] = 1;
  Object opresult2765 = callmethod(*var_newmode, "!=", 1, partcv, params);
// compilenode returning opresult2765
  Object if2762 = done;
  if (istrue(opresult2765)) {
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2766 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2767 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2766);
// compilenode returning call2767
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2770 = alloc_Float64(0);
// compilenode returning num2770
  int op_slot_right_2769 = gc_frame_newslot(num2770);
// compilenode returning *var_interpdepth
  int op_slot_left_2769 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2770;
  partcv[0] = 1;
  Object opresult2772 = callmethod(*var_interpdepth, ">", 1, partcv, params);
// compilenode returning opresult2772
  Object if2768 = done;
  if (istrue(opresult2772)) {
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2775 == NULL) {
    strlit2775 = alloc_String("}");
    gc_root(strlit2775);
  }
// compilenode returning strlit2775
  int op_slot_right_2774 = gc_frame_newslot(strlit2775);
// compilenode returning *var_newmode
  int op_slot_left_2774 = gc_frame_newslot(*var_newmode);
  params[0] = strlit2775;
  partcv[0] = 1;
  Object opresult2777 = callmethod(*var_newmode, "==", 1, partcv, params);
// compilenode returning opresult2777
  Object if2773 = done;
  if (istrue(opresult2777)) {
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2780 == NULL) {
    strlit2780 = alloc_String("{");
    gc_root(strlit2780);
  }
// compilenode returning strlit2780
  int op_slot_right_2779 = gc_frame_newslot(strlit2780);
  int callframe2782 = gc_frame_new();
  int callframe2783 = gc_frame_new();
  int callframe2784 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call2785 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe2784);
// compilenode returning call2785
// compilenode returning call2785
  partcv[0] = 0;
  Object call2786 = callmethod(call2785, "line",
    1, partcv, params);
  gc_frame_end(callframe2783);
// compilenode returning call2786
// compilenode returning call2786
  gc_frame_newslot(call2786);
  int callframe2787 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2788 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2787);
// compilenode returning call2788
// compilenode returning call2788
  params[0] = call2786;
  partcv[0] = 1;
  Object call2789 = callmethod(call2788, "at",
    1, partcv, params);
  gc_frame_end(callframe2782);
// compilenode returning call2789
  int callframe2790 = gc_frame_new();
  int callframe2791 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call2792 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe2791);
// compilenode returning call2792
// compilenode returning call2792
  partcv[0] = 0;
  Object call2793 = callmethod(call2792, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2790);
// compilenode returning call2793
// compilenode returning call2793
  params[0] = call2793;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres2794 = callmethod(call2789, "[]", 1, partcv, params);
// compilenode returning idxres2794
  int op_slot_left_2779 = gc_frame_newslot(idxres2794);
  params[0] = strlit2780;
  partcv[0] = 1;
  Object opresult2795 = callmethod(idxres2794, "==", 1, partcv, params);
// compilenode returning opresult2795
  Object if2778 = done;
  if (istrue(opresult2795)) {
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2796 = gc_frame_new();
  int callframe2797 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2798 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2797);
// compilenode returning call2798
// compilenode returning call2798
  partcv[0] = 0;
  Object call2799 = callmethod(call2798, "new",
    1, partcv, params);
  gc_frame_end(callframe2796);
// compilenode returning call2799
// compilenode returning call2799
  *var_suggestion = call2799;
  if (call2799 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2800 = gc_frame_new();
  Object num2802 = alloc_Float64(1);
// compilenode returning num2802
  int op_slot_right_2801 = gc_frame_newslot(num2802);
// compilenode returning *var_linePosition
  int op_slot_left_2801 = gc_frame_newslot(*var_linePosition);
  params[0] = num2802;
  partcv[0] = 1;
  Object diff2804 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff2804
  gc_frame_newslot(diff2804);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = diff2804;
  params[1] = *var_linePosition;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2805 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe2800);
// compilenode returning call2805
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2806 = gc_frame_new();
  if (strlit2807 == NULL) {
    strlit2807 = alloc_String("A string interpolation cannot be empty.");
    gc_root(strlit2807);
  }
// compilenode returning strlit2807
  gc_frame_newslot(strlit2807);
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe2808 = gc_frame_new();
  int callframe2809 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call2810 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe2809);
// compilenode returning call2810
// compilenode returning call2810
  partcv[0] = 0;
  Object call2811 = callmethod(call2810, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2808);
// compilenode returning call2811
// compilenode returning call2811
  gc_frame_newslot(call2811);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2807;
  params[1] = *var_lineNumber;
  params[2] = call2811;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2812 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2806);
// compilenode returning call2812
    gc_frame_newslot(call2812);
    if2778 = call2812;
  } else {
  }
// compilenode returning if2778
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2813 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit2814 == NULL) {
    strlit2814 = alloc_String(")");
    gc_root(strlit2814);
  }
// compilenode returning strlit2814
  gc_frame_newslot(strlit2814);
  if (strlit2815 == NULL) {
    strlit2815 = alloc_String(")");
    gc_root(strlit2815);
  }
// compilenode returning strlit2815
  gc_frame_newslot(strlit2815);
  params[0] = *var_tokens;
  params[1] = strlit2814;
  params[2] = strlit2815;
  partcv[0] = 3;
  Object call2816 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2813);
// compilenode returning call2816
// Begin line 839
  setline(839);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2817 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit2818 == NULL) {
    strlit2818 = alloc_String("o");
    gc_root(strlit2818);
  }
// compilenode returning strlit2818
  gc_frame_newslot(strlit2818);
  if (strlit2819 == NULL) {
    strlit2819 = alloc_String("++");
    gc_root(strlit2819);
  }
// compilenode returning strlit2819
  gc_frame_newslot(strlit2819);
  params[0] = *var_tokens;
  params[1] = strlit2818;
  params[2] = strlit2819;
  partcv[0] = 3;
  Object call2820 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2817);
// compilenode returning call2820
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 840
  setline(840);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2821 == NULL) {
    strlit2821 = alloc_String("""\x22""");
    gc_root(strlit2821);
  }
// compilenode returning strlit2821
  *var_newmode = strlit2821;
  if (strlit2821 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2823 = alloc_Boolean(1);
// compilenode returning bool2823
  *var_instr = bool2823;
  if (bool2823 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2826 = alloc_Float64(1);
// compilenode returning num2826
  int op_slot_right_2825 = gc_frame_newslot(num2826);
// compilenode returning *var_interpdepth
  int op_slot_left_2825 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2826;
  partcv[0] = 1;
  Object diff2828 = callmethod(*var_interpdepth, "-", 1, partcv, params);
// compilenode returning diff2828
  *var_interpdepth = diff2828;
  if (diff2828 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2773 = done;
  } else {
  }
// compilenode returning if2773
    gc_frame_newslot(if2773);
    if2768 = if2773;
  } else {
  }
// compilenode returning if2768
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_newmode
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if2831 = done;
  if (istrue(*var_instr)) {
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2832 == NULL) {
    strlit2832 = alloc_String("");
    gc_root(strlit2832);
  }
// compilenode returning strlit2832
  *var_accum = strlit2832;
  if (strlit2832 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2831 = done;
  } else {
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  *var_accum = *var_c;
  if (*var_c == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2831 = done;
  }
// compilenode returning if2831
// Begin line 860
  setline(860);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2836 = gc_frame_new();
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_brackets
  params[0] = *var_mode;
  partcv[0] = 1;
  Object call2837 = callmethod(*var_brackets, "match",
    1, partcv, params);
  gc_frame_end(callframe2836);
// compilenode returning call2837
  Object if2835 = done;
  if (istrue(call2837)) {
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2838 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2839 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2838);
// compilenode returning call2839
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2840 == NULL) {
    strlit2840 = alloc_String("n");
    gc_root(strlit2840);
  }
// compilenode returning strlit2840
  *var_mode = strlit2840;
  if (strlit2840 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2842 == NULL) {
    strlit2842 = alloc_String("n");
    gc_root(strlit2842);
  }
// compilenode returning strlit2842
  *var_newmode = strlit2842;
  if (strlit2842 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2844 == NULL) {
    strlit2844 = alloc_String("");
    gc_root(strlit2844);
  }
// compilenode returning strlit2844
  *var_accum = strlit2844;
  if (strlit2844 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2835 = done;
  } else {
  }
// compilenode returning if2835
    gc_frame_newslot(if2835);
    if2762 = if2835;
  } else {
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 860
  setline(860);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if2846 = done;
  if (istrue(*var_instr)) {
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2849 == NULL) {
    strlit2849 = alloc_String("""\x0a""");
    gc_root(strlit2849);
  }
// compilenode returning strlit2849
  int op_slot_right_2848 = gc_frame_newslot(strlit2849);
// compilenode returning *var_c
  int op_slot_left_2848 = gc_frame_newslot(*var_c);
  params[0] = strlit2849;
  partcv[0] = 1;
  Object opresult2851 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2851
  Object if2847 = done;
  if (istrue(opresult2851)) {
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 862
  setline(862);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2854 = alloc_Float64(0);
// compilenode returning num2854
  int op_slot_right_2853 = gc_frame_newslot(num2854);
// compilenode returning *var_interpdepth
  int op_slot_left_2853 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2854;
  partcv[0] = 1;
  Object opresult2856 = callmethod(*var_interpdepth, ">", 1, partcv, params);
// compilenode returning opresult2856
  Object if2852 = done;
  if (istrue(opresult2856)) {
// Begin line 865
  setline(865);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  *var_line = *var_lineNumber;
  if (*var_lineNumber == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 866
  setline(866);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 865
  setline(865);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2857 = gc_frame_new();
  int callframe2858 = gc_frame_new();
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  int callframe2859 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2860 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2859);
// compilenode returning call2860
// compilenode returning call2860
  params[0] = *var_line;
  partcv[0] = 1;
  Object call2861 = callmethod(call2860, "at",
    1, partcv, params);
  gc_frame_end(callframe2858);
// compilenode returning call2861
  partcv[0] = 0;
  Object call2862 = callmethod(call2861, "size",
    1, partcv, params);
  gc_frame_end(callframe2857);
// compilenode returning call2862
// compilenode returning call2862
  *var_i = call2862;
  if (call2862 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 866
  setline(866);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2863 = gc_frame_new();
  Object block2864 = alloc_Block(NULL, NULL, "lexer", 866);
  gc_frame_newslot(block2864);
  block_savedest(block2864);
  Object closure2865 = createclosure(4, "_apply");
setclosureframe(closure2865, stackframe);
  addtoclosure(closure2865, var_line);
  addtoclosure(closure2865, var_util);
  addtoclosure(closure2865, var_i);
  addtoclosure(closure2865, selfslot);
  struct UserObject *uo2865 = (struct UserObject*)block2864;
  uo2865->data[0] = (Object)closure2865;
  Method *meth_meth_lexer__apply2865 = addmethod2pos(block2864, "_apply", &meth_lexer__apply2865, 0);
int argcv_meth_lexer__apply2865[] = {0};
meth_meth_lexer__apply2865->type = alloc_MethodType(1, argcv_meth_lexer__apply2865);
  meth_meth_lexer__apply2865->definitionModule = modulename;
  meth_meth_lexer__apply2865->definitionLine = 865;
// compilenode returning block2864
  gc_frame_newslot(block2864);
  Object block2876 = alloc_Block(NULL, NULL, "lexer", 866);
  gc_frame_newslot(block2876);
  block_savedest(block2876);
  Object closure2877 = createclosure(5, "_apply");
setclosureframe(closure2877, stackframe);
  addtoclosure(closure2877, var_i);
  addtoclosure(closure2877, var_line);
  addtoclosure(closure2877, var_lineNumber);
  addtoclosure(closure2877, var_util);
  addtoclosure(closure2877, selfslot);
  struct UserObject *uo2877 = (struct UserObject*)block2876;
  uo2877->data[0] = (Object)closure2877;
  Method *meth_meth_lexer__apply2877 = addmethod2pos(block2876, "_apply", &meth_lexer__apply2877, 0);
int argcv_meth_lexer__apply2877[] = {0};
meth_meth_lexer__apply2877->type = alloc_MethodType(1, argcv_meth_lexer__apply2877);
  meth_meth_lexer__apply2877->definitionModule = modulename;
  meth_meth_lexer__apply2877->definitionLine = 866;
// compilenode returning block2876
  gc_frame_newslot(block2876);
  params[0] = block2864;
  params[1] = block2876;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2901 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2863);
// compilenode returning call2901
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array2902 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array2902
  *var_suggestions = array2902;
  if (array2902 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2903 = gc_frame_new();
  int callframe2904 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2905 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2904);
// compilenode returning call2905
// compilenode returning call2905
  partcv[0] = 0;
  Object call2906 = callmethod(call2905, "new",
    1, partcv, params);
  gc_frame_end(callframe2903);
// compilenode returning call2906
// compilenode returning call2906
  *var_suggestion = call2906;
  if (call2906 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2907 = gc_frame_new();
  if (strlit2908 == NULL) {
    strlit2908 = alloc_String("\\");
    gc_root(strlit2908);
  }
// compilenode returning strlit2908
  gc_frame_newslot(strlit2908);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
// compilenode returning *var_suggestion
  params[0] = strlit2908;
  params[1] = *var_i;
  params[2] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2909 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe2907);
// compilenode returning call2909
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2910 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call2911 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe2910);
// compilenode returning call2911
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2916 = alloc_Float64(2);
// compilenode returning num2916
  int op_slot_right_2915 = gc_frame_newslot(num2916);
// compilenode returning *var_linePosition
  int op_slot_left_2915 = gc_frame_newslot(*var_linePosition);
  params[0] = num2916;
  partcv[0] = 1;
  Object diff2918 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff2918
  int op_slot_right_2914 = gc_frame_newslot(diff2918);
// compilenode returning *var_i
  int op_slot_left_2914 = gc_frame_newslot(*var_i);
  params[0] = diff2918;
  partcv[0] = 1;
  Object opresult2920 = callmethod(*var_i, "==", 1, partcv, params);
// compilenode returning opresult2920
  int op_slot_right_2913 = gc_frame_newslot(opresult2920);
// compilenode returning *var_lineNumber
  int op_slot_right_2922 = gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_line
  int op_slot_left_2922 = gc_frame_newslot(*var_line);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object opresult2924 = callmethod(*var_line, "==", 1, partcv, params);
// compilenode returning opresult2924
  int op_slot_left_2913 = gc_frame_newslot(opresult2924);
  params[0] = opresult2920;
  partcv[0] = 1;
  Object opresult2925 = callmethod(opresult2924, "&&", 1, partcv, params);
// compilenode returning opresult2925
  Object if2912 = done;
  if (istrue(opresult2925)) {
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2926 = gc_frame_new();
  if (strlit2927 == NULL) {
    strlit2927 = alloc_String("For a '{' character in a string use '\\{'.");
    gc_root(strlit2927);
  }
// compilenode returning strlit2927
  gc_frame_newslot(strlit2927);
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2927;
  params[1] = *var_line;
  params[2] = *var_i;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2928 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe2926);
// compilenode returning call2928
    gc_frame_newslot(call2928);
    if2912 = call2928;
  } else {
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 881
  setline(881);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2929 = gc_frame_new();
  int callframe2930 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2931 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2930);
// compilenode returning call2931
// compilenode returning call2931
  partcv[0] = 0;
  Object call2932 = callmethod(call2931, "new",
    1, partcv, params);
  gc_frame_end(callframe2929);
// compilenode returning call2932
// compilenode returning call2932
  *var_suggestion = call2932;
  if (call2932 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2934 = gc_frame_new();
  if (strlit2935 == NULL) {
    strlit2935 = alloc_String("}");
    gc_root(strlit2935);
  }
// compilenode returning strlit2935
  gc_frame_newslot(strlit2935);
  Object num2937 = alloc_Float64(1);
// compilenode returning num2937
  int op_slot_right_2936 = gc_frame_newslot(num2937);
  int callframe2940 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call2941 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe2940);
// compilenode returning call2941
// compilenode returning call2941
  int op_slot_right_2939 = gc_frame_newslot(call2941);
// compilenode returning *var_linePosition
  int op_slot_left_2939 = gc_frame_newslot(*var_linePosition);
  params[0] = call2941;
  partcv[0] = 1;
  Object diff2943 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff2943
  int op_slot_left_2936 = gc_frame_newslot(diff2943);
  params[0] = num2937;
  partcv[0] = 1;
  Object diff2944 = callmethod(diff2943, "-", 1, partcv, params);
// compilenode returning diff2944
  gc_frame_newslot(diff2944);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = strlit2935;
  params[1] = diff2944;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2945 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe2934);
// compilenode returning call2945
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2946 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call2947 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe2946);
// compilenode returning call2947
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2948 = gc_frame_new();
  if (strlit2949 == NULL) {
    strlit2949 = alloc_String("A string interpolation must end with a '}'. For a '{' character in a string use '\\{'.");
    gc_root(strlit2949);
  }
// compilenode returning strlit2949
  gc_frame_newslot(strlit2949);
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  Object num2951 = alloc_Float64(1);
// compilenode returning num2951
  int op_slot_right_2950 = gc_frame_newslot(num2951);
  int callframe2954 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call2955 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe2954);
// compilenode returning call2955
// compilenode returning call2955
  int op_slot_right_2953 = gc_frame_newslot(call2955);
// compilenode returning *var_linePosition
  int op_slot_left_2953 = gc_frame_newslot(*var_linePosition);
  params[0] = call2955;
  partcv[0] = 1;
  Object diff2957 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff2957
  int op_slot_left_2950 = gc_frame_newslot(diff2957);
  params[0] = num2951;
  partcv[0] = 1;
  Object diff2958 = callmethod(diff2957, "-", 1, partcv, params);
// compilenode returning diff2958
  gc_frame_newslot(diff2958);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2949;
  params[1] = *var_lineNumber;
  params[2] = diff2958;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2959 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe2948);
// compilenode returning call2959
    gc_frame_newslot(call2959);
    if2912 = call2959;
  }
// compilenode returning if2912
    gc_frame_newslot(if2912);
    if2852 = if2912;
  } else {
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2960 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe2961 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2962 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2961);
// compilenode returning call2962
// compilenode returning call2962
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call2963 = callmethod(call2962, "at",
    1, partcv, params);
  gc_frame_end(callframe2960);
// compilenode returning call2963
  *var_errorLine = call2963;
  if (call2963 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 889
  setline(889);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2967 = alloc_Float64(1);
// compilenode returning num2967
  int op_slot_right_2966 = gc_frame_newslot(num2967);
// compilenode returning *var_lineNumber
  int op_slot_left_2966 = gc_frame_newslot(*var_lineNumber);
  params[0] = num2967;
  partcv[0] = 1;
  Object sum2969 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compilenode returning sum2969
  int op_slot_right_2965 = gc_frame_newslot(sum2969);
  int callframe2971 = gc_frame_new();
  int callframe2972 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2973 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2972);
// compilenode returning call2973
// compilenode returning call2973
  partcv[0] = 0;
  Object call2974 = callmethod(call2973, "size",
    1, partcv, params);
  gc_frame_end(callframe2971);
// compilenode returning call2974
// compilenode returning call2974
  int op_slot_left_2965 = gc_frame_newslot(call2974);
  params[0] = sum2969;
  partcv[0] = 1;
  Object opresult2975 = callmethod(call2974, ">=", 1, partcv, params);
// compilenode returning opresult2975
  Object if2964 = done;
struct StackFrameObject *iftmpstackframe2964 = stackframe;
  if (istrue(opresult2975)) {
stackframe = alloc_StackFrame(0, iftmpstackframe2964);
gc_frame_newslot((Object)stackframe);
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2976 = gc_frame_new();
  Object num2978 = alloc_Float64(1);
// compilenode returning num2978
  int op_slot_right_2977 = gc_frame_newslot(num2978);
// compilenode returning *var_lineNumber
  int op_slot_left_2977 = gc_frame_newslot(*var_lineNumber);
  params[0] = num2978;
  partcv[0] = 1;
  Object sum2980 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compilenode returning sum2980
  gc_frame_newslot(sum2980);
  int callframe2981 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2982 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2981);
// compilenode returning call2982
// compilenode returning call2982
  params[0] = sum2980;
  partcv[0] = 1;
  Object call2983 = callmethod(call2982, "at",
    1, partcv, params);
  gc_frame_end(callframe2976);
// compilenode returning call2983
    gc_frame_newslot(call2983);
    if2964 = call2983;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe2964);
gc_frame_newslot((Object)stackframe);
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2984 == NULL) {
    strlit2984 = alloc_String("");
    gc_root(strlit2984);
  }
// compilenode returning strlit2984
    gc_frame_newslot(strlit2984);
    if2964 = strlit2984;
  }
stackframe = iftmpstackframe2964;
// compilenode returning if2964
  *var_nextLine = if2964;
  if (if2964 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2985 = alloc_Float64(1);
// compilenode returning num2985
  *var_i = num2985;
  if (num2985 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2986 = alloc_Float64(0);
// compilenode returning num2986
  *var_count = num2986;
  if (num2986 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2987 = gc_frame_new();
  Object block2988 = alloc_Block(NULL, NULL, "lexer", 897);
  gc_frame_newslot(block2988);
  block_savedest(block2988);
  Object closure2989 = createclosure(3, "_apply");
setclosureframe(closure2989, stackframe);
  addtoclosure(closure2989, var_nextLine);
  addtoclosure(closure2989, var_i);
  addtoclosure(closure2989, selfslot);
  struct UserObject *uo2989 = (struct UserObject*)block2988;
  uo2989->data[0] = (Object)closure2989;
  Method *meth_meth_lexer__apply2989 = addmethod2pos(block2988, "_apply", &meth_lexer__apply2989, 0);
int argcv_meth_lexer__apply2989[] = {0};
meth_meth_lexer__apply2989->type = alloc_MethodType(1, argcv_meth_lexer__apply2989);
  meth_meth_lexer__apply2989->definitionModule = modulename;
  meth_meth_lexer__apply2989->definitionLine = 890;
// compilenode returning block2988
  gc_frame_newslot(block2988);
  Object block2996 = alloc_Block(NULL, NULL, "lexer", 897);
  gc_frame_newslot(block2996);
  block_savedest(block2996);
  Object closure2997 = createclosure(4, "_apply");
setclosureframe(closure2997, stackframe);
  addtoclosure(closure2997, var_nextLine);
  addtoclosure(closure2997, var_i);
  addtoclosure(closure2997, var_count);
  addtoclosure(closure2997, selfslot);
  struct UserObject *uo2997 = (struct UserObject*)block2996;
  uo2997->data[0] = (Object)closure2997;
  Method *meth_meth_lexer__apply2997 = addmethod2pos(block2996, "_apply", &meth_lexer__apply2997, 0);
int argcv_meth_lexer__apply2997[] = {0};
meth_meth_lexer__apply2997->type = alloc_MethodType(1, argcv_meth_lexer__apply2997);
  meth_meth_lexer__apply2997->definitionModule = modulename;
  meth_meth_lexer__apply2997->definitionLine = 897;
// compilenode returning block2996
  gc_frame_newslot(block2996);
  params[0] = block2988;
  params[1] = block2996;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3026 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2987);
// compilenode returning call3026
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3029 = alloc_Float64(1);
// compilenode returning num3029
  int op_slot_right_3028 = gc_frame_newslot(num3029);
  Object num3032 = alloc_Float64(2);
// compilenode returning num3032
  int op_slot_right_3031 = gc_frame_newslot(num3032);
// compilenode returning *var_count
  int op_slot_left_3031 = gc_frame_newslot(*var_count);
  params[0] = num3032;
  partcv[0] = 1;
  Object modulus3034 = callmethod(*var_count, "%", 1, partcv, params);
// compilenode returning modulus3034
  int op_slot_left_3028 = gc_frame_newslot(modulus3034);
  params[0] = num3029;
  partcv[0] = 1;
  Object opresult3035 = callmethod(modulus3034, "==", 1, partcv, params);
// compilenode returning opresult3035
  Object if3027 = done;
  if (istrue(opresult3035)) {
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3036 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3036
  *var_suggestions = array3036;
  if (array3036 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3037 = gc_frame_new();
  int callframe3038 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3039 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3038);
// compilenode returning call3039
// compilenode returning call3039
  partcv[0] = 0;
  Object call3040 = callmethod(call3039, "new",
    1, partcv, params);
  gc_frame_end(callframe3037);
// compilenode returning call3040
// compilenode returning call3040
  *var_suggestion = call3040;
  if (call3040 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3041 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_nextLine
  int op_slot_right_3042 = gc_frame_newslot(*var_nextLine);
// compilenode returning *var_errorLine
  int op_slot_left_3042 = gc_frame_newslot(*var_errorLine);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3044 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compilenode returning opresult3044
  gc_frame_newslot(opresult3044);
// compilenode returning *var_suggestion
  params[0] = *var_lineNumber;
  params[1] = opresult3044;
  partcv[0] = 2;
  Object call3045 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3041);
// compilenode returning call3045
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3046 = gc_frame_new();
  Object num3048 = alloc_Float64(1);
// compilenode returning num3048
  int op_slot_right_3047 = gc_frame_newslot(num3048);
// compilenode returning *var_lineNumber
  int op_slot_left_3047 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3048;
  partcv[0] = 1;
  Object sum3050 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compilenode returning sum3050
  gc_frame_newslot(sum3050);
  if (strlit3051 == NULL) {
    strlit3051 = alloc_String("");
    gc_root(strlit3051);
  }
// compilenode returning strlit3051
  gc_frame_newslot(strlit3051);
// compilenode returning *var_suggestion
  params[0] = sum3050;
  params[1] = strlit3051;
  partcv[0] = 2;
  Object call3052 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3046);
// compilenode returning call3052
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3053 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3054 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3053);
// compilenode returning call3054
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3055 = gc_frame_new();
  int callframe3056 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3057 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3056);
// compilenode returning call3057
// compilenode returning call3057
  partcv[0] = 0;
  Object call3058 = callmethod(call3057, "new",
    1, partcv, params);
  gc_frame_end(callframe3055);
// compilenode returning call3058
// compilenode returning call3058
  *var_suggestion = call3058;
  if (call3058 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3060 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  if (strlit3062 == NULL) {
    strlit3062 = alloc_String("""\x22""");
    gc_root(strlit3062);
  }
// compilenode returning strlit3062
  int op_slot_right_3061 = gc_frame_newslot(strlit3062);
// compilenode returning *var_errorLine
  int op_slot_left_3061 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3062;
  partcv[0] = 1;
  Object opresult3064 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compilenode returning opresult3064
  gc_frame_newslot(opresult3064);
// compilenode returning *var_suggestion
  params[0] = *var_lineNumber;
  params[1] = opresult3064;
  partcv[0] = 2;
  Object call3065 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3060);
// compilenode returning call3065
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3066 = gc_frame_new();
  Object num3068 = alloc_Float64(1);
// compilenode returning num3068
  int op_slot_right_3067 = gc_frame_newslot(num3068);
// compilenode returning *var_lineNumber
  int op_slot_left_3067 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3068;
  partcv[0] = 1;
  Object sum3070 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compilenode returning sum3070
  gc_frame_newslot(sum3070);
// compilenode returning *var_nextLine
  int op_slot_right_3071 = gc_frame_newslot(*var_nextLine);
  if (strlit3073 == NULL) {
    strlit3073 = alloc_String("    ++ ""\x22""");
    gc_root(strlit3073);
  }
// compilenode returning strlit3073
  int op_slot_left_3071 = gc_frame_newslot(strlit3073);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3074 = callmethod(strlit3073, "++", 1, partcv, params);
// compilenode returning opresult3074
  gc_frame_newslot(opresult3074);
// compilenode returning *var_suggestion
  params[0] = sum3070;
  params[1] = opresult3074;
  partcv[0] = 2;
  Object call3075 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3066);
// compilenode returning call3075
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3076 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3077 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3076);
// compilenode returning call3077
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3078 = gc_frame_new();
  int callframe3079 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3080 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3079);
// compilenode returning call3080
// compilenode returning call3080
  partcv[0] = 0;
  Object call3081 = callmethod(call3080, "new",
    1, partcv, params);
  gc_frame_end(callframe3078);
// compilenode returning call3081
// compilenode returning call3081
  *var_suggestion = call3081;
  if (call3081 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3083 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_nextLine
  int op_slot_right_3084 = gc_frame_newslot(*var_nextLine);
  if (strlit3087 == NULL) {
    strlit3087 = alloc_String("\\n");
    gc_root(strlit3087);
  }
// compilenode returning strlit3087
  int op_slot_right_3086 = gc_frame_newslot(strlit3087);
// compilenode returning *var_errorLine
  int op_slot_left_3086 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3087;
  partcv[0] = 1;
  Object opresult3089 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compilenode returning opresult3089
  int op_slot_left_3084 = gc_frame_newslot(opresult3089);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3090 = callmethod(opresult3089, "++", 1, partcv, params);
// compilenode returning opresult3090
  gc_frame_newslot(opresult3090);
// compilenode returning *var_suggestion
  params[0] = *var_lineNumber;
  params[1] = opresult3090;
  partcv[0] = 2;
  Object call3091 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3083);
// compilenode returning call3091
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3092 = gc_frame_new();
  Object num3094 = alloc_Float64(1);
// compilenode returning num3094
  int op_slot_right_3093 = gc_frame_newslot(num3094);
// compilenode returning *var_lineNumber
  int op_slot_left_3093 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3094;
  partcv[0] = 1;
  Object sum3096 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compilenode returning sum3096
  gc_frame_newslot(sum3096);
  if (strlit3097 == NULL) {
    strlit3097 = alloc_String("");
    gc_root(strlit3097);
  }
// compilenode returning strlit3097
  gc_frame_newslot(strlit3097);
// compilenode returning *var_suggestion
  params[0] = sum3096;
  params[1] = strlit3097;
  partcv[0] = 2;
  Object call3098 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3092);
// compilenode returning call3098
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3099 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3100 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3099);
// compilenode returning call3100
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3101 = gc_frame_new();
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3103 == NULL) {
    strlit3103 = alloc_String("To split a string over multiple lines use '++' to join strings together.");
    gc_root(strlit3103);
  }
// compilenode returning strlit3103
  int op_slot_right_3102 = gc_frame_newslot(strlit3103);
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3105 == NULL) {
    strlit3105 = alloc_String("A string must end with a '""\x22""'. To insert a newline in a string use '\\n'. ");
    gc_root(strlit3105);
  }
// compilenode returning strlit3105
  int op_slot_left_3102 = gc_frame_newslot(strlit3105);
  params[0] = strlit3103;
  partcv[0] = 1;
  Object opresult3106 = callmethod(strlit3105, "++", 1, partcv, params);
// compilenode returning opresult3106
  gc_frame_newslot(opresult3106);
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult3106;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call3107 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3101);
// compilenode returning call3107
    gc_frame_newslot(call3107);
    if3027 = call3107;
  } else {
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 920
  setline(920);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3108 = gc_frame_new();
  int callframe3109 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3110 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3109);
// compilenode returning call3110
// compilenode returning call3110
  partcv[0] = 0;
  Object call3111 = callmethod(call3110, "new",
    1, partcv, params);
  gc_frame_end(callframe3108);
// compilenode returning call3111
// compilenode returning call3111
  *var_suggestion = call3111;
  if (call3111 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3112 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  if (strlit3114 == NULL) {
    strlit3114 = alloc_String("""\x22""");
    gc_root(strlit3114);
  }
// compilenode returning strlit3114
  int op_slot_right_3113 = gc_frame_newslot(strlit3114);
// compilenode returning *var_errorLine
  int op_slot_left_3113 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3114;
  partcv[0] = 1;
  Object opresult3116 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compilenode returning opresult3116
  gc_frame_newslot(opresult3116);
// compilenode returning *var_suggestion
  params[0] = *var_lineNumber;
  params[1] = opresult3116;
  partcv[0] = 2;
  Object call3117 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3112);
// compilenode returning call3117
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3118 = gc_frame_new();
  if (strlit3119 == NULL) {
    strlit3119 = alloc_String("A string must end with a '""\x22""'.");
    gc_root(strlit3119);
  }
// compilenode returning strlit3119
  gc_frame_newslot(strlit3119);
// Begin line 923
  setline(923);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3119;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3120 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3118);
// compilenode returning call3120
    gc_frame_newslot(call3120);
    if3027 = call3120;
  }
// compilenode returning if3027
    gc_frame_newslot(if3027);
    if2852 = if3027;
  }
// compilenode returning if2852
    gc_frame_newslot(if2852);
    if2847 = if2852;
  } else {
  }
// compilenode returning if2847
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_escaped
  Object if3121 = done;
  if (istrue(*var_escaped)) {
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 928
  setline(928);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3124 == NULL) {
    strlit3124 = alloc_String("n");
    gc_root(strlit3124);
  }
// compilenode returning strlit3124
  int op_slot_right_3123 = gc_frame_newslot(strlit3124);
// compilenode returning *var_c
  int op_slot_left_3123 = gc_frame_newslot(*var_c);
  params[0] = strlit3124;
  partcv[0] = 1;
  Object opresult3126 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3126
  Object if3122 = done;
  if (istrue(opresult3126)) {
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3128 == NULL) {
    strlit3128 = alloc_String("""\x0a""");
    gc_root(strlit3128);
  }
// compilenode returning strlit3128
  int op_slot_right_3127 = gc_frame_newslot(strlit3128);
// compilenode returning *var_accum
  int op_slot_left_3127 = gc_frame_newslot(*var_accum);
  params[0] = strlit3128;
  partcv[0] = 1;
  Object opresult3130 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3130
  *var_accum = opresult3130;
  if (opresult3130 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3122 = done;
  } else {
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3134 == NULL) {
    strlit3134 = alloc_String("u");
    gc_root(strlit3134);
  }
// compilenode returning strlit3134
  int op_slot_right_3133 = gc_frame_newslot(strlit3134);
// compilenode returning *var_c
  int op_slot_left_3133 = gc_frame_newslot(*var_c);
  params[0] = strlit3134;
  partcv[0] = 1;
  Object opresult3136 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3136
  Object if3132 = done;
  if (istrue(opresult3136)) {
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3137 = alloc_Float64(4);
// compilenode returning num3137
  *var_unichars = num3137;
  if (num3137 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3139 = alloc_Float64(0);
// compilenode returning num3139
  *var_codepoint = num3139;
  if (num3139 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3132 = done;
  } else {
// Begin line 941
  setline(941);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3143 == NULL) {
    strlit3143 = alloc_String("U");
    gc_root(strlit3143);
  }
// compilenode returning strlit3143
  int op_slot_right_3142 = gc_frame_newslot(strlit3143);
// compilenode returning *var_c
  int op_slot_left_3142 = gc_frame_newslot(*var_c);
  params[0] = strlit3143;
  partcv[0] = 1;
  Object opresult3145 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3145
  Object if3141 = done;
  if (istrue(opresult3145)) {
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3146 = alloc_Float64(6);
// compilenode returning num3146
  *var_unichars = num3146;
  if (num3146 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 941
  setline(941);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3148 = alloc_Float64(0);
// compilenode returning num3148
  *var_codepoint = num3148;
  if (num3148 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3141 = done;
  } else {
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 941
  setline(941);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3152 == NULL) {
    strlit3152 = alloc_String("t");
    gc_root(strlit3152);
  }
// compilenode returning strlit3152
  int op_slot_right_3151 = gc_frame_newslot(strlit3152);
// compilenode returning *var_c
  int op_slot_left_3151 = gc_frame_newslot(*var_c);
  params[0] = strlit3152;
  partcv[0] = 1;
  Object opresult3154 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3154
  Object if3150 = done;
  if (istrue(opresult3154)) {
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 943
  setline(943);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3156 == NULL) {
    strlit3156 = alloc_String("""\x09""");
    gc_root(strlit3156);
  }
// compilenode returning strlit3156
  int op_slot_right_3155 = gc_frame_newslot(strlit3156);
// compilenode returning *var_accum
  int op_slot_left_3155 = gc_frame_newslot(*var_accum);
  params[0] = strlit3156;
  partcv[0] = 1;
  Object opresult3158 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3158
  *var_accum = opresult3158;
  if (opresult3158 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3150 = done;
  } else {
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3162 == NULL) {
    strlit3162 = alloc_String("r");
    gc_root(strlit3162);
  }
// compilenode returning strlit3162
  int op_slot_right_3161 = gc_frame_newslot(strlit3162);
// compilenode returning *var_c
  int op_slot_left_3161 = gc_frame_newslot(*var_c);
  params[0] = strlit3162;
  partcv[0] = 1;
  Object opresult3164 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3164
  Object if3160 = done;
  if (istrue(opresult3164)) {
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3166 == NULL) {
    strlit3166 = alloc_String("""\x0d""");
    gc_root(strlit3166);
  }
// compilenode returning strlit3166
  int op_slot_right_3165 = gc_frame_newslot(strlit3166);
// compilenode returning *var_accum
  int op_slot_left_3165 = gc_frame_newslot(*var_accum);
  params[0] = strlit3166;
  partcv[0] = 1;
  Object opresult3168 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3168
  *var_accum = opresult3168;
  if (opresult3168 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3160 = done;
  } else {
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3172 == NULL) {
    strlit3172 = alloc_String("b");
    gc_root(strlit3172);
  }
// compilenode returning strlit3172
  int op_slot_right_3171 = gc_frame_newslot(strlit3172);
// compilenode returning *var_c
  int op_slot_left_3171 = gc_frame_newslot(*var_c);
  params[0] = strlit3172;
  partcv[0] = 1;
  Object opresult3174 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3174
  Object if3170 = done;
  if (istrue(opresult3174)) {
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 949
  setline(949);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3176 == NULL) {
    strlit3176 = alloc_String("""\x08""");
    gc_root(strlit3176);
  }
// compilenode returning strlit3176
  int op_slot_right_3175 = gc_frame_newslot(strlit3176);
// compilenode returning *var_accum
  int op_slot_left_3175 = gc_frame_newslot(*var_accum);
  params[0] = strlit3176;
  partcv[0] = 1;
  Object opresult3178 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3178
  *var_accum = opresult3178;
  if (opresult3178 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3170 = done;
  } else {
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3182 == NULL) {
    strlit3182 = alloc_String("l");
    gc_root(strlit3182);
  }
// compilenode returning strlit3182
  int op_slot_right_3181 = gc_frame_newslot(strlit3182);
// compilenode returning *var_c
  int op_slot_left_3181 = gc_frame_newslot(*var_c);
  params[0] = strlit3182;
  partcv[0] = 1;
  Object opresult3184 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3184
  Object if3180 = done;
  if (istrue(opresult3184)) {
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3186 == NULL) {
    strlit3186 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit3186);
  }
// compilenode returning strlit3186
  int op_slot_right_3185 = gc_frame_newslot(strlit3186);
// compilenode returning *var_accum
  int op_slot_left_3185 = gc_frame_newslot(*var_accum);
  params[0] = strlit3186;
  partcv[0] = 1;
  Object opresult3188 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3188
  *var_accum = opresult3188;
  if (opresult3188 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3180 = done;
  } else {
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3192 == NULL) {
    strlit3192 = alloc_String("f");
    gc_root(strlit3192);
  }
// compilenode returning strlit3192
  int op_slot_right_3191 = gc_frame_newslot(strlit3192);
// compilenode returning *var_c
  int op_slot_left_3191 = gc_frame_newslot(*var_c);
  params[0] = strlit3192;
  partcv[0] = 1;
  Object opresult3194 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3194
  Object if3190 = done;
  if (istrue(opresult3194)) {
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 955
  setline(955);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3196 == NULL) {
    strlit3196 = alloc_String("""\x0c""");
    gc_root(strlit3196);
  }
// compilenode returning strlit3196
  int op_slot_right_3195 = gc_frame_newslot(strlit3196);
// compilenode returning *var_accum
  int op_slot_left_3195 = gc_frame_newslot(*var_accum);
  params[0] = strlit3196;
  partcv[0] = 1;
  Object opresult3198 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3198
  *var_accum = opresult3198;
  if (opresult3198 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3190 = done;
  } else {
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3202 == NULL) {
    strlit3202 = alloc_String("e");
    gc_root(strlit3202);
  }
// compilenode returning strlit3202
  int op_slot_right_3201 = gc_frame_newslot(strlit3202);
// compilenode returning *var_c
  int op_slot_left_3201 = gc_frame_newslot(*var_c);
  params[0] = strlit3202;
  partcv[0] = 1;
  Object opresult3204 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3204
  Object if3200 = done;
  if (istrue(opresult3204)) {
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3206 == NULL) {
    strlit3206 = alloc_String("""\x1b""");
    gc_root(strlit3206);
  }
// compilenode returning strlit3206
  int op_slot_right_3205 = gc_frame_newslot(strlit3206);
// compilenode returning *var_accum
  int op_slot_left_3205 = gc_frame_newslot(*var_accum);
  params[0] = strlit3206;
  partcv[0] = 1;
  Object opresult3208 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3208
  *var_accum = opresult3208;
  if (opresult3208 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3200 = done;
  } else {
// Begin line 963
  setline(963);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 962
  setline(962);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_3210 = gc_frame_newslot(*var_c);
// compilenode returning *var_accum
  int op_slot_left_3210 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3212 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3212
  *var_accum = opresult3212;
  if (opresult3212 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3200 = done;
  }
// compilenode returning if3200
    gc_frame_newslot(if3200);
    if3190 = if3200;
  }
// compilenode returning if3190
    gc_frame_newslot(if3190);
    if3180 = if3190;
  }
// compilenode returning if3180
    gc_frame_newslot(if3180);
    if3170 = if3180;
  }
// compilenode returning if3170
    gc_frame_newslot(if3170);
    if3160 = if3170;
  }
// compilenode returning if3160
    gc_frame_newslot(if3160);
    if3150 = if3160;
  }
// compilenode returning if3150
    gc_frame_newslot(if3150);
    if3141 = if3150;
  }
// compilenode returning if3141
    gc_frame_newslot(if3141);
    if3132 = if3141;
  }
// compilenode returning if3132
    gc_frame_newslot(if3132);
    if3122 = if3132;
  }
// compilenode returning if3122
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3214 = alloc_Boolean(0);
// compilenode returning bool3214
  *var_escaped = bool3214;
  if (bool3214 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3121 = done;
  } else {
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3218 == NULL) {
    strlit3218 = alloc_String("\\");
    gc_root(strlit3218);
  }
// compilenode returning strlit3218
  int op_slot_right_3217 = gc_frame_newslot(strlit3218);
// compilenode returning *var_c
  int op_slot_left_3217 = gc_frame_newslot(*var_c);
  params[0] = strlit3218;
  partcv[0] = 1;
  Object opresult3220 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3220
  Object if3216 = done;
  if (istrue(opresult3220)) {
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3221 = alloc_Boolean(1);
// compilenode returning bool3221
  *var_escaped = bool3221;
  if (bool3221 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3216 = done;
  } else {
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3225 = alloc_Float64(0);
// compilenode returning num3225
  int op_slot_right_3224 = gc_frame_newslot(num3225);
// compilenode returning *var_unichars
  int op_slot_left_3224 = gc_frame_newslot(*var_unichars);
  params[0] = num3225;
  partcv[0] = 1;
  Object opresult3227 = callmethod(*var_unichars, ">", 1, partcv, params);
// compilenode returning opresult3227
  Object if3223 = done;
  if (istrue(opresult3227)) {
// Begin line 974
  setline(974);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3229 = alloc_Float64(1);
// compilenode returning num3229
  int op_slot_right_3228 = gc_frame_newslot(num3229);
// compilenode returning *var_unichars
  int op_slot_left_3228 = gc_frame_newslot(*var_unichars);
  params[0] = num3229;
  partcv[0] = 1;
  Object diff3231 = callmethod(*var_unichars, "-", 1, partcv, params);
// compilenode returning diff3231
  *var_unichars = diff3231;
  if (diff3231 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 974
  setline(974);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3234 = alloc_Float64(16);
// compilenode returning num3234
  int op_slot_right_3233 = gc_frame_newslot(num3234);
// compilenode returning *var_codepoint
  int op_slot_left_3233 = gc_frame_newslot(*var_codepoint);
  params[0] = num3234;
  partcv[0] = 1;
  Object prod3236 = callmethod(*var_codepoint, "*", 1, partcv, params);
// compilenode returning prod3236
  *var_codepoint = prod3236;
  if (prod3236 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3239 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
  int callframe3240 = gc_frame_new();
  int callframe3241 = gc_frame_new();
  Object call3242 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3241);
// compilenode returning call3242
// compilenode returning call3242
  partcv[0] = 0;
  Object call3243 = callmethodflags(call3242, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3240);
// compilenode returning call3243
// compilenode returning call3243
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3244 = callmethodflags(call3243, "hexdecchar", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3239);
// compilenode returning call3244
  int op_slot_right_3238 = gc_frame_newslot(call3244);
// compilenode returning *var_codepoint
  int op_slot_left_3238 = gc_frame_newslot(*var_codepoint);
  params[0] = call3244;
  partcv[0] = 1;
  Object sum3246 = callmethod(*var_codepoint, "+", 1, partcv, params);
// compilenode returning sum3246
  *var_codepoint = sum3246;
  if (sum3246 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3250 = alloc_Float64(0);
// compilenode returning num3250
  int op_slot_right_3249 = gc_frame_newslot(num3250);
// compilenode returning *var_unichars
  int op_slot_left_3249 = gc_frame_newslot(*var_unichars);
  params[0] = num3250;
  partcv[0] = 1;
  Object opresult3252 = callmethod(*var_unichars, "==", 1, partcv, params);
// compilenode returning opresult3252
  Object if3248 = done;
  if (istrue(opresult3252)) {
// Begin line 979
  setline(979);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3254 = gc_frame_new();
// compilenode returning *var_codepoint
  gc_frame_newslot(*var_codepoint);
// compilenode returning *var_unicode
  params[0] = *var_codepoint;
  partcv[0] = 1;
  Object call3255 = callmethod(*var_unicode, "create",
    1, partcv, params);
  gc_frame_end(callframe3254);
// compilenode returning call3255
  int op_slot_right_3253 = gc_frame_newslot(call3255);
// compilenode returning *var_accum
  int op_slot_left_3253 = gc_frame_newslot(*var_accum);
  params[0] = call3255;
  partcv[0] = 1;
  Object opresult3257 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3257
  *var_accum = opresult3257;
  if (opresult3257 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3248 = done;
  } else {
  }
// compilenode returning if3248
    gc_frame_newslot(if3248);
    if3223 = if3248;
  } else {
// Begin line 994
  setline(994);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3261 == NULL) {
    strlit3261 = alloc_String("{");
    gc_root(strlit3261);
  }
// compilenode returning strlit3261
  int op_slot_right_3260 = gc_frame_newslot(strlit3261);
// compilenode returning *var_c
  int op_slot_left_3260 = gc_frame_newslot(*var_c);
  params[0] = strlit3261;
  partcv[0] = 1;
  Object opresult3263 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3263
  Object if3259 = done;
  if (istrue(opresult3263)) {
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3265 = gc_frame_new();
// compilenode returning *var_interpString
  partcv[0] = 0;
  Object call3266 = callmethod(*var_interpString, "not",
    1, partcv, params);
  gc_frame_end(callframe3265);
// compilenode returning call3266
// compilenode returning call3266
  Object if3264 = done;
  if (istrue(call3266)) {
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3267 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit3268 == NULL) {
    strlit3268 = alloc_String("(");
    gc_root(strlit3268);
  }
// compilenode returning strlit3268
  gc_frame_newslot(strlit3268);
  if (strlit3269 == NULL) {
    strlit3269 = alloc_String("(");
    gc_root(strlit3269);
  }
// compilenode returning strlit3269
  gc_frame_newslot(strlit3269);
  params[0] = *var_tokens;
  params[1] = strlit3268;
  params[2] = strlit3269;
  partcv[0] = 3;
  Object call3270 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3267);
// compilenode returning call3270
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3271 = alloc_Boolean(1);
// compilenode returning bool3271
  *var_interpString = bool3271;
  if (bool3271 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3264 = done;
  } else {
  }
// compilenode returning if3264
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3273 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3274 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3273);
// compilenode returning call3274
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3275 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit3276 == NULL) {
    strlit3276 = alloc_String("o");
    gc_root(strlit3276);
  }
// compilenode returning strlit3276
  gc_frame_newslot(strlit3276);
  if (strlit3277 == NULL) {
    strlit3277 = alloc_String("++");
    gc_root(strlit3277);
  }
// compilenode returning strlit3277
  gc_frame_newslot(strlit3277);
  params[0] = *var_tokens;
  params[1] = strlit3276;
  params[2] = strlit3277;
  partcv[0] = 3;
  Object call3278 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3275);
// compilenode returning call3278
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3279 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit3280 == NULL) {
    strlit3280 = alloc_String("(");
    gc_root(strlit3280);
  }
// compilenode returning strlit3280
  gc_frame_newslot(strlit3280);
  if (strlit3281 == NULL) {
    strlit3281 = alloc_String("(");
    gc_root(strlit3281);
  }
// compilenode returning strlit3281
  gc_frame_newslot(strlit3281);
  params[0] = *var_tokens;
  params[1] = strlit3280;
  params[2] = strlit3281;
  partcv[0] = 3;
  Object call3282 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3279);
// compilenode returning call3282
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3283 == NULL) {
    strlit3283 = alloc_String("n");
    gc_root(strlit3283);
  }
// compilenode returning strlit3283
  *var_mode = strlit3283;
  if (strlit3283 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3285 == NULL) {
    strlit3285 = alloc_String("n");
    gc_root(strlit3285);
  }
// compilenode returning strlit3285
  *var_newmode = strlit3285;
  if (strlit3285 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 992
  setline(992);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3287 == NULL) {
    strlit3287 = alloc_String("");
    gc_root(strlit3287);
  }
// compilenode returning strlit3287
  *var_accum = strlit3287;
  if (strlit3287 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 992
  setline(992);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3289 = alloc_Boolean(0);
// compilenode returning bool3289
  *var_instr = bool3289;
  if (bool3289 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 994
  setline(994);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3292 = alloc_Float64(1);
// compilenode returning num3292
  int op_slot_right_3291 = gc_frame_newslot(num3292);
// compilenode returning *var_interpdepth
  int op_slot_left_3291 = gc_frame_newslot(*var_interpdepth);
  params[0] = num3292;
  partcv[0] = 1;
  Object sum3294 = callmethod(*var_interpdepth, "+", 1, partcv, params);
// compilenode returning sum3294
  *var_interpdepth = sum3294;
  if (sum3294 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3259 = done;
  } else {
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_3296 = gc_frame_newslot(*var_c);
// compilenode returning *var_accum
  int op_slot_left_3296 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3298 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3298
  *var_accum = opresult3298;
  if (opresult3298 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3259 = done;
  }
// compilenode returning if3259
    gc_frame_newslot(if3259);
    if3223 = if3259;
  }
// compilenode returning if3223
    gc_frame_newslot(if3223);
    if3216 = if3223;
  }
// compilenode returning if3216
    gc_frame_newslot(if3216);
    if3121 = if3216;
  }
// compilenode returning if3121
    gc_frame_newslot(if3121);
    if2846 = if3121;
  } else {
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3303 == NULL) {
    strlit3303 = alloc_String("""\x0d""");
    gc_root(strlit3303);
  }
// compilenode returning strlit3303
  int op_slot_right_3302 = gc_frame_newslot(strlit3303);
// compilenode returning *var_c
  int op_slot_left_3302 = gc_frame_newslot(*var_c);
  params[0] = strlit3303;
  partcv[0] = 1;
  Object opresult3305 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3305
  int op_slot_right_3301 = gc_frame_newslot(opresult3305);
  if (strlit3308 == NULL) {
    strlit3308 = alloc_String("""\x0a""");
    gc_root(strlit3308);
  }
// compilenode returning strlit3308
  int op_slot_right_3307 = gc_frame_newslot(strlit3308);
// compilenode returning *var_c
  int op_slot_left_3307 = gc_frame_newslot(*var_c);
  params[0] = strlit3308;
  partcv[0] = 1;
  Object opresult3310 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3310
  int op_slot_left_3301 = gc_frame_newslot(opresult3310);
  params[0] = opresult3305;
  partcv[0] = 1;
  Object opresult3311 = callmethod(opresult3310, "||", 1, partcv, params);
// compilenode returning opresult3311
  Object if3300 = done;
  if (istrue(opresult3311)) {
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3312 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3313 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3312);
// compilenode returning call3313
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3314 == NULL) {
    strlit3314 = alloc_String("d");
    gc_root(strlit3314);
  }
// compilenode returning strlit3314
  *var_mode = strlit3314;
  if (strlit3314 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3316 == NULL) {
    strlit3316 = alloc_String("d");
    gc_root(strlit3316);
  }
// compilenode returning strlit3316
  *var_newmode = strlit3316;
  if (strlit3316 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3318 == NULL) {
    strlit3318 = alloc_String("");
    gc_root(strlit3318);
  }
// compilenode returning strlit3318
  *var_accum = strlit3318;
  if (strlit3318 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3300 = done;
  } else {
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1004
  setline(1004);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_3320 = gc_frame_newslot(*var_c);
// compilenode returning *var_accum
  int op_slot_left_3320 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3322 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3322
  *var_accum = opresult3322;
  if (opresult3322 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3300 = done;
  }
// compilenode returning if3300
    gc_frame_newslot(if3300);
    if2846 = if3300;
  }
// compilenode returning if2846
    gc_frame_newslot(if2846);
    if2762 = if2846;
  }
// compilenode returning if2762
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3326 == NULL) {
    strlit3326 = alloc_String("...");
    gc_root(strlit3326);
  }
// compilenode returning strlit3326
  int op_slot_right_3325 = gc_frame_newslot(strlit3326);
// compilenode returning *var_accum
  int op_slot_left_3325 = gc_frame_newslot(*var_accum);
  params[0] = strlit3326;
  partcv[0] = 1;
  Object opresult3328 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult3328
  Object if3324 = done;
  if (istrue(opresult3328)) {
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3331 == NULL) {
    strlit3331 = alloc_String("o");
    gc_root(strlit3331);
  }
// compilenode returning strlit3331
  int op_slot_right_3330 = gc_frame_newslot(strlit3331);
// compilenode returning *var_mode
  int op_slot_left_3330 = gc_frame_newslot(*var_mode);
  params[0] = strlit3331;
  partcv[0] = 1;
  Object opresult3333 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult3333
  Object if3329 = done;
  if (istrue(opresult3333)) {
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3334 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit3335 == NULL) {
    strlit3335 = alloc_String("i");
    gc_root(strlit3335);
  }
// compilenode returning strlit3335
  gc_frame_newslot(strlit3335);
  if (strlit3336 == NULL) {
    strlit3336 = alloc_String("...");
    gc_root(strlit3336);
  }
// compilenode returning strlit3336
  gc_frame_newslot(strlit3336);
  params[0] = *var_tokens;
  params[1] = strlit3335;
  params[2] = strlit3336;
  partcv[0] = 3;
  Object call3337 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3334);
// compilenode returning call3337
// Begin line 1010
  setline(1010);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3338 == NULL) {
    strlit3338 = alloc_String("n");
    gc_root(strlit3338);
  }
// compilenode returning strlit3338
  *var_newmode = strlit3338;
  if (strlit3338 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1010
  setline(1010);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_newmode
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3341 == NULL) {
    strlit3341 = alloc_String("");
    gc_root(strlit3341);
  }
// compilenode returning strlit3341
  *var_accum = strlit3341;
  if (strlit3341 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3329 = done;
  } else {
  }
// compilenode returning if3329
    gc_frame_newslot(if3329);
    if3324 = if3329;
  } else {
  }
// compilenode returning if3324
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3345 == NULL) {
    strlit3345 = alloc_String("""\x0a""");
    gc_root(strlit3345);
  }
// compilenode returning strlit3345
  int op_slot_right_3344 = gc_frame_newslot(strlit3345);
// compilenode returning *var_c
  int op_slot_left_3344 = gc_frame_newslot(*var_c);
  params[0] = strlit3345;
  partcv[0] = 1;
  Object opresult3347 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3347
  Object if3343 = done;
  if (istrue(opresult3347)) {
// Begin line 1020
  setline(1020);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3349 = alloc_Float64(1);
// compilenode returning num3349
  int op_slot_right_3348 = gc_frame_newslot(num3349);
// compilenode returning *var_lineNumber
  int op_slot_left_3348 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3349;
  partcv[0] = 1;
  Object sum3351 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compilenode returning sum3351
  *var_lineNumber = sum3351;
  if (sum3351 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1020
  setline(1020);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3353 = alloc_Float64(0);
// compilenode returning num3353
  *var_linePosition = num3353;
  if (num3353 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1022
  setline(1022);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3355 = alloc_Float64(1);
// compilenode returning num3355
  *var_startPosition = num3355;
  if (num3355 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3343 = done;
  } else {
  }
// compilenode returning if3343
  gc_frame_end(frame);
  return if3343;
}
Object meth_lexer__apply3360(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_linePosition = getfromclosure(closure, 0);
  Object *var_mode = getfromclosure(closure, 1);
  Object *var_mainBlock = getfromclosure(closure, 2);
  Object *var_prev = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3362 = alloc_Float64(1);
// compilenode returning num3362
  int op_slot_right_3361 = gc_frame_newslot(num3362);
// compilenode returning *var_linePosition
  int op_slot_left_3361 = gc_frame_newslot(*var_linePosition);
  params[0] = num3362;
  partcv[0] = 1;
  Object sum3364 = callmethod(*var_linePosition, "+", 1, partcv, params);
// compilenode returning sum3364
  *var_linePosition = sum3364;
  if (sum3364 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3368 == NULL) {
    strlit3368 = alloc_String(" ");
    gc_root(strlit3368);
  }
// compilenode returning strlit3368
  int op_slot_right_3367 = gc_frame_newslot(strlit3368);
// compilenode returning *var_c
  int op_slot_left_3367 = gc_frame_newslot(*var_c);
  params[0] = strlit3368;
  partcv[0] = 1;
  Object opresult3370 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3370
  Object if3366 = done;
  if (istrue(opresult3370)) {
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3373 == NULL) {
    strlit3373 = alloc_String("d");
    gc_root(strlit3373);
  }
// compilenode returning strlit3373
  int op_slot_right_3372 = gc_frame_newslot(strlit3373);
// compilenode returning *var_mode
  int op_slot_left_3372 = gc_frame_newslot(*var_mode);
  params[0] = strlit3373;
  partcv[0] = 1;
  Object opresult3375 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult3375
  Object if3371 = done;
  if (istrue(opresult3375)) {
    gc_frame_newslot(done);
    if3371 = done;
  } else {
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3378 == NULL) {
    strlit3378 = alloc_String("n");
    gc_root(strlit3378);
  }
// compilenode returning strlit3378
  int op_slot_right_3377 = gc_frame_newslot(strlit3378);
// compilenode returning *var_mode
  int op_slot_left_3377 = gc_frame_newslot(*var_mode);
  params[0] = strlit3378;
  partcv[0] = 1;
  Object opresult3380 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult3380
  Object if3376 = done;
  if (istrue(opresult3380)) {
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3381 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_mainBlock
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3382 = callmethod(*var_mainBlock, "apply",
    1, partcv, params);
  gc_frame_end(callframe3381);
// compilenode returning call3382
    gc_frame_newslot(call3382);
    if3376 = call3382;
  } else {
  }
// compilenode returning if3376
    gc_frame_newslot(if3376);
    if3371 = if3376;
  }
// compilenode returning if3371
    gc_frame_newslot(if3371);
    if3366 = if3371;
  } else {
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3383 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_mainBlock
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3384 = callmethod(*var_mainBlock, "apply",
    1, partcv, params);
  gc_frame_end(callframe3383);
// compilenode returning call3384
    gc_frame_newslot(call3384);
    if3366 = call3384;
  }
// compilenode returning if3366
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  *var_prev = *var_c;
  if (*var_c == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_lexinput1741(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(28, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexinput");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[14];
  int partcv[3];
  Object *var_linePosition = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lineNumber = getfromclosure(closure, 4);
  Object *var_startPosition = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lexinput (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_input = &(stackframe->slots[0]);
  *var_input = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for lexinput");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tokens = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "tokens");
  Object *var_mode = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "mode");
  Object *var_newmode = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newmode");
  Object *var_instr = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "instr");
  Object *var_inBackticks = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "inBackticks");
  Object *var_backtickIdent = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "backtickIdent");
  Object *var_accum = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "accum");
  Object *var_escaped = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "escaped");
  Object *var_prev = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "prev");
  Object *var_unichars = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "unichars");
  Object *var_codepoint = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "codepoint");
  Object *var_interpdepth = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "interpdepth");
  Object *var_interpString = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "interpString");
  Object *var_atStart = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "atStart");
  Object *var_badSeparator = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "badSeparator");
  Object *var_badControl = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "badControl");
  Object *var_selfModes = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "selfModes");
  Object *var_brackets = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "brackets");
  Object *var_identifierChar = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "identifierChar");
  Object *var_digit = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "digit");
  Object *var_digitB = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "digitB");
  Object *var_operatorChar = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "operatorChar");
  Object *var_iGTLT = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "iGTLT");
  Object *var_notcp = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "notcp");
  Object *var_mainBlock = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "mainBlock");
  Object *var_suggestion = &(stackframe->slots[27]);
  setframeelementname(stackframe, 27, "suggestion");
// Begin line 532
  setline(532);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject1742 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1742 = alloc_userobj2(13,11, objclass1742);
  gc_frame_newslot(obj1742);
// OBJECT OUTER DEC outer
  adddatum2(obj1742, self, 0);
  addmethodreal(obj1742,"outer", &reader_lexer_outer_1743);
  Object oldself1742 = self;
  struct StackFrameObject *oldstackframe1742 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1742);
  gc_frame_newslot((Object)stackframe);
  self = obj1742;
  Object *oldselfslot1742 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1742 = (*(struct UserObject *)self).data[0], lowerouter1742 = thisouter1742;
  if (inheritingObject1742) {
    struct UserObject *inho1742 = (struct UserObject *)inheritingObject1742;
    while (inho1742->super != GraceDefaultObject) inho1742 = (struct UserObject *)inho1742->super;
    inho1742->super = obj1742;
    self = inheritingObject1742;
    *selfslot = self;
    lowerouter1742 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1742;
  }
if (objclass1742 == NULL) {
  Method *reader1744 = addmethodrealflags(obj1742, "first",&reader_lexer_first_1744, 0);
  Method *writer1744 = addmethodrealflags(obj1742, "first:=",&writer_lexer_first_1744, 0);
  reader1744->definitionModule = modulename;
  writer1744->definitionModule = modulename;
  reader1744->definitionLine = 534;
  writer1744->definitionLine = 534;
}
obj1742->flags |= OFLAG_MUTABLE;
adddatum2(obj1742, alloc_Undefined(), 1);
if (objclass1742 == NULL) {
  Method *reader1745 = addmethodrealflags(obj1742, "last",&reader_lexer_last_1745, 0);
  Method *writer1745 = addmethodrealflags(obj1742, "last:=",&writer_lexer_last_1745, 0);
  reader1745->definitionModule = modulename;
  writer1745->definitionModule = modulename;
  reader1745->definitionLine = 535;
  writer1745->definitionLine = 535;
}
obj1742->flags |= OFLAG_MUTABLE;
adddatum2(obj1742, alloc_Undefined(), 2);
if (objclass1742 == NULL) {
  Method *reader1746 = addmethodrealflags(obj1742, "size'",&reader_lexer_size_39__1746, 0);
  Method *writer1746 = addmethodrealflags(obj1742, "size':=",&writer_lexer_size_39__1746, 0);
  reader1746->definitionModule = modulename;
  writer1746->definitionModule = modulename;
  reader1746->definitionLine = 537;
  writer1746->definitionLine = 537;
}
obj1742->flags |= OFLAG_MUTABLE;
adddatum2(obj1742, alloc_Undefined(), 3);
  struct UserObject *uo1747 = (struct UserObject*)obj1742;
  uo1747->data[4] = emptyclosure;
  Method *meth_meth_lexer_push1747 = addmethod2pos(obj1742, "push", &meth_lexer_push1747, 4);
int argcv_meth_lexer_push1747[] = {1};
meth_meth_lexer_push1747->type = alloc_MethodType(1, argcv_meth_lexer_push1747);
  meth_meth_lexer_push1747->definitionModule = modulename;
  meth_meth_lexer_push1747->definitionLine = 537;
  struct UserObject *uo1777 = (struct UserObject*)obj1742;
  uo1777->data[5] = emptyclosure;
  Method *meth_meth_lexer_pop1777 = addmethod2pos(obj1742, "pop", &meth_lexer_pop1777, 5);
int argcv_meth_lexer_pop1777[] = {0};
meth_meth_lexer_pop1777->type = alloc_MethodType(1, argcv_meth_lexer_pop1777);
  meth_meth_lexer_pop1777->definitionModule = modulename;
  meth_meth_lexer_pop1777->definitionLine = 549;
  struct UserObject *uo1811 = (struct UserObject*)obj1742;
  uo1811->data[6] = emptyclosure;
  Method *meth_meth_lexer_poll1811 = addmethod2pos(obj1742, "poll", &meth_lexer_poll1811, 6);
int argcv_meth_lexer_poll1811[] = {0};
meth_meth_lexer_poll1811->type = alloc_MethodType(1, argcv_meth_lexer_poll1811);
  meth_meth_lexer_poll1811->definitionModule = modulename;
  meth_meth_lexer_poll1811->definitionLine = 561;
  struct UserObject *uo1845 = (struct UserObject*)obj1742;
  uo1845->data[7] = emptyclosure;
  Method *meth_meth_lexer_size1845 = addmethod2pos(obj1742, "size", &meth_lexer_size1845, 7);
int argcv_meth_lexer_size1845[] = {0};
meth_meth_lexer_size1845->type = alloc_MethodType(1, argcv_meth_lexer_size1845);
  meth_meth_lexer_size1845->definitionModule = modulename;
  meth_meth_lexer_size1845->definitionLine = 573;
  struct UserObject *uo1852 = (struct UserObject*)obj1742;
  uo1852->data[8] = emptyclosure;
  Method *meth_meth_lexer_iter1852 = addmethod2pos(obj1742, "iter", &meth_lexer_iter1852, 8);
int argcv_meth_lexer_iter1852[] = {0};
meth_meth_lexer_iter1852->type = alloc_MethodType(1, argcv_meth_lexer_iter1852);
  meth_meth_lexer_iter1852->definitionModule = modulename;
  meth_meth_lexer_iter1852->definitionLine = 577;
  Method *meth_meth_lexer_iter1852_object = addmethod2pos(obj1742, "iter()object", &meth_lexer_iter1852_object, 8);
int argcv_meth_lexer_iter1852_object[] = {0};
meth_meth_lexer_iter1852_object->type = alloc_MethodType(1, argcv_meth_lexer_iter1852_object);
  meth_meth_lexer_iter1852_object->definitionModule = modulename;
  meth_meth_lexer_iter1852_object->definitionLine = 577;
  struct UserObject *uo1877 = (struct UserObject*)obj1742;
  uo1877->data[9] = emptyclosure;
  Method *meth_meth_lexer_iterator1877 = addmethod2pos(obj1742, "iterator", &meth_lexer_iterator1877, 9);
int argcv_meth_lexer_iterator1877[] = {0};
meth_meth_lexer_iterator1877->type = alloc_MethodType(1, argcv_meth_lexer_iterator1877);
  meth_meth_lexer_iterator1877->definitionModule = modulename;
  meth_meth_lexer_iterator1877->definitionLine = 591;
  sourceObject = obj1742;
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1880 = alloc_Boolean(0);
// compilenode returning bool1880
  adddatum2(obj1742, bool1880, 1);
  sourceObject = obj1742;
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1881 = alloc_Boolean(0);
// compilenode returning bool1881
  adddatum2(obj1742, bool1881, 2);
  sourceObject = obj1742;
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1882 = alloc_Float64(0);
// compilenode returning num1882
  adddatum2(obj1742, num1882, 3);
  sourceObject = obj1742;
  sourceObject = obj1742;
  sourceObject = obj1742;
  sourceObject = obj1742;
  sourceObject = obj1742;
  sourceObject = obj1742;
objclass1742 = obj1742->class;
  objclass1742->definitionModule = modulename;
  objclass1742->definitionLine = 532;
  (*(struct UserObject *)self).data[0] = lowerouter1742;
  self = oldself1742;
  selfslot = oldselfslot1742;
  stackframe = oldstackframe1742;
// compilenode returning obj1742
  *var_tokens = obj1742;
  if (obj1742 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1883 == NULL) {
    strlit1883 = alloc_String("d");
    gc_root(strlit1883);
  }
// compilenode returning strlit1883
  *var_mode = strlit1883;
  if (strlit1883 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_mode
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1884 = alloc_Boolean(0);
// compilenode returning bool1884
  *var_instr = bool1884;
  if (bool1884 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1885 = alloc_Boolean(0);
// compilenode returning bool1885
  *var_inBackticks = bool1885;
  if (bool1885 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1886 = alloc_Boolean(0);
// compilenode returning bool1886
  *var_backtickIdent = bool1886;
  if (bool1886 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1887 == NULL) {
    strlit1887 = alloc_String("");
    gc_root(strlit1887);
  }
// compilenode returning strlit1887
  *var_accum = strlit1887;
  if (strlit1887 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1888 = alloc_Boolean(0);
// compilenode returning bool1888
  *var_escaped = bool1888;
  if (bool1888 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1889 == NULL) {
    strlit1889 = alloc_String("");
    gc_root(strlit1889);
  }
// compilenode returning strlit1889
  *var_prev = strlit1889;
  if (strlit1889 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1890 = alloc_Float64(0);
// compilenode returning num1890
  *var_unichars = num1890;
  if (num1890 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1891 = alloc_Float64(0);
// compilenode returning num1891
  *var_codepoint = num1891;
  if (num1891 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1892 = alloc_Float64(0);
// compilenode returning num1892
  *var_interpdepth = num1892;
  if (num1892 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1893 = alloc_Boolean(0);
// compilenode returning bool1893
  *var_interpString = bool1893;
  if (bool1893 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 609
  setline(609);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1894 = alloc_Boolean(1);
// compilenode returning bool1894
  *var_atStart = bool1894;
  if (bool1894 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 609
  setline(609);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1895 = alloc_Float64(0);
// compilenode returning num1895
  *var_linePosition = num1895;
  if (num1895 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1897 = gc_frame_new();
  if (strlit1898 == NULL) {
    strlit1898 = alloc_String("lexing.");
    gc_root(strlit1898);
  }
// compilenode returning strlit1898
  gc_frame_newslot(strlit1898);
// compilenode returning *var_util
  params[0] = strlit1898;
  partcv[0] = 1;
  Object call1899 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe1897);
// compilenode returning call1899
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1900 = gc_frame_new();
  if (strlit1901 == NULL) {
    strlit1901 = alloc_String("Z");
    gc_root(strlit1901);
  }
// compilenode returning strlit1901
  gc_frame_newslot(strlit1901);
  Object num1902 = alloc_Float64(9);
// compilenode returning num1902
  gc_frame_newslot(num1902);
  Object num1903 = alloc_Float64(32);
// compilenode returning num1903
  gc_frame_newslot(num1903);
  Object num1904 = alloc_Float64(8232);
// compilenode returning num1904
  gc_frame_newslot(num1904);
// compilenode returning *var_unicode
  params[0] = strlit1901;
  params[1] = num1902;
  params[2] = num1903;
  params[3] = num1904;
  partcv[0] = 2;
  partcv[1] = 2;
  Object call1905 = callmethod(*var_unicode, "pattern()not",
    2, partcv, params);
  gc_frame_end(callframe1900);
// compilenode returning call1905
  *var_badSeparator = call1905;
  if (call1905 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1906 = gc_frame_new();
  if (strlit1907 == NULL) {
    strlit1907 = alloc_String("C");
    gc_root(strlit1907);
  }
// compilenode returning strlit1907
  gc_frame_newslot(strlit1907);
  Object num1908 = alloc_Float64(10);
// compilenode returning num1908
  gc_frame_newslot(num1908);
  Object num1909 = alloc_Float64(13);
// compilenode returning num1909
  gc_frame_newslot(num1909);
// compilenode returning *var_unicode
  params[0] = strlit1907;
  params[1] = num1908;
  params[2] = num1909;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call1910 = callmethod(*var_unicode, "pattern()not",
    2, partcv, params);
  gc_frame_end(callframe1906);
// compilenode returning call1910
  *var_badControl = call1910;
  if (call1910 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1911 = gc_frame_new();
  int callframe1912 = gc_frame_new();
  if (strlit1913 == NULL) {
    strlit1913 = alloc_String("(");
    gc_root(strlit1913);
  }
// compilenode returning strlit1913
  partcv[0] = 0;
  Object call1914 = callmethod(strlit1913, "ord",
    1, partcv, params);
  gc_frame_end(callframe1912);
// compilenode returning call1914
// compilenode returning call1914
  gc_frame_newslot(call1914);
  int callframe1915 = gc_frame_new();
  if (strlit1916 == NULL) {
    strlit1916 = alloc_String(")");
    gc_root(strlit1916);
  }
// compilenode returning strlit1916
  partcv[0] = 0;
  Object call1917 = callmethod(strlit1916, "ord",
    1, partcv, params);
  gc_frame_end(callframe1915);
// compilenode returning call1917
// compilenode returning call1917
  gc_frame_newslot(call1917);
  int callframe1918 = gc_frame_new();
  if (strlit1919 == NULL) {
    strlit1919 = alloc_String(",");
    gc_root(strlit1919);
  }
// compilenode returning strlit1919
  partcv[0] = 0;
  Object call1920 = callmethod(strlit1919, "ord",
    1, partcv, params);
  gc_frame_end(callframe1918);
// compilenode returning call1920
// compilenode returning call1920
  gc_frame_newslot(call1920);
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1921 = gc_frame_new();
  if (strlit1922 == NULL) {
    strlit1922 = alloc_String(".");
    gc_root(strlit1922);
  }
// compilenode returning strlit1922
  partcv[0] = 0;
  Object call1923 = callmethod(strlit1922, "ord",
    1, partcv, params);
  gc_frame_end(callframe1921);
// compilenode returning call1923
// compilenode returning call1923
  gc_frame_newslot(call1923);
  int callframe1924 = gc_frame_new();
  if (strlit1925 == NULL) {
    strlit1925 = alloc_String("{");
    gc_root(strlit1925);
  }
// compilenode returning strlit1925
  partcv[0] = 0;
  Object call1926 = callmethod(strlit1925, "ord",
    1, partcv, params);
  gc_frame_end(callframe1924);
// compilenode returning call1926
// compilenode returning call1926
  gc_frame_newslot(call1926);
  int callframe1927 = gc_frame_new();
  if (strlit1928 == NULL) {
    strlit1928 = alloc_String("}");
    gc_root(strlit1928);
  }
// compilenode returning strlit1928
  partcv[0] = 0;
  Object call1929 = callmethod(strlit1928, "ord",
    1, partcv, params);
  gc_frame_end(callframe1927);
// compilenode returning call1929
// compilenode returning call1929
  gc_frame_newslot(call1929);
  int callframe1930 = gc_frame_new();
  if (strlit1931 == NULL) {
    strlit1931 = alloc_String("[");
    gc_root(strlit1931);
  }
// compilenode returning strlit1931
  partcv[0] = 0;
  Object call1932 = callmethod(strlit1931, "ord",
    1, partcv, params);
  gc_frame_end(callframe1930);
// compilenode returning call1932
// compilenode returning call1932
  gc_frame_newslot(call1932);
  int callframe1933 = gc_frame_new();
  if (strlit1934 == NULL) {
    strlit1934 = alloc_String("]");
    gc_root(strlit1934);
  }
// compilenode returning strlit1934
  partcv[0] = 0;
  Object call1935 = callmethod(strlit1934, "ord",
    1, partcv, params);
  gc_frame_end(callframe1933);
// compilenode returning call1935
// compilenode returning call1935
  gc_frame_newslot(call1935);
  int callframe1936 = gc_frame_new();
  if (strlit1937 == NULL) {
    strlit1937 = alloc_String(";");
    gc_root(strlit1937);
  }
// compilenode returning strlit1937
  partcv[0] = 0;
  Object call1938 = callmethod(strlit1937, "ord",
    1, partcv, params);
  gc_frame_end(callframe1936);
// compilenode returning call1938
// compilenode returning call1938
  gc_frame_newslot(call1938);
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_unicode
  params[0] = call1914;
  params[1] = call1917;
  params[2] = call1920;
  params[3] = call1923;
  params[4] = call1926;
  params[5] = call1929;
  params[6] = call1932;
  params[7] = call1935;
  params[8] = call1938;
  partcv[0] = 9;
  Object call1939 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe1911);
// compilenode returning call1939
  *var_selfModes = call1939;
  if (call1939 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1940 = gc_frame_new();
  int callframe1941 = gc_frame_new();
  if (strlit1942 == NULL) {
    strlit1942 = alloc_String("(");
    gc_root(strlit1942);
  }
// compilenode returning strlit1942
  partcv[0] = 0;
  Object call1943 = callmethod(strlit1942, "ord",
    1, partcv, params);
  gc_frame_end(callframe1941);
// compilenode returning call1943
// compilenode returning call1943
  gc_frame_newslot(call1943);
  int callframe1944 = gc_frame_new();
  if (strlit1945 == NULL) {
    strlit1945 = alloc_String(")");
    gc_root(strlit1945);
  }
// compilenode returning strlit1945
  partcv[0] = 0;
  Object call1946 = callmethod(strlit1945, "ord",
    1, partcv, params);
  gc_frame_end(callframe1944);
// compilenode returning call1946
// compilenode returning call1946
  gc_frame_newslot(call1946);
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1947 = gc_frame_new();
  if (strlit1948 == NULL) {
    strlit1948 = alloc_String("{");
    gc_root(strlit1948);
  }
// compilenode returning strlit1948
  partcv[0] = 0;
  Object call1949 = callmethod(strlit1948, "ord",
    1, partcv, params);
  gc_frame_end(callframe1947);
// compilenode returning call1949
// compilenode returning call1949
  gc_frame_newslot(call1949);
  int callframe1950 = gc_frame_new();
  if (strlit1951 == NULL) {
    strlit1951 = alloc_String("}");
    gc_root(strlit1951);
  }
// compilenode returning strlit1951
  partcv[0] = 0;
  Object call1952 = callmethod(strlit1951, "ord",
    1, partcv, params);
  gc_frame_end(callframe1950);
// compilenode returning call1952
// compilenode returning call1952
  gc_frame_newslot(call1952);
  int callframe1953 = gc_frame_new();
  if (strlit1954 == NULL) {
    strlit1954 = alloc_String("[");
    gc_root(strlit1954);
  }
// compilenode returning strlit1954
  partcv[0] = 0;
  Object call1955 = callmethod(strlit1954, "ord",
    1, partcv, params);
  gc_frame_end(callframe1953);
// compilenode returning call1955
// compilenode returning call1955
  gc_frame_newslot(call1955);
  int callframe1956 = gc_frame_new();
  if (strlit1957 == NULL) {
    strlit1957 = alloc_String("]");
    gc_root(strlit1957);
  }
// compilenode returning strlit1957
  partcv[0] = 0;
  Object call1958 = callmethod(strlit1957, "ord",
    1, partcv, params);
  gc_frame_end(callframe1956);
// compilenode returning call1958
// compilenode returning call1958
  gc_frame_newslot(call1958);
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_unicode
  params[0] = call1943;
  params[1] = call1946;
  params[2] = call1949;
  params[3] = call1952;
  params[4] = call1955;
  params[5] = call1958;
  partcv[0] = 6;
  Object call1959 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe1940);
// compilenode returning call1959
  *var_brackets = call1959;
  if (call1959 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1960 = gc_frame_new();
  if (strlit1961 == NULL) {
    strlit1961 = alloc_String("L");
    gc_root(strlit1961);
  }
// compilenode returning strlit1961
  gc_frame_newslot(strlit1961);
  if (strlit1962 == NULL) {
    strlit1962 = alloc_String("N");
    gc_root(strlit1962);
  }
// compilenode returning strlit1962
  gc_frame_newslot(strlit1962);
  Object num1963 = alloc_Float64(95);
// compilenode returning num1963
  gc_frame_newslot(num1963);
  Object num1964 = alloc_Float64(39);
// compilenode returning num1964
  gc_frame_newslot(num1964);
// compilenode returning *var_unicode
  params[0] = strlit1961;
  params[1] = strlit1962;
  params[2] = num1963;
  params[3] = num1964;
  partcv[0] = 4;
  Object call1965 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe1960);
// compilenode returning call1965
  *var_identifierChar = call1965;
  if (call1965 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1966 = gc_frame_new();
  int callframe1967 = gc_frame_new();
  if (strlit1968 == NULL) {
    strlit1968 = alloc_String("0");
    gc_root(strlit1968);
  }
// compilenode returning strlit1968
  partcv[0] = 0;
  Object call1969 = callmethod(strlit1968, "ord",
    1, partcv, params);
  gc_frame_end(callframe1967);
// compilenode returning call1969
// compilenode returning call1969
  gc_frame_newslot(call1969);
  int callframe1970 = gc_frame_new();
  if (strlit1971 == NULL) {
    strlit1971 = alloc_String("1");
    gc_root(strlit1971);
  }
// compilenode returning strlit1971
  partcv[0] = 0;
  Object call1972 = callmethod(strlit1971, "ord",
    1, partcv, params);
  gc_frame_end(callframe1970);
// compilenode returning call1972
// compilenode returning call1972
  gc_frame_newslot(call1972);
  int callframe1973 = gc_frame_new();
  if (strlit1974 == NULL) {
    strlit1974 = alloc_String("2");
    gc_root(strlit1974);
  }
// compilenode returning strlit1974
  partcv[0] = 0;
  Object call1975 = callmethod(strlit1974, "ord",
    1, partcv, params);
  gc_frame_end(callframe1973);
// compilenode returning call1975
// compilenode returning call1975
  gc_frame_newslot(call1975);
  int callframe1976 = gc_frame_new();
  if (strlit1977 == NULL) {
    strlit1977 = alloc_String("3");
    gc_root(strlit1977);
  }
// compilenode returning strlit1977
  partcv[0] = 0;
  Object call1978 = callmethod(strlit1977, "ord",
    1, partcv, params);
  gc_frame_end(callframe1976);
// compilenode returning call1978
// compilenode returning call1978
  gc_frame_newslot(call1978);
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1979 = gc_frame_new();
  if (strlit1980 == NULL) {
    strlit1980 = alloc_String("4");
    gc_root(strlit1980);
  }
// compilenode returning strlit1980
  partcv[0] = 0;
  Object call1981 = callmethod(strlit1980, "ord",
    1, partcv, params);
  gc_frame_end(callframe1979);
// compilenode returning call1981
// compilenode returning call1981
  gc_frame_newslot(call1981);
  int callframe1982 = gc_frame_new();
  if (strlit1983 == NULL) {
    strlit1983 = alloc_String("5");
    gc_root(strlit1983);
  }
// compilenode returning strlit1983
  partcv[0] = 0;
  Object call1984 = callmethod(strlit1983, "ord",
    1, partcv, params);
  gc_frame_end(callframe1982);
// compilenode returning call1984
// compilenode returning call1984
  gc_frame_newslot(call1984);
  int callframe1985 = gc_frame_new();
  if (strlit1986 == NULL) {
    strlit1986 = alloc_String("6");
    gc_root(strlit1986);
  }
// compilenode returning strlit1986
  partcv[0] = 0;
  Object call1987 = callmethod(strlit1986, "ord",
    1, partcv, params);
  gc_frame_end(callframe1985);
// compilenode returning call1987
// compilenode returning call1987
  gc_frame_newslot(call1987);
  int callframe1988 = gc_frame_new();
  if (strlit1989 == NULL) {
    strlit1989 = alloc_String("7");
    gc_root(strlit1989);
  }
// compilenode returning strlit1989
  partcv[0] = 0;
  Object call1990 = callmethod(strlit1989, "ord",
    1, partcv, params);
  gc_frame_end(callframe1988);
// compilenode returning call1990
// compilenode returning call1990
  gc_frame_newslot(call1990);
  int callframe1991 = gc_frame_new();
  if (strlit1992 == NULL) {
    strlit1992 = alloc_String("8");
    gc_root(strlit1992);
  }
// compilenode returning strlit1992
  partcv[0] = 0;
  Object call1993 = callmethod(strlit1992, "ord",
    1, partcv, params);
  gc_frame_end(callframe1991);
// compilenode returning call1993
// compilenode returning call1993
  gc_frame_newslot(call1993);
  int callframe1994 = gc_frame_new();
  if (strlit1995 == NULL) {
    strlit1995 = alloc_String("9");
    gc_root(strlit1995);
  }
// compilenode returning strlit1995
  partcv[0] = 0;
  Object call1996 = callmethod(strlit1995, "ord",
    1, partcv, params);
  gc_frame_end(callframe1994);
// compilenode returning call1996
// compilenode returning call1996
  gc_frame_newslot(call1996);
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_unicode
  params[0] = call1969;
  params[1] = call1972;
  params[2] = call1975;
  params[3] = call1978;
  params[4] = call1981;
  params[5] = call1984;
  params[6] = call1987;
  params[7] = call1990;
  params[8] = call1993;
  params[9] = call1996;
  partcv[0] = 10;
  Object call1997 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe1966);
// compilenode returning call1997
  *var_digit = call1997;
  if (call1997 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 620
  setline(620);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1998 = gc_frame_new();
  int callframe1999 = gc_frame_new();
  if (strlit2000 == NULL) {
    strlit2000 = alloc_String("0");
    gc_root(strlit2000);
  }
// compilenode returning strlit2000
  partcv[0] = 0;
  Object call2001 = callmethod(strlit2000, "ord",
    1, partcv, params);
  gc_frame_end(callframe1999);
// compilenode returning call2001
// compilenode returning call2001
  gc_frame_newslot(call2001);
  int callframe2002 = gc_frame_new();
  if (strlit2003 == NULL) {
    strlit2003 = alloc_String("1");
    gc_root(strlit2003);
  }
// compilenode returning strlit2003
  partcv[0] = 0;
  Object call2004 = callmethod(strlit2003, "ord",
    1, partcv, params);
  gc_frame_end(callframe2002);
// compilenode returning call2004
// compilenode returning call2004
  gc_frame_newslot(call2004);
  int callframe2005 = gc_frame_new();
  if (strlit2006 == NULL) {
    strlit2006 = alloc_String("2");
    gc_root(strlit2006);
  }
// compilenode returning strlit2006
  partcv[0] = 0;
  Object call2007 = callmethod(strlit2006, "ord",
    1, partcv, params);
  gc_frame_end(callframe2005);
// compilenode returning call2007
// compilenode returning call2007
  gc_frame_newslot(call2007);
  int callframe2008 = gc_frame_new();
  if (strlit2009 == NULL) {
    strlit2009 = alloc_String("3");
    gc_root(strlit2009);
  }
// compilenode returning strlit2009
  partcv[0] = 0;
  Object call2010 = callmethod(strlit2009, "ord",
    1, partcv, params);
  gc_frame_end(callframe2008);
// compilenode returning call2010
// compilenode returning call2010
  gc_frame_newslot(call2010);
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2011 = gc_frame_new();
  if (strlit2012 == NULL) {
    strlit2012 = alloc_String("4");
    gc_root(strlit2012);
  }
// compilenode returning strlit2012
  partcv[0] = 0;
  Object call2013 = callmethod(strlit2012, "ord",
    1, partcv, params);
  gc_frame_end(callframe2011);
// compilenode returning call2013
// compilenode returning call2013
  gc_frame_newslot(call2013);
  int callframe2014 = gc_frame_new();
  if (strlit2015 == NULL) {
    strlit2015 = alloc_String("5");
    gc_root(strlit2015);
  }
// compilenode returning strlit2015
  partcv[0] = 0;
  Object call2016 = callmethod(strlit2015, "ord",
    1, partcv, params);
  gc_frame_end(callframe2014);
// compilenode returning call2016
// compilenode returning call2016
  gc_frame_newslot(call2016);
  int callframe2017 = gc_frame_new();
  if (strlit2018 == NULL) {
    strlit2018 = alloc_String("6");
    gc_root(strlit2018);
  }
// compilenode returning strlit2018
  partcv[0] = 0;
  Object call2019 = callmethod(strlit2018, "ord",
    1, partcv, params);
  gc_frame_end(callframe2017);
// compilenode returning call2019
// compilenode returning call2019
  gc_frame_newslot(call2019);
  int callframe2020 = gc_frame_new();
  if (strlit2021 == NULL) {
    strlit2021 = alloc_String("7");
    gc_root(strlit2021);
  }
// compilenode returning strlit2021
  partcv[0] = 0;
  Object call2022 = callmethod(strlit2021, "ord",
    1, partcv, params);
  gc_frame_end(callframe2020);
// compilenode returning call2022
// compilenode returning call2022
  gc_frame_newslot(call2022);
  int callframe2023 = gc_frame_new();
  if (strlit2024 == NULL) {
    strlit2024 = alloc_String("8");
    gc_root(strlit2024);
  }
// compilenode returning strlit2024
  partcv[0] = 0;
  Object call2025 = callmethod(strlit2024, "ord",
    1, partcv, params);
  gc_frame_end(callframe2023);
// compilenode returning call2025
// compilenode returning call2025
  gc_frame_newslot(call2025);
  int callframe2026 = gc_frame_new();
  if (strlit2027 == NULL) {
    strlit2027 = alloc_String("9");
    gc_root(strlit2027);
  }
// compilenode returning strlit2027
  partcv[0] = 0;
  Object call2028 = callmethod(strlit2027, "ord",
    1, partcv, params);
  gc_frame_end(callframe2026);
// compilenode returning call2028
// compilenode returning call2028
  gc_frame_newslot(call2028);
// Begin line 620
  setline(620);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_unicode
  params[0] = call2001;
  params[1] = call2004;
  params[2] = call2007;
  params[3] = call2010;
  params[4] = call2013;
  params[5] = call2016;
  params[6] = call2019;
  params[7] = call2022;
  params[8] = call2025;
  params[9] = call2028;
  partcv[0] = 10;
  Object call2029 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe1998);
// compilenode returning call2029
  *var_digitB = call2029;
  if (call2029 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 622
  setline(622);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2030 = gc_frame_new();
  if (strlit2031 == NULL) {
    strlit2031 = alloc_String("Sm");
    gc_root(strlit2031);
  }
// compilenode returning strlit2031
  gc_frame_newslot(strlit2031);
  if (strlit2032 == NULL) {
    strlit2032 = alloc_String("So");
    gc_root(strlit2032);
  }
// compilenode returning strlit2032
  gc_frame_newslot(strlit2032);
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2033 = gc_frame_new();
  if (strlit2034 == NULL) {
    strlit2034 = alloc_String("-");
    gc_root(strlit2034);
  }
// compilenode returning strlit2034
  partcv[0] = 0;
  Object call2035 = callmethod(strlit2034, "ord",
    1, partcv, params);
  gc_frame_end(callframe2033);
// compilenode returning call2035
// compilenode returning call2035
  gc_frame_newslot(call2035);
  int callframe2036 = gc_frame_new();
  if (strlit2037 == NULL) {
    strlit2037 = alloc_String("&");
    gc_root(strlit2037);
  }
// compilenode returning strlit2037
  partcv[0] = 0;
  Object call2038 = callmethod(strlit2037, "ord",
    1, partcv, params);
  gc_frame_end(callframe2036);
// compilenode returning call2038
// compilenode returning call2038
  gc_frame_newslot(call2038);
  int callframe2039 = gc_frame_new();
  if (strlit2040 == NULL) {
    strlit2040 = alloc_String("|");
    gc_root(strlit2040);
  }
// compilenode returning strlit2040
  partcv[0] = 0;
  Object call2041 = callmethod(strlit2040, "ord",
    1, partcv, params);
  gc_frame_end(callframe2039);
// compilenode returning call2041
// compilenode returning call2041
  gc_frame_newslot(call2041);
  int callframe2042 = gc_frame_new();
  if (strlit2043 == NULL) {
    strlit2043 = alloc_String(":");
    gc_root(strlit2043);
  }
// compilenode returning strlit2043
  partcv[0] = 0;
  Object call2044 = callmethod(strlit2043, "ord",
    1, partcv, params);
  gc_frame_end(callframe2042);
// compilenode returning call2044
// compilenode returning call2044
  gc_frame_newslot(call2044);
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2045 = gc_frame_new();
  if (strlit2046 == NULL) {
    strlit2046 = alloc_String("%");
    gc_root(strlit2046);
  }
// compilenode returning strlit2046
  partcv[0] = 0;
  Object call2047 = callmethod(strlit2046, "ord",
    1, partcv, params);
  gc_frame_end(callframe2045);
// compilenode returning call2047
// compilenode returning call2047
  gc_frame_newslot(call2047);
  int callframe2048 = gc_frame_new();
  if (strlit2049 == NULL) {
    strlit2049 = alloc_String("^");
    gc_root(strlit2049);
  }
// compilenode returning strlit2049
  partcv[0] = 0;
  Object call2050 = callmethod(strlit2049, "ord",
    1, partcv, params);
  gc_frame_end(callframe2048);
// compilenode returning call2050
// compilenode returning call2050
  gc_frame_newslot(call2050);
  int callframe2051 = gc_frame_new();
  if (strlit2052 == NULL) {
    strlit2052 = alloc_String("@");
    gc_root(strlit2052);
  }
// compilenode returning strlit2052
  partcv[0] = 0;
  Object call2053 = callmethod(strlit2052, "ord",
    1, partcv, params);
  gc_frame_end(callframe2051);
// compilenode returning call2053
// compilenode returning call2053
  gc_frame_newslot(call2053);
  int callframe2054 = gc_frame_new();
  if (strlit2055 == NULL) {
    strlit2055 = alloc_String("?");
    gc_root(strlit2055);
  }
// compilenode returning strlit2055
  partcv[0] = 0;
  Object call2056 = callmethod(strlit2055, "ord",
    1, partcv, params);
  gc_frame_end(callframe2054);
// compilenode returning call2056
// compilenode returning call2056
  gc_frame_newslot(call2056);
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2057 = gc_frame_new();
  if (strlit2058 == NULL) {
    strlit2058 = alloc_String("*");
    gc_root(strlit2058);
  }
// compilenode returning strlit2058
  partcv[0] = 0;
  Object call2059 = callmethod(strlit2058, "ord",
    1, partcv, params);
  gc_frame_end(callframe2057);
// compilenode returning call2059
// compilenode returning call2059
  gc_frame_newslot(call2059);
  int callframe2060 = gc_frame_new();
  if (strlit2061 == NULL) {
    strlit2061 = alloc_String("/");
    gc_root(strlit2061);
  }
// compilenode returning strlit2061
  partcv[0] = 0;
  Object call2062 = callmethod(strlit2061, "ord",
    1, partcv, params);
  gc_frame_end(callframe2060);
// compilenode returning call2062
// compilenode returning call2062
  gc_frame_newslot(call2062);
  int callframe2063 = gc_frame_new();
  if (strlit2064 == NULL) {
    strlit2064 = alloc_String("+");
    gc_root(strlit2064);
  }
// compilenode returning strlit2064
  partcv[0] = 0;
  Object call2065 = callmethod(strlit2064, "ord",
    1, partcv, params);
  gc_frame_end(callframe2063);
// compilenode returning call2065
// compilenode returning call2065
  gc_frame_newslot(call2065);
  int callframe2066 = gc_frame_new();
  if (strlit2067 == NULL) {
    strlit2067 = alloc_String("!");
    gc_root(strlit2067);
  }
// compilenode returning strlit2067
  partcv[0] = 0;
  Object call2068 = callmethod(strlit2067, "ord",
    1, partcv, params);
  gc_frame_end(callframe2066);
// compilenode returning call2068
// compilenode returning call2068
  gc_frame_newslot(call2068);
// Begin line 622
  setline(622);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_unicode
  params[0] = strlit2031;
  params[1] = strlit2032;
  params[2] = call2035;
  params[3] = call2038;
  params[4] = call2041;
  params[5] = call2044;
  params[6] = call2047;
  params[7] = call2050;
  params[8] = call2053;
  params[9] = call2056;
  params[10] = call2059;
  params[11] = call2062;
  params[12] = call2065;
  params[13] = call2068;
  partcv[0] = 14;
  Object call2069 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2030);
// compilenode returning call2069
  *var_operatorChar = call2069;
  if (call2069 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 627
  setline(627);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2070 = gc_frame_new();
  int callframe2071 = gc_frame_new();
  if (strlit2072 == NULL) {
    strlit2072 = alloc_String("i");
    gc_root(strlit2072);
  }
// compilenode returning strlit2072
  partcv[0] = 0;
  Object call2073 = callmethod(strlit2072, "ord",
    1, partcv, params);
  gc_frame_end(callframe2071);
// compilenode returning call2073
// compilenode returning call2073
  gc_frame_newslot(call2073);
  int callframe2074 = gc_frame_new();
  if (strlit2075 == NULL) {
    strlit2075 = alloc_String("<");
    gc_root(strlit2075);
  }
// compilenode returning strlit2075
  partcv[0] = 0;
  Object call2076 = callmethod(strlit2075, "ord",
    1, partcv, params);
  gc_frame_end(callframe2074);
// compilenode returning call2076
// compilenode returning call2076
  gc_frame_newslot(call2076);
  int callframe2077 = gc_frame_new();
  if (strlit2078 == NULL) {
    strlit2078 = alloc_String(">");
    gc_root(strlit2078);
  }
// compilenode returning strlit2078
  partcv[0] = 0;
  Object call2079 = callmethod(strlit2078, "ord",
    1, partcv, params);
  gc_frame_end(callframe2077);
// compilenode returning call2079
// compilenode returning call2079
  gc_frame_newslot(call2079);
// compilenode returning *var_unicode
  params[0] = call2073;
  params[1] = call2076;
  params[2] = call2079;
  partcv[0] = 3;
  Object call2080 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2070);
// compilenode returning call2080
  *var_iGTLT = call2080;
  if (call2080 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2081 = gc_frame_new();
  int callframe2082 = gc_frame_new();
  if (strlit2083 == NULL) {
    strlit2083 = alloc_String("c");
    gc_root(strlit2083);
  }
// compilenode returning strlit2083
  partcv[0] = 0;
  Object call2084 = callmethod(strlit2083, "ord",
    1, partcv, params);
  gc_frame_end(callframe2082);
// compilenode returning call2084
// compilenode returning call2084
  gc_frame_newslot(call2084);
  int callframe2085 = gc_frame_new();
  if (strlit2086 == NULL) {
    strlit2086 = alloc_String("p");
    gc_root(strlit2086);
  }
// compilenode returning strlit2086
  partcv[0] = 0;
  Object call2087 = callmethod(strlit2086, "ord",
    1, partcv, params);
  gc_frame_end(callframe2085);
// compilenode returning call2087
// compilenode returning call2087
  gc_frame_newslot(call2087);
// compilenode returning *var_unicode
  params[0] = call2084;
  params[1] = call2087;
  partcv[0] = 0;
  partcv[1] = 2;
  Object call2088 = callmethod(*var_unicode, "pattern()not",
    2, partcv, params);
  gc_frame_end(callframe2081);
// compilenode returning call2088
  *var_notcp = call2088;
  if (call2088 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block2089 = alloc_Block(NULL, NULL, "lexer", 629);
  gc_frame_newslot(block2089);
  block_savedest(block2089);
  Object closure2090 = createclosure(26, "_apply");
setclosureframe(closure2090, stackframe);
  addtoclosure(closure2090, var_badSeparator);
  addtoclosure(closure2090, var_errormessages);
  addtoclosure(closure2090, var_linePosition);
  addtoclosure(closure2090, var_lineNumber);
  addtoclosure(closure2090, var_instr);
  addtoclosure(closure2090, var_unicode);
  addtoclosure(closure2090, var_badControl);
  addtoclosure(closure2090, var_atStart);
  addtoclosure(closure2090, var_mode);
  addtoclosure(closure2090, var_newmode);
  addtoclosure(closure2090, var_identifierChar);
  addtoclosure(closure2090, var_digit);
  addtoclosure(closure2090, var_iGTLT);
  addtoclosure(closure2090, var_tokens);
  addtoclosure(closure2090, var_accum);
  addtoclosure(closure2090, var_operatorChar);
  addtoclosure(closure2090, var_selfModes);
  addtoclosure(closure2090, var_util);
  addtoclosure(closure2090, var_escaped);
  addtoclosure(closure2090, var_interpString);
  addtoclosure(closure2090, var_interpdepth);
  addtoclosure(closure2090, var_brackets);
  addtoclosure(closure2090, var_unichars);
  addtoclosure(closure2090, var_codepoint);
  addtoclosure(closure2090, var_startPosition);
  addtoclosure(closure2090, selfslot);
  struct UserObject *uo2090 = (struct UserObject*)block2089;
  uo2090->data[0] = (Object)closure2090;
  Method *meth_meth_lexer__apply2090 = addmethod2pos(block2089, "_apply", &meth_lexer__apply2090, 0);
int argcv_meth_lexer__apply2090[] = {1};
meth_meth_lexer__apply2090->type = alloc_MethodType(1, argcv_meth_lexer__apply2090);
  meth_meth_lexer__apply2090->definitionModule = modulename;
  meth_meth_lexer__apply2090->definitionLine = 628;
// compilenode returning block2089
  *var_mainBlock = block2089;
  if (block2089 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3358 = gc_frame_new();
// compilenode returning *var_input
  gc_frame_newslot(*var_input);
  Object block3359 = alloc_Block(NULL, NULL, "lexer", 1024);
  gc_frame_newslot(block3359);
  block_savedest(block3359);
  Object closure3360 = createclosure(5, "_apply");
setclosureframe(closure3360, stackframe);
  addtoclosure(closure3360, var_linePosition);
  addtoclosure(closure3360, var_mode);
  addtoclosure(closure3360, var_mainBlock);
  addtoclosure(closure3360, var_prev);
  addtoclosure(closure3360, selfslot);
  struct UserObject *uo3360 = (struct UserObject*)block3359;
  uo3360->data[0] = (Object)closure3360;
  Method *meth_meth_lexer__apply3360 = addmethod2pos(block3359, "_apply", &meth_lexer__apply3360, 0);
int argcv_meth_lexer__apply3360[] = {1};
meth_meth_lexer__apply3360->type = alloc_MethodType(1, argcv_meth_lexer__apply3360);
  meth_meth_lexer__apply3360->definitionModule = modulename;
  meth_meth_lexer__apply3360->definitionLine = 982;
// compilenode returning block3359
  gc_frame_newslot(block3359);
  params[0] = *var_input;
  params[1] = block3359;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3387 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3358);
// compilenode returning call3387
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3389 = alloc_Float64(1);
// compilenode returning num3389
  int op_slot_right_3388 = gc_frame_newslot(num3389);
// compilenode returning *var_linePosition
  int op_slot_left_3388 = gc_frame_newslot(*var_linePosition);
  params[0] = num3389;
  partcv[0] = 1;
  Object sum3391 = callmethod(*var_linePosition, "+", 1, partcv, params);
// compilenode returning sum3391
  *var_linePosition = sum3391;
  if (sum3391 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if3393 = done;
  if (istrue(*var_instr)) {
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3396 == NULL) {
    strlit3396 = alloc_String("""\x22""");
    gc_root(strlit3396);
  }
// compilenode returning strlit3396
  int op_slot_right_3395 = gc_frame_newslot(strlit3396);
// compilenode returning *var_mode
  int op_slot_left_3395 = gc_frame_newslot(*var_mode);
  params[0] = strlit3396;
  partcv[0] = 1;
  Object opresult3398 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult3398
  Object if3394 = done;
  if (istrue(opresult3398)) {
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3399 = gc_frame_new();
  int callframe3400 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3401 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3400);
// compilenode returning call3401
// compilenode returning call3401
  partcv[0] = 0;
  Object call3402 = callmethod(call3401, "new",
    1, partcv, params);
  gc_frame_end(callframe3399);
// compilenode returning call3402
// compilenode returning call3402
  *var_suggestion = call3402;
  if (call3402 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3403 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  if (strlit3405 == NULL) {
    strlit3405 = alloc_String("""\x22""");
    gc_root(strlit3405);
  }
// compilenode returning strlit3405
  int op_slot_right_3404 = gc_frame_newslot(strlit3405);
  int callframe3407 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe3408 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call3409 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3408);
// compilenode returning call3409
// compilenode returning call3409
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call3410 = callmethod(call3409, "at",
    1, partcv, params);
  gc_frame_end(callframe3407);
// compilenode returning call3410
  int op_slot_left_3404 = gc_frame_newslot(call3410);
  params[0] = strlit3405;
  partcv[0] = 1;
  Object opresult3411 = callmethod(call3410, "++", 1, partcv, params);
// compilenode returning opresult3411
  gc_frame_newslot(opresult3411);
// compilenode returning *var_suggestion
  params[0] = *var_lineNumber;
  params[1] = opresult3411;
  partcv[0] = 2;
  Object call3412 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3403);
// compilenode returning call3412
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3413 = gc_frame_new();
  if (strlit3414 == NULL) {
    strlit3414 = alloc_String("A string must end with a '""\x22""'.");
    gc_root(strlit3414);
  }
// compilenode returning strlit3414
  gc_frame_newslot(strlit3414);
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3414;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3415 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3413);
// compilenode returning call3415
    gc_frame_newslot(call3415);
    if3394 = call3415;
  } else {
  }
// compilenode returning if3394
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3418 == NULL) {
    strlit3418 = alloc_String("x");
    gc_root(strlit3418);
  }
// compilenode returning strlit3418
  int op_slot_right_3417 = gc_frame_newslot(strlit3418);
// compilenode returning *var_mode
  int op_slot_left_3417 = gc_frame_newslot(*var_mode);
  params[0] = strlit3418;
  partcv[0] = 1;
  Object opresult3420 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult3420
  Object if3416 = done;
  if (istrue(opresult3420)) {
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3421 = gc_frame_new();
  if (strlit3422 == NULL) {
    strlit3422 = alloc_String("Unfinished octets literal, expected '""\x22""'.");
    gc_root(strlit3422);
  }
// compilenode returning strlit3422
  gc_frame_newslot(strlit3422);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_errormessages
  params[0] = strlit3422;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call3423 = callmethod(*var_errormessages, "syntaxError()atPosition",
    2, partcv, params);
  gc_frame_end(callframe3421);
// compilenode returning call3423
    gc_frame_newslot(call3423);
    if3416 = call3423;
  } else {
  }
// compilenode returning if3416
    gc_frame_newslot(if3416);
    if3393 = if3416;
  } else {
  }
// compilenode returning if3393
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3424 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3425 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3424);
// compilenode returning call3425
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_tokens
  gc_frame_end(frame);
  return *var_tokens;
}
Object meth_lexer_new62(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(27, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lineNumber = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "lineNumber");
  Object *var_linePosition = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "linePosition");
  Object *var_startPosition = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startPosition");
  Object *var_indentLevel = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "indentLevel");
  Object *var_Token = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "Token");
  Object *var_IdentifierToken = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "IdentifierToken");
  Object *var_StringToken = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "StringToken");
  Object *var_CommentToken = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "CommentToken");
  Object *var_OctetsToken = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "OctetsToken");
  Object *var_LBraceToken = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "LBraceToken");
  Object *var_RBraceToken = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "RBraceToken");
  Object *var_LParenToken = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "LParenToken");
  Object *var_RParenToken = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "RParenToken");
  Object *var_LSquareToken = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "LSquareToken");
  Object *var_RSquareToken = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "RSquareToken");
  Object *var_CommaToken = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "CommaToken");
  Object *var_ColonToken = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "ColonToken");
  Object *var_DotToken = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "DotToken");
  Object *var_NumToken = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "NumToken");
  Object *var_KeywordToken = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "KeywordToken");
  Object *var_OpToken = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "OpToken");
  Object *var_ArrowToken = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "ArrowToken");
  Object *var_BindToken = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "BindToken");
  Object *var_SemicolonToken = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "SemicolonToken");
  Object *var_LGenericToken = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "LGenericToken");
  Object *var_RGenericToken = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "RGenericToken");
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num63 = alloc_Float64(1);
// compilenode returning num63
  *var_lineNumber = num63;
  if (num63 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num64 = alloc_Float64(0);
// compilenode returning num64
  *var_linePosition = num64;
  if (num64 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num65 = alloc_Float64(1);
// compilenode returning num65
  *var_startPosition = num65;
  if (num65 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num66 = alloc_Float64(0);
// compilenode returning num66
  *var_indentLevel = num66;
  if (num66 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject67 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj67 = alloc_userobj2(2,4, objclass67);
  gc_frame_newslot(obj67);
// OBJECT OUTER DEC outer
  adddatum2(obj67, self, 0);
  addmethodreal(obj67,"outer", &reader_lexer_outer_68);
  Object oldself67 = self;
  struct StackFrameObject *oldstackframe67 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe67);
  gc_frame_newslot((Object)stackframe);
  self = obj67;
  Object *oldselfslot67 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter67 = (*(struct UserObject *)self).data[0], lowerouter67 = thisouter67;
  if (inheritingObject67) {
    struct UserObject *inho67 = (struct UserObject *)inheritingObject67;
    while (inho67->super != GraceDefaultObject) inho67 = (struct UserObject *)inho67->super;
    inho67->super = obj67;
    self = inheritingObject67;
    *selfslot = self;
    lowerouter67 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter67;
  }
  block_savedest(obj67);
  Object closure69 = createclosure(3, "new");
setclosureframe(closure69, stackframe);
  addtoclosure(closure69, var_lineNumber);
  addtoclosure(closure69, var_indentLevel);
  addtoclosure(closure69, var_startPosition);
  struct UserObject *uo69 = (struct UserObject*)obj67;
  uo69->data[1] = (Object)closure69;
  Method *meth_meth_lexer_new69 = addmethod2pos(obj67, "new", &meth_lexer_new69, 1);
int argcv_meth_lexer_new69[] = {0};
meth_meth_lexer_new69->type = alloc_MethodType(1, argcv_meth_lexer_new69);
  meth_meth_lexer_new69->definitionModule = modulename;
  meth_meth_lexer_new69->definitionLine = 28;
  block_savedest(obj67);
  Object closure103 = createclosure(3, "new()object");
setclosureframe(closure103, stackframe);
  addtoclosure(closure103, var_lineNumber);
  addtoclosure(closure103, var_indentLevel);
  addtoclosure(closure103, var_startPosition);
  Method *meth_meth_lexer_new69_object = addmethod2pos(obj67, "new()object", &meth_lexer_new69_object, 1);
  meth_meth_lexer_new69_object->definitionModule = modulename;
  meth_meth_lexer_new69_object->definitionLine = 28;
  sourceObject = obj67;
objclass67 = obj67->class;
  objclass67->definitionModule = modulename;
  objclass67->definitionLine = 28;
  (*(struct UserObject *)self).data[0] = lowerouter67;
  self = oldself67;
  selfslot = oldselfslot67;
  stackframe = oldstackframe67;
// compilenode returning obj67
  *var_Token = obj67;
  if (obj67 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject104 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj104 = alloc_userobj2(2,4, objclass104);
  gc_frame_newslot(obj104);
// OBJECT OUTER DEC outer
  adddatum2(obj104, self, 0);
  addmethodreal(obj104,"outer", &reader_lexer_outer_105);
  Object oldself104 = self;
  struct StackFrameObject *oldstackframe104 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe104);
  gc_frame_newslot((Object)stackframe);
  self = obj104;
  Object *oldselfslot104 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter104 = (*(struct UserObject *)self).data[0], lowerouter104 = thisouter104;
  if (inheritingObject104) {
    struct UserObject *inho104 = (struct UserObject *)inheritingObject104;
    while (inho104->super != GraceDefaultObject) inho104 = (struct UserObject *)inho104->super;
    inho104->super = obj104;
    self = inheritingObject104;
    *selfslot = self;
    lowerouter104 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter104;
  }
  block_savedest(obj104);
  Object closure106 = createclosure(1, "new");
setclosureframe(closure106, stackframe);
  addtoclosure(closure106, var_Token);
  struct UserObject *uo106 = (struct UserObject*)obj104;
  uo106->data[1] = (Object)closure106;
  Method *meth_meth_lexer_new106 = addmethod2pos(obj104, "new", &meth_lexer_new106, 1);
int argcv_meth_lexer_new106[] = {1};
meth_meth_lexer_new106->type = alloc_MethodType(1, argcv_meth_lexer_new106);
  meth_meth_lexer_new106->definitionModule = modulename;
  meth_meth_lexer_new106->definitionLine = 53;
  block_savedest(obj104);
  Object closure117 = createclosure(1, "new()object");
setclosureframe(closure117, stackframe);
  addtoclosure(closure117, var_Token);
  Method *meth_meth_lexer_new106_object = addmethod2pos(obj104, "new()object", &meth_lexer_new106_object, 1);
  meth_meth_lexer_new106_object->definitionModule = modulename;
  meth_meth_lexer_new106_object->definitionLine = 53;
  sourceObject = obj104;
objclass104 = obj104->class;
  objclass104->definitionModule = modulename;
  objclass104->definitionLine = 53;
  (*(struct UserObject *)self).data[0] = lowerouter104;
  self = oldself104;
  selfslot = oldselfslot104;
  stackframe = oldstackframe104;
// compilenode returning obj104
  *var_IdentifierToken = obj104;
  if (obj104 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject118 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj118 = alloc_userobj2(2,4, objclass118);
  gc_frame_newslot(obj118);
// OBJECT OUTER DEC outer
  adddatum2(obj118, self, 0);
  addmethodreal(obj118,"outer", &reader_lexer_outer_119);
  Object oldself118 = self;
  struct StackFrameObject *oldstackframe118 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe118);
  gc_frame_newslot((Object)stackframe);
  self = obj118;
  Object *oldselfslot118 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter118 = (*(struct UserObject *)self).data[0], lowerouter118 = thisouter118;
  if (inheritingObject118) {
    struct UserObject *inho118 = (struct UserObject *)inheritingObject118;
    while (inho118->super != GraceDefaultObject) inho118 = (struct UserObject *)inho118->super;
    inho118->super = obj118;
    self = inheritingObject118;
    *selfslot = self;
    lowerouter118 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter118;
  }
  block_savedest(obj118);
  Object closure120 = createclosure(1, "new");
setclosureframe(closure120, stackframe);
  addtoclosure(closure120, var_Token);
  struct UserObject *uo120 = (struct UserObject*)obj118;
  uo120->data[1] = (Object)closure120;
  Method *meth_meth_lexer_new120 = addmethod2pos(obj118, "new", &meth_lexer_new120, 1);
int argcv_meth_lexer_new120[] = {1};
meth_meth_lexer_new120->type = alloc_MethodType(1, argcv_meth_lexer_new120);
  meth_meth_lexer_new120->definitionModule = modulename;
  meth_meth_lexer_new120->definitionLine = 62;
  block_savedest(obj118);
  Object closure135 = createclosure(1, "new()object");
setclosureframe(closure135, stackframe);
  addtoclosure(closure135, var_Token);
  Method *meth_meth_lexer_new120_object = addmethod2pos(obj118, "new()object", &meth_lexer_new120_object, 1);
  meth_meth_lexer_new120_object->definitionModule = modulename;
  meth_meth_lexer_new120_object->definitionLine = 62;
  sourceObject = obj118;
objclass118 = obj118->class;
  objclass118->definitionModule = modulename;
  objclass118->definitionLine = 62;
  (*(struct UserObject *)self).data[0] = lowerouter118;
  self = oldself118;
  selfslot = oldselfslot118;
  stackframe = oldstackframe118;
// compilenode returning obj118
  *var_StringToken = obj118;
  if (obj118 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject136 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj136 = alloc_userobj2(2,4, objclass136);
  gc_frame_newslot(obj136);
// OBJECT OUTER DEC outer
  adddatum2(obj136, self, 0);
  addmethodreal(obj136,"outer", &reader_lexer_outer_137);
  Object oldself136 = self;
  struct StackFrameObject *oldstackframe136 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe136);
  gc_frame_newslot((Object)stackframe);
  self = obj136;
  Object *oldselfslot136 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter136 = (*(struct UserObject *)self).data[0], lowerouter136 = thisouter136;
  if (inheritingObject136) {
    struct UserObject *inho136 = (struct UserObject *)inheritingObject136;
    while (inho136->super != GraceDefaultObject) inho136 = (struct UserObject *)inho136->super;
    inho136->super = obj136;
    self = inheritingObject136;
    *selfslot = self;
    lowerouter136 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter136;
  }
  block_savedest(obj136);
  Object closure138 = createclosure(1, "new");
setclosureframe(closure138, stackframe);
  addtoclosure(closure138, var_Token);
  struct UserObject *uo138 = (struct UserObject*)obj136;
  uo138->data[1] = (Object)closure138;
  Method *meth_meth_lexer_new138 = addmethod2pos(obj136, "new", &meth_lexer_new138, 1);
int argcv_meth_lexer_new138[] = {1};
meth_meth_lexer_new138->type = alloc_MethodType(1, argcv_meth_lexer_new138);
  meth_meth_lexer_new138->definitionModule = modulename;
  meth_meth_lexer_new138->definitionLine = 68;
  block_savedest(obj136);
  Object closure153 = createclosure(1, "new()object");
setclosureframe(closure153, stackframe);
  addtoclosure(closure153, var_Token);
  Method *meth_meth_lexer_new138_object = addmethod2pos(obj136, "new()object", &meth_lexer_new138_object, 1);
  meth_meth_lexer_new138_object->definitionModule = modulename;
  meth_meth_lexer_new138_object->definitionLine = 68;
  sourceObject = obj136;
objclass136 = obj136->class;
  objclass136->definitionModule = modulename;
  objclass136->definitionLine = 68;
  (*(struct UserObject *)self).data[0] = lowerouter136;
  self = oldself136;
  selfslot = oldselfslot136;
  stackframe = oldstackframe136;
// compilenode returning obj136
  *var_CommentToken = obj136;
  if (obj136 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject154 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj154 = alloc_userobj2(2,4, objclass154);
  gc_frame_newslot(obj154);
// OBJECT OUTER DEC outer
  adddatum2(obj154, self, 0);
  addmethodreal(obj154,"outer", &reader_lexer_outer_155);
  Object oldself154 = self;
  struct StackFrameObject *oldstackframe154 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe154);
  gc_frame_newslot((Object)stackframe);
  self = obj154;
  Object *oldselfslot154 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter154 = (*(struct UserObject *)self).data[0], lowerouter154 = thisouter154;
  if (inheritingObject154) {
    struct UserObject *inho154 = (struct UserObject *)inheritingObject154;
    while (inho154->super != GraceDefaultObject) inho154 = (struct UserObject *)inho154->super;
    inho154->super = obj154;
    self = inheritingObject154;
    *selfslot = self;
    lowerouter154 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter154;
  }
  block_savedest(obj154);
  Object closure156 = createclosure(1, "new");
setclosureframe(closure156, stackframe);
  addtoclosure(closure156, var_Token);
  struct UserObject *uo156 = (struct UserObject*)obj154;
  uo156->data[1] = (Object)closure156;
  Method *meth_meth_lexer_new156 = addmethod2pos(obj154, "new", &meth_lexer_new156, 1);
int argcv_meth_lexer_new156[] = {1};
meth_meth_lexer_new156->type = alloc_MethodType(1, argcv_meth_lexer_new156);
  meth_meth_lexer_new156->definitionModule = modulename;
  meth_meth_lexer_new156->definitionLine = 74;
  block_savedest(obj154);
  Object closure171 = createclosure(1, "new()object");
setclosureframe(closure171, stackframe);
  addtoclosure(closure171, var_Token);
  Method *meth_meth_lexer_new156_object = addmethod2pos(obj154, "new()object", &meth_lexer_new156_object, 1);
  meth_meth_lexer_new156_object->definitionModule = modulename;
  meth_meth_lexer_new156_object->definitionLine = 74;
  sourceObject = obj154;
objclass154 = obj154->class;
  objclass154->definitionModule = modulename;
  objclass154->definitionLine = 74;
  (*(struct UserObject *)self).data[0] = lowerouter154;
  self = oldself154;
  selfslot = oldselfslot154;
  stackframe = oldstackframe154;
// compilenode returning obj154
  *var_OctetsToken = obj154;
  if (obj154 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject172 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj172 = alloc_userobj2(2,4, objclass172);
  gc_frame_newslot(obj172);
// OBJECT OUTER DEC outer
  adddatum2(obj172, self, 0);
  addmethodreal(obj172,"outer", &reader_lexer_outer_173);
  Object oldself172 = self;
  struct StackFrameObject *oldstackframe172 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe172);
  gc_frame_newslot((Object)stackframe);
  self = obj172;
  Object *oldselfslot172 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter172 = (*(struct UserObject *)self).data[0], lowerouter172 = thisouter172;
  if (inheritingObject172) {
    struct UserObject *inho172 = (struct UserObject *)inheritingObject172;
    while (inho172->super != GraceDefaultObject) inho172 = (struct UserObject *)inho172->super;
    inho172->super = obj172;
    self = inheritingObject172;
    *selfslot = self;
    lowerouter172 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter172;
  }
  block_savedest(obj172);
  Object closure174 = createclosure(1, "new");
setclosureframe(closure174, stackframe);
  addtoclosure(closure174, var_Token);
  struct UserObject *uo174 = (struct UserObject*)obj172;
  uo174->data[1] = (Object)closure174;
  Method *meth_meth_lexer_new174 = addmethod2pos(obj172, "new", &meth_lexer_new174, 1);
int argcv_meth_lexer_new174[] = {0};
meth_meth_lexer_new174->type = alloc_MethodType(1, argcv_meth_lexer_new174);
  meth_meth_lexer_new174->definitionModule = modulename;
  meth_meth_lexer_new174->definitionLine = 80;
  block_savedest(obj172);
  Object closure185 = createclosure(1, "new()object");
setclosureframe(closure185, stackframe);
  addtoclosure(closure185, var_Token);
  Method *meth_meth_lexer_new174_object = addmethod2pos(obj172, "new()object", &meth_lexer_new174_object, 1);
  meth_meth_lexer_new174_object->definitionModule = modulename;
  meth_meth_lexer_new174_object->definitionLine = 80;
  sourceObject = obj172;
objclass172 = obj172->class;
  objclass172->definitionModule = modulename;
  objclass172->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter172;
  self = oldself172;
  selfslot = oldselfslot172;
  stackframe = oldstackframe172;
// compilenode returning obj172
  *var_LBraceToken = obj172;
  if (obj172 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject186 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj186 = alloc_userobj2(2,4, objclass186);
  gc_frame_newslot(obj186);
// OBJECT OUTER DEC outer
  adddatum2(obj186, self, 0);
  addmethodreal(obj186,"outer", &reader_lexer_outer_187);
  Object oldself186 = self;
  struct StackFrameObject *oldstackframe186 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe186);
  gc_frame_newslot((Object)stackframe);
  self = obj186;
  Object *oldselfslot186 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter186 = (*(struct UserObject *)self).data[0], lowerouter186 = thisouter186;
  if (inheritingObject186) {
    struct UserObject *inho186 = (struct UserObject *)inheritingObject186;
    while (inho186->super != GraceDefaultObject) inho186 = (struct UserObject *)inho186->super;
    inho186->super = obj186;
    self = inheritingObject186;
    *selfslot = self;
    lowerouter186 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter186;
  }
  block_savedest(obj186);
  Object closure188 = createclosure(1, "new");
setclosureframe(closure188, stackframe);
  addtoclosure(closure188, var_Token);
  struct UserObject *uo188 = (struct UserObject*)obj186;
  uo188->data[1] = (Object)closure188;
  Method *meth_meth_lexer_new188 = addmethod2pos(obj186, "new", &meth_lexer_new188, 1);
int argcv_meth_lexer_new188[] = {0};
meth_meth_lexer_new188->type = alloc_MethodType(1, argcv_meth_lexer_new188);
  meth_meth_lexer_new188->definitionModule = modulename;
  meth_meth_lexer_new188->definitionLine = 80;
  block_savedest(obj186);
  Object closure199 = createclosure(1, "new()object");
setclosureframe(closure199, stackframe);
  addtoclosure(closure199, var_Token);
  Method *meth_meth_lexer_new188_object = addmethod2pos(obj186, "new()object", &meth_lexer_new188_object, 1);
  meth_meth_lexer_new188_object->definitionModule = modulename;
  meth_meth_lexer_new188_object->definitionLine = 80;
  sourceObject = obj186;
objclass186 = obj186->class;
  objclass186->definitionModule = modulename;
  objclass186->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter186;
  self = oldself186;
  selfslot = oldselfslot186;
  stackframe = oldstackframe186;
// compilenode returning obj186
  *var_RBraceToken = obj186;
  if (obj186 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject200 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj200 = alloc_userobj2(2,4, objclass200);
  gc_frame_newslot(obj200);
// OBJECT OUTER DEC outer
  adddatum2(obj200, self, 0);
  addmethodreal(obj200,"outer", &reader_lexer_outer_201);
  Object oldself200 = self;
  struct StackFrameObject *oldstackframe200 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe200);
  gc_frame_newslot((Object)stackframe);
  self = obj200;
  Object *oldselfslot200 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter200 = (*(struct UserObject *)self).data[0], lowerouter200 = thisouter200;
  if (inheritingObject200) {
    struct UserObject *inho200 = (struct UserObject *)inheritingObject200;
    while (inho200->super != GraceDefaultObject) inho200 = (struct UserObject *)inho200->super;
    inho200->super = obj200;
    self = inheritingObject200;
    *selfslot = self;
    lowerouter200 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter200;
  }
  block_savedest(obj200);
  Object closure202 = createclosure(1, "new");
setclosureframe(closure202, stackframe);
  addtoclosure(closure202, var_Token);
  struct UserObject *uo202 = (struct UserObject*)obj200;
  uo202->data[1] = (Object)closure202;
  Method *meth_meth_lexer_new202 = addmethod2pos(obj200, "new", &meth_lexer_new202, 1);
int argcv_meth_lexer_new202[] = {0};
meth_meth_lexer_new202->type = alloc_MethodType(1, argcv_meth_lexer_new202);
  meth_meth_lexer_new202->definitionModule = modulename;
  meth_meth_lexer_new202->definitionLine = 80;
  block_savedest(obj200);
  Object closure213 = createclosure(1, "new()object");
setclosureframe(closure213, stackframe);
  addtoclosure(closure213, var_Token);
  Method *meth_meth_lexer_new202_object = addmethod2pos(obj200, "new()object", &meth_lexer_new202_object, 1);
  meth_meth_lexer_new202_object->definitionModule = modulename;
  meth_meth_lexer_new202_object->definitionLine = 80;
  sourceObject = obj200;
objclass200 = obj200->class;
  objclass200->definitionModule = modulename;
  objclass200->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter200;
  self = oldself200;
  selfslot = oldselfslot200;
  stackframe = oldstackframe200;
// compilenode returning obj200
  *var_LParenToken = obj200;
  if (obj200 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject214 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj214 = alloc_userobj2(2,4, objclass214);
  gc_frame_newslot(obj214);
// OBJECT OUTER DEC outer
  adddatum2(obj214, self, 0);
  addmethodreal(obj214,"outer", &reader_lexer_outer_215);
  Object oldself214 = self;
  struct StackFrameObject *oldstackframe214 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe214);
  gc_frame_newslot((Object)stackframe);
  self = obj214;
  Object *oldselfslot214 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter214 = (*(struct UserObject *)self).data[0], lowerouter214 = thisouter214;
  if (inheritingObject214) {
    struct UserObject *inho214 = (struct UserObject *)inheritingObject214;
    while (inho214->super != GraceDefaultObject) inho214 = (struct UserObject *)inho214->super;
    inho214->super = obj214;
    self = inheritingObject214;
    *selfslot = self;
    lowerouter214 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter214;
  }
  block_savedest(obj214);
  Object closure216 = createclosure(1, "new");
setclosureframe(closure216, stackframe);
  addtoclosure(closure216, var_Token);
  struct UserObject *uo216 = (struct UserObject*)obj214;
  uo216->data[1] = (Object)closure216;
  Method *meth_meth_lexer_new216 = addmethod2pos(obj214, "new", &meth_lexer_new216, 1);
int argcv_meth_lexer_new216[] = {0};
meth_meth_lexer_new216->type = alloc_MethodType(1, argcv_meth_lexer_new216);
  meth_meth_lexer_new216->definitionModule = modulename;
  meth_meth_lexer_new216->definitionLine = 80;
  block_savedest(obj214);
  Object closure227 = createclosure(1, "new()object");
setclosureframe(closure227, stackframe);
  addtoclosure(closure227, var_Token);
  Method *meth_meth_lexer_new216_object = addmethod2pos(obj214, "new()object", &meth_lexer_new216_object, 1);
  meth_meth_lexer_new216_object->definitionModule = modulename;
  meth_meth_lexer_new216_object->definitionLine = 80;
  sourceObject = obj214;
objclass214 = obj214->class;
  objclass214->definitionModule = modulename;
  objclass214->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter214;
  self = oldself214;
  selfslot = oldselfslot214;
  stackframe = oldstackframe214;
// compilenode returning obj214
  *var_RParenToken = obj214;
  if (obj214 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject228 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj228 = alloc_userobj2(2,4, objclass228);
  gc_frame_newslot(obj228);
// OBJECT OUTER DEC outer
  adddatum2(obj228, self, 0);
  addmethodreal(obj228,"outer", &reader_lexer_outer_229);
  Object oldself228 = self;
  struct StackFrameObject *oldstackframe228 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe228);
  gc_frame_newslot((Object)stackframe);
  self = obj228;
  Object *oldselfslot228 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter228 = (*(struct UserObject *)self).data[0], lowerouter228 = thisouter228;
  if (inheritingObject228) {
    struct UserObject *inho228 = (struct UserObject *)inheritingObject228;
    while (inho228->super != GraceDefaultObject) inho228 = (struct UserObject *)inho228->super;
    inho228->super = obj228;
    self = inheritingObject228;
    *selfslot = self;
    lowerouter228 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter228;
  }
  block_savedest(obj228);
  Object closure230 = createclosure(1, "new");
setclosureframe(closure230, stackframe);
  addtoclosure(closure230, var_Token);
  struct UserObject *uo230 = (struct UserObject*)obj228;
  uo230->data[1] = (Object)closure230;
  Method *meth_meth_lexer_new230 = addmethod2pos(obj228, "new", &meth_lexer_new230, 1);
int argcv_meth_lexer_new230[] = {0};
meth_meth_lexer_new230->type = alloc_MethodType(1, argcv_meth_lexer_new230);
  meth_meth_lexer_new230->definitionModule = modulename;
  meth_meth_lexer_new230->definitionLine = 80;
  block_savedest(obj228);
  Object closure241 = createclosure(1, "new()object");
setclosureframe(closure241, stackframe);
  addtoclosure(closure241, var_Token);
  Method *meth_meth_lexer_new230_object = addmethod2pos(obj228, "new()object", &meth_lexer_new230_object, 1);
  meth_meth_lexer_new230_object->definitionModule = modulename;
  meth_meth_lexer_new230_object->definitionLine = 80;
  sourceObject = obj228;
objclass228 = obj228->class;
  objclass228->definitionModule = modulename;
  objclass228->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter228;
  self = oldself228;
  selfslot = oldselfslot228;
  stackframe = oldstackframe228;
// compilenode returning obj228
  *var_LSquareToken = obj228;
  if (obj228 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject242 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj242 = alloc_userobj2(2,4, objclass242);
  gc_frame_newslot(obj242);
// OBJECT OUTER DEC outer
  adddatum2(obj242, self, 0);
  addmethodreal(obj242,"outer", &reader_lexer_outer_243);
  Object oldself242 = self;
  struct StackFrameObject *oldstackframe242 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe242);
  gc_frame_newslot((Object)stackframe);
  self = obj242;
  Object *oldselfslot242 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter242 = (*(struct UserObject *)self).data[0], lowerouter242 = thisouter242;
  if (inheritingObject242) {
    struct UserObject *inho242 = (struct UserObject *)inheritingObject242;
    while (inho242->super != GraceDefaultObject) inho242 = (struct UserObject *)inho242->super;
    inho242->super = obj242;
    self = inheritingObject242;
    *selfslot = self;
    lowerouter242 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter242;
  }
  block_savedest(obj242);
  Object closure244 = createclosure(1, "new");
setclosureframe(closure244, stackframe);
  addtoclosure(closure244, var_Token);
  struct UserObject *uo244 = (struct UserObject*)obj242;
  uo244->data[1] = (Object)closure244;
  Method *meth_meth_lexer_new244 = addmethod2pos(obj242, "new", &meth_lexer_new244, 1);
int argcv_meth_lexer_new244[] = {0};
meth_meth_lexer_new244->type = alloc_MethodType(1, argcv_meth_lexer_new244);
  meth_meth_lexer_new244->definitionModule = modulename;
  meth_meth_lexer_new244->definitionLine = 80;
  block_savedest(obj242);
  Object closure255 = createclosure(1, "new()object");
setclosureframe(closure255, stackframe);
  addtoclosure(closure255, var_Token);
  Method *meth_meth_lexer_new244_object = addmethod2pos(obj242, "new()object", &meth_lexer_new244_object, 1);
  meth_meth_lexer_new244_object->definitionModule = modulename;
  meth_meth_lexer_new244_object->definitionLine = 80;
  sourceObject = obj242;
objclass242 = obj242->class;
  objclass242->definitionModule = modulename;
  objclass242->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter242;
  self = oldself242;
  selfslot = oldselfslot242;
  stackframe = oldstackframe242;
// compilenode returning obj242
  *var_RSquareToken = obj242;
  if (obj242 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject256 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj256 = alloc_userobj2(2,4, objclass256);
  gc_frame_newslot(obj256);
// OBJECT OUTER DEC outer
  adddatum2(obj256, self, 0);
  addmethodreal(obj256,"outer", &reader_lexer_outer_257);
  Object oldself256 = self;
  struct StackFrameObject *oldstackframe256 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe256);
  gc_frame_newslot((Object)stackframe);
  self = obj256;
  Object *oldselfslot256 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter256 = (*(struct UserObject *)self).data[0], lowerouter256 = thisouter256;
  if (inheritingObject256) {
    struct UserObject *inho256 = (struct UserObject *)inheritingObject256;
    while (inho256->super != GraceDefaultObject) inho256 = (struct UserObject *)inho256->super;
    inho256->super = obj256;
    self = inheritingObject256;
    *selfslot = self;
    lowerouter256 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter256;
  }
  block_savedest(obj256);
  Object closure258 = createclosure(1, "new");
setclosureframe(closure258, stackframe);
  addtoclosure(closure258, var_Token);
  struct UserObject *uo258 = (struct UserObject*)obj256;
  uo258->data[1] = (Object)closure258;
  Method *meth_meth_lexer_new258 = addmethod2pos(obj256, "new", &meth_lexer_new258, 1);
int argcv_meth_lexer_new258[] = {0};
meth_meth_lexer_new258->type = alloc_MethodType(1, argcv_meth_lexer_new258);
  meth_meth_lexer_new258->definitionModule = modulename;
  meth_meth_lexer_new258->definitionLine = 80;
  block_savedest(obj256);
  Object closure269 = createclosure(1, "new()object");
setclosureframe(closure269, stackframe);
  addtoclosure(closure269, var_Token);
  Method *meth_meth_lexer_new258_object = addmethod2pos(obj256, "new()object", &meth_lexer_new258_object, 1);
  meth_meth_lexer_new258_object->definitionModule = modulename;
  meth_meth_lexer_new258_object->definitionLine = 80;
  sourceObject = obj256;
objclass256 = obj256->class;
  objclass256->definitionModule = modulename;
  objclass256->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter256;
  self = oldself256;
  selfslot = oldselfslot256;
  stackframe = oldstackframe256;
// compilenode returning obj256
  *var_CommaToken = obj256;
  if (obj256 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject270 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj270 = alloc_userobj2(2,4, objclass270);
  gc_frame_newslot(obj270);
// OBJECT OUTER DEC outer
  adddatum2(obj270, self, 0);
  addmethodreal(obj270,"outer", &reader_lexer_outer_271);
  Object oldself270 = self;
  struct StackFrameObject *oldstackframe270 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe270);
  gc_frame_newslot((Object)stackframe);
  self = obj270;
  Object *oldselfslot270 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter270 = (*(struct UserObject *)self).data[0], lowerouter270 = thisouter270;
  if (inheritingObject270) {
    struct UserObject *inho270 = (struct UserObject *)inheritingObject270;
    while (inho270->super != GraceDefaultObject) inho270 = (struct UserObject *)inho270->super;
    inho270->super = obj270;
    self = inheritingObject270;
    *selfslot = self;
    lowerouter270 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter270;
  }
  block_savedest(obj270);
  Object closure272 = createclosure(1, "new");
setclosureframe(closure272, stackframe);
  addtoclosure(closure272, var_Token);
  struct UserObject *uo272 = (struct UserObject*)obj270;
  uo272->data[1] = (Object)closure272;
  Method *meth_meth_lexer_new272 = addmethod2pos(obj270, "new", &meth_lexer_new272, 1);
int argcv_meth_lexer_new272[] = {0};
meth_meth_lexer_new272->type = alloc_MethodType(1, argcv_meth_lexer_new272);
  meth_meth_lexer_new272->definitionModule = modulename;
  meth_meth_lexer_new272->definitionLine = 80;
  block_savedest(obj270);
  Object closure283 = createclosure(1, "new()object");
setclosureframe(closure283, stackframe);
  addtoclosure(closure283, var_Token);
  Method *meth_meth_lexer_new272_object = addmethod2pos(obj270, "new()object", &meth_lexer_new272_object, 1);
  meth_meth_lexer_new272_object->definitionModule = modulename;
  meth_meth_lexer_new272_object->definitionLine = 80;
  sourceObject = obj270;
objclass270 = obj270->class;
  objclass270->definitionModule = modulename;
  objclass270->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter270;
  self = oldself270;
  selfslot = oldselfslot270;
  stackframe = oldstackframe270;
// compilenode returning obj270
  *var_ColonToken = obj270;
  if (obj270 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject284 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj284 = alloc_userobj2(2,4, objclass284);
  gc_frame_newslot(obj284);
// OBJECT OUTER DEC outer
  adddatum2(obj284, self, 0);
  addmethodreal(obj284,"outer", &reader_lexer_outer_285);
  Object oldself284 = self;
  struct StackFrameObject *oldstackframe284 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe284);
  gc_frame_newslot((Object)stackframe);
  self = obj284;
  Object *oldselfslot284 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter284 = (*(struct UserObject *)self).data[0], lowerouter284 = thisouter284;
  if (inheritingObject284) {
    struct UserObject *inho284 = (struct UserObject *)inheritingObject284;
    while (inho284->super != GraceDefaultObject) inho284 = (struct UserObject *)inho284->super;
    inho284->super = obj284;
    self = inheritingObject284;
    *selfslot = self;
    lowerouter284 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter284;
  }
  block_savedest(obj284);
  Object closure286 = createclosure(1, "new");
setclosureframe(closure286, stackframe);
  addtoclosure(closure286, var_Token);
  struct UserObject *uo286 = (struct UserObject*)obj284;
  uo286->data[1] = (Object)closure286;
  Method *meth_meth_lexer_new286 = addmethod2pos(obj284, "new", &meth_lexer_new286, 1);
int argcv_meth_lexer_new286[] = {0};
meth_meth_lexer_new286->type = alloc_MethodType(1, argcv_meth_lexer_new286);
  meth_meth_lexer_new286->definitionModule = modulename;
  meth_meth_lexer_new286->definitionLine = 80;
  block_savedest(obj284);
  Object closure297 = createclosure(1, "new()object");
setclosureframe(closure297, stackframe);
  addtoclosure(closure297, var_Token);
  Method *meth_meth_lexer_new286_object = addmethod2pos(obj284, "new()object", &meth_lexer_new286_object, 1);
  meth_meth_lexer_new286_object->definitionModule = modulename;
  meth_meth_lexer_new286_object->definitionLine = 80;
  sourceObject = obj284;
objclass284 = obj284->class;
  objclass284->definitionModule = modulename;
  objclass284->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter284;
  self = oldself284;
  selfslot = oldselfslot284;
  stackframe = oldstackframe284;
// compilenode returning obj284
  *var_DotToken = obj284;
  if (obj284 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject298 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj298 = alloc_userobj2(2,4, objclass298);
  gc_frame_newslot(obj298);
// OBJECT OUTER DEC outer
  adddatum2(obj298, self, 0);
  addmethodreal(obj298,"outer", &reader_lexer_outer_299);
  Object oldself298 = self;
  struct StackFrameObject *oldstackframe298 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe298);
  gc_frame_newslot((Object)stackframe);
  self = obj298;
  Object *oldselfslot298 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter298 = (*(struct UserObject *)self).data[0], lowerouter298 = thisouter298;
  if (inheritingObject298) {
    struct UserObject *inho298 = (struct UserObject *)inheritingObject298;
    while (inho298->super != GraceDefaultObject) inho298 = (struct UserObject *)inho298->super;
    inho298->super = obj298;
    self = inheritingObject298;
    *selfslot = self;
    lowerouter298 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter298;
  }
  block_savedest(obj298);
  Object closure300 = createclosure(3, "new");
setclosureframe(closure300, stackframe);
  addtoclosure(closure300, var_Token);
  addtoclosure(closure300, var_startPosition);
  addtoclosure(closure300, var_linePosition);
  struct UserObject *uo300 = (struct UserObject*)obj298;
  uo300->data[1] = (Object)closure300;
  Method *meth_meth_lexer_new300 = addmethod2pos(obj298, "new", &meth_lexer_new300, 1);
int argcv_meth_lexer_new300[] = {2};
meth_meth_lexer_new300->type = alloc_MethodType(1, argcv_meth_lexer_new300);
  meth_meth_lexer_new300->definitionModule = modulename;
  meth_meth_lexer_new300->definitionLine = 80;
  block_savedest(obj298);
  Object closure313 = createclosure(3, "new()object");
setclosureframe(closure313, stackframe);
  addtoclosure(closure313, var_Token);
  addtoclosure(closure313, var_startPosition);
  addtoclosure(closure313, var_linePosition);
  Method *meth_meth_lexer_new300_object = addmethod2pos(obj298, "new()object", &meth_lexer_new300_object, 1);
  meth_meth_lexer_new300_object->definitionModule = modulename;
  meth_meth_lexer_new300_object->definitionLine = 80;
  sourceObject = obj298;
objclass298 = obj298->class;
  objclass298->definitionModule = modulename;
  objclass298->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter298;
  self = oldself298;
  selfslot = oldselfslot298;
  stackframe = oldstackframe298;
// compilenode returning obj298
  *var_NumToken = obj298;
  if (obj298 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject314 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj314 = alloc_userobj2(2,4, objclass314);
  gc_frame_newslot(obj314);
// OBJECT OUTER DEC outer
  adddatum2(obj314, self, 0);
  addmethodreal(obj314,"outer", &reader_lexer_outer_315);
  Object oldself314 = self;
  struct StackFrameObject *oldstackframe314 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe314);
  gc_frame_newslot((Object)stackframe);
  self = obj314;
  Object *oldselfslot314 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter314 = (*(struct UserObject *)self).data[0], lowerouter314 = thisouter314;
  if (inheritingObject314) {
    struct UserObject *inho314 = (struct UserObject *)inheritingObject314;
    while (inho314->super != GraceDefaultObject) inho314 = (struct UserObject *)inho314->super;
    inho314->super = obj314;
    self = inheritingObject314;
    *selfslot = self;
    lowerouter314 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter314;
  }
  block_savedest(obj314);
  Object closure316 = createclosure(1, "new");
setclosureframe(closure316, stackframe);
  addtoclosure(closure316, var_Token);
  struct UserObject *uo316 = (struct UserObject*)obj314;
  uo316->data[1] = (Object)closure316;
  Method *meth_meth_lexer_new316 = addmethod2pos(obj314, "new", &meth_lexer_new316, 1);
int argcv_meth_lexer_new316[] = {1};
meth_meth_lexer_new316->type = alloc_MethodType(1, argcv_meth_lexer_new316);
  meth_meth_lexer_new316->definitionModule = modulename;
  meth_meth_lexer_new316->definitionLine = 80;
  block_savedest(obj314);
  Object closure327 = createclosure(1, "new()object");
setclosureframe(closure327, stackframe);
  addtoclosure(closure327, var_Token);
  Method *meth_meth_lexer_new316_object = addmethod2pos(obj314, "new()object", &meth_lexer_new316_object, 1);
  meth_meth_lexer_new316_object->definitionModule = modulename;
  meth_meth_lexer_new316_object->definitionLine = 80;
  sourceObject = obj314;
objclass314 = obj314->class;
  objclass314->definitionModule = modulename;
  objclass314->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter314;
  self = oldself314;
  selfslot = oldselfslot314;
  stackframe = oldstackframe314;
// compilenode returning obj314
  *var_KeywordToken = obj314;
  if (obj314 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject328 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj328 = alloc_userobj2(2,4, objclass328);
  gc_frame_newslot(obj328);
// OBJECT OUTER DEC outer
  adddatum2(obj328, self, 0);
  addmethodreal(obj328,"outer", &reader_lexer_outer_329);
  Object oldself328 = self;
  struct StackFrameObject *oldstackframe328 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe328);
  gc_frame_newslot((Object)stackframe);
  self = obj328;
  Object *oldselfslot328 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter328 = (*(struct UserObject *)self).data[0], lowerouter328 = thisouter328;
  if (inheritingObject328) {
    struct UserObject *inho328 = (struct UserObject *)inheritingObject328;
    while (inho328->super != GraceDefaultObject) inho328 = (struct UserObject *)inho328->super;
    inho328->super = obj328;
    self = inheritingObject328;
    *selfslot = self;
    lowerouter328 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter328;
  }
  block_savedest(obj328);
  Object closure330 = createclosure(1, "new");
setclosureframe(closure330, stackframe);
  addtoclosure(closure330, var_Token);
  struct UserObject *uo330 = (struct UserObject*)obj328;
  uo330->data[1] = (Object)closure330;
  Method *meth_meth_lexer_new330 = addmethod2pos(obj328, "new", &meth_lexer_new330, 1);
int argcv_meth_lexer_new330[] = {1};
meth_meth_lexer_new330->type = alloc_MethodType(1, argcv_meth_lexer_new330);
  meth_meth_lexer_new330->definitionModule = modulename;
  meth_meth_lexer_new330->definitionLine = 147;
  block_savedest(obj328);
  Object closure341 = createclosure(1, "new()object");
setclosureframe(closure341, stackframe);
  addtoclosure(closure341, var_Token);
  Method *meth_meth_lexer_new330_object = addmethod2pos(obj328, "new()object", &meth_lexer_new330_object, 1);
  meth_meth_lexer_new330_object->definitionModule = modulename;
  meth_meth_lexer_new330_object->definitionLine = 147;
  sourceObject = obj328;
objclass328 = obj328->class;
  objclass328->definitionModule = modulename;
  objclass328->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter328;
  self = oldself328;
  selfslot = oldselfslot328;
  stackframe = oldstackframe328;
// compilenode returning obj328
  *var_OpToken = obj328;
  if (obj328 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject342 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj342 = alloc_userobj2(2,4, objclass342);
  gc_frame_newslot(obj342);
// OBJECT OUTER DEC outer
  adddatum2(obj342, self, 0);
  addmethodreal(obj342,"outer", &reader_lexer_outer_343);
  Object oldself342 = self;
  struct StackFrameObject *oldstackframe342 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe342);
  gc_frame_newslot((Object)stackframe);
  self = obj342;
  Object *oldselfslot342 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter342 = (*(struct UserObject *)self).data[0], lowerouter342 = thisouter342;
  if (inheritingObject342) {
    struct UserObject *inho342 = (struct UserObject *)inheritingObject342;
    while (inho342->super != GraceDefaultObject) inho342 = (struct UserObject *)inho342->super;
    inho342->super = obj342;
    self = inheritingObject342;
    *selfslot = self;
    lowerouter342 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter342;
  }
  block_savedest(obj342);
  Object closure344 = createclosure(1, "new");
setclosureframe(closure344, stackframe);
  addtoclosure(closure344, var_Token);
  struct UserObject *uo344 = (struct UserObject*)obj342;
  uo344->data[1] = (Object)closure344;
  Method *meth_meth_lexer_new344 = addmethod2pos(obj342, "new", &meth_lexer_new344, 1);
int argcv_meth_lexer_new344[] = {0};
meth_meth_lexer_new344->type = alloc_MethodType(1, argcv_meth_lexer_new344);
  meth_meth_lexer_new344->definitionModule = modulename;
  meth_meth_lexer_new344->definitionLine = 153;
  block_savedest(obj342);
  Object closure355 = createclosure(1, "new()object");
setclosureframe(closure355, stackframe);
  addtoclosure(closure355, var_Token);
  Method *meth_meth_lexer_new344_object = addmethod2pos(obj342, "new()object", &meth_lexer_new344_object, 1);
  meth_meth_lexer_new344_object->definitionModule = modulename;
  meth_meth_lexer_new344_object->definitionLine = 153;
  sourceObject = obj342;
objclass342 = obj342->class;
  objclass342->definitionModule = modulename;
  objclass342->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter342;
  self = oldself342;
  selfslot = oldselfslot342;
  stackframe = oldstackframe342;
// compilenode returning obj342
  *var_ArrowToken = obj342;
  if (obj342 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject356 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj356 = alloc_userobj2(2,4, objclass356);
  gc_frame_newslot(obj356);
// OBJECT OUTER DEC outer
  adddatum2(obj356, self, 0);
  addmethodreal(obj356,"outer", &reader_lexer_outer_357);
  Object oldself356 = self;
  struct StackFrameObject *oldstackframe356 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe356);
  gc_frame_newslot((Object)stackframe);
  self = obj356;
  Object *oldselfslot356 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter356 = (*(struct UserObject *)self).data[0], lowerouter356 = thisouter356;
  if (inheritingObject356) {
    struct UserObject *inho356 = (struct UserObject *)inheritingObject356;
    while (inho356->super != GraceDefaultObject) inho356 = (struct UserObject *)inho356->super;
    inho356->super = obj356;
    self = inheritingObject356;
    *selfslot = self;
    lowerouter356 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter356;
  }
  block_savedest(obj356);
  Object closure358 = createclosure(1, "new");
setclosureframe(closure358, stackframe);
  addtoclosure(closure358, var_Token);
  struct UserObject *uo358 = (struct UserObject*)obj356;
  uo358->data[1] = (Object)closure358;
  Method *meth_meth_lexer_new358 = addmethod2pos(obj356, "new", &meth_lexer_new358, 1);
int argcv_meth_lexer_new358[] = {0};
meth_meth_lexer_new358->type = alloc_MethodType(1, argcv_meth_lexer_new358);
  meth_meth_lexer_new358->definitionModule = modulename;
  meth_meth_lexer_new358->definitionLine = 153;
  block_savedest(obj356);
  Object closure369 = createclosure(1, "new()object");
setclosureframe(closure369, stackframe);
  addtoclosure(closure369, var_Token);
  Method *meth_meth_lexer_new358_object = addmethod2pos(obj356, "new()object", &meth_lexer_new358_object, 1);
  meth_meth_lexer_new358_object->definitionModule = modulename;
  meth_meth_lexer_new358_object->definitionLine = 153;
  sourceObject = obj356;
objclass356 = obj356->class;
  objclass356->definitionModule = modulename;
  objclass356->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter356;
  self = oldself356;
  selfslot = oldselfslot356;
  stackframe = oldstackframe356;
// compilenode returning obj356
  *var_BindToken = obj356;
  if (obj356 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject370 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj370 = alloc_userobj2(2,4, objclass370);
  gc_frame_newslot(obj370);
// OBJECT OUTER DEC outer
  adddatum2(obj370, self, 0);
  addmethodreal(obj370,"outer", &reader_lexer_outer_371);
  Object oldself370 = self;
  struct StackFrameObject *oldstackframe370 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe370);
  gc_frame_newslot((Object)stackframe);
  self = obj370;
  Object *oldselfslot370 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter370 = (*(struct UserObject *)self).data[0], lowerouter370 = thisouter370;
  if (inheritingObject370) {
    struct UserObject *inho370 = (struct UserObject *)inheritingObject370;
    while (inho370->super != GraceDefaultObject) inho370 = (struct UserObject *)inho370->super;
    inho370->super = obj370;
    self = inheritingObject370;
    *selfslot = self;
    lowerouter370 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter370;
  }
  block_savedest(obj370);
  Object closure372 = createclosure(1, "new");
setclosureframe(closure372, stackframe);
  addtoclosure(closure372, var_Token);
  struct UserObject *uo372 = (struct UserObject*)obj370;
  uo372->data[1] = (Object)closure372;
  Method *meth_meth_lexer_new372 = addmethod2pos(obj370, "new", &meth_lexer_new372, 1);
int argcv_meth_lexer_new372[] = {0};
meth_meth_lexer_new372->type = alloc_MethodType(1, argcv_meth_lexer_new372);
  meth_meth_lexer_new372->definitionModule = modulename;
  meth_meth_lexer_new372->definitionLine = 153;
  block_savedest(obj370);
  Object closure383 = createclosure(1, "new()object");
setclosureframe(closure383, stackframe);
  addtoclosure(closure383, var_Token);
  Method *meth_meth_lexer_new372_object = addmethod2pos(obj370, "new()object", &meth_lexer_new372_object, 1);
  meth_meth_lexer_new372_object->definitionModule = modulename;
  meth_meth_lexer_new372_object->definitionLine = 153;
  sourceObject = obj370;
objclass370 = obj370->class;
  objclass370->definitionModule = modulename;
  objclass370->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter370;
  self = oldself370;
  selfslot = oldselfslot370;
  stackframe = oldstackframe370;
// compilenode returning obj370
  *var_SemicolonToken = obj370;
  if (obj370 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject384 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj384 = alloc_userobj2(2,4, objclass384);
  gc_frame_newslot(obj384);
// OBJECT OUTER DEC outer
  adddatum2(obj384, self, 0);
  addmethodreal(obj384,"outer", &reader_lexer_outer_385);
  Object oldself384 = self;
  struct StackFrameObject *oldstackframe384 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe384);
  gc_frame_newslot((Object)stackframe);
  self = obj384;
  Object *oldselfslot384 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter384 = (*(struct UserObject *)self).data[0], lowerouter384 = thisouter384;
  if (inheritingObject384) {
    struct UserObject *inho384 = (struct UserObject *)inheritingObject384;
    while (inho384->super != GraceDefaultObject) inho384 = (struct UserObject *)inho384->super;
    inho384->super = obj384;
    self = inheritingObject384;
    *selfslot = self;
    lowerouter384 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter384;
  }
  block_savedest(obj384);
  Object closure386 = createclosure(1, "new");
setclosureframe(closure386, stackframe);
  addtoclosure(closure386, var_Token);
  struct UserObject *uo386 = (struct UserObject*)obj384;
  uo386->data[1] = (Object)closure386;
  Method *meth_meth_lexer_new386 = addmethod2pos(obj384, "new", &meth_lexer_new386, 1);
int argcv_meth_lexer_new386[] = {0};
meth_meth_lexer_new386->type = alloc_MethodType(1, argcv_meth_lexer_new386);
  meth_meth_lexer_new386->definitionModule = modulename;
  meth_meth_lexer_new386->definitionLine = 153;
  block_savedest(obj384);
  Object closure397 = createclosure(1, "new()object");
setclosureframe(closure397, stackframe);
  addtoclosure(closure397, var_Token);
  Method *meth_meth_lexer_new386_object = addmethod2pos(obj384, "new()object", &meth_lexer_new386_object, 1);
  meth_meth_lexer_new386_object->definitionModule = modulename;
  meth_meth_lexer_new386_object->definitionLine = 153;
  sourceObject = obj384;
objclass384 = obj384->class;
  objclass384->definitionModule = modulename;
  objclass384->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter384;
  self = oldself384;
  selfslot = oldselfslot384;
  stackframe = oldstackframe384;
// compilenode returning obj384
  *var_LGenericToken = obj384;
  if (obj384 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject398 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj398 = alloc_userobj2(2,4, objclass398);
  gc_frame_newslot(obj398);
// OBJECT OUTER DEC outer
  adddatum2(obj398, self, 0);
  addmethodreal(obj398,"outer", &reader_lexer_outer_399);
  Object oldself398 = self;
  struct StackFrameObject *oldstackframe398 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe398);
  gc_frame_newslot((Object)stackframe);
  self = obj398;
  Object *oldselfslot398 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter398 = (*(struct UserObject *)self).data[0], lowerouter398 = thisouter398;
  if (inheritingObject398) {
    struct UserObject *inho398 = (struct UserObject *)inheritingObject398;
    while (inho398->super != GraceDefaultObject) inho398 = (struct UserObject *)inho398->super;
    inho398->super = obj398;
    self = inheritingObject398;
    *selfslot = self;
    lowerouter398 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter398;
  }
  block_savedest(obj398);
  Object closure400 = createclosure(1, "new");
setclosureframe(closure400, stackframe);
  addtoclosure(closure400, var_Token);
  struct UserObject *uo400 = (struct UserObject*)obj398;
  uo400->data[1] = (Object)closure400;
  Method *meth_meth_lexer_new400 = addmethod2pos(obj398, "new", &meth_lexer_new400, 1);
int argcv_meth_lexer_new400[] = {0};
meth_meth_lexer_new400->type = alloc_MethodType(1, argcv_meth_lexer_new400);
  meth_meth_lexer_new400->definitionModule = modulename;
  meth_meth_lexer_new400->definitionLine = 153;
  block_savedest(obj398);
  Object closure411 = createclosure(1, "new()object");
setclosureframe(closure411, stackframe);
  addtoclosure(closure411, var_Token);
  Method *meth_meth_lexer_new400_object = addmethod2pos(obj398, "new()object", &meth_lexer_new400_object, 1);
  meth_meth_lexer_new400_object->definitionModule = modulename;
  meth_meth_lexer_new400_object->definitionLine = 153;
  sourceObject = obj398;
objclass398 = obj398->class;
  objclass398->definitionModule = modulename;
  objclass398->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter398;
  self = oldself398;
  selfslot = oldselfslot398;
  stackframe = oldstackframe398;
// compilenode returning obj398
  *var_RGenericToken = obj398;
  if (obj398 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject412 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj412 = alloc_userobj2(7,8, objclass412);
  gc_frame_newslot(obj412);
// OBJECT OUTER DEC outer
  adddatum2(obj412, self, 0);
  addmethodreal(obj412,"outer", &reader_lexer_outer_413);
  Object oldself412 = self;
  struct StackFrameObject *oldstackframe412 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe412);
  gc_frame_newslot((Object)stackframe);
  self = obj412;
  Object *oldselfslot412 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter412 = (*(struct UserObject *)self).data[0], lowerouter412 = thisouter412;
  if (inheritingObject412) {
    struct UserObject *inho412 = (struct UserObject *)inheritingObject412;
    while (inho412->super != GraceDefaultObject) inho412 = (struct UserObject *)inho412->super;
    inho412->super = obj412;
    self = inheritingObject412;
    *selfslot = self;
    lowerouter412 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter412;
  }
  block_savedest(obj412);
  Object closure414 = createclosure(27, "modechange");
setclosureframe(closure414, stackframe);
  addtoclosure(closure414, var_IdentifierToken);
  addtoclosure(closure414, var_KeywordToken);
  addtoclosure(closure414, var_StringToken);
  addtoclosure(closure414, var_OctetsToken);
  addtoclosure(closure414, var_CommaToken);
  addtoclosure(closure414, var_DotToken);
  addtoclosure(closure414, var_LBraceToken);
  addtoclosure(closure414, var_RBraceToken);
  addtoclosure(closure414, var_LParenToken);
  addtoclosure(closure414, var_RParenToken);
  addtoclosure(closure414, var_LSquareToken);
  addtoclosure(closure414, var_RSquareToken);
  addtoclosure(closure414, var_LGenericToken);
  addtoclosure(closure414, var_RGenericToken);
  addtoclosure(closure414, var_SemicolonToken);
  addtoclosure(closure414, var_NumToken);
  addtoclosure(closure414, var_errormessages);
  addtoclosure(closure414, var_linePosition);
  addtoclosure(closure414, var_lineNumber);
  addtoclosure(closure414, var_OpToken);
  addtoclosure(closure414, var_ArrowToken);
  addtoclosure(closure414, var_BindToken);
  addtoclosure(closure414, var_ColonToken);
  addtoclosure(closure414, var_indentLevel);
  addtoclosure(closure414, var_CommentToken);
  addtoclosure(closure414, var_util);
  addtoclosure(closure414, var_startPosition);
  struct UserObject *uo414 = (struct UserObject*)obj412;
  uo414->data[1] = (Object)closure414;
  Method *meth_meth_lexer_modechange414 = addmethod2pos(obj412, "modechange", &meth_lexer_modechange414, 1);
int argcv_meth_lexer_modechange414[] = {3};
meth_meth_lexer_modechange414->type = alloc_MethodType(1, argcv_meth_lexer_modechange414);
  meth_meth_lexer_modechange414->definitionModule = modulename;
  meth_meth_lexer_modechange414->definitionLine = 203;
  block_savedest(obj412);
  Object closure1131 = createclosure(4, "fromBase");
setclosureframe(closure1131, stackframe);
  addtoclosure(closure1131, var_errormessages);
  addtoclosure(closure1131, var_linePosition);
  addtoclosure(closure1131, var_lineNumber);
  addtoclosure(closure1131, var_unicode);
  struct UserObject *uo1131 = (struct UserObject*)obj412;
  uo1131->data[2] = (Object)closure1131;
  Method *meth_meth_lexer_fromBase1131 = addmethod2pos(obj412, "fromBase", &meth_lexer_fromBase1131, 2);
int argcv_meth_lexer_fromBase1131[] = {2};
meth_meth_lexer_fromBase1131->type = alloc_MethodType(1, argcv_meth_lexer_fromBase1131);
  meth_meth_lexer_fromBase1131->definitionModule = modulename;
  meth_meth_lexer_fromBase1131->definitionLine = 376;
  block_savedest(obj412);
  Object closure1347 = createclosure(4, "makeNumToken");
setclosureframe(closure1347, stackframe);
  addtoclosure(closure1347, var_errormessages);
  addtoclosure(closure1347, var_linePosition);
  addtoclosure(closure1347, var_lineNumber);
  addtoclosure(closure1347, var_NumToken);
  struct UserObject *uo1347 = (struct UserObject*)obj412;
  uo1347->data[3] = (Object)closure1347;
  Method *meth_meth_lexer_makeNumToken1347 = addmethod2pos(obj412, "makeNumToken", &meth_lexer_makeNumToken1347, 3);
int argcv_meth_lexer_makeNumToken1347[] = {1};
meth_meth_lexer_makeNumToken1347->type = alloc_MethodType(1, argcv_meth_lexer_makeNumToken1347);
  meth_meth_lexer_makeNumToken1347->definitionModule = modulename;
  meth_meth_lexer_makeNumToken1347->definitionLine = 417;
  block_savedest(obj412);
  Object closure1526 = createclosure(1, "isidentifierchar");
setclosureframe(closure1526, stackframe);
  addtoclosure(closure1526, var_unicode);
  struct UserObject *uo1526 = (struct UserObject*)obj412;
  uo1526->data[4] = (Object)closure1526;
  Method *meth_meth_lexer_isidentifierchar1526 = addmethod2pos(obj412, "isidentifierchar", &meth_lexer_isidentifierchar1526, 4);
int argcv_meth_lexer_isidentifierchar1526[] = {1};
meth_meth_lexer_isidentifierchar1526->type = alloc_MethodType(1, argcv_meth_lexer_isidentifierchar1526);
  meth_meth_lexer_isidentifierchar1526->definitionModule = modulename;
  meth_meth_lexer_isidentifierchar1526->definitionLine = 462;
  block_savedest(obj412);
  Object closure1549 = createclosure(1, "isoperatorchar");
setclosureframe(closure1549, stackframe);
  addtoclosure(closure1549, var_unicode);
  struct UserObject *uo1549 = (struct UserObject*)obj412;
  uo1549->data[5] = (Object)closure1549;
  Method *meth_meth_lexer_isoperatorchar1549 = addmethod2pos(obj412, "isoperatorchar", &meth_lexer_isoperatorchar1549, 5);
int argcv_meth_lexer_isoperatorchar1549[] = {2};
meth_meth_lexer_isoperatorchar1549->type = alloc_MethodType(1, argcv_meth_lexer_isoperatorchar1549);
  meth_meth_lexer_isoperatorchar1549->definitionModule = modulename;
  meth_meth_lexer_isoperatorchar1549->definitionLine = 478;
  block_savedest(obj412);
  Object closure1643 = createclosure(1, "lexfile");
setclosureframe(closure1643, stackframe);
  addtoclosure(closure1643, var_util);
  struct UserObject *uo1643 = (struct UserObject*)obj412;
  uo1643->data[6] = (Object)closure1643;
  Method *meth_meth_lexer_lexfile1643 = addmethod2pos(obj412, "lexfile", &meth_lexer_lexfile1643, 6);
int argcv_meth_lexer_lexfile1643[] = {1};
meth_meth_lexer_lexfile1643->type = alloc_MethodType(1, argcv_meth_lexer_lexfile1643);
  meth_meth_lexer_lexfile1643->definitionModule = modulename;
  meth_meth_lexer_lexfile1643->definitionLine = 495;
  block_savedest(obj412);
  Object closure1741 = createclosure(6, "lexinput");
setclosureframe(closure1741, stackframe);
  addtoclosure(closure1741, var_linePosition);
  addtoclosure(closure1741, var_util);
  addtoclosure(closure1741, var_unicode);
  addtoclosure(closure1741, var_errormessages);
  addtoclosure(closure1741, var_lineNumber);
  addtoclosure(closure1741, var_startPosition);
  struct UserObject *uo1741 = (struct UserObject*)obj412;
  uo1741->data[7] = (Object)closure1741;
  Method *meth_meth_lexer_lexinput1741 = addmethod2pos(obj412, "lexinput", &meth_lexer_lexinput1741, 7);
int argcv_meth_lexer_lexinput1741[] = {1};
meth_meth_lexer_lexinput1741->type = alloc_MethodType(1, argcv_meth_lexer_lexinput1741);
  meth_meth_lexer_lexinput1741->definitionModule = modulename;
  meth_meth_lexer_lexinput1741->definitionLine = 530;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
objclass412 = obj412->class;
  objclass412->definitionModule = modulename;
  objclass412->definitionLine = 186;
  (*(struct UserObject *)self).data[0] = lowerouter412;
  self = oldself412;
  selfslot = oldselfslot412;
  stackframe = oldstackframe412;
  gc_frame_end(frame);
  return obj412;
}
Object meth_lexer_new62_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(27, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lineNumber = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "lineNumber");
  Object *var_linePosition = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "linePosition");
  Object *var_startPosition = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startPosition");
  Object *var_indentLevel = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "indentLevel");
  Object *var_Token = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "Token");
  Object *var_IdentifierToken = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "IdentifierToken");
  Object *var_StringToken = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "StringToken");
  Object *var_CommentToken = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "CommentToken");
  Object *var_OctetsToken = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "OctetsToken");
  Object *var_LBraceToken = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "LBraceToken");
  Object *var_RBraceToken = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "RBraceToken");
  Object *var_LParenToken = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "LParenToken");
  Object *var_RParenToken = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "RParenToken");
  Object *var_LSquareToken = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "LSquareToken");
  Object *var_RSquareToken = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "RSquareToken");
  Object *var_CommaToken = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "CommaToken");
  Object *var_ColonToken = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "ColonToken");
  Object *var_DotToken = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "DotToken");
  Object *var_NumToken = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "NumToken");
  Object *var_KeywordToken = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "KeywordToken");
  Object *var_OpToken = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "OpToken");
  Object *var_ArrowToken = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "ArrowToken");
  Object *var_BindToken = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "BindToken");
  Object *var_SemicolonToken = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "SemicolonToken");
  Object *var_LGenericToken = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "LGenericToken");
  Object *var_RGenericToken = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "RGenericToken");
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num63 = alloc_Float64(1);
// compilenode returning num63
  *var_lineNumber = num63;
  if (num63 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num64 = alloc_Float64(0);
// compilenode returning num64
  *var_linePosition = num64;
  if (num64 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num65 = alloc_Float64(1);
// compilenode returning num65
  *var_startPosition = num65;
  if (num65 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num66 = alloc_Float64(0);
// compilenode returning num66
  *var_indentLevel = num66;
  if (num66 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject67 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj67 = alloc_userobj2(2,4, objclass67);
  gc_frame_newslot(obj67);
// OBJECT OUTER DEC outer
  adddatum2(obj67, self, 0);
  addmethodreal(obj67,"outer", &reader_lexer_outer_68);
  Object oldself67 = self;
  struct StackFrameObject *oldstackframe67 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe67);
  gc_frame_newslot((Object)stackframe);
  self = obj67;
  Object *oldselfslot67 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter67 = (*(struct UserObject *)self).data[0], lowerouter67 = thisouter67;
  if (inheritingObject67) {
    struct UserObject *inho67 = (struct UserObject *)inheritingObject67;
    while (inho67->super != GraceDefaultObject) inho67 = (struct UserObject *)inho67->super;
    inho67->super = obj67;
    self = inheritingObject67;
    *selfslot = self;
    lowerouter67 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter67;
  }
  block_savedest(obj67);
  Object closure69 = createclosure(3, "new");
setclosureframe(closure69, stackframe);
  addtoclosure(closure69, var_lineNumber);
  addtoclosure(closure69, var_indentLevel);
  addtoclosure(closure69, var_startPosition);
  struct UserObject *uo69 = (struct UserObject*)obj67;
  uo69->data[1] = (Object)closure69;
  Method *meth_meth_lexer_new69 = addmethod2pos(obj67, "new", &meth_lexer_new69, 1);
int argcv_meth_lexer_new69[] = {0};
meth_meth_lexer_new69->type = alloc_MethodType(1, argcv_meth_lexer_new69);
  meth_meth_lexer_new69->definitionModule = modulename;
  meth_meth_lexer_new69->definitionLine = 28;
  block_savedest(obj67);
  Object closure103 = createclosure(3, "new()object");
setclosureframe(closure103, stackframe);
  addtoclosure(closure103, var_lineNumber);
  addtoclosure(closure103, var_indentLevel);
  addtoclosure(closure103, var_startPosition);
  Method *meth_meth_lexer_new69_object = addmethod2pos(obj67, "new()object", &meth_lexer_new69_object, 1);
  meth_meth_lexer_new69_object->definitionModule = modulename;
  meth_meth_lexer_new69_object->definitionLine = 28;
  sourceObject = obj67;
objclass67 = obj67->class;
  objclass67->definitionModule = modulename;
  objclass67->definitionLine = 28;
  (*(struct UserObject *)self).data[0] = lowerouter67;
  self = oldself67;
  selfslot = oldselfslot67;
  stackframe = oldstackframe67;
// compilenode returning obj67
  *var_Token = obj67;
  if (obj67 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject104 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj104 = alloc_userobj2(2,4, objclass104);
  gc_frame_newslot(obj104);
// OBJECT OUTER DEC outer
  adddatum2(obj104, self, 0);
  addmethodreal(obj104,"outer", &reader_lexer_outer_105);
  Object oldself104 = self;
  struct StackFrameObject *oldstackframe104 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe104);
  gc_frame_newslot((Object)stackframe);
  self = obj104;
  Object *oldselfslot104 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter104 = (*(struct UserObject *)self).data[0], lowerouter104 = thisouter104;
  if (inheritingObject104) {
    struct UserObject *inho104 = (struct UserObject *)inheritingObject104;
    while (inho104->super != GraceDefaultObject) inho104 = (struct UserObject *)inho104->super;
    inho104->super = obj104;
    self = inheritingObject104;
    *selfslot = self;
    lowerouter104 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter104;
  }
  block_savedest(obj104);
  Object closure106 = createclosure(1, "new");
setclosureframe(closure106, stackframe);
  addtoclosure(closure106, var_Token);
  struct UserObject *uo106 = (struct UserObject*)obj104;
  uo106->data[1] = (Object)closure106;
  Method *meth_meth_lexer_new106 = addmethod2pos(obj104, "new", &meth_lexer_new106, 1);
int argcv_meth_lexer_new106[] = {1};
meth_meth_lexer_new106->type = alloc_MethodType(1, argcv_meth_lexer_new106);
  meth_meth_lexer_new106->definitionModule = modulename;
  meth_meth_lexer_new106->definitionLine = 53;
  block_savedest(obj104);
  Object closure117 = createclosure(1, "new()object");
setclosureframe(closure117, stackframe);
  addtoclosure(closure117, var_Token);
  Method *meth_meth_lexer_new106_object = addmethod2pos(obj104, "new()object", &meth_lexer_new106_object, 1);
  meth_meth_lexer_new106_object->definitionModule = modulename;
  meth_meth_lexer_new106_object->definitionLine = 53;
  sourceObject = obj104;
objclass104 = obj104->class;
  objclass104->definitionModule = modulename;
  objclass104->definitionLine = 53;
  (*(struct UserObject *)self).data[0] = lowerouter104;
  self = oldself104;
  selfslot = oldselfslot104;
  stackframe = oldstackframe104;
// compilenode returning obj104
  *var_IdentifierToken = obj104;
  if (obj104 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject118 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj118 = alloc_userobj2(2,4, objclass118);
  gc_frame_newslot(obj118);
// OBJECT OUTER DEC outer
  adddatum2(obj118, self, 0);
  addmethodreal(obj118,"outer", &reader_lexer_outer_119);
  Object oldself118 = self;
  struct StackFrameObject *oldstackframe118 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe118);
  gc_frame_newslot((Object)stackframe);
  self = obj118;
  Object *oldselfslot118 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter118 = (*(struct UserObject *)self).data[0], lowerouter118 = thisouter118;
  if (inheritingObject118) {
    struct UserObject *inho118 = (struct UserObject *)inheritingObject118;
    while (inho118->super != GraceDefaultObject) inho118 = (struct UserObject *)inho118->super;
    inho118->super = obj118;
    self = inheritingObject118;
    *selfslot = self;
    lowerouter118 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter118;
  }
  block_savedest(obj118);
  Object closure120 = createclosure(1, "new");
setclosureframe(closure120, stackframe);
  addtoclosure(closure120, var_Token);
  struct UserObject *uo120 = (struct UserObject*)obj118;
  uo120->data[1] = (Object)closure120;
  Method *meth_meth_lexer_new120 = addmethod2pos(obj118, "new", &meth_lexer_new120, 1);
int argcv_meth_lexer_new120[] = {1};
meth_meth_lexer_new120->type = alloc_MethodType(1, argcv_meth_lexer_new120);
  meth_meth_lexer_new120->definitionModule = modulename;
  meth_meth_lexer_new120->definitionLine = 62;
  block_savedest(obj118);
  Object closure135 = createclosure(1, "new()object");
setclosureframe(closure135, stackframe);
  addtoclosure(closure135, var_Token);
  Method *meth_meth_lexer_new120_object = addmethod2pos(obj118, "new()object", &meth_lexer_new120_object, 1);
  meth_meth_lexer_new120_object->definitionModule = modulename;
  meth_meth_lexer_new120_object->definitionLine = 62;
  sourceObject = obj118;
objclass118 = obj118->class;
  objclass118->definitionModule = modulename;
  objclass118->definitionLine = 62;
  (*(struct UserObject *)self).data[0] = lowerouter118;
  self = oldself118;
  selfslot = oldselfslot118;
  stackframe = oldstackframe118;
// compilenode returning obj118
  *var_StringToken = obj118;
  if (obj118 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject136 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj136 = alloc_userobj2(2,4, objclass136);
  gc_frame_newslot(obj136);
// OBJECT OUTER DEC outer
  adddatum2(obj136, self, 0);
  addmethodreal(obj136,"outer", &reader_lexer_outer_137);
  Object oldself136 = self;
  struct StackFrameObject *oldstackframe136 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe136);
  gc_frame_newslot((Object)stackframe);
  self = obj136;
  Object *oldselfslot136 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter136 = (*(struct UserObject *)self).data[0], lowerouter136 = thisouter136;
  if (inheritingObject136) {
    struct UserObject *inho136 = (struct UserObject *)inheritingObject136;
    while (inho136->super != GraceDefaultObject) inho136 = (struct UserObject *)inho136->super;
    inho136->super = obj136;
    self = inheritingObject136;
    *selfslot = self;
    lowerouter136 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter136;
  }
  block_savedest(obj136);
  Object closure138 = createclosure(1, "new");
setclosureframe(closure138, stackframe);
  addtoclosure(closure138, var_Token);
  struct UserObject *uo138 = (struct UserObject*)obj136;
  uo138->data[1] = (Object)closure138;
  Method *meth_meth_lexer_new138 = addmethod2pos(obj136, "new", &meth_lexer_new138, 1);
int argcv_meth_lexer_new138[] = {1};
meth_meth_lexer_new138->type = alloc_MethodType(1, argcv_meth_lexer_new138);
  meth_meth_lexer_new138->definitionModule = modulename;
  meth_meth_lexer_new138->definitionLine = 68;
  block_savedest(obj136);
  Object closure153 = createclosure(1, "new()object");
setclosureframe(closure153, stackframe);
  addtoclosure(closure153, var_Token);
  Method *meth_meth_lexer_new138_object = addmethod2pos(obj136, "new()object", &meth_lexer_new138_object, 1);
  meth_meth_lexer_new138_object->definitionModule = modulename;
  meth_meth_lexer_new138_object->definitionLine = 68;
  sourceObject = obj136;
objclass136 = obj136->class;
  objclass136->definitionModule = modulename;
  objclass136->definitionLine = 68;
  (*(struct UserObject *)self).data[0] = lowerouter136;
  self = oldself136;
  selfslot = oldselfslot136;
  stackframe = oldstackframe136;
// compilenode returning obj136
  *var_CommentToken = obj136;
  if (obj136 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject154 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj154 = alloc_userobj2(2,4, objclass154);
  gc_frame_newslot(obj154);
// OBJECT OUTER DEC outer
  adddatum2(obj154, self, 0);
  addmethodreal(obj154,"outer", &reader_lexer_outer_155);
  Object oldself154 = self;
  struct StackFrameObject *oldstackframe154 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe154);
  gc_frame_newslot((Object)stackframe);
  self = obj154;
  Object *oldselfslot154 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter154 = (*(struct UserObject *)self).data[0], lowerouter154 = thisouter154;
  if (inheritingObject154) {
    struct UserObject *inho154 = (struct UserObject *)inheritingObject154;
    while (inho154->super != GraceDefaultObject) inho154 = (struct UserObject *)inho154->super;
    inho154->super = obj154;
    self = inheritingObject154;
    *selfslot = self;
    lowerouter154 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter154;
  }
  block_savedest(obj154);
  Object closure156 = createclosure(1, "new");
setclosureframe(closure156, stackframe);
  addtoclosure(closure156, var_Token);
  struct UserObject *uo156 = (struct UserObject*)obj154;
  uo156->data[1] = (Object)closure156;
  Method *meth_meth_lexer_new156 = addmethod2pos(obj154, "new", &meth_lexer_new156, 1);
int argcv_meth_lexer_new156[] = {1};
meth_meth_lexer_new156->type = alloc_MethodType(1, argcv_meth_lexer_new156);
  meth_meth_lexer_new156->definitionModule = modulename;
  meth_meth_lexer_new156->definitionLine = 74;
  block_savedest(obj154);
  Object closure171 = createclosure(1, "new()object");
setclosureframe(closure171, stackframe);
  addtoclosure(closure171, var_Token);
  Method *meth_meth_lexer_new156_object = addmethod2pos(obj154, "new()object", &meth_lexer_new156_object, 1);
  meth_meth_lexer_new156_object->definitionModule = modulename;
  meth_meth_lexer_new156_object->definitionLine = 74;
  sourceObject = obj154;
objclass154 = obj154->class;
  objclass154->definitionModule = modulename;
  objclass154->definitionLine = 74;
  (*(struct UserObject *)self).data[0] = lowerouter154;
  self = oldself154;
  selfslot = oldselfslot154;
  stackframe = oldstackframe154;
// compilenode returning obj154
  *var_OctetsToken = obj154;
  if (obj154 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject172 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj172 = alloc_userobj2(2,4, objclass172);
  gc_frame_newslot(obj172);
// OBJECT OUTER DEC outer
  adddatum2(obj172, self, 0);
  addmethodreal(obj172,"outer", &reader_lexer_outer_173);
  Object oldself172 = self;
  struct StackFrameObject *oldstackframe172 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe172);
  gc_frame_newslot((Object)stackframe);
  self = obj172;
  Object *oldselfslot172 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter172 = (*(struct UserObject *)self).data[0], lowerouter172 = thisouter172;
  if (inheritingObject172) {
    struct UserObject *inho172 = (struct UserObject *)inheritingObject172;
    while (inho172->super != GraceDefaultObject) inho172 = (struct UserObject *)inho172->super;
    inho172->super = obj172;
    self = inheritingObject172;
    *selfslot = self;
    lowerouter172 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter172;
  }
  block_savedest(obj172);
  Object closure174 = createclosure(1, "new");
setclosureframe(closure174, stackframe);
  addtoclosure(closure174, var_Token);
  struct UserObject *uo174 = (struct UserObject*)obj172;
  uo174->data[1] = (Object)closure174;
  Method *meth_meth_lexer_new174 = addmethod2pos(obj172, "new", &meth_lexer_new174, 1);
int argcv_meth_lexer_new174[] = {0};
meth_meth_lexer_new174->type = alloc_MethodType(1, argcv_meth_lexer_new174);
  meth_meth_lexer_new174->definitionModule = modulename;
  meth_meth_lexer_new174->definitionLine = 80;
  block_savedest(obj172);
  Object closure185 = createclosure(1, "new()object");
setclosureframe(closure185, stackframe);
  addtoclosure(closure185, var_Token);
  Method *meth_meth_lexer_new174_object = addmethod2pos(obj172, "new()object", &meth_lexer_new174_object, 1);
  meth_meth_lexer_new174_object->definitionModule = modulename;
  meth_meth_lexer_new174_object->definitionLine = 80;
  sourceObject = obj172;
objclass172 = obj172->class;
  objclass172->definitionModule = modulename;
  objclass172->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter172;
  self = oldself172;
  selfslot = oldselfslot172;
  stackframe = oldstackframe172;
// compilenode returning obj172
  *var_LBraceToken = obj172;
  if (obj172 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject186 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj186 = alloc_userobj2(2,4, objclass186);
  gc_frame_newslot(obj186);
// OBJECT OUTER DEC outer
  adddatum2(obj186, self, 0);
  addmethodreal(obj186,"outer", &reader_lexer_outer_187);
  Object oldself186 = self;
  struct StackFrameObject *oldstackframe186 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe186);
  gc_frame_newslot((Object)stackframe);
  self = obj186;
  Object *oldselfslot186 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter186 = (*(struct UserObject *)self).data[0], lowerouter186 = thisouter186;
  if (inheritingObject186) {
    struct UserObject *inho186 = (struct UserObject *)inheritingObject186;
    while (inho186->super != GraceDefaultObject) inho186 = (struct UserObject *)inho186->super;
    inho186->super = obj186;
    self = inheritingObject186;
    *selfslot = self;
    lowerouter186 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter186;
  }
  block_savedest(obj186);
  Object closure188 = createclosure(1, "new");
setclosureframe(closure188, stackframe);
  addtoclosure(closure188, var_Token);
  struct UserObject *uo188 = (struct UserObject*)obj186;
  uo188->data[1] = (Object)closure188;
  Method *meth_meth_lexer_new188 = addmethod2pos(obj186, "new", &meth_lexer_new188, 1);
int argcv_meth_lexer_new188[] = {0};
meth_meth_lexer_new188->type = alloc_MethodType(1, argcv_meth_lexer_new188);
  meth_meth_lexer_new188->definitionModule = modulename;
  meth_meth_lexer_new188->definitionLine = 80;
  block_savedest(obj186);
  Object closure199 = createclosure(1, "new()object");
setclosureframe(closure199, stackframe);
  addtoclosure(closure199, var_Token);
  Method *meth_meth_lexer_new188_object = addmethod2pos(obj186, "new()object", &meth_lexer_new188_object, 1);
  meth_meth_lexer_new188_object->definitionModule = modulename;
  meth_meth_lexer_new188_object->definitionLine = 80;
  sourceObject = obj186;
objclass186 = obj186->class;
  objclass186->definitionModule = modulename;
  objclass186->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter186;
  self = oldself186;
  selfslot = oldselfslot186;
  stackframe = oldstackframe186;
// compilenode returning obj186
  *var_RBraceToken = obj186;
  if (obj186 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject200 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj200 = alloc_userobj2(2,4, objclass200);
  gc_frame_newslot(obj200);
// OBJECT OUTER DEC outer
  adddatum2(obj200, self, 0);
  addmethodreal(obj200,"outer", &reader_lexer_outer_201);
  Object oldself200 = self;
  struct StackFrameObject *oldstackframe200 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe200);
  gc_frame_newslot((Object)stackframe);
  self = obj200;
  Object *oldselfslot200 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter200 = (*(struct UserObject *)self).data[0], lowerouter200 = thisouter200;
  if (inheritingObject200) {
    struct UserObject *inho200 = (struct UserObject *)inheritingObject200;
    while (inho200->super != GraceDefaultObject) inho200 = (struct UserObject *)inho200->super;
    inho200->super = obj200;
    self = inheritingObject200;
    *selfslot = self;
    lowerouter200 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter200;
  }
  block_savedest(obj200);
  Object closure202 = createclosure(1, "new");
setclosureframe(closure202, stackframe);
  addtoclosure(closure202, var_Token);
  struct UserObject *uo202 = (struct UserObject*)obj200;
  uo202->data[1] = (Object)closure202;
  Method *meth_meth_lexer_new202 = addmethod2pos(obj200, "new", &meth_lexer_new202, 1);
int argcv_meth_lexer_new202[] = {0};
meth_meth_lexer_new202->type = alloc_MethodType(1, argcv_meth_lexer_new202);
  meth_meth_lexer_new202->definitionModule = modulename;
  meth_meth_lexer_new202->definitionLine = 80;
  block_savedest(obj200);
  Object closure213 = createclosure(1, "new()object");
setclosureframe(closure213, stackframe);
  addtoclosure(closure213, var_Token);
  Method *meth_meth_lexer_new202_object = addmethod2pos(obj200, "new()object", &meth_lexer_new202_object, 1);
  meth_meth_lexer_new202_object->definitionModule = modulename;
  meth_meth_lexer_new202_object->definitionLine = 80;
  sourceObject = obj200;
objclass200 = obj200->class;
  objclass200->definitionModule = modulename;
  objclass200->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter200;
  self = oldself200;
  selfslot = oldselfslot200;
  stackframe = oldstackframe200;
// compilenode returning obj200
  *var_LParenToken = obj200;
  if (obj200 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject214 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj214 = alloc_userobj2(2,4, objclass214);
  gc_frame_newslot(obj214);
// OBJECT OUTER DEC outer
  adddatum2(obj214, self, 0);
  addmethodreal(obj214,"outer", &reader_lexer_outer_215);
  Object oldself214 = self;
  struct StackFrameObject *oldstackframe214 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe214);
  gc_frame_newslot((Object)stackframe);
  self = obj214;
  Object *oldselfslot214 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter214 = (*(struct UserObject *)self).data[0], lowerouter214 = thisouter214;
  if (inheritingObject214) {
    struct UserObject *inho214 = (struct UserObject *)inheritingObject214;
    while (inho214->super != GraceDefaultObject) inho214 = (struct UserObject *)inho214->super;
    inho214->super = obj214;
    self = inheritingObject214;
    *selfslot = self;
    lowerouter214 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter214;
  }
  block_savedest(obj214);
  Object closure216 = createclosure(1, "new");
setclosureframe(closure216, stackframe);
  addtoclosure(closure216, var_Token);
  struct UserObject *uo216 = (struct UserObject*)obj214;
  uo216->data[1] = (Object)closure216;
  Method *meth_meth_lexer_new216 = addmethod2pos(obj214, "new", &meth_lexer_new216, 1);
int argcv_meth_lexer_new216[] = {0};
meth_meth_lexer_new216->type = alloc_MethodType(1, argcv_meth_lexer_new216);
  meth_meth_lexer_new216->definitionModule = modulename;
  meth_meth_lexer_new216->definitionLine = 80;
  block_savedest(obj214);
  Object closure227 = createclosure(1, "new()object");
setclosureframe(closure227, stackframe);
  addtoclosure(closure227, var_Token);
  Method *meth_meth_lexer_new216_object = addmethod2pos(obj214, "new()object", &meth_lexer_new216_object, 1);
  meth_meth_lexer_new216_object->definitionModule = modulename;
  meth_meth_lexer_new216_object->definitionLine = 80;
  sourceObject = obj214;
objclass214 = obj214->class;
  objclass214->definitionModule = modulename;
  objclass214->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter214;
  self = oldself214;
  selfslot = oldselfslot214;
  stackframe = oldstackframe214;
// compilenode returning obj214
  *var_RParenToken = obj214;
  if (obj214 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject228 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj228 = alloc_userobj2(2,4, objclass228);
  gc_frame_newslot(obj228);
// OBJECT OUTER DEC outer
  adddatum2(obj228, self, 0);
  addmethodreal(obj228,"outer", &reader_lexer_outer_229);
  Object oldself228 = self;
  struct StackFrameObject *oldstackframe228 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe228);
  gc_frame_newslot((Object)stackframe);
  self = obj228;
  Object *oldselfslot228 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter228 = (*(struct UserObject *)self).data[0], lowerouter228 = thisouter228;
  if (inheritingObject228) {
    struct UserObject *inho228 = (struct UserObject *)inheritingObject228;
    while (inho228->super != GraceDefaultObject) inho228 = (struct UserObject *)inho228->super;
    inho228->super = obj228;
    self = inheritingObject228;
    *selfslot = self;
    lowerouter228 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter228;
  }
  block_savedest(obj228);
  Object closure230 = createclosure(1, "new");
setclosureframe(closure230, stackframe);
  addtoclosure(closure230, var_Token);
  struct UserObject *uo230 = (struct UserObject*)obj228;
  uo230->data[1] = (Object)closure230;
  Method *meth_meth_lexer_new230 = addmethod2pos(obj228, "new", &meth_lexer_new230, 1);
int argcv_meth_lexer_new230[] = {0};
meth_meth_lexer_new230->type = alloc_MethodType(1, argcv_meth_lexer_new230);
  meth_meth_lexer_new230->definitionModule = modulename;
  meth_meth_lexer_new230->definitionLine = 80;
  block_savedest(obj228);
  Object closure241 = createclosure(1, "new()object");
setclosureframe(closure241, stackframe);
  addtoclosure(closure241, var_Token);
  Method *meth_meth_lexer_new230_object = addmethod2pos(obj228, "new()object", &meth_lexer_new230_object, 1);
  meth_meth_lexer_new230_object->definitionModule = modulename;
  meth_meth_lexer_new230_object->definitionLine = 80;
  sourceObject = obj228;
objclass228 = obj228->class;
  objclass228->definitionModule = modulename;
  objclass228->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter228;
  self = oldself228;
  selfslot = oldselfslot228;
  stackframe = oldstackframe228;
// compilenode returning obj228
  *var_LSquareToken = obj228;
  if (obj228 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject242 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj242 = alloc_userobj2(2,4, objclass242);
  gc_frame_newslot(obj242);
// OBJECT OUTER DEC outer
  adddatum2(obj242, self, 0);
  addmethodreal(obj242,"outer", &reader_lexer_outer_243);
  Object oldself242 = self;
  struct StackFrameObject *oldstackframe242 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe242);
  gc_frame_newslot((Object)stackframe);
  self = obj242;
  Object *oldselfslot242 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter242 = (*(struct UserObject *)self).data[0], lowerouter242 = thisouter242;
  if (inheritingObject242) {
    struct UserObject *inho242 = (struct UserObject *)inheritingObject242;
    while (inho242->super != GraceDefaultObject) inho242 = (struct UserObject *)inho242->super;
    inho242->super = obj242;
    self = inheritingObject242;
    *selfslot = self;
    lowerouter242 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter242;
  }
  block_savedest(obj242);
  Object closure244 = createclosure(1, "new");
setclosureframe(closure244, stackframe);
  addtoclosure(closure244, var_Token);
  struct UserObject *uo244 = (struct UserObject*)obj242;
  uo244->data[1] = (Object)closure244;
  Method *meth_meth_lexer_new244 = addmethod2pos(obj242, "new", &meth_lexer_new244, 1);
int argcv_meth_lexer_new244[] = {0};
meth_meth_lexer_new244->type = alloc_MethodType(1, argcv_meth_lexer_new244);
  meth_meth_lexer_new244->definitionModule = modulename;
  meth_meth_lexer_new244->definitionLine = 80;
  block_savedest(obj242);
  Object closure255 = createclosure(1, "new()object");
setclosureframe(closure255, stackframe);
  addtoclosure(closure255, var_Token);
  Method *meth_meth_lexer_new244_object = addmethod2pos(obj242, "new()object", &meth_lexer_new244_object, 1);
  meth_meth_lexer_new244_object->definitionModule = modulename;
  meth_meth_lexer_new244_object->definitionLine = 80;
  sourceObject = obj242;
objclass242 = obj242->class;
  objclass242->definitionModule = modulename;
  objclass242->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter242;
  self = oldself242;
  selfslot = oldselfslot242;
  stackframe = oldstackframe242;
// compilenode returning obj242
  *var_RSquareToken = obj242;
  if (obj242 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject256 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj256 = alloc_userobj2(2,4, objclass256);
  gc_frame_newslot(obj256);
// OBJECT OUTER DEC outer
  adddatum2(obj256, self, 0);
  addmethodreal(obj256,"outer", &reader_lexer_outer_257);
  Object oldself256 = self;
  struct StackFrameObject *oldstackframe256 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe256);
  gc_frame_newslot((Object)stackframe);
  self = obj256;
  Object *oldselfslot256 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter256 = (*(struct UserObject *)self).data[0], lowerouter256 = thisouter256;
  if (inheritingObject256) {
    struct UserObject *inho256 = (struct UserObject *)inheritingObject256;
    while (inho256->super != GraceDefaultObject) inho256 = (struct UserObject *)inho256->super;
    inho256->super = obj256;
    self = inheritingObject256;
    *selfslot = self;
    lowerouter256 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter256;
  }
  block_savedest(obj256);
  Object closure258 = createclosure(1, "new");
setclosureframe(closure258, stackframe);
  addtoclosure(closure258, var_Token);
  struct UserObject *uo258 = (struct UserObject*)obj256;
  uo258->data[1] = (Object)closure258;
  Method *meth_meth_lexer_new258 = addmethod2pos(obj256, "new", &meth_lexer_new258, 1);
int argcv_meth_lexer_new258[] = {0};
meth_meth_lexer_new258->type = alloc_MethodType(1, argcv_meth_lexer_new258);
  meth_meth_lexer_new258->definitionModule = modulename;
  meth_meth_lexer_new258->definitionLine = 80;
  block_savedest(obj256);
  Object closure269 = createclosure(1, "new()object");
setclosureframe(closure269, stackframe);
  addtoclosure(closure269, var_Token);
  Method *meth_meth_lexer_new258_object = addmethod2pos(obj256, "new()object", &meth_lexer_new258_object, 1);
  meth_meth_lexer_new258_object->definitionModule = modulename;
  meth_meth_lexer_new258_object->definitionLine = 80;
  sourceObject = obj256;
objclass256 = obj256->class;
  objclass256->definitionModule = modulename;
  objclass256->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter256;
  self = oldself256;
  selfslot = oldselfslot256;
  stackframe = oldstackframe256;
// compilenode returning obj256
  *var_CommaToken = obj256;
  if (obj256 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject270 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj270 = alloc_userobj2(2,4, objclass270);
  gc_frame_newslot(obj270);
// OBJECT OUTER DEC outer
  adddatum2(obj270, self, 0);
  addmethodreal(obj270,"outer", &reader_lexer_outer_271);
  Object oldself270 = self;
  struct StackFrameObject *oldstackframe270 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe270);
  gc_frame_newslot((Object)stackframe);
  self = obj270;
  Object *oldselfslot270 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter270 = (*(struct UserObject *)self).data[0], lowerouter270 = thisouter270;
  if (inheritingObject270) {
    struct UserObject *inho270 = (struct UserObject *)inheritingObject270;
    while (inho270->super != GraceDefaultObject) inho270 = (struct UserObject *)inho270->super;
    inho270->super = obj270;
    self = inheritingObject270;
    *selfslot = self;
    lowerouter270 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter270;
  }
  block_savedest(obj270);
  Object closure272 = createclosure(1, "new");
setclosureframe(closure272, stackframe);
  addtoclosure(closure272, var_Token);
  struct UserObject *uo272 = (struct UserObject*)obj270;
  uo272->data[1] = (Object)closure272;
  Method *meth_meth_lexer_new272 = addmethod2pos(obj270, "new", &meth_lexer_new272, 1);
int argcv_meth_lexer_new272[] = {0};
meth_meth_lexer_new272->type = alloc_MethodType(1, argcv_meth_lexer_new272);
  meth_meth_lexer_new272->definitionModule = modulename;
  meth_meth_lexer_new272->definitionLine = 80;
  block_savedest(obj270);
  Object closure283 = createclosure(1, "new()object");
setclosureframe(closure283, stackframe);
  addtoclosure(closure283, var_Token);
  Method *meth_meth_lexer_new272_object = addmethod2pos(obj270, "new()object", &meth_lexer_new272_object, 1);
  meth_meth_lexer_new272_object->definitionModule = modulename;
  meth_meth_lexer_new272_object->definitionLine = 80;
  sourceObject = obj270;
objclass270 = obj270->class;
  objclass270->definitionModule = modulename;
  objclass270->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter270;
  self = oldself270;
  selfslot = oldselfslot270;
  stackframe = oldstackframe270;
// compilenode returning obj270
  *var_ColonToken = obj270;
  if (obj270 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject284 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj284 = alloc_userobj2(2,4, objclass284);
  gc_frame_newslot(obj284);
// OBJECT OUTER DEC outer
  adddatum2(obj284, self, 0);
  addmethodreal(obj284,"outer", &reader_lexer_outer_285);
  Object oldself284 = self;
  struct StackFrameObject *oldstackframe284 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe284);
  gc_frame_newslot((Object)stackframe);
  self = obj284;
  Object *oldselfslot284 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter284 = (*(struct UserObject *)self).data[0], lowerouter284 = thisouter284;
  if (inheritingObject284) {
    struct UserObject *inho284 = (struct UserObject *)inheritingObject284;
    while (inho284->super != GraceDefaultObject) inho284 = (struct UserObject *)inho284->super;
    inho284->super = obj284;
    self = inheritingObject284;
    *selfslot = self;
    lowerouter284 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter284;
  }
  block_savedest(obj284);
  Object closure286 = createclosure(1, "new");
setclosureframe(closure286, stackframe);
  addtoclosure(closure286, var_Token);
  struct UserObject *uo286 = (struct UserObject*)obj284;
  uo286->data[1] = (Object)closure286;
  Method *meth_meth_lexer_new286 = addmethod2pos(obj284, "new", &meth_lexer_new286, 1);
int argcv_meth_lexer_new286[] = {0};
meth_meth_lexer_new286->type = alloc_MethodType(1, argcv_meth_lexer_new286);
  meth_meth_lexer_new286->definitionModule = modulename;
  meth_meth_lexer_new286->definitionLine = 80;
  block_savedest(obj284);
  Object closure297 = createclosure(1, "new()object");
setclosureframe(closure297, stackframe);
  addtoclosure(closure297, var_Token);
  Method *meth_meth_lexer_new286_object = addmethod2pos(obj284, "new()object", &meth_lexer_new286_object, 1);
  meth_meth_lexer_new286_object->definitionModule = modulename;
  meth_meth_lexer_new286_object->definitionLine = 80;
  sourceObject = obj284;
objclass284 = obj284->class;
  objclass284->definitionModule = modulename;
  objclass284->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter284;
  self = oldself284;
  selfslot = oldselfslot284;
  stackframe = oldstackframe284;
// compilenode returning obj284
  *var_DotToken = obj284;
  if (obj284 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject298 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj298 = alloc_userobj2(2,4, objclass298);
  gc_frame_newslot(obj298);
// OBJECT OUTER DEC outer
  adddatum2(obj298, self, 0);
  addmethodreal(obj298,"outer", &reader_lexer_outer_299);
  Object oldself298 = self;
  struct StackFrameObject *oldstackframe298 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe298);
  gc_frame_newslot((Object)stackframe);
  self = obj298;
  Object *oldselfslot298 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter298 = (*(struct UserObject *)self).data[0], lowerouter298 = thisouter298;
  if (inheritingObject298) {
    struct UserObject *inho298 = (struct UserObject *)inheritingObject298;
    while (inho298->super != GraceDefaultObject) inho298 = (struct UserObject *)inho298->super;
    inho298->super = obj298;
    self = inheritingObject298;
    *selfslot = self;
    lowerouter298 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter298;
  }
  block_savedest(obj298);
  Object closure300 = createclosure(3, "new");
setclosureframe(closure300, stackframe);
  addtoclosure(closure300, var_Token);
  addtoclosure(closure300, var_startPosition);
  addtoclosure(closure300, var_linePosition);
  struct UserObject *uo300 = (struct UserObject*)obj298;
  uo300->data[1] = (Object)closure300;
  Method *meth_meth_lexer_new300 = addmethod2pos(obj298, "new", &meth_lexer_new300, 1);
int argcv_meth_lexer_new300[] = {2};
meth_meth_lexer_new300->type = alloc_MethodType(1, argcv_meth_lexer_new300);
  meth_meth_lexer_new300->definitionModule = modulename;
  meth_meth_lexer_new300->definitionLine = 80;
  block_savedest(obj298);
  Object closure313 = createclosure(3, "new()object");
setclosureframe(closure313, stackframe);
  addtoclosure(closure313, var_Token);
  addtoclosure(closure313, var_startPosition);
  addtoclosure(closure313, var_linePosition);
  Method *meth_meth_lexer_new300_object = addmethod2pos(obj298, "new()object", &meth_lexer_new300_object, 1);
  meth_meth_lexer_new300_object->definitionModule = modulename;
  meth_meth_lexer_new300_object->definitionLine = 80;
  sourceObject = obj298;
objclass298 = obj298->class;
  objclass298->definitionModule = modulename;
  objclass298->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter298;
  self = oldself298;
  selfslot = oldselfslot298;
  stackframe = oldstackframe298;
// compilenode returning obj298
  *var_NumToken = obj298;
  if (obj298 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject314 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj314 = alloc_userobj2(2,4, objclass314);
  gc_frame_newslot(obj314);
// OBJECT OUTER DEC outer
  adddatum2(obj314, self, 0);
  addmethodreal(obj314,"outer", &reader_lexer_outer_315);
  Object oldself314 = self;
  struct StackFrameObject *oldstackframe314 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe314);
  gc_frame_newslot((Object)stackframe);
  self = obj314;
  Object *oldselfslot314 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter314 = (*(struct UserObject *)self).data[0], lowerouter314 = thisouter314;
  if (inheritingObject314) {
    struct UserObject *inho314 = (struct UserObject *)inheritingObject314;
    while (inho314->super != GraceDefaultObject) inho314 = (struct UserObject *)inho314->super;
    inho314->super = obj314;
    self = inheritingObject314;
    *selfslot = self;
    lowerouter314 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter314;
  }
  block_savedest(obj314);
  Object closure316 = createclosure(1, "new");
setclosureframe(closure316, stackframe);
  addtoclosure(closure316, var_Token);
  struct UserObject *uo316 = (struct UserObject*)obj314;
  uo316->data[1] = (Object)closure316;
  Method *meth_meth_lexer_new316 = addmethod2pos(obj314, "new", &meth_lexer_new316, 1);
int argcv_meth_lexer_new316[] = {1};
meth_meth_lexer_new316->type = alloc_MethodType(1, argcv_meth_lexer_new316);
  meth_meth_lexer_new316->definitionModule = modulename;
  meth_meth_lexer_new316->definitionLine = 80;
  block_savedest(obj314);
  Object closure327 = createclosure(1, "new()object");
setclosureframe(closure327, stackframe);
  addtoclosure(closure327, var_Token);
  Method *meth_meth_lexer_new316_object = addmethod2pos(obj314, "new()object", &meth_lexer_new316_object, 1);
  meth_meth_lexer_new316_object->definitionModule = modulename;
  meth_meth_lexer_new316_object->definitionLine = 80;
  sourceObject = obj314;
objclass314 = obj314->class;
  objclass314->definitionModule = modulename;
  objclass314->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter314;
  self = oldself314;
  selfslot = oldselfslot314;
  stackframe = oldstackframe314;
// compilenode returning obj314
  *var_KeywordToken = obj314;
  if (obj314 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject328 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj328 = alloc_userobj2(2,4, objclass328);
  gc_frame_newslot(obj328);
// OBJECT OUTER DEC outer
  adddatum2(obj328, self, 0);
  addmethodreal(obj328,"outer", &reader_lexer_outer_329);
  Object oldself328 = self;
  struct StackFrameObject *oldstackframe328 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe328);
  gc_frame_newslot((Object)stackframe);
  self = obj328;
  Object *oldselfslot328 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter328 = (*(struct UserObject *)self).data[0], lowerouter328 = thisouter328;
  if (inheritingObject328) {
    struct UserObject *inho328 = (struct UserObject *)inheritingObject328;
    while (inho328->super != GraceDefaultObject) inho328 = (struct UserObject *)inho328->super;
    inho328->super = obj328;
    self = inheritingObject328;
    *selfslot = self;
    lowerouter328 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter328;
  }
  block_savedest(obj328);
  Object closure330 = createclosure(1, "new");
setclosureframe(closure330, stackframe);
  addtoclosure(closure330, var_Token);
  struct UserObject *uo330 = (struct UserObject*)obj328;
  uo330->data[1] = (Object)closure330;
  Method *meth_meth_lexer_new330 = addmethod2pos(obj328, "new", &meth_lexer_new330, 1);
int argcv_meth_lexer_new330[] = {1};
meth_meth_lexer_new330->type = alloc_MethodType(1, argcv_meth_lexer_new330);
  meth_meth_lexer_new330->definitionModule = modulename;
  meth_meth_lexer_new330->definitionLine = 147;
  block_savedest(obj328);
  Object closure341 = createclosure(1, "new()object");
setclosureframe(closure341, stackframe);
  addtoclosure(closure341, var_Token);
  Method *meth_meth_lexer_new330_object = addmethod2pos(obj328, "new()object", &meth_lexer_new330_object, 1);
  meth_meth_lexer_new330_object->definitionModule = modulename;
  meth_meth_lexer_new330_object->definitionLine = 147;
  sourceObject = obj328;
objclass328 = obj328->class;
  objclass328->definitionModule = modulename;
  objclass328->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter328;
  self = oldself328;
  selfslot = oldselfslot328;
  stackframe = oldstackframe328;
// compilenode returning obj328
  *var_OpToken = obj328;
  if (obj328 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject342 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj342 = alloc_userobj2(2,4, objclass342);
  gc_frame_newslot(obj342);
// OBJECT OUTER DEC outer
  adddatum2(obj342, self, 0);
  addmethodreal(obj342,"outer", &reader_lexer_outer_343);
  Object oldself342 = self;
  struct StackFrameObject *oldstackframe342 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe342);
  gc_frame_newslot((Object)stackframe);
  self = obj342;
  Object *oldselfslot342 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter342 = (*(struct UserObject *)self).data[0], lowerouter342 = thisouter342;
  if (inheritingObject342) {
    struct UserObject *inho342 = (struct UserObject *)inheritingObject342;
    while (inho342->super != GraceDefaultObject) inho342 = (struct UserObject *)inho342->super;
    inho342->super = obj342;
    self = inheritingObject342;
    *selfslot = self;
    lowerouter342 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter342;
  }
  block_savedest(obj342);
  Object closure344 = createclosure(1, "new");
setclosureframe(closure344, stackframe);
  addtoclosure(closure344, var_Token);
  struct UserObject *uo344 = (struct UserObject*)obj342;
  uo344->data[1] = (Object)closure344;
  Method *meth_meth_lexer_new344 = addmethod2pos(obj342, "new", &meth_lexer_new344, 1);
int argcv_meth_lexer_new344[] = {0};
meth_meth_lexer_new344->type = alloc_MethodType(1, argcv_meth_lexer_new344);
  meth_meth_lexer_new344->definitionModule = modulename;
  meth_meth_lexer_new344->definitionLine = 153;
  block_savedest(obj342);
  Object closure355 = createclosure(1, "new()object");
setclosureframe(closure355, stackframe);
  addtoclosure(closure355, var_Token);
  Method *meth_meth_lexer_new344_object = addmethod2pos(obj342, "new()object", &meth_lexer_new344_object, 1);
  meth_meth_lexer_new344_object->definitionModule = modulename;
  meth_meth_lexer_new344_object->definitionLine = 153;
  sourceObject = obj342;
objclass342 = obj342->class;
  objclass342->definitionModule = modulename;
  objclass342->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter342;
  self = oldself342;
  selfslot = oldselfslot342;
  stackframe = oldstackframe342;
// compilenode returning obj342
  *var_ArrowToken = obj342;
  if (obj342 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject356 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj356 = alloc_userobj2(2,4, objclass356);
  gc_frame_newslot(obj356);
// OBJECT OUTER DEC outer
  adddatum2(obj356, self, 0);
  addmethodreal(obj356,"outer", &reader_lexer_outer_357);
  Object oldself356 = self;
  struct StackFrameObject *oldstackframe356 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe356);
  gc_frame_newslot((Object)stackframe);
  self = obj356;
  Object *oldselfslot356 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter356 = (*(struct UserObject *)self).data[0], lowerouter356 = thisouter356;
  if (inheritingObject356) {
    struct UserObject *inho356 = (struct UserObject *)inheritingObject356;
    while (inho356->super != GraceDefaultObject) inho356 = (struct UserObject *)inho356->super;
    inho356->super = obj356;
    self = inheritingObject356;
    *selfslot = self;
    lowerouter356 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter356;
  }
  block_savedest(obj356);
  Object closure358 = createclosure(1, "new");
setclosureframe(closure358, stackframe);
  addtoclosure(closure358, var_Token);
  struct UserObject *uo358 = (struct UserObject*)obj356;
  uo358->data[1] = (Object)closure358;
  Method *meth_meth_lexer_new358 = addmethod2pos(obj356, "new", &meth_lexer_new358, 1);
int argcv_meth_lexer_new358[] = {0};
meth_meth_lexer_new358->type = alloc_MethodType(1, argcv_meth_lexer_new358);
  meth_meth_lexer_new358->definitionModule = modulename;
  meth_meth_lexer_new358->definitionLine = 153;
  block_savedest(obj356);
  Object closure369 = createclosure(1, "new()object");
setclosureframe(closure369, stackframe);
  addtoclosure(closure369, var_Token);
  Method *meth_meth_lexer_new358_object = addmethod2pos(obj356, "new()object", &meth_lexer_new358_object, 1);
  meth_meth_lexer_new358_object->definitionModule = modulename;
  meth_meth_lexer_new358_object->definitionLine = 153;
  sourceObject = obj356;
objclass356 = obj356->class;
  objclass356->definitionModule = modulename;
  objclass356->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter356;
  self = oldself356;
  selfslot = oldselfslot356;
  stackframe = oldstackframe356;
// compilenode returning obj356
  *var_BindToken = obj356;
  if (obj356 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject370 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj370 = alloc_userobj2(2,4, objclass370);
  gc_frame_newslot(obj370);
// OBJECT OUTER DEC outer
  adddatum2(obj370, self, 0);
  addmethodreal(obj370,"outer", &reader_lexer_outer_371);
  Object oldself370 = self;
  struct StackFrameObject *oldstackframe370 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe370);
  gc_frame_newslot((Object)stackframe);
  self = obj370;
  Object *oldselfslot370 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter370 = (*(struct UserObject *)self).data[0], lowerouter370 = thisouter370;
  if (inheritingObject370) {
    struct UserObject *inho370 = (struct UserObject *)inheritingObject370;
    while (inho370->super != GraceDefaultObject) inho370 = (struct UserObject *)inho370->super;
    inho370->super = obj370;
    self = inheritingObject370;
    *selfslot = self;
    lowerouter370 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter370;
  }
  block_savedest(obj370);
  Object closure372 = createclosure(1, "new");
setclosureframe(closure372, stackframe);
  addtoclosure(closure372, var_Token);
  struct UserObject *uo372 = (struct UserObject*)obj370;
  uo372->data[1] = (Object)closure372;
  Method *meth_meth_lexer_new372 = addmethod2pos(obj370, "new", &meth_lexer_new372, 1);
int argcv_meth_lexer_new372[] = {0};
meth_meth_lexer_new372->type = alloc_MethodType(1, argcv_meth_lexer_new372);
  meth_meth_lexer_new372->definitionModule = modulename;
  meth_meth_lexer_new372->definitionLine = 153;
  block_savedest(obj370);
  Object closure383 = createclosure(1, "new()object");
setclosureframe(closure383, stackframe);
  addtoclosure(closure383, var_Token);
  Method *meth_meth_lexer_new372_object = addmethod2pos(obj370, "new()object", &meth_lexer_new372_object, 1);
  meth_meth_lexer_new372_object->definitionModule = modulename;
  meth_meth_lexer_new372_object->definitionLine = 153;
  sourceObject = obj370;
objclass370 = obj370->class;
  objclass370->definitionModule = modulename;
  objclass370->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter370;
  self = oldself370;
  selfslot = oldselfslot370;
  stackframe = oldstackframe370;
// compilenode returning obj370
  *var_SemicolonToken = obj370;
  if (obj370 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject384 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj384 = alloc_userobj2(2,4, objclass384);
  gc_frame_newslot(obj384);
// OBJECT OUTER DEC outer
  adddatum2(obj384, self, 0);
  addmethodreal(obj384,"outer", &reader_lexer_outer_385);
  Object oldself384 = self;
  struct StackFrameObject *oldstackframe384 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe384);
  gc_frame_newslot((Object)stackframe);
  self = obj384;
  Object *oldselfslot384 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter384 = (*(struct UserObject *)self).data[0], lowerouter384 = thisouter384;
  if (inheritingObject384) {
    struct UserObject *inho384 = (struct UserObject *)inheritingObject384;
    while (inho384->super != GraceDefaultObject) inho384 = (struct UserObject *)inho384->super;
    inho384->super = obj384;
    self = inheritingObject384;
    *selfslot = self;
    lowerouter384 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter384;
  }
  block_savedest(obj384);
  Object closure386 = createclosure(1, "new");
setclosureframe(closure386, stackframe);
  addtoclosure(closure386, var_Token);
  struct UserObject *uo386 = (struct UserObject*)obj384;
  uo386->data[1] = (Object)closure386;
  Method *meth_meth_lexer_new386 = addmethod2pos(obj384, "new", &meth_lexer_new386, 1);
int argcv_meth_lexer_new386[] = {0};
meth_meth_lexer_new386->type = alloc_MethodType(1, argcv_meth_lexer_new386);
  meth_meth_lexer_new386->definitionModule = modulename;
  meth_meth_lexer_new386->definitionLine = 153;
  block_savedest(obj384);
  Object closure397 = createclosure(1, "new()object");
setclosureframe(closure397, stackframe);
  addtoclosure(closure397, var_Token);
  Method *meth_meth_lexer_new386_object = addmethod2pos(obj384, "new()object", &meth_lexer_new386_object, 1);
  meth_meth_lexer_new386_object->definitionModule = modulename;
  meth_meth_lexer_new386_object->definitionLine = 153;
  sourceObject = obj384;
objclass384 = obj384->class;
  objclass384->definitionModule = modulename;
  objclass384->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter384;
  self = oldself384;
  selfslot = oldselfslot384;
  stackframe = oldstackframe384;
// compilenode returning obj384
  *var_LGenericToken = obj384;
  if (obj384 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject398 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj398 = alloc_userobj2(2,4, objclass398);
  gc_frame_newslot(obj398);
// OBJECT OUTER DEC outer
  adddatum2(obj398, self, 0);
  addmethodreal(obj398,"outer", &reader_lexer_outer_399);
  Object oldself398 = self;
  struct StackFrameObject *oldstackframe398 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe398);
  gc_frame_newslot((Object)stackframe);
  self = obj398;
  Object *oldselfslot398 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter398 = (*(struct UserObject *)self).data[0], lowerouter398 = thisouter398;
  if (inheritingObject398) {
    struct UserObject *inho398 = (struct UserObject *)inheritingObject398;
    while (inho398->super != GraceDefaultObject) inho398 = (struct UserObject *)inho398->super;
    inho398->super = obj398;
    self = inheritingObject398;
    *selfslot = self;
    lowerouter398 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter398;
  }
  block_savedest(obj398);
  Object closure400 = createclosure(1, "new");
setclosureframe(closure400, stackframe);
  addtoclosure(closure400, var_Token);
  struct UserObject *uo400 = (struct UserObject*)obj398;
  uo400->data[1] = (Object)closure400;
  Method *meth_meth_lexer_new400 = addmethod2pos(obj398, "new", &meth_lexer_new400, 1);
int argcv_meth_lexer_new400[] = {0};
meth_meth_lexer_new400->type = alloc_MethodType(1, argcv_meth_lexer_new400);
  meth_meth_lexer_new400->definitionModule = modulename;
  meth_meth_lexer_new400->definitionLine = 153;
  block_savedest(obj398);
  Object closure411 = createclosure(1, "new()object");
setclosureframe(closure411, stackframe);
  addtoclosure(closure411, var_Token);
  Method *meth_meth_lexer_new400_object = addmethod2pos(obj398, "new()object", &meth_lexer_new400_object, 1);
  meth_meth_lexer_new400_object->definitionModule = modulename;
  meth_meth_lexer_new400_object->definitionLine = 153;
  sourceObject = obj398;
objclass398 = obj398->class;
  objclass398->definitionModule = modulename;
  objclass398->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter398;
  self = oldself398;
  selfslot = oldselfslot398;
  stackframe = oldstackframe398;
// compilenode returning obj398
  *var_RGenericToken = obj398;
  if (obj398 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject412 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj412 = alloc_userobj2(7,8, objclass412);
  gc_frame_newslot(obj412);
// OBJECT OUTER DEC outer
  adddatum2(obj412, self, 0);
  addmethodreal(obj412,"outer", &reader_lexer_outer_413);
  Object oldself412 = self;
  struct StackFrameObject *oldstackframe412 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe412);
  gc_frame_newslot((Object)stackframe);
  self = obj412;
  Object *oldselfslot412 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter412 = (*(struct UserObject *)self).data[0], lowerouter412 = thisouter412;
  if (inheritingObject412) {
    struct UserObject *inho412 = (struct UserObject *)inheritingObject412;
    while (inho412->super != GraceDefaultObject) inho412 = (struct UserObject *)inho412->super;
    inho412->super = obj412;
    self = inheritingObject412;
    *selfslot = self;
    lowerouter412 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter412;
  }
  block_savedest(obj412);
  Object closure414 = createclosure(27, "modechange");
setclosureframe(closure414, stackframe);
  addtoclosure(closure414, var_IdentifierToken);
  addtoclosure(closure414, var_KeywordToken);
  addtoclosure(closure414, var_StringToken);
  addtoclosure(closure414, var_OctetsToken);
  addtoclosure(closure414, var_CommaToken);
  addtoclosure(closure414, var_DotToken);
  addtoclosure(closure414, var_LBraceToken);
  addtoclosure(closure414, var_RBraceToken);
  addtoclosure(closure414, var_LParenToken);
  addtoclosure(closure414, var_RParenToken);
  addtoclosure(closure414, var_LSquareToken);
  addtoclosure(closure414, var_RSquareToken);
  addtoclosure(closure414, var_LGenericToken);
  addtoclosure(closure414, var_RGenericToken);
  addtoclosure(closure414, var_SemicolonToken);
  addtoclosure(closure414, var_NumToken);
  addtoclosure(closure414, var_errormessages);
  addtoclosure(closure414, var_linePosition);
  addtoclosure(closure414, var_lineNumber);
  addtoclosure(closure414, var_OpToken);
  addtoclosure(closure414, var_ArrowToken);
  addtoclosure(closure414, var_BindToken);
  addtoclosure(closure414, var_ColonToken);
  addtoclosure(closure414, var_indentLevel);
  addtoclosure(closure414, var_CommentToken);
  addtoclosure(closure414, var_util);
  addtoclosure(closure414, var_startPosition);
  struct UserObject *uo414 = (struct UserObject*)obj412;
  uo414->data[1] = (Object)closure414;
  Method *meth_meth_lexer_modechange414 = addmethod2pos(obj412, "modechange", &meth_lexer_modechange414, 1);
int argcv_meth_lexer_modechange414[] = {3};
meth_meth_lexer_modechange414->type = alloc_MethodType(1, argcv_meth_lexer_modechange414);
  meth_meth_lexer_modechange414->definitionModule = modulename;
  meth_meth_lexer_modechange414->definitionLine = 203;
  block_savedest(obj412);
  Object closure1131 = createclosure(4, "fromBase");
setclosureframe(closure1131, stackframe);
  addtoclosure(closure1131, var_errormessages);
  addtoclosure(closure1131, var_linePosition);
  addtoclosure(closure1131, var_lineNumber);
  addtoclosure(closure1131, var_unicode);
  struct UserObject *uo1131 = (struct UserObject*)obj412;
  uo1131->data[2] = (Object)closure1131;
  Method *meth_meth_lexer_fromBase1131 = addmethod2pos(obj412, "fromBase", &meth_lexer_fromBase1131, 2);
int argcv_meth_lexer_fromBase1131[] = {2};
meth_meth_lexer_fromBase1131->type = alloc_MethodType(1, argcv_meth_lexer_fromBase1131);
  meth_meth_lexer_fromBase1131->definitionModule = modulename;
  meth_meth_lexer_fromBase1131->definitionLine = 376;
  block_savedest(obj412);
  Object closure1347 = createclosure(4, "makeNumToken");
setclosureframe(closure1347, stackframe);
  addtoclosure(closure1347, var_errormessages);
  addtoclosure(closure1347, var_linePosition);
  addtoclosure(closure1347, var_lineNumber);
  addtoclosure(closure1347, var_NumToken);
  struct UserObject *uo1347 = (struct UserObject*)obj412;
  uo1347->data[3] = (Object)closure1347;
  Method *meth_meth_lexer_makeNumToken1347 = addmethod2pos(obj412, "makeNumToken", &meth_lexer_makeNumToken1347, 3);
int argcv_meth_lexer_makeNumToken1347[] = {1};
meth_meth_lexer_makeNumToken1347->type = alloc_MethodType(1, argcv_meth_lexer_makeNumToken1347);
  meth_meth_lexer_makeNumToken1347->definitionModule = modulename;
  meth_meth_lexer_makeNumToken1347->definitionLine = 417;
  block_savedest(obj412);
  Object closure1526 = createclosure(1, "isidentifierchar");
setclosureframe(closure1526, stackframe);
  addtoclosure(closure1526, var_unicode);
  struct UserObject *uo1526 = (struct UserObject*)obj412;
  uo1526->data[4] = (Object)closure1526;
  Method *meth_meth_lexer_isidentifierchar1526 = addmethod2pos(obj412, "isidentifierchar", &meth_lexer_isidentifierchar1526, 4);
int argcv_meth_lexer_isidentifierchar1526[] = {1};
meth_meth_lexer_isidentifierchar1526->type = alloc_MethodType(1, argcv_meth_lexer_isidentifierchar1526);
  meth_meth_lexer_isidentifierchar1526->definitionModule = modulename;
  meth_meth_lexer_isidentifierchar1526->definitionLine = 462;
  block_savedest(obj412);
  Object closure1549 = createclosure(1, "isoperatorchar");
setclosureframe(closure1549, stackframe);
  addtoclosure(closure1549, var_unicode);
  struct UserObject *uo1549 = (struct UserObject*)obj412;
  uo1549->data[5] = (Object)closure1549;
  Method *meth_meth_lexer_isoperatorchar1549 = addmethod2pos(obj412, "isoperatorchar", &meth_lexer_isoperatorchar1549, 5);
int argcv_meth_lexer_isoperatorchar1549[] = {2};
meth_meth_lexer_isoperatorchar1549->type = alloc_MethodType(1, argcv_meth_lexer_isoperatorchar1549);
  meth_meth_lexer_isoperatorchar1549->definitionModule = modulename;
  meth_meth_lexer_isoperatorchar1549->definitionLine = 478;
  block_savedest(obj412);
  Object closure1643 = createclosure(1, "lexfile");
setclosureframe(closure1643, stackframe);
  addtoclosure(closure1643, var_util);
  struct UserObject *uo1643 = (struct UserObject*)obj412;
  uo1643->data[6] = (Object)closure1643;
  Method *meth_meth_lexer_lexfile1643 = addmethod2pos(obj412, "lexfile", &meth_lexer_lexfile1643, 6);
int argcv_meth_lexer_lexfile1643[] = {1};
meth_meth_lexer_lexfile1643->type = alloc_MethodType(1, argcv_meth_lexer_lexfile1643);
  meth_meth_lexer_lexfile1643->definitionModule = modulename;
  meth_meth_lexer_lexfile1643->definitionLine = 495;
  block_savedest(obj412);
  Object closure1741 = createclosure(6, "lexinput");
setclosureframe(closure1741, stackframe);
  addtoclosure(closure1741, var_linePosition);
  addtoclosure(closure1741, var_util);
  addtoclosure(closure1741, var_unicode);
  addtoclosure(closure1741, var_errormessages);
  addtoclosure(closure1741, var_lineNumber);
  addtoclosure(closure1741, var_startPosition);
  struct UserObject *uo1741 = (struct UserObject*)obj412;
  uo1741->data[7] = (Object)closure1741;
  Method *meth_meth_lexer_lexinput1741 = addmethod2pos(obj412, "lexinput", &meth_lexer_lexinput1741, 7);
int argcv_meth_lexer_lexinput1741[] = {1};
meth_meth_lexer_lexinput1741->type = alloc_MethodType(1, argcv_meth_lexer_lexinput1741);
  meth_meth_lexer_lexinput1741->definitionModule = modulename;
  meth_meth_lexer_lexinput1741->definitionLine = 530;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
objclass412 = obj412->class;
  objclass412->definitionModule = modulename;
  objclass412->definitionLine = 186;
  (*(struct UserObject *)self).data[0] = lowerouter412;
  self = oldself412;
  selfslot = oldselfslot412;
  stackframe = oldstackframe412;
  gc_frame_end(frame);
  return obj412;
}
Object meth_lexer_LexerClass3427(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "LexerClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_LexerClass = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for LexerClass (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[LexerClass]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_LexerClass
  gc_frame_end(frame);
  return *var_LexerClass;
}
Object module_lexer_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(6, 6);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<lexer>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object params[1];
  int partcv[1];
Object *var_io = alloc_var();
Object *var_sys = alloc_var();
Object *var_util = alloc_var();
Object *var_unicode = alloc_var();
Object *var_collections = alloc_var();
Object *var_errormessages = alloc_var();
  Object *var_LexerClass = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "LexerClass");
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo0 = (struct UserObject*)self;
  uo0->data[1] = emptyclosure;
  Method *meth_meth_lexer_hexdecchar0 = addmethod2pos(self, "hexdecchar", &meth_lexer_hexdecchar0, 1);
int argcv_meth_lexer_hexdecchar0[] = {1};
meth_meth_lexer_hexdecchar0->type = alloc_MethodType(1, argcv_meth_lexer_hexdecchar0);
  meth_meth_lexer_hexdecchar0->definitionModule = modulename;
  meth_meth_lexer_hexdecchar0->definitionLine = 10;
// compilenode returning 
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo35 = (struct UserObject*)self;
  uo35->data[2] = emptyclosure;
  Method *meth_meth_lexer_padl35 = addmethod2pos(self, "padl", &meth_lexer_padl35, 2);
int argcv_meth_lexer_padl35[] = {3};
meth_meth_lexer_padl35->type = alloc_MethodType(1, argcv_meth_lexer_padl35);
  meth_meth_lexer_padl35->definitionModule = modulename;
  meth_meth_lexer_padl35->definitionLine = 23;
// compilenode returning 
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure59 = createclosure(1, "Lexer");
setclosureframe(closure59, stackframe);
  addtoclosure(closure59, var_LexerClass);
  struct UserObject *uo59 = (struct UserObject*)self;
  uo59->data[3] = (Object)closure59;
  Method *meth_meth_lexer_Lexer59 = addmethod2pos(self, "Lexer", &meth_lexer_Lexer59, 3);
int argcv_meth_lexer_Lexer59[] = {0};
meth_meth_lexer_Lexer59->type = alloc_MethodType(1, argcv_meth_lexer_Lexer59);
  meth_meth_lexer_Lexer59->definitionModule = modulename;
  meth_meth_lexer_Lexer59->definitionLine = 1057;
// compilenode returning 
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of io as io
  if (module_io == NULL)
    module_io = module_io_init();
  *var_io = module_io;
// compilenode returning done
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of sys as sys
  if (module_sys == NULL)
    module_sys = module_sys_init();
  *var_sys = module_sys;
// compilenode returning done
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of util as util
  if (module_util == NULL)
    module_util = module_util_init();
  *var_util = module_util;
// compilenode returning done
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of unicode as unicode
  if (module_unicode == NULL)
    module_unicode = dlmodule("unicode");
  *var_unicode = module_unicode;
// compilenode returning done
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of mgcollections as collections
  if (module_mgcollections == NULL)
    module_mgcollections = module_mgcollections_init();
  *var_collections = module_mgcollections;
// compilenode returning done
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of errormessages as errormessages
  if (module_errormessages == NULL)
    module_errormessages = module_errormessages_init();
  *var_errormessages = module_errormessages;
// compilenode returning done
// compilenode returning 
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject60 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj60 = alloc_userobj2(2,4, objclass60);
  gc_frame_newslot(obj60);
// OBJECT OUTER DEC outer
  adddatum2(obj60, self, 0);
  addmethodreal(obj60,"outer", &reader_lexer_outer_61);
  Object oldself60 = self;
  struct StackFrameObject *oldstackframe60 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe60);
  gc_frame_newslot((Object)stackframe);
  self = obj60;
  Object *oldselfslot60 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter60 = (*(struct UserObject *)self).data[0], lowerouter60 = thisouter60;
  if (inheritingObject60) {
    struct UserObject *inho60 = (struct UserObject *)inheritingObject60;
    while (inho60->super != GraceDefaultObject) inho60 = (struct UserObject *)inho60->super;
    inho60->super = obj60;
    self = inheritingObject60;
    *selfslot = self;
    lowerouter60 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter60;
  }
  block_savedest(obj60);
  Object closure62 = createclosure(3, "new");
setclosureframe(closure62, stackframe);
  addtoclosure(closure62, var_errormessages);
  addtoclosure(closure62, var_util);
  addtoclosure(closure62, var_unicode);
  struct UserObject *uo62 = (struct UserObject*)obj60;
  uo62->data[1] = (Object)closure62;
  Method *meth_meth_lexer_new62 = addmethod2pos(obj60, "new", &meth_lexer_new62, 1);
int argcv_meth_lexer_new62[] = {0};
meth_meth_lexer_new62->type = alloc_MethodType(1, argcv_meth_lexer_new62);
  meth_meth_lexer_new62->definitionModule = modulename;
  meth_meth_lexer_new62->definitionLine = 35;
  block_savedest(obj60);
  Object closure3426 = createclosure(3, "new()object");
setclosureframe(closure3426, stackframe);
  addtoclosure(closure3426, var_errormessages);
  addtoclosure(closure3426, var_util);
  addtoclosure(closure3426, var_unicode);
  Method *meth_meth_lexer_new62_object = addmethod2pos(obj60, "new()object", &meth_lexer_new62_object, 1);
  meth_meth_lexer_new62_object->definitionModule = modulename;
  meth_meth_lexer_new62_object->definitionLine = 35;
  sourceObject = obj60;
objclass60 = obj60->class;
  objclass60->definitionModule = modulename;
  objclass60->definitionLine = 34;
  (*(struct UserObject *)self).data[0] = lowerouter60;
  self = oldself60;
  selfslot = oldselfslot60;
  stackframe = oldstackframe60;
// compilenode returning obj60
  *var_LexerClass = obj60;
  if (obj60 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure3427 = createclosure(1, "LexerClass");
setclosureframe(closure3427, stackframe);
  addtoclosure(closure3427, var_LexerClass);
  struct UserObject *uo3427 = (struct UserObject*)self;
  uo3427->data[4] = (Object)closure3427;
  Method *meth_meth_lexer_LexerClass3427 = addmethod2pos(self, "LexerClass", &meth_lexer_LexerClass3427, 4);
int argcv_meth_lexer_LexerClass3427[] = {0};
meth_meth_lexer_LexerClass3427->type = alloc_MethodType(1, argcv_meth_lexer_LexerClass3427);
  meth_meth_lexer_LexerClass3427->definitionModule = modulename;
  meth_meth_lexer_LexerClass3427->definitionLine = 1042;
// compilenode returning 
// compilenode returning done
// compilenode returning 
  gc_frame_end(frame);
  return self;
}
